/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.auth.modular.login.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 库级-用户信息表实体
 *
 * @author hjc
 * @date  2024/06/07 14:32
 **/
@Getter
@Setter
@TableName("user_info")
public class UserInfo {

    /** 用户编号 */
    @ApiModelProperty(value = "用户编号", position = 1)
    private Integer userId;

    /** 用户名 */
    @ApiModelProperty(value = "用户名", position = 2)
    private String username;

    /** 密码 */
    @ApiModelProperty(value = "密码", position = 3)
    private String password;

    /** 组织编号 */
    @ApiModelProperty(value = "组织编号", position = 4)
    private Integer orgId;

    /** 真实姓名 */
    @ApiModelProperty(value = "真实姓名", position = 5)
    private String realName;

    /** 性别 */
    @ApiModelProperty(value = "性别", position = 6)
    private Integer sex;

    /** 固定电话 */
    @ApiModelProperty(value = "固定电话", position = 7)
    private String telphone;

    /** 手机号 */
    @ApiModelProperty(value = "手机号", position = 8)
    private String mobile;

    /** 地址 */
    @ApiModelProperty(value = "地址", position = 9)
    private String address;

    /** 电子邮箱 */
    @ApiModelProperty(value = "电子邮箱", position = 10)
    private String email;

    /** QQ号码 */
    @ApiModelProperty(value = "QQ号码", position = 11)
    private String qqNumber;

    /** 照片路径 */
    @ApiModelProperty(value = "照片路径", position = 12)
    private String imgUrl;

    /** 电子签名 */
    @ApiModelProperty(value = "电子签名", position = 13)
    private String signature;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 14)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 录入员 */
    @ApiModelProperty(value = "录入员", position = 15)
    private Integer createUserId;

    /** 最后修改时间 */
    @ApiModelProperty(value = "最后修改时间", position = 16)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 最后修改人 */
    @ApiModelProperty(value = "最后修改人", position = 17)
    private Integer updateUserId;

    /** 状态 */
    @ApiModelProperty(value = "状态", position = 18)
    private Integer status;

    /** 删除标记 */
    @ApiModelProperty(value = "删除标记", position = 19)
    private Integer delFlag;

    /** 用户别名 */
    @ApiModelProperty(value = "用户别名", position = 20)
    private String userAlias;

    /** UPDATETIME */
    @ApiModelProperty(value = "UPDATETIME", position = 21)
    private Date updatetime;

    /** 部门名称 */
    @ApiModelProperty(value = "部门名称", position = 22)
    private String bmmc;

    /** 在岗状态 */
    @ApiModelProperty(value = "在岗状态", position = 23)
    private String zgzt;

    /** 离职日期 */
    @ApiModelProperty(value = "离职日期", position = 24)
    private Date lzrq;

    /** 名族 */
    @ApiModelProperty(value = "名族", position = 25)
    private Integer mz;

    /** 人员类别 */
    @ApiModelProperty(value = "人员类别", position = 26)
    private Integer rylb;

    /** 身份证号码 */
    @ApiModelProperty(value = "身份证号码", position = 27)
    private String sfzhm;

    /** 政治面貌 */
    @ApiModelProperty(value = "政治面貌", position = 28)
    private Integer zzmm;

    /** 职称 */
    @ApiModelProperty(value = "职称", position = 29)
    private String zc;

    /** 职务 */
    @ApiModelProperty(value = "职务", position = 30)
    private String zw;

    /** 学历 */
    @ApiModelProperty(value = "学历", position = 31)
    private Integer xl;

    /** 入职日期 */
    @ApiModelProperty(value = "入职日期", position = 32)
    private Date rzrq;

    /** 岗位性质 */
    @ApiModelProperty(value = "岗位性质", position = 33)
    private String gwxz;

    /** QDZGZCHZYZGSJ */
    @ApiModelProperty(value = "QDZGZCHZYZGSJ", position = 34)
    private Date qdzgzchzyzgsj;

    /** ZY */
    @ApiModelProperty(value = "ZY", position = 35)
    private String zy;
}
