/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.aisleInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 廒间信息表添加参数
 *
 * @author shine
 * @date  2024/04/28 11:54
 **/
@Getter
@Setter
public class AisleInfoAddParam {

    /** basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "basic_storehouse的id；仓房id", position = 2)
    private Integer basicStorehouseId;

    /** 廒间代码，仓房代码+3位廒间顺序码 */
    @ApiModelProperty(value = "廒间代码，仓房代码+3位廒间顺序码", position = 3)
    private String ajdh;

    /** 统一廒间编码，统一仓房编码+1位顺序码 */
    @ApiModelProperty(value = "统一廒间编码，统一仓房编码+1位顺序码", position = 4)
    private String tyajbm;

    /** 廒间名称 */
    @ApiModelProperty(value = "廒间名称", position = 5)
    private String ajmc;

    /** 仓房(或油罐)编码，关联仓房或油罐表 */
    @ApiModelProperty(value = "仓房(或油罐)编码，关联仓房或油罐表", position = 6)
    private String cfbh;

    /** 廒间长度，单位：米 */
    @ApiModelProperty(value = "廒间长度，单位：米", position = 7)
    private BigDecimal ajcd;

    /** 廒间宽度，单位：米 */
    @ApiModelProperty(value = "廒间宽度，单位：米", position = 8)
    private BigDecimal ajkd;

    /** 廒间高度，单位：米 */
    @ApiModelProperty(value = "廒间高度，单位：米", position = 9)
    private BigDecimal ajgd;

    /** 廒间设计仓容，单位：吨 */
    @ApiModelProperty(value = "廒间设计仓容，单位：吨", position = 10)
    private BigDecimal ajsjcr;

    /** 廒间启用日期，格式：yyyy-MM-dd */
    @ApiModelProperty(value = "廒间启用日期，格式：yyyy-MM-dd", position = 11)
    private Date ajqyrq;

    /** 廒间状态，1:完好，2:需小修，3:需大修，4:待报废，5:待拆除，6:死角仓，9:其他 */
    @ApiModelProperty(value = "廒间状态，1:完好，2:需小修，3:需大修，4:待报废，5:待拆除，6:死角仓，9:其他", position = 12)
    private Integer ajzt;

    /** 操作标志，i:新增数据，u:更新数据，d:删除数据 */
    @ApiModelProperty(value = "操作标志，i:新增数据，u:更新数据，d:删除数据", position = 13)
    private String czbz;

    /** 最后更新时间 */
    @ApiModelProperty(value = "最后更新时间", position = 14)
    private Date zhgxsj;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 15)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 16)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 17)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 18)
    private Date updatedate;

}
