/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.aisleInfo.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.aisleInfo.entity.AisleInfo;
import com.unis.basic.info.modular.aisleInfo.param.AisleInfoAddParam;
import com.unis.basic.info.modular.aisleInfo.param.AisleInfoEditParam;
import com.unis.basic.info.modular.aisleInfo.param.AisleInfoIdParam;
import com.unis.basic.info.modular.aisleInfo.param.AisleInfoPageParam;
import com.unis.common.constant.DBConstant;

import java.util.List;
import java.util.Map;

/**
 * 廒间信息表Service接口
 *
 * @author shine
 * @date  2024/04/28 11:54
 **/
@DS(DBConstant.DS_DEPOT)
public interface AisleInfoService extends IService<AisleInfo> {

    /**
     * 获取廒间信息表分页
     *
     * @author shine
     * @date  2024/04/28 11:54
     */
    Page<AisleInfo> page(AisleInfoPageParam aisleInfoPageParam);

    /**
     * 添加廒间信息表
     *
     * @author shine
     * @date  2024/04/28 11:54
     */
    void add(AisleInfoAddParam aisleInfoAddParam);

    /**
     * 编辑廒间信息表
     *
     * @author shine
     * @date  2024/04/28 11:54
     */
    void edit(AisleInfoEditParam aisleInfoEditParam);

    /**
     * 删除廒间信息表
     *
     * @author shine
     * @date  2024/04/28 11:54
     */
    void delete(List<AisleInfoIdParam> aisleInfoIdParamList);

    /**
     * 获取廒间信息表详情
     *
     * @author shine
     * @date  2024/04/28 11:54
     */
    AisleInfo detail(AisleInfoIdParam aisleInfoIdParam);

    /**
     * 获取廒间信息表详情
     *
     * @author shine
     * @date  2024/04/28 11:54
     **/
    AisleInfo queryEntity(Integer id);

    IPage<Map<String,Object>> findPage(AisleInfoPageParam aisleInfoPageParam);
}
