/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.enumInfo.service;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.enumInfo.entity.BasicEnum;
import com.unis.basic.info.modular.enumInfo.param.BasicEnumAddParam;
import com.unis.basic.info.modular.enumInfo.param.BasicEnumEditParam;
import com.unis.basic.info.modular.enumInfo.param.BasicEnumIdParam;
import com.unis.basic.info.modular.enumInfo.param.BasicEnumPageParam;
import com.unis.common.constant.DBConstant;

import java.util.List;
import java.util.Map;

/**
 * 数据字典大类Service接口
 *
 * @author shine
 * @date  2024/05/10 14:06
 **/
@DS(DBConstant.DS_DEPOT)
public interface BasicEnumService extends IService<BasicEnum> {

    /**
     * 获取数据字典大类分页
     *
     * @author shine
     * @date  2024/05/10 14:06
     */
    Page<BasicEnum> page(BasicEnumPageParam basicEnumPageParam);

    /**
     * 添加数据字典大类
     *
     * @author shine
     * @date  2024/05/10 14:06
     */
    void add(BasicEnumAddParam basicEnumAddParam);

    /**
     * 编辑数据字典大类
     *
     * @author shine
     * @date  2024/05/10 14:06
     */
    void edit(BasicEnumEditParam basicEnumEditParam);

    /**
     * 删除数据字典大类
     *
     * @author shine
     * @date  2024/05/10 14:06
     */
    void delete(List<BasicEnumIdParam> basicEnumIdParamList);

    /**
     * 获取数据字典大类详情
     *
     * @author shine
     * @date  2024/05/10 14:06
     */
    BasicEnum detail(BasicEnumIdParam basicEnumIdParam);

    /**
     * 获取数据字典大类详情
     *
     * @author shine
     * @date  2024/05/10 14:06
     **/
    BasicEnum queryEntity(String id);

    /**
     * 按父级ID获取所有枚举数据
     * @return
     * @throws Exception
     */
     Map<Integer, List<BasicEnum>> findEnumObjParentId() ;

    /**
     * 按数据ID获取所有枚举数据
     * @return
     * @throws Exception
     */
     Map<Object, Object> findEnumObjEnumId() ;

    /**
     *根据id获取子节点数据
     * @param enumid
     * @param isQueryFristNode
     * @return
     */
    List<BasicEnum> queryAllChildren(String enumid, Boolean isQueryFristNode);
}
