/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollect.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.basic.info.modular.grainPriceCollect.entity.GrainPriceCollect;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 粮食价格采集Mapper接口
 *
 * @author TS
 * @date 2024/04/03 10:44
 **/
public interface GrainPriceCollectMapper extends BaseMapper<GrainPriceCollect> {
    List<Map<String, Object>> getMonitorInfo(@Param("userId") String userId);

    /**
     * @param p
     * @param queryWrapper
     * @return
     */
    IPage<Map<String, Object>> selectMyMapsPage(Page<GrainPriceCollectCitySum> p, @Param(Constants.WRAPPER) QueryWrapper<GrainPriceCollectCitySum> queryWrapper);

    /**
     * 得到最新相同相同监测点，同品种，同价格类型的价格采集时间最近的一条数据
     * @param grainPriceCollectId
     * @param priceMonitorId
     * @param type
     * @param priceType
     * @param firstLevel
     * @param secondLevel
     * @param threeLevel
     * @return
     */
    List<Map<String, Object>> getOffPrice(@Param("grainPriceCollectId") String grainPriceCollectId,
                                          @Param("priceMonitorId") String priceMonitorId,
                                          @Param("type") String type,
                                          @Param("priceType") String priceType,
                                          @Param("firstLevel") String firstLevel,
                                          @Param("secondLevel") String secondLevel,
                                          @Param("threeLevel") String threeLevel);

    /**
     *获取当前用户最近粮监测点信息
     * @param userId
     * @param point
     * @return
     */
    Map<String,Object> getMonitorInfoByPoint(@Param("userId")String userId, @Param("point")String point);
}
