/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollect.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.grainPriceCollect.entity.GrainPriceCollect;
import com.unis.basic.info.modular.grainPriceCollect.param.GrainPriceCollectAddParam;
import com.unis.basic.info.modular.grainPriceCollect.param.GrainPriceCollectEditParam;
import com.unis.basic.info.modular.grainPriceCollect.param.GrainPriceCollectIdParam;
import com.unis.basic.info.modular.grainPriceCollect.param.GrainPriceCollectPageParam;

import java.util.List;
import java.util.Map;

/**
 * 粮食价格采集Service接口
 *
 * @author TS
 * @date  2024/04/03 10:44
 **/
public interface GrainPriceCollectService extends IService<GrainPriceCollect> {

    /**
     * 获取粮食价格采集分页
     *
     * @author TS
     * @date  2024/04/03 10:44
     */
    Page<GrainPriceCollect> page(GrainPriceCollectPageParam grainPriceCollectPageParam);

    /**
     * 添加粮食价格采集
     *
     * @author TS
     * @date  2024/04/03 10:44
     */
    void add(GrainPriceCollectAddParam grainPriceCollectAddParam);

    /**
     * 编辑粮食价格采集
     *
     * @author TS
     * @date  2024/04/03 10:44
     */
    void edit(GrainPriceCollectEditParam grainPriceCollectEditParam);

    /**
     * 删除粮食价格采集
     *
     * @author TS
     * @date  2024/04/03 10:44
     */
    void delete(GrainPriceCollectIdParam grainPriceCollectIdParam);

    /**
     * 获取粮食价格采集详情
     *
     * @author TS
     * @date  2024/04/03 10:44
     */
    GrainPriceCollect detail(GrainPriceCollectIdParam grainPriceCollectIdParam);

    /**
     * 获取当前用户所有粮监测点信息
     *
     * @author TS
     * @date  2024/04/03 10:44
     **/
    GrainPriceCollect queryEntity(String id);

    /**
     *获取粮监测点信息
     *
     *  @author TS
     * @return
     */
    List<Map<String, Object>> getMonitorInfo();

    /**
     *获取当前用户最近粮监测点信息
     * @param point
     * @return
     */
    Map<String, Object> getMonitorInfoByPoint( String point);

    /**
     *获取自定义粮食价格采集分页
     * @param grainPriceCollectPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(GrainPriceCollectPageParam grainPriceCollectPageParam);

    /**
     * 审核粮食价格采集
     * @param grainPriceCollectIdParam
     * @return
     */
    String audit(GrainPriceCollectIdParam grainPriceCollectIdParam);
}
