/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollectCitySum.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.basic.info.modular.grainPriceCollectCategory.entity.GrainPriceCollectCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 市级粮食价格采集汇总实体
 *
 * @author TS
 * @date  2024/04/03 10:36
 **/
@Getter
@Setter
@TableName("biz_grain_price_collect_city_sum")
public class GrainPriceCollectCitySum {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 2)
//    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 所属市州；sys_org的id； */
    @ApiModelProperty(value = "所属市州；sys_org的id；", position = 7)
    private String sysOrgId;

    /** 汇总人；sys_user的id； */
    @ApiModelProperty(value = "汇总人；sys_user的id；", position = 8)
    private String sysUserId;

    /** 汇总时间 */
    @ApiModelProperty(value = "汇总时间", position = 9)
    @TableField(fill = FieldFill.INSERT)
    private Date sumTime;

    /** 上报状态 0:未上报；1：已上报； */
    @ApiModelProperty(value = "上报状态 0:未上报；1：已上报；", position = 10)
    private Integer status;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 11)
    private String remark;

    /** 状态 0：未审核；1：已审核；2：驳回； */
    @ApiModelProperty(value = "状态 0：未审核；1：已审核；2：驳回；", position = 12)
    private Integer auditStatus;

    /** 驳回意见 */
    @ApiModelProperty(value = "驳回意见", position = 13)
    private String auditRejectAdvice;

    /** 省级汇总Id */
    @ApiModelProperty(value = "省级汇总Id", position = 14)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String grainPriceCollectProvinceSumId;

    @ApiModelProperty(value="粮食价格采集-品种列表",position = 15)
    @TableField(exist = false)
    private List<GrainPriceCollectCategory> collectCategoryList;
}
