package com.unis.basic.info.modular.grainPriceCollectCitySum.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Getter
@Setter
public class SummaryAnalysisParam {

    /** 所属市州；sys_org的id； */
    @ApiModelProperty(value = "所属市州；sys_org的id；", position = 1)
    private String sysOrgId;

    /** 汇总开始时间 */
    @ApiModelProperty(value = "汇总开始时间", position = 2)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date sumStartTime;

    /** 汇总结束时间 */
    @ApiModelProperty(value = "汇总结束时间", position = 3)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date sumEndTime;

    /*一级分类 1：原粮；2：杂粮；3：成品粮；4：省级储备；  */
    @ApiModelProperty(value = "一级分类 1：原粮；2：杂粮；3：成品粮；4：省级储备；", position = 4)
    private Integer firstLevel;

    /*二级分类   \r\n11：小麦；12：青稞；13：油菜籽；\r\n21：黄豆；22：玉米面；23：小米；\r\n31：菜籽油；32：面粉；33：粳米；\r\n41：省级储备小麦；42：省级储备青稞；43：省级储备菜籽油；',  */
    @ApiModelProperty(value = "二级分类", position = 5)
    private Integer secondLevel;

    /*三级分类  \r\n311：一级菜籽油；312：三级菜籽油；313：小榨菜籽油；\r\n321：特一粉；322：牛肉面粉；\r\n331：一级长粒粳米；332：一级圆粒粳米；*/
    @ApiModelProperty(value = "三级分类", position = 6)
    private Integer threeLevel;


}
