/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollectProvinceSum.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.SummaryAnalysisParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.entity.GrainPriceCollectProvinceSum;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumAddParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumEditParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumIdParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumPageParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.service.GrainPriceCollectProvinceSumService;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

/**
 * 省级粮食价格采集汇总控制器
 *
 * @author TS
 * @date  2024/04/03 10:39
 */
@Api(tags = "省级粮食价格采集汇总控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class GrainPriceCollectProvinceSumController {

    @Resource
    private GrainPriceCollectProvinceSumService grainPriceCollectProvinceSumService;

/*    *//**
     * 获取省级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/03 10:39
     *//*
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取省级粮食价格采集汇总分页")
    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/page")
    @GetMapping("/basic.info/grainPriceCollectProvinceSum/page")
    public CommonResult<Page<GrainPriceCollectProvinceSum>> page(GrainPriceCollectProvinceSumPageParam grainPriceCollectProvinceSumPageParam) {
        return CommonResult.data(grainPriceCollectProvinceSumService.page(grainPriceCollectProvinceSumPageParam));
    }*/
    /**
     * 获取自定义省级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/08 10:39
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取自定义省级粮食价格采集汇总分页")
//    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/findPage")
    @GetMapping("/basic.info/grainPriceCollectProvinceSum/findPage")
    public CommonResult<IPage<Map<String,Object>>> findPage(GrainPriceCollectProvinceSumPageParam grainPriceCollectProvinceSumPageParam) {
        return CommonResult.data(grainPriceCollectProvinceSumService.findPage(grainPriceCollectProvinceSumPageParam));
    }

    /**
     * 添加省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加省级粮食价格采集汇总")
    @CommonLog("添加省级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/add")
    @PostMapping("/basic.info/grainPriceCollectProvinceSum/add")
    public CommonResult<String> add(@RequestBody @Valid GrainPriceCollectProvinceSumAddParam grainPriceCollectProvinceSumAddParam) {
        grainPriceCollectProvinceSumService.add(grainPriceCollectProvinceSumAddParam);
        return CommonResult.ok();
    }

    /**
     * 编辑省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑省级粮食价格采集汇总")
    @CommonLog("编辑省级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/edit")
    @PostMapping("/basic.info/grainPriceCollectProvinceSum/edit")
    public CommonResult<String> edit(@RequestBody @Valid GrainPriceCollectProvinceSumEditParam grainPriceCollectProvinceSumEditParam) {
        grainPriceCollectProvinceSumService.edit(grainPriceCollectProvinceSumEditParam);
        return CommonResult.ok();
    }

    /**
     * 删除省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除省级粮食价格采集汇总")
    @CommonLog("删除省级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/delete")
    @PostMapping("/basic.info/grainPriceCollectProvinceSum/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<GrainPriceCollectProvinceSumIdParam> grainPriceCollectProvinceSumIdParamList) {
        grainPriceCollectProvinceSumService.delete(grainPriceCollectProvinceSumIdParamList);
        return CommonResult.ok();
    }

    /**
     * 获取省级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取省级粮食价格采集汇总详情")
//    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/detail")
    @GetMapping("/basic.info/grainPriceCollectProvinceSum/detail")
    public CommonResult<GrainPriceCollectProvinceSum> detail(@Valid GrainPriceCollectProvinceSumIdParam grainPriceCollectProvinceSumIdParam) {
        return CommonResult.data(grainPriceCollectProvinceSumService.detail(grainPriceCollectProvinceSumIdParam));
    }

    /**
     * 省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("省级粮食价格采集汇总")
//    @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/collectProvinceSum")
    @GetMapping("/basic.info/grainPriceCollectProvinceSum/collectProvinceSum")
    public CommonResult<String> collectProvinceSum(@RequestParam(value = "orgId") @NotEmpty(message = "单位不能为空") String orgId, @RequestParam(value = "userId") @NotEmpty(message = "用户不能为空") String userId) {
        return CommonResult.data(grainPriceCollectProvinceSumService.collectProvinceSum(orgId,userId));
    }

    /**
     *省级--粮食价格汇总统计
     * @param summaryAnalysisParam
     * @return
     */
    @ApiOperationSupport(order = 6)
    @ApiOperation("省级--粮食价格汇总统计")
    // @SaCheckPermission("/basic.info/grainPriceCollectProvinceSum/summaryAnalysis")
    @GetMapping("/basic.info/grainPriceCollectProvinceSum/summaryAnalysis")
    public CommonResult<List<GrainPriceCollectProvinceSum>> summaryAnalysis(SummaryAnalysisParam summaryAnalysisParam) {
        return CommonResult.data(grainPriceCollectProvinceSumService.summaryAnalysis(summaryAnalysisParam));
    }
}
