/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollectProvinceSum.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.SummaryAnalysisParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.entity.GrainPriceCollectProvinceSum;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumAddParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumEditParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumIdParam;
import com.unis.basic.info.modular.grainPriceCollectProvinceSum.param.GrainPriceCollectProvinceSumPageParam;

import java.util.List;
import java.util.Map;

/**
 * 省级粮食价格采集汇总Service接口
 *
 * @author TS
 * @date  2024/04/03 10:39
 **/
public interface GrainPriceCollectProvinceSumService extends IService<GrainPriceCollectProvinceSum> {

    /**
     * 获取省级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    Page<GrainPriceCollectProvinceSum> page(GrainPriceCollectProvinceSumPageParam grainPriceCollectProvinceSumPageParam);

    /**
     * 添加省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    void add(GrainPriceCollectProvinceSumAddParam grainPriceCollectProvinceSumAddParam);

    /**
     * 编辑省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    void edit(GrainPriceCollectProvinceSumEditParam grainPriceCollectProvinceSumEditParam);

    /**
     * 删除省级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    void delete(List<GrainPriceCollectProvinceSumIdParam> grainPriceCollectProvinceSumIdParamList);

    /**
     * 获取省级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:39
     */
    GrainPriceCollectProvinceSum detail(GrainPriceCollectProvinceSumIdParam grainPriceCollectProvinceSumIdParam);

    /**
     * 获取省级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:39
     **/
    GrainPriceCollectProvinceSum queryEntity(String id);

    /**
     * 省级粮食价格采集汇总
     * @param orgId
     * @param userId
     * @return
     */
    String collectProvinceSum(String orgId, String userId);

    /**
     * 获取自定义省级粮食价格采集汇总分页
     * @param grainPriceCollectProvinceSumPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(GrainPriceCollectProvinceSumPageParam grainPriceCollectProvinceSumPageParam);

    List<GrainPriceCollectProvinceSum> summaryAnalysis(SummaryAnalysisParam summaryAnalysisParam);
}
