/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.orgInfo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 组织机构信息表实体
 *
 * @author shine
 * @date  2024/04/28 11:47
 **/
@Getter
@Setter
@TableName("org_info")
public class OrgInfo {

    /** 组织编号 */
    @TableId
    @ApiModelProperty(value = "组织编号", position = 1)
    private Integer orgId;

    /** 组织名称 */
    @ApiModelProperty(value = "组织名称", position = 2)
    private String orgName;

    /** 组织简称 */
    @ApiModelProperty(value = "组织简称", position = 3)
    private String shortName;

    /** 组织代码 */
    @ApiModelProperty(value = "组织代码", position = 4)
    private String orgCode;

    /** 组织类别 */
    @ApiModelProperty(value = "组织类别", position = 5)
    private Integer orgClassId;

    /** 企业性质 */
    @ApiModelProperty(value = "企业性质", position = 6)
    private Integer companyNature;

    /** 业务类型 */
    @ApiModelProperty(value = "业务类型", position = 7)
    private Integer busiType;

    /** 地址 */
    @ApiModelProperty(value = "地址", position = 8)
    private String address;

    /** 电话 */
    @ApiModelProperty(value = "电话", position = 9)
    private String contact;

    /** 库点传真 */
    @ApiModelProperty(value = "库点传真", position = 10)
    private String fax;

    /** 负责人 */
    @ApiModelProperty(value = "负责人", position = 11)
    private String chargePerson;

    /** 经度 */
    @ApiModelProperty(value = "经度", position = 12)
    private String longitude;

    /** 纬度 */
    @ApiModelProperty(value = "纬度", position = 13)
    private String latitude;

    /** 注册资本 */
    @ApiModelProperty(value = "注册资本", position = 14)
    private Integer registCapital;

    /** 在岗人数 */
    @ApiModelProperty(value = "在岗人数", position = 15)
    private Integer workNumber;

    /** 行政区划代码 */
    @ApiModelProperty(value = "行政区划代码", position = 16)
    private Integer areaCode;

    /** 行政区划名称 */
    @ApiModelProperty(value = "行政区划名称", position = 17)
    private String areaName;

    /** 邮政编码 */
    @ApiModelProperty(value = "邮政编码", position = 18)
    private Integer post;

    /** 库点类别 */
    @ApiModelProperty(value = "库点类别", position = 19)
    private Integer depotClass;

    /** 设计仓容 */
    @ApiModelProperty(value = "设计仓容", position = 20)
    private BigDecimal designCapacity;

    /** 有效仓容 */
    @ApiModelProperty(value = "有效仓容", position = 21)
    private BigDecimal effectiveCapacity;

    /** 库点面积 */
    @ApiModelProperty(value = "库点面积", position = 22)
    private BigDecimal depotArea;

    /** 建成日期 */
    @ApiModelProperty(value = "建成日期", position = 23)
    private Date completeDate;

    /** 启用日期 */
    @ApiModelProperty(value = "启用日期", position = 24)
    private Date useDate;

    /** 组织机构代码 */
    @ApiModelProperty(value = "组织机构代码", position = 25)
    private String companyOrgCode;

    /** 社会信用代码 */
    @ApiModelProperty(value = "社会信用代码", position = 26)
    private String creditCode;

    /** 企业登记注册类型 */
    @ApiModelProperty(value = "企业登记注册类型", position = 27)
    private Integer registType;

    /** 是否具有独立法人资格 */
    @ApiModelProperty(value = "是否具有独立法人资格", position = 28)
    private Integer qualification;

    /** INDEPENDENT_CORPORATION */
    @ApiModelProperty(value = "INDEPENDENT_CORPORATION", position = 29)
    private Integer independentCorporation;

    /** 法人 */
    @ApiModelProperty(value = "法人", position = 30)
    private String legalPerson;

    /** 是否租库 */
    @ApiModelProperty(value = "是否租库", position = 31)
    private Integer whetherRent;

    /** 信息登记人 */
    @ApiModelProperty(value = "信息登记人", position = 32)
    private String infoRegist;

    /** 注册日期 */
    @ApiModelProperty(value = "注册日期", position = 33)
    private Date registDate;

    /** 注释信息 */
    @ApiModelProperty(value = "注释信息", position = 34)
    private String remark;

    /** 父编号 */
    @ApiModelProperty(value = "父编号", position = 35)
    private Integer parentId;

    /** 状态 */
    @ApiModelProperty(value = "状态", position = 36)
    private Integer status;

    /** 删除标记 */
    @ApiModelProperty(value = "删除标记", position = 37)
    private Integer delFlag;

    /** 首页的鸟瞰图，2.5D图 */
    @ApiModelProperty(value = "首页的鸟瞰图，2.5D图", position = 38)
    private String birdsEye;

    /** 远程监管的鸟瞰图，2.5D图 */
    @ApiModelProperty(value = "远程监管的鸟瞰图，2.5D图", position = 39)
    private String birdsRemote;

    /** 简介 */
    @ApiModelProperty(value = "简介", position = 40)
    private String briefIntroduction;

    /** 开票信息（发票抬头） */
    @ApiModelProperty(value = "开票信息（发票抬头）", position = 41)
    private String invoiceTitle;

    /** 工商登记编号 */
    @ApiModelProperty(value = "工商登记编号", position = 42)
    private String registNumber;

    /** 开户行名称 */
    @ApiModelProperty(value = "开户行名称", position = 43)
    private String bankName;

    /** 银行账户名称 */
    @ApiModelProperty(value = "银行账户名称", position = 44)
    private String accountName;

    /** 开户账号 */
    @ApiModelProperty(value = "开户账号", position = 45)
    private String accountNumber;

    /** 资产总额 */
    @ApiModelProperty(value = "资产总额", position = 46)
    private Integer totalAssets;

    /** 法人身份证号 */
    @ApiModelProperty(value = "法人身份证号", position = 47)
    private String corporateCapacity;

    /** 办公电话 */
    @ApiModelProperty(value = "办公电话", position = 48)
    private String officePhone;

    /** 注册地址 */
    @ApiModelProperty(value = "注册地址", position = 49)
    private String registeredAddress;

    /** 电子邮箱 */
    @ApiModelProperty(value = "电子邮箱", position = 50)
    private String mailBox;

    /** 企业官方网站地址 */
    @ApiModelProperty(value = "企业官方网站地址", position = 51)
    private String officialWebsite;

    /** 仓房数 */
    @ApiModelProperty(value = "仓房数", position = 52)
    private Integer houseNumber;

    /** 油罐数 */
    @ApiModelProperty(value = "油罐数", position = 53)
    private Integer tankNumber;

    /** 库区产权 */
    @ApiModelProperty(value = "库区产权", position = 54)
    private String depotProperty;

    /** UPDATETIME */
    @ApiModelProperty(value = "UPDATETIME", position = 55)
    private Date updatetime;

    /** 级次 */
    @ApiModelProperty(value = "级次", position = 56)
    private String levelCode;

    /** 市局对应机构编码 */
    @ApiModelProperty(value = "市局对应机构编码", position = 57)
    private String citycouncilCode;

    /** 库区数 */
    @ApiModelProperty(value = "库区数", position = 58)
    private Integer kqNumber;

    /** 注册地址-省 */
    @ApiModelProperty(value = "注册地址-省", position = 59)
    private Integer zcProvince;

    /** 注册地址-市 */
    @ApiModelProperty(value = "注册地址-市", position = 60)
    private Integer zcCity;

    /** 注册地址-县 */
    @ApiModelProperty(value = "注册地址-县", position = 61)
    private Integer zcCounty;

    /** FRLXFS */
    @ApiModelProperty(value = "FRLXFS", position = 62)
    private String frlxfs;

    /** 有效罐容 */
    @ApiModelProperty(value = "有效罐容", position = 63)
    private Double yxgr;

    /** KQBM */
    @ApiModelProperty(value = "KQBM", position = 64)
    private String kqbm;

    /** SFZK */
    @ApiModelProperty(value = "SFZK", position = 65)
    private String sfzk;

    /** biz_unit_info的id；单位信息； */
    @ApiModelProperty(value = "biz_unit_info的id；单位信息；", position = 66)
    private String unitInfoId;

    @TableField(exist = false)//企业名称
    @ApiModelProperty(value = "企业名称", position = 67)
    private String qymc;
}
