/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.pricemonitor.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 价格监测添加参数
 *
 * @author hujinachun
 * @date  2024/04/03 11:34
 **/
@Getter
@Setter
public class PriceMonitorAddParam {

    /** 监测点名称 */
    @ApiModelProperty(value = "监测点名称", position = 7)
    @NotBlank(message = "监测点名称不能为空")
    @Size(max = 30)
    private String name;

    /** 所属市州；sys_org的id； */
    @ApiModelProperty(value = "所属市州；sys_org的id；", position = 8)
    @NotBlank(message = "所属市州不能为空")
    private String sysOrgId;

    /** 详细位置 */
    @ApiModelProperty(value = "详细位置", position = 9)
    @NotBlank(message = "详细地址不能为空")
    @Size(max = 60)
    private String address;

    /** 经度 */
    @ApiModelProperty(value = "经度", position = 10)
    @NotNull(message = "经度不能为空")
    @TableField(exist = false)
    private Double longitude;

    /** 纬度 */
    @ApiModelProperty(value = "纬度", position = 11)
    @NotNull(message = "纬度不能为空")
    @TableField(exist = false)
    private Double latitude;

    /** 定位开关 */
    @ApiModelProperty(value = "定位开关", position = 10)
    private  Integer locationSwitch;
    
    /**
     * 所属市州
     */
    private String cityAddress;

}
