/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.remindcycle.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.remindcycle.entity.RemindCycle;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleAddParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleEditParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleIdParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCyclePageParam;
import com.unis.basic.info.modular.remindcycle.entity.RemindCycle;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleAddParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleEditParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCycleIdParam;
import com.unis.basic.info.modular.remindcycle.param.RemindCyclePageParam;
import com.unis.common.pojo.CommonResult;

import java.util.List;

/**
 * 报送周期Service接口
 *
 * @author weiyinbin
 * @date  2024/04/02 14:45
 **/
public interface RemindCycleService extends IService<RemindCycle> {

    /**
     * 获取报送周期分页
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    Page<RemindCycle> page(RemindCyclePageParam remindCyclePageParam);

    /**
     * 添加报送周期
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    void add(RemindCycleAddParam remindCycleAddParam);

    /**
     * 编辑报送周期
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    void edit(RemindCycleEditParam remindCycleEditParam);

    /**
     * 删除报送周期
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    void delete(List<RemindCycleIdParam> remindCycleIdParamList);

    /**
     * 获取报送周期详情
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    RemindCycle detail(RemindCycleIdParam remindCycleIdParam);

    /**
     * 获取报送周期详情
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     **/
    RemindCycle queryEntity(String id);
    /**
     * 前端调用定时报送周期的专用接口
     *
     * @author weiyinbin
     * @date  2024/04/02 14:45
     */
    String task();

}
