/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.reportpricemonitor.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.reportpricemonitor.entity.ReportPriceMonitor;
import com.unis.basic.info.modular.reportpricemonitor.param.ReportPriceMonitorAddParam;
import com.unis.basic.info.modular.reportpricemonitor.param.ReportPriceMonitorEditParam;
import com.unis.basic.info.modular.reportpricemonitor.param.ReportPriceMonitorIdParam;
import com.unis.basic.info.modular.reportpricemonitor.param.ReportPriceMonitorPageParam;

import java.util.List;
import java.util.Map;

/**
 * 漏报统计站点Service接口
 *
 * @author shine
 * @date  2024/04/08 20:24
 **/
public interface ReportPriceMonitorService extends IService<ReportPriceMonitor> {

    /**
     * 获取漏报统计站点分页
     *
     * @author shine
     * @date  2024/04/08 20:24
     */
    Page<ReportPriceMonitor> page(ReportPriceMonitorPageParam reportPriceMonitorPageParam);

    /**
     * 添加漏报统计站点
     *
     * @author shine
     * @date  2024/04/08 20:24
     */
    void add(ReportPriceMonitorAddParam reportPriceMonitorAddParam);

    /**
     * 编辑漏报统计站点
     *
     * @author shine
     * @date  2024/04/08 20:24
     */
    void edit(ReportPriceMonitorEditParam reportPriceMonitorEditParam);

    /**
     * 删除漏报统计站点
     *
     * @author shine
     * @date  2024/04/08 20:24
     */
    void delete(List<ReportPriceMonitorIdParam> reportPriceMonitorIdParamList);

    /**
     * 获取漏报统计站点详情
     *
     * @author shine
     * @date  2024/04/08 20:24
     */
    ReportPriceMonitor detail(ReportPriceMonitorIdParam reportPriceMonitorIdParam);

    /**
     * 获取漏报统计站点详情
     *
     * @author shine
     * @date  2024/04/08 20:24
     **/
    ReportPriceMonitor queryEntity(String id);

    List<Map<String, Object>> exportByEntityResult(ReportPriceMonitor reportPriceMonitor,String sysOrgName);
}
