/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.storehouseInfo.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.storehouseInfo.entity.StorehouseInfo;
import com.unis.basic.info.modular.storehouseInfo.param.StorehouseInfoAddParam;
import com.unis.basic.info.modular.storehouseInfo.param.StorehouseInfoEditParam;
import com.unis.basic.info.modular.storehouseInfo.param.StorehouseInfoIdParam;
import com.unis.basic.info.modular.storehouseInfo.param.StorehouseInfoPageParam;
import com.unis.common.constant.DBConstant;

import java.util.List;

/**
 * 库点仓房信息Service接口
 *
 * @author shine
 * @date  2024/04/28 11:51
 **/
@DS(DBConstant.DS_DEPOT)
public interface StorehouseInfoService extends IService<StorehouseInfo> {

    /**
     * 获取库点仓房信息分页
     *
     * @author shine
     * @date  2024/04/28 11:51
     */
    Page<StorehouseInfo> page(StorehouseInfoPageParam storehouseInfoPageParam);

    /**
     * 添加库点仓房信息
     *
     * @author shine
     * @date  2024/04/28 11:51
     */
    void add(StorehouseInfoAddParam storehouseInfoAddParam);

    /**
     * 编辑库点仓房信息
     *
     * @author shine
     * @date  2024/04/28 11:51
     */
    void edit(StorehouseInfoEditParam storehouseInfoEditParam);

    /**
     * 删除库点仓房信息
     *
     * @author shine
     * @date  2024/04/28 11:51
     */
    void delete(List<StorehouseInfoIdParam> storehouseInfoIdParamList);

    /**
     * 获取库点仓房信息详情
     *
     * @author shine
     * @date  2024/04/28 11:51
     */
    StorehouseInfo detail(StorehouseInfoIdParam storehouseInfoIdParam);

    /**
     * 获取库点仓房信息详情
     *
     * @author shine
     * @date  2024/04/28 11:51
     **/
    StorehouseInfo queryEntity(Integer id);
}
