/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.unReporCity.service;




import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.unReporCity.entity.UnReporCity;
import com.unis.basic.info.modular.unReporCity.param.UnReporCityAddParam;
import com.unis.basic.info.modular.unReporCity.param.UnReporCityEditParam;
import com.unis.basic.info.modular.unReporCity.param.UnReporCityIdParam;
import com.unis.basic.info.modular.unReporCity.param.UnReporCityPageParam;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.io.OutputStream;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * 漏报统计市州Service接口
 *
 * @author weiyinbin
 * @date  2024/04/02 20:13
 **/
public interface UnReporCityService extends IService<UnReporCity> {

    /**
     * 获取漏报统计市州分页
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     */
    Page<UnReporCity> page(UnReporCityPageParam unReporCityPageParam);

    /**
     * 添加漏报统计市州
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     */
    void add(UnReporCityAddParam unReporCityAddParam);

    /**
     * 编辑漏报统计市州
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     */
    void edit(UnReporCityEditParam unReporCityEditParam);

    /**
     * 删除漏报统计市州
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     */
    void delete(List<UnReporCityIdParam> unReporCityIdParamList);

    /**
     * 获取漏报统计市州详情
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     */
    UnReporCity detail(UnReporCityIdParam unReporCityIdParam);

    /**
     * 获取漏报统计市州详情
     *
     * @author weiyinbin
     * @date  2024/04/02 20:13
     **/
    UnReporCity queryEntity(String id);

    List<Map<String, Object>> exportByEntityResult(UnReporCity unReporCity);

}
