/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.unitInfo.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.unitInfo.entity.BasicEnum;
import com.unis.basic.info.modular.unitInfo.entity.UnitInfo;
import com.unis.basic.info.modular.unitInfo.param.UnitInfoAddParam;
import com.unis.basic.info.modular.unitInfo.param.UnitInfoEditParam;
import com.unis.basic.info.modular.unitInfo.param.UnitInfoIdParam;
import com.unis.basic.info.modular.unitInfo.param.UnitInfoPageParam;
import com.unis.basic.info.modular.unitInfo.vo.BasicEnumVo;
import com.unis.basic.info.modular.unitInfo.vo.UnitInfoVO;
import com.unis.common.constant.DBConstant;
import com.unis.common.pojo.CommonResult;
import com.unis.basic.info.modular.unitInfo.vo.UnitInfoVO;

import com.unis.basic.info.modular.unitInfo.vo.UnitInfoVO;
import java.util.List;
import java.util.Map;

/**
 * 单位信息表Service接口
 *
 * @author hujinachun
 * @date  2024/04/16 09:08
 **/
@DS(DBConstant.DS_PROVINCE)
public interface UnitInfoService extends IService<UnitInfo> {


    /**
     * 获取单位信息表分页
     *
     * @author hujinachun
     * @date 2024/04/16 09:08
     */
    Page<UnitInfoVO> page(UnitInfoPageParam unitInfoPageParam);

    /**
     * 添加单位信息表
     *
     * @author hujinachun
     * @date  2024/04/16 09:08
     */
    void add(UnitInfoAddParam unitInfoAddParam);

    /**
     * 编辑单位信息表
     *
     * @author hujinachun
     * @date  2024/04/16 09:08
     */
    void edit(UnitInfoEditParam unitInfoEditParam);

    /**
     * 删除单位信息表
     *
     * @author hujinachun
     * @date  2024/04/16 09:08
     */
    void delete(List<UnitInfoIdParam> unitInfoIdParamList);
    /**
     * 获取单位信息表详情
     *
     * @author hujinachun
     * @date 2024/04/16 09:08
     */
    UnitInfoVO detail(UnitInfoIdParam unitInfoIdParam);
    /**
     * 获取单位信息表详情
     *
     * @author hujinachun
     * @date  2024/04/16 09:08
     **/
    UnitInfo queryEntity(String id);

    /**
     * 获取单位类型
     *
     * @author hujinachun
     * @date 2024/04/16 09:08
     */
    List<BasicEnum> getDwlx();


    //获取所有节点信息
    public List<BasicEnumVo> queryAllChildren(String enumid, boolean isQueryFristNode);

    public List<UnitInfoVO> TreeList();

    List<Map<String, String>> getAreaByParentId(String parentId);
}
