/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.usercollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 采集人员添加参数
 *
 * @author weiyinbin
 * @date  2024/04/02 15:40
 **/
@Getter
@Setter
public class UserCollectAddParam {

    /** 人员姓名 */
    @ApiModelProperty(value = "人员姓名", position = 7)
    @NotBlank(message = "人员姓名不能为空")
    @Size(max = 15)
    private String name;

    /** 手机号 */
    @ApiModelProperty(value = "手机号", position = 8)
    @NotBlank(message = "手机号不能为空")
    @Size(max = 11)
    private String phone;

    /** 联系地址 */
    @ApiModelProperty(value = "联系地址", position = 9)
    @NotBlank(message = "联系地址不能为空")
    @Size(max = 60)
    private String address;

    /** 所属市州 */
    @ApiModelProperty(value = "所属市州", position = 8)
    @NotBlank(message = "所属市州不能为空")
    private String orgName;

    @ApiModelProperty(value = "监测站点IDs", position = 8)
    @NotBlank(message = "监测站点不能为空")
   private String priceMonitorName;

}
