/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.warehouseInfo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 库中仓房下的货位信息实体
 *
 * @author shine
 * @date  2024/04/28 11:56
 **/
@Getter
@Setter
@TableName("basic_warehouse")
public class WarehouseInfo {

    /** 货位ID */
    @TableId
    @ApiModelProperty(value = "货位ID", position = 1)
    private Integer warehouseId;

    /** 所属粮库ID */
    @ApiModelProperty(value = "所属粮库ID", position = 2)
    private Integer depotId;

    /** 所属粮库名称 */
    @ApiModelProperty(value = "所属粮库名称", position = 3)
    private String depotName;

    /** 仓房ID */
    @ApiModelProperty(value = "仓房ID", position = 4)
    private Integer storehouseId;

    /** 货位编码 */
    @ApiModelProperty(value = "货位编码", position = 5)
    private String warehouseCode;

    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 6)
    private String warehouseName;

    /** 货位启用日期 */
    @ApiModelProperty(value = "货位启用日期", position = 7)
    private Date warehouseUseTime;

    /** 货位状态 */
    @ApiModelProperty(value = "货位状态", position = 8)
    private Integer warehouseStatus;

    /** 储粮方式 */
    @ApiModelProperty(value = "储粮方式", position = 9)
    private Integer storeWay;

    /** 长度（米） */
    @ApiModelProperty(value = "长度（米）", position = 10)
    private BigDecimal length;

    /** 宽度（米） */
    @ApiModelProperty(value = "宽度（米）", position = 11)
    private BigDecimal width;

    /** 高度（米） */
    @ApiModelProperty(value = "高度（米）", position = 12)
    private BigDecimal heigth;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 13)
    private String contactNumber;

    /** 货位容量（数字，单位吨） */
    @ApiModelProperty(value = "货位容量（数字，单位吨）", position = 14)
    private BigDecimal warehouseCapacity;

    /** 责任保管员 */
    @ApiModelProperty(value = "责任保管员", position = 15)
    private String dutystoreman;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 16)
    private String remark;

    /** 货位图 */
    @ApiModelProperty(value = "货位图", position = 17)
    private String wareImg;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 18)
    private String createname;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 19)
    private String updatename;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 20)
    private Date createdate;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 21)
    private Date updatedate;

    /** 删除状态(1.正常，2.删除) */
    @ApiModelProperty(value = "删除状态(1.正常，2.删除)", position = 22)
    private Integer delFlag;

    /** ORG_ID */
    @ApiModelProperty(value = "ORG_ID", position = 23)
    private Integer orgId;

    /** 库类型，0.主粮库，1.代储点粮库 */
    @ApiModelProperty(value = "库类型，0.主粮库，1.代储点粮库", position = 24)
    private String libraryType;

    /** UPDATETIME */
    @ApiModelProperty(value = "UPDATETIME", position = 25)
    private Date updatetime;

    /** 与市平台对接的唯一编码 */
    @ApiModelProperty(value = "与市平台对接的唯一编码", position = 26)
    private String hwbm;

    /** 出入库状态 */
    @ApiModelProperty(value = "出入库状态", position = 27)
    private String crkStatus;

    /** HWDM */
    @ApiModelProperty(value = "HWDM", position = 28)
    private String hwdm;

    /** 存放粮油类型(0:原粮,1:成品粮) */
    @ApiModelProperty(value = "存放粮油类型(0:原粮,1:成品粮)", position = 29)
    private String lylx;

    /** 市平台数据主键ID */
    @ApiModelProperty(value = "市平台数据主键ID", position = 30)
    private String sptDataid;

    /** basic_unit_aisle的id；廒间id； */
    @ApiModelProperty(value = "basic_unit_aisle的id；廒间id；", position = 31)
    private Integer aisleId;

    @TableField(exist = false)
    private String cfmc;

    @TableField(exist = false)
    private String ajmc;
}
