/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.warehouseInfo.service;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.warehouseInfo.entity.WarehouseInfo;
import com.unis.basic.info.modular.warehouseInfo.param.WarehouseInfoAddParam;
import com.unis.basic.info.modular.warehouseInfo.param.WarehouseInfoEditParam;
import com.unis.basic.info.modular.warehouseInfo.param.WarehouseInfoIdParam;
import com.unis.basic.info.modular.warehouseInfo.param.WarehouseInfoPageParam;
import com.unis.common.constant.DBConstant;

import java.util.List;

/**
 * 库中仓房下的货位信息Service接口
 *
 * @author shine
 * @date  2024/04/28 11:56
 **/
@DS(DBConstant.DS_DEPOT)
public interface WarehouseInfoService extends IService<WarehouseInfo> {

    /**
     * 获取库中仓房下的货位信息分页
     *
     * @author shine
     * @date  2024/04/28 11:56
     */
    Page<WarehouseInfo> page(WarehouseInfoPageParam warehouseInfoPageParam);

    /**
     * 添加库中仓房下的货位信息
     *
     * @author shine
     * @date  2024/04/28 11:56
     */
    void add(WarehouseInfoAddParam warehouseInfoAddParam);

    /**
     * 编辑库中仓房下的货位信息
     *
     * @author shine
     * @date  2024/04/28 11:56
     */
    void edit(WarehouseInfoEditParam warehouseInfoEditParam);

    /**
     * 删除库中仓房下的货位信息
     *
     * @author shine
     * @date  2024/04/28 11:56
     */
    void delete(List<WarehouseInfoIdParam> warehouseInfoIdParamList);

    /**
     * 获取库中仓房下的货位信息详情
     *
     * @author shine
     * @date  2024/04/28 11:56
     */
    WarehouseInfo detail(WarehouseInfoIdParam warehouseInfoIdParam);

    /**
     * 获取库中仓房下的货位信息详情
     *
     * @author shine
     * @date  2024/04/28 11:56
     **/
    WarehouseInfo queryEntity(Integer id);
}
