/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.biz.modular.dict.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.biz.modular.dict.entity.BizDict;
import com.unis.biz.modular.dict.param.BizDictEditParam;
import com.unis.biz.modular.dict.param.BizDictPageParam;
import com.unis.biz.modular.dict.param.BizDictParentIdParam;

import java.util.List;

/**
 * 业务字典Service接口
 *
 * @author xuyuxiang
 * @date 2022/4/22 10:41
 **/
public interface BizDictService extends IService<BizDict> {

    /**
     * 获取业务字典分页
     *
     * @author xuyuxiang
     * @date 2022/4/24 20:08
     */
    Page<BizDict> page(BizDictPageParam bizDictPageParam);

    /**
     * 获取业务字典树
     *
     * @author xuyuxiang
     * @date 2022/4/24 20:08
     */
    List<Tree<String>> tree();

    /**
     * 获取所有字典树
     *
     * @author xuyuxiang
     * @date 2022/4/24 20:08
     */
    List<Tree<String>> treeAll();

    /**
     * 编辑业务字典
     *
     * @author xuyuxiang
     * @date 2022/4/24 21:13
     */
    void edit(BizDictEditParam bizDictEditParam);

    /**
     * 获取业务字典详情
     *
     * @author xuyuxiang
     * @date 2022/4/24 21:18
     */
    BizDict queryEntity(String id);

    /**
     *
     * @param crkDictId
     */
    String moveDictByCrk(String crkDictId,String category);

    List<BizDict> getByParentId(BizDictParentIdParam bizDictParentIdParam);
}
