package com.unis.biz.modular.test.entity;

import lombok.Data;

/**
 * 应急网点
 *
 * @author ybw
 * @version V1.0
 * @className SupplyOutlet
 * @date 2024/5/21
 **/
@Data
public class SupplyOutlet {
    // 序号
    private String no;
    // ---------归口管理地区------------
    // 归口管理地区的省
    private String managedProvince;
    // 归口管理地区的市
    private String managedCity;
    // 归口管理地区的县
    private String managedCounty;

    // ---------实际经营地区------------
    // 实际经营地区的省
    private String operatingProvince;
    // 实际经营地区的市
    private String operatingCity;
    // 实际经营地区的县
    private String operatingCounty;


    // ---------供应应急级别------------
    // 供应应急级别的国家级
    private String supplyEmergencyLevelNational;
    // 供应应急级别的省级
    private String supplyEmergencyLevelProvincial;
    // 供应应急级别的市级
    private String supplyEmergencyLevelCity;
    // 供应应急级别的县级
    private String supplyEmergencyLevelCounty;


    // ---------公司------------
    // 所属总公司企业信用代码
    private String corporateCreditCode;
    // 企业名称
    private String enterpriseName;
    // 统一社会信用代码
    private String unifiedSocialCreditCode;
    // 实际经营地址（省、市、县、乡镇街道门牌号）
    private String actualOperatingAddress;
    // 企业性质
    private String enterpriseNature;
    // 企业类型
    private String enterpriseType;

    // ---------经纬度------------
    // 地理位置的经度
    private String longitude;
    // 地理位置的纬度
    private String latitude;


    // ---------公司------------
    // 法人姓名
    private String legalRepresentativeName;
    // 法人联系方式（座机/手机）
    private String legalRepresentativeContact;
    // 联系人姓名
    private String contactPersonName;
    // 联系人联系方式（座机/手机）
    private String contactPersonContact;

    // ---------日库存------------
    // 日库存-小麦粉成品粮
    private String dailyStockWheatFlour;
    // 日库存-大米成品粮
    private String dailyStockRice;
    // 日库存-食用油成品粮
    private String dailyStockCookingOil;
    // 日库存-其他成品粮
    private String dailyStockOther;

    // ---------日销量------------
    // 日销量-小麦粉成品粮
    private String dailySaleWheatFlour;
    // 日销量-大米成品粮
    private String dailySaleRice;
    // 日销量-食用油成品粮
    private String dailySaleCookingOil;
    // 日销量-其他成品粮
    private String dailySaleOther;

    // ---------日供应能力------------
    // 日供应能力-小麦粉成品粮
    private String dailySupplyCapacityWheatFlour;
    // 日供应能力-大米成品粮
    private String dailySupplyCapacityRice;
    // 日供应能力-食用油成品粮
    private String dailySupplyCapacityCookingOil;
    // 日供应能力-其他成品粮
    private String dailySupplyCapacityOther;

    // 安全库存-小麦粉
    private String safetyStockWheatFlour;
    // 安全库存-大米
    private String safetyStockRice;
    // 安全库存-食用油
    private String safetyStockCookingOil;
    // 安全库存-其他
    private String safetyStockOther;

    // 生产状态
    private String productionStatus;

}