/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.dataDockCollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据对接采集管理编辑参数
 *
 * @author QSHan
 * @date  2024/06/17 15:27
 **/
@Getter
@Setter
public class DataDockCollectEditParam {

    /** 数据对接采集记录唯一标识符 */
    @ApiModelProperty(value = "数据对接采集记录唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;

    /** 企业信用代码 */
    @ApiModelProperty(value = "企业信用代码", position = 7)
    private String enterpriseCreditCode;

    /** 法人 */
    @ApiModelProperty(value = "法人", position = 8)
    private String legalRepresentative;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInformation;

    /** 企业地址 */
    @ApiModelProperty(value = "企业地址", position = 10)
    private String enterpriseAddress;

    /** 所属区域-省；dev_dict的id； */
    @ApiModelProperty(value = "所属区域-省；dev_dict的id；", position = 11)
    private String regionProvince;

    /** 所属区域-市；dev_dict的id； */
    @ApiModelProperty(value = "所属区域-市；dev_dict的id；", position = 12)
    private String regionCity;

    /** 所属区域-县；dev_dict的id； */
    @ApiModelProperty(value = "所属区域-县；dev_dict的id；", position = 13)
    private String regionArea;

    /** 库存规模 */
    @ApiModelProperty(value = "库存规模", position = 14)
    private String inventoryScale;

    /** 粮食价格监测 */
    @ApiModelProperty(value = "粮食价格监测", position = 15)
    private String grainPriceMonitoring;

    /** 市场价格监测 */
    @ApiModelProperty(value = "市场价格监测", position = 16)
    private String marketPriceMonitoring;

    /** 加工转换信息 */
    @ApiModelProperty(value = "加工转换信息", position = 17)
    private String processingConversionInfo;

    /** 仓储设施基本信息 */
    @ApiModelProperty(value = "仓储设施基本信息", position = 18)
    private String storageFacilitiesInfo;

    /** 粮油科技信息 */
    @ApiModelProperty(value = "粮油科技信息", position = 19)
    private String grainTechnologyInfo;

    /** 粮油收支平衡月度信息 */
    @ApiModelProperty(value = "粮油收支平衡月度信息", position = 20)
    private String balanceSheetInfo;

    /** 粮油购销信息 */
    @ApiModelProperty(value = "粮油购销信息", position = 21)
    private String grainOilPurchaseSaleInfo;

    /** 居民农户信息 */
    @ApiModelProperty(value = "居民农户信息", position = 22)
    private String residentFarmerInfo;

    /** 粮油加工信息 */
    @ApiModelProperty(value = "粮油加工信息", position = 23)
    private String processingEnterpriseInfo;

    /** 个体工商户信息 */
    @ApiModelProperty(value = "个体工商户信息", position = 24)
    private String individualMerchantInfo;

    /** 基础设施建设信息 */
    @ApiModelProperty(value = "基础设施建设信息", position = 25)
    private String infrastructureConstructionInfo;

}
