/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.easeEnterprise.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 放心粮油企业管理实体
 *
 * @author QSHan
 * @date  2024/06/18 10:06
 **/
@Getter
@Setter
@TableName("biz_cm_go_ease_enterprise")
public class EaseEnterprise {

    /** 企业记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "企业记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;

    /** 企业信用代码 */
    @ApiModelProperty(value = "企业信用代码", position = 7)
    private String enterpriseCreditCode;

    /** 法定代表人 */
    @ApiModelProperty(value = "法定代表人", position = 8)
    private String legalRepresentative;

    /** 企业地址-省；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-省；dev_dict的id；", position = 9)
    private String enterpriseProvince;

    /** 企业地址-市；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-市；dev_dict的id；", position = 10)
    private String enterpriseCity;

    /** 企业地址-区；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-区；dev_dict的id；", position = 11)
    private String enterpriseArea;

    /** 企业地址-详细地址 */
    @ApiModelProperty(value = "企业地址-详细地址", position = 12)
    private String enterpriseAddress;

    /** 建设情况 */
    @ApiModelProperty(value = "建设情况", position = 13)
    private String constructionSituation;

    /** 是否配送中心，0：否；1：是； */
    @ApiModelProperty(value = "是否配送中心，0：否；1：是；", position = 14)
    private Integer isDistributionCenter;

    /** 是否经营店，0：否；1：是； */
    @ApiModelProperty(value = "是否经营店，0：否；1：是；", position = 15)
    private Integer isOperativeStore;

    /** 经营情况 */
    @ApiModelProperty(value = "经营情况", position = 16)
    private String operationalSituation;

    /** 粮油销售量 */
    @ApiModelProperty(value = "粮油销售量", position = 17)
    private BigDecimal grainOilSalesVolume;

    /** 盈利情况 */
    @ApiModelProperty(value = "盈利情况", position = 18)
    private String profitSituation;

    /** 进学校情况 */
    @ApiModelProperty(value = "进学校情况", position = 19)
    private String inSchoolSituation;

    /** 进学校数量 */
    @ApiModelProperty(value = "进学校数量", position = 20)
    private BigDecimal inSchoolCount;

    /** 状态 0：保存状态；1：提交（申请中）；2：驳回；3：审核通过； */
    @ApiModelProperty(value = "状态 0：保存状态；1：提交（申请中）；2：驳回；3：审核通过；", position = 21)
    private Integer status;

    @ApiModelProperty(value = "是否配送中心名称0：否；1：是；", position = 22)
    @TableField(exist = false)
    private String isDistributionCenterName;

    @ApiModelProperty(value = "是否经营店名称 0：否；1：是；", position = 23)
    @TableField(exist = false)
    private String isOperativeStoreName;

    @ApiModelProperty(value = "审批人", position = 24)
    @TableField(exist = false)
    private String auditUserName;

    @ApiModelProperty(value = "审批时间", position = 25)
    @TableField(exist = false)
    private String auditTime;

    @ApiModelProperty(value = "联系方式", position = 26)
    private String contactInfo;

    @ApiModelProperty(value = "申请人名称", position = 27)
    @TableField(exist = false)
    private String createUserName;
}
