/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.goodEnterprise.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 好粮油企业管理实体
 *
 * @author QSHan
 * @date  2024/06/18 10:02
 **/
@Getter
@Setter
@TableName("biz_cm_go_good_enterprise")
public class GoodEnterprise {

    /** 好粮油管理记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "好粮油管理记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;

    /** 企业信用代码 */
    @ApiModelProperty(value = "企业信用代码", position = 7)
    private String enterpriseCreditCode;

    /** 法人 */
    @ApiModelProperty(value = "法人", position = 8)
    private String legalRepresentative;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInformation;

    /** 企业地址-省；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-省；dev_dict的id；", position = 10)
    private String enterpriseProvince;

    /** 企业地址-市；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-市；dev_dict的id；", position = 11)
    private String enterpriseCity;

    /** 企业地址-区；dev_dict的id； */
    @ApiModelProperty(value = "企业地址-区；dev_dict的id；", position = 12)
    private String enterpriseArea;

    /** 企业地址-详细地址 */
    @ApiModelProperty(value = "企业地址-详细地址", position = 13)
    private String enterpriseAddress;

    /** 粮油销售额 */
    @ApiModelProperty(value = "粮油销售额", position = 14)
    private BigDecimal grainOilSales;

    /** 产品销售额 */
    @ApiModelProperty(value = "产品销售额", position = 15)
    private BigDecimal productSales;

    /** 杂粮销售额 */
    @ApiModelProperty(value = "杂粮销售额", position = 16)
    private BigDecimal coarseGrainSales;

    /** 制品销售额 */
    @ApiModelProperty(value = "制品销售额", position = 17)
    private BigDecimal processedProductSales;

    /** 营业执照图片链接 */
    @ApiModelProperty(value = "营业执照图片链接", position = 18)
    private String businessLicenseImage;

    /** 食品许可证图片链接 */
    @ApiModelProperty(value = "食品许可证图片链接", position = 19)
    private String foodPermitImage;

    /** 状态，0：保存状态；1：提交（申请中）；2：驳回；3：审核通过 */
    @ApiModelProperty(value = "状态，0：保存状态；1：提交（申请中）；2：驳回；3：审核通过", position = 20)
    private Integer status;

    @ApiModelProperty(value = "企业地址", position = 20)
    @TableField(exist = false)
    private String administrativeArea;

    @ApiModelProperty(value = "审批人id", position = 21)
    @TableField(exist = false)
    private String auditUserId;

    @ApiModelProperty(value = "审批人", position = 21)
    @TableField(exist = false)
    private String auditUserName;

    @ApiModelProperty(value = "审批时间", position = 21)
    @TableField(exist = false)
    private String auditTime;

    @ApiModelProperty(value = "申报人姓名", position = 22)
    @TableField(exist = false)
    private String createUserName;
}
