/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.goodEnterprise.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.circulateMonitor.modular.goodEnterprise.entity.GoodEnterprise;
import com.unis.circulateMonitor.modular.goodEnterprise.param.GoodEnterpriseAddParam;
import com.unis.circulateMonitor.modular.goodEnterprise.param.GoodEnterpriseEditParam;
import com.unis.circulateMonitor.modular.goodEnterprise.param.GoodEnterpriseIdParam;
import com.unis.circulateMonitor.modular.goodEnterprise.param.GoodEnterprisePageParam;

import java.util.List;
import java.util.Map;

/**
 * 好粮油企业管理Service接口
 *
 * @author QSHan
 * @date 2024/06/18 10:02
 **/
public interface GoodEnterpriseService extends IService<GoodEnterprise> {

    /**
     * 获取好粮油企业管理分页
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     */
    Page<GoodEnterprise> page(GoodEnterprisePageParam goodEnterprisePageParam);

    /**
     * 添加好粮油企业管理
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     */
    void add(GoodEnterpriseAddParam goodEnterpriseAddParam);

    /**
     * 编辑好粮油企业管理
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     */
    void edit(GoodEnterpriseEditParam goodEnterpriseEditParam);

    /**
     * 删除好粮油企业管理
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     */
    void delete(List<GoodEnterpriseIdParam> goodEnterpriseIdParamList);

    /**
     * 获取好粮油企业管理详情
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     */
    GoodEnterprise detail(GoodEnterpriseIdParam goodEnterpriseIdParam);

    /**
     * 获取好粮油企业管理详情
     *
     * @author QSHan
     * @date 2024/06/18 10:02
     **/
    GoodEnterprise queryEntity(String id);

    List<Map<String, Object>> getEnterpriseList();

}
