/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.realTimeQueryStatistic.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.entity.RealTimeQueryStatisticItem;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param.RealTimeQueryStatisticItemConvertParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 流通监测添加参数
 *
 * @author QSHan
 * @date  2024/06/17 09:41
 **/
@Getter
@Setter
public class RealTimeQueryStatisticAddParam {

    /** 监测点名称 */
    @ApiModelProperty(value = "监测点名称", position = 6)
    private String monitoringPointName;

    /** 负责人 */
    @ApiModelProperty(value = "负责人", position = 7)
    private String personInCharge;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 8)
    private String contactInformation;

    /** 监测地区-省；dev_dict的id； */
    @ApiModelProperty(value = "监测地区-省；dev_dict的id；", position = 9)
    private String monitoringRegionProvince;

    /** 监测地区-市；dev_dict的id； */
    @ApiModelProperty(value = "监测地区-市；dev_dict的id；", position = 10)
    private String monitoringRegionCity;

    /** 监测地区-县；dev_dict的id； */
    @ApiModelProperty(value = "监测地区-县；dev_dict的id；", position = 11)
    private String monitoringRegionArea;

    /** 监测地区-详细地址 */
    @ApiModelProperty(value = "监测地区-详细地址", position = 12)
    private String monitoringRegionAddress;

    /** 波动情况 */
    @ApiModelProperty(value = "波动情况", position = 13)
    private String fluctuationSituation;

    /** 监测时间 */
    @ApiModelProperty(value = "监测时间", position = 14)
    private Date monitoringTime;

    /** 监测单位 */
    @ApiModelProperty(value = "监测单位", position = 15)
    private String monitoringUnit;

    /** 上报地点 */
    @ApiModelProperty(value = "上报地点", position = 16)
    private String reportingLocation;

    /** 交易量信息 */
    @ApiModelProperty(value = "交易量信息", position = 17)
    private String transactionVolumeInfo;

    /*@ApiModelProperty(value = "粮食品种", position = 18)
    @TableField(exist = false)
    private List<RealTimeQueryStatisticItem> itemAddParam;*/

    @ApiModelProperty(value = "粮食品种", position = 18)
    @TableField(exist = false)
    private RealTimeQueryStatisticItemConvertParam itemAddParams;
}
