/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.circulateMonitor.modular.realTimeQueryStatistic.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.circulateMonitor.modular.realTimeQueryStatistic.entity.RealTimeQueryStatistic;
import com.unis.circulateMonitor.modular.realTimeQueryStatistic.param.RealTimeQueryStatisticAddParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatistic.param.RealTimeQueryStatisticEditParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatistic.param.RealTimeQueryStatisticIdParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatistic.param.RealTimeQueryStatisticPageParam;

import java.util.List;

/**
 * 流通监测Service接口
 *
 * @author QSHan
 * @date  2024/06/17 09:41
 **/
public interface RealTimeQueryStatisticService extends IService<RealTimeQueryStatistic> {

    /**
     * 获取流通监测分页
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     */
    Page<RealTimeQueryStatistic> page(RealTimeQueryStatisticPageParam realTimeQueryStatisticPageParam);

    /**
     * 添加流通监测
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     */
    void add(RealTimeQueryStatisticAddParam realTimeQueryStatisticAddParam);

    /**
     * 编辑流通监测
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     */
    void edit(RealTimeQueryStatisticEditParam realTimeQueryStatisticEditParam);

    /**
     * 删除流通监测
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     */
    void delete(List<RealTimeQueryStatisticIdParam> realTimeQueryStatisticIdParamList);

    /**
     * 获取流通监测详情
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     */
    RealTimeQueryStatistic detail(RealTimeQueryStatisticIdParam realTimeQueryStatisticIdParam);

    /**
     * 获取流通监测详情
     *
     * @author QSHan
     * @date  2024/06/17 09:41
     **/
    RealTimeQueryStatistic queryEntity(String id);
}
