/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.entity.RealTimeQueryStatisticItem;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param.RealTimeQueryStatisticItemAddParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param.RealTimeQueryStatisticItemEditParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param.RealTimeQueryStatisticItemIdParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.param.RealTimeQueryStatisticItemPageParam;
import com.unis.circulateMonitor.modular.realTimeQueryStatisticItem.service.RealTimeQueryStatisticItemService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 实时查询统计-粮食品种控制器
 *
 * @author QSHan
 * @date  2024/06/17 09:46
 *//*

@Api(tags = "实时查询统计-粮食品种控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class RealTimeQueryStatisticItemController {

    @Resource
    private RealTimeQueryStatisticItemService realTimeQueryStatisticItemService;

    */
/**
     * 获取实时查询统计-粮食品种分页
     *
     * @author QSHan
     * @date  2024/06/17 09:46
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取实时查询统计-粮食品种分页")
    @SaCheckPermission("/circulateMonitor/realTimeQueryStatisticItem/page")
    @GetMapping("/circulateMonitor/realTimeQueryStatisticItem/page")
    public CommonResult<Page<RealTimeQueryStatisticItem>> page(RealTimeQueryStatisticItemPageParam realTimeQueryStatisticItemPageParam) {
        return CommonResult.data(realTimeQueryStatisticItemService.page(realTimeQueryStatisticItemPageParam));
    }

    */
/**
     * 添加实时查询统计-粮食品种
     *
     * @author QSHan
     * @date  2024/06/17 09:46
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加实时查询统计-粮食品种")
    @CommonLog("添加实时查询统计-粮食品种")
    @SaCheckPermission("/circulateMonitor/realTimeQueryStatisticItem/add")
    @PostMapping("/circulateMonitor/realTimeQueryStatisticItem/add")
    public CommonResult<String> add(@RequestBody @Valid RealTimeQueryStatisticItemAddParam realTimeQueryStatisticItemAddParam) {
        realTimeQueryStatisticItemService.add(realTimeQueryStatisticItemAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑实时查询统计-粮食品种
     *
     * @author QSHan
     * @date  2024/06/17 09:46
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑实时查询统计-粮食品种")
    @CommonLog("编辑实时查询统计-粮食品种")
    @SaCheckPermission("/circulateMonitor/realTimeQueryStatisticItem/edit")
    @PostMapping("/circulateMonitor/realTimeQueryStatisticItem/edit")
    public CommonResult<String> edit(@RequestBody @Valid RealTimeQueryStatisticItemEditParam realTimeQueryStatisticItemEditParam) {
        realTimeQueryStatisticItemService.edit(realTimeQueryStatisticItemEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除实时查询统计-粮食品种
     *
     * @author QSHan
     * @date  2024/06/17 09:46
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除实时查询统计-粮食品种")
    @CommonLog("删除实时查询统计-粮食品种")
    @SaCheckPermission("/circulateMonitor/realTimeQueryStatisticItem/delete")
    @PostMapping("/circulateMonitor/realTimeQueryStatisticItem/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<RealTimeQueryStatisticItemIdParam> realTimeQueryStatisticItemIdParamList) {
        realTimeQueryStatisticItemService.delete(realTimeQueryStatisticItemIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取实时查询统计-粮食品种详情
     *
     * @author QSHan
     * @date  2024/06/17 09:46
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取实时查询统计-粮食品种详情")
    @SaCheckPermission("/circulateMonitor/realTimeQueryStatisticItem/detail")
    @GetMapping("/circulateMonitor/realTimeQueryStatisticItem/detail")
    public CommonResult<RealTimeQueryStatisticItem> detail(@Valid RealTimeQueryStatisticItemIdParam realTimeQueryStatisticItemIdParam) {
        return CommonResult.data(realTimeQueryStatisticItemService.detail(realTimeQueryStatisticItemIdParam));
    }
}
*/
