/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.entity.DqaDataAnalysis;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.entity.vo.DqaDataAnalysisVo;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.param.DqaDataAnalysisAddParam;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.param.DqaDataAnalysisEditParam;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.param.DqaDataAnalysisIdParam;
import com.unis.dataQualityAssessmen.info.modular.dqaDataAnalysis.param.DqaDataAnalysisPageParam;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 数据质量考核-统计分析-数据分析表表Service接口
 *
 * @author TS
 * @date  2024/05/21 15:21
 **/
public interface DqaDataAnalysisService extends IService<DqaDataAnalysis> {

    /**
     * 获取数据质量考核-统计分析-数据分析表表分页
     *
     * @author TS
     * @date  2024/05/21 15:21
     */
    Page<DqaDataAnalysis> page(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 添加数据质量考核-统计分析-数据分析表表
     *
     * @author TS
     * @date  2024/05/21 15:21
     */
    void add(DqaDataAnalysisAddParam dqaDataAnalysisAddParam);

    /**
     * 编辑数据质量考核-统计分析-数据分析表表
     *
     * @author TS
     * @date  2024/05/21 15:21
     */
    void edit(DqaDataAnalysisEditParam dqaDataAnalysisEditParam);

    /**
     * 删除数据质量考核-统计分析-数据分析表表
     *
     * @author TS
     * @date  2024/05/21 15:21
     */
    void delete(List<DqaDataAnalysisIdParam> dqaDataAnalysisIdParamList);

    /**
     * 获取数据质量考核-统计分析-数据分析表表详情
     *
     * @author TS
     * @date  2024/05/21 15:21
     */
    DqaDataAnalysis detail(DqaDataAnalysisIdParam dqaDataAnalysisIdParam);

    /**
     * 获取数据质量考核-统计分析-数据分析表表详情
     *
     * @author TS
     * @date  2024/05/21 15:21
     **/
    DqaDataAnalysis queryEntity(String id);

    /**
     * 定时处理接口数据
     */
    void taskdAction();

    /**
     * 获取数据质量考核-统计分析-数据量自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findCountPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获获取数据质量考核-统计分析-数据量详情自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findCountDetailPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获获取数据质量考核-统计分析-完整性自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findComplePage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获取数据质量考核-统计分析-完整性详情自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findCompleDetailPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获取数据质量考核-统计分析-正确性详情自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findAccuracyPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获取数据质量考核-统计分析-正确性详情自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findAccuracyDetailPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获取数据质量考核-统计分析-自动考核自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findAtuoPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 获取数据质量考核-统计分析-自动考核详情自定义分页
     * @param dqaDataAnalysisPageParam
     * @return
     */
    IPage<DqaDataAnalysisVo> findAtuoDetailPage(DqaDataAnalysisPageParam dqaDataAnalysisPageParam);

    /**
     * 导出数据
     * @param dqaDataAnalysisPageParam
     * @return
     */
    void exportByEntity(DqaDataAnalysisPageParam dqaDataAnalysisPageParam, HttpServletResponse response)throws IOException;
}
