/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.es.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.emergencySupport.modular.es.param.EsDeliveryEnterpriseGrainAddParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 应急保障-应急配送企业管理表实体
 *
 * @author ZeroLiYi
 * @date  2024/06/01 11:37
 **/
@Getter
@Setter
@TableName("biz_es_delivery_enterprise")
public class EsDeliveryEnterprise {

    /** 企业记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "企业记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;

    /** 统一社会信用代码 */
    @ApiModelProperty(value = "统一社会信用代码", position = 7)
    private String creditCode;

    /** 成立时间 */
    @ApiModelProperty(value = "成立时间", position = 8)
    private Date establishmentTime;

    /** 所属总公司企业信用代码 */
    @ApiModelProperty(value = "所属总公司企业信用代码", position = 9)
    private String headquarterCreditCode;

    /** 法人姓名 */
    @ApiModelProperty(value = "法人姓名", position = 10)
    private String legalRepresentative;

    /** 法人联系方式 */
    @ApiModelProperty(value = "法人联系方式", position = 11)
    private String legalContact;

    /** 企业联系人 */
    @ApiModelProperty(value = "企业联系人", position = 12)
    private String enterpriseContact;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 13)
    private String contactNumber;

    /** 所属市州 */
    @ApiModelProperty(value = "所属市州", position = 14)
    private String cityState;

    /** 企业性质 */
    @ApiModelProperty(value = "企业性质", position = 15)
    private String enterpriseNature;

    /** 企业类型 */
    @ApiModelProperty(value = "企业类型", position = 16)
    private String enterpriseType;

    /** 经度 */
    @ApiModelProperty(value = "经度", position = 17)
    private BigDecimal longitude;

    /** 纬度 */
    @ApiModelProperty(value = "纬度", position = 18)
    private BigDecimal latitude;

    /** 应急分类 */
    @ApiModelProperty(value = "应急分类", position = 19)
    private String emergencyCategory;

    /** 实际经营地址（省、市、县、乡镇街道门牌号） */
    @ApiModelProperty(value = "实际经营地址（省、市、县、乡镇街道门牌号）", position = 20)
    private String actualBusinessAddress;

    /** 辐射范围(省/市/县） */
    @ApiModelProperty(value = "辐射范围(省/市/县）", position = 21)
    private String radiationRange;

    /** 生产状态，0：停产；1：生产 */
    @ApiModelProperty(value = "生产状态，0：停产；1：生产", position = 22)
    private Integer productionStatus;

    /** 归口管理地区-省；dev_dict的id； */
    @ApiModelProperty(value = "归口管理地区-省；dev_dict的id；", position = 23)
    private String managementAreaProvince;



    /** 归口管理地区-市；dev_dict的id； */
    @ApiModelProperty(value = "归口管理地区-市；dev_dict的id；", position = 24)
    private String managementAreaCity;


    /** 归口管理地区-县；dev_dict的id； */
    @ApiModelProperty(value = "归口管理地区-县；dev_dict的id；", position = 25)
    private String managementAreaCounty;


    @ApiModelProperty(value = "归口管理地区-省名称", position = 23-1)
    @TableField(exist = false)
    private String managementAreaProvinceName;

    @ApiModelProperty(value = "归口管理地区-市名称", position = 24-1)
    @TableField(exist = false)
    private String managementAreaCityName;

    @ApiModelProperty(value = "归口管理地区-县名称", position = 25-1)
    @TableField(exist = false)
    private String managementAreaCountyName;

    /** 供应应急级别-是否国家级，0：否；1：是 */
    @ApiModelProperty(value = "供应应急级别-是否国家级，0：否；1：是", position = 26)
    private Integer isNationalLevel;

    /** 供应应急级别-是否省级，0：否；1：是 */
    @ApiModelProperty(value = "供应应急级别-是否省级，0：否；1：是", position = 27)
    private Integer isProvincialLevel;

    /** 供应应急级别-是否市级，0：否；1：是 */
    @ApiModelProperty(value = "供应应急级别-是否市级，0：否；1：是", position = 28)
    private Integer isCityLevel;

    /** 供应应急级别-是否县级，0：否；1：是 */
    @ApiModelProperty(value = "供应应急级别-是否县级，0：否；1：是", position = 29)
    private Integer isCountyLevel;

    /** 实际经营地址-省；dev_dict的id； */
    @ApiModelProperty(value = "实际经营地址-省；dev_dict的id；", position = 30)
    private String actualAddressProvince;

    /** 实际经营地址-市；dev_dict的id； */
    @ApiModelProperty(value = "实际经营地址-市；dev_dict的id；", position = 31)
    private String actualAddressCity;

    /** 实际经营地址-县；dev_dict的id； */
    @ApiModelProperty(value = "实际经营地址-县；dev_dict的id；", position = 32)
    private String actualAddressCounty;

    @ApiModelProperty(value = "实际经营地址-省名称", position = 30-1)
    @TableField(exist = false)
    private String actualAddressProvinceName;

    @ApiModelProperty(value = "实际经营地址-市名称", position = 31-1)
    @TableField(exist = false)
    private String actualAddressCityName;

    @ApiModelProperty(value = "实际经营地址-县名称", position = 32-1)
    @TableField(exist = false)
    private String actualAddressCountyName;


    /** 原粮库房仓容 */
    @ApiModelProperty(value = "原粮库房仓容", position = 33)
    private BigDecimal grainWarehouseCapacity;

    /** 原粮油罐罐容 */
    @ApiModelProperty(value = "原粮油罐罐容", position = 34)
    private BigDecimal vegetableOilTankCapacity;

    /** 成品粮库房容 */
    @ApiModelProperty(value = "成品粮库房容", position = 35)
    private BigDecimal finishedGrainWarehouseCapacity;

    /** 成品粮油罐容 */
    @ApiModelProperty(value = "成品粮油罐容", position = 36)
    private BigDecimal finishedOilTankCapacity;

    /** 实际日配送量（吨/天） */
    @ApiModelProperty(value = "实际日配送量（吨/天）", position = 37)
    private BigDecimal dailyDeliveryCapacity;

    /** 自有运输车辆数（辆） */
    @ApiModelProperty(value = "自有运输车辆数（辆）", position = 38)
    private Integer ownTransportVehicles;

    /** 自有车辆日配送能力（吨） */
    @ApiModelProperty(value = "自有车辆日配送能力（吨）", position = 39)
    private BigDecimal ownVehiclesDailyDeliveryCapacity;

    /** 自有运输能力（吨） */
    @ApiModelProperty(value = "自有运输能力（吨）", position = 40)
    private BigDecimal ownTransportCapacity;

    @ApiModelProperty(value="应急配送企业管理-粮食品种",position = 41)
    @TableField(exist = false)
    private List<EsDeliveryEnterpriseGrain> esDeliveryEnterpriseGrainList;
}
