/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.es.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应急保障-应急供应网点管理-应急网点录入-粮食品种实体
 *
 * @author ZeroLiYi
 * @date  2024/05/28 09:22
 **/
@Getter
@Setter
@TableName("biz_es_network_entry_grain")
public class EsNetworkEntryGrain {

    /** 应急网点录入唯一标识符 */
    @TableId
    @ApiModelProperty(value = "应急网点录入唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** biz_es_network_entry的id； */
    @ApiModelProperty(value = "biz_es_network_entry的id；", position = 6)
    private String esNetworkEntryId;

    /** 类型 1：日库存；2：日销量；3：日供应能力；4：安全库存； */
    @ApiModelProperty(value = "类型 1：日库存；2：日销量；3：日供应能力；4：安全库存；", position = 7)
    private Integer type;

    /** 粮食品种 1：小麦粉成品粮；2：大米成品粮；3：食用油成品粮；4：其他成品粮； */
    @ApiModelProperty(value = "粮食品种 1：小麦粉成品粮；2：大米成品粮；3：食用油成品粮；4：其他成品粮；", position = 8)
    private Integer grainVariety;

    /** 数量（吨） */
    @ApiModelProperty(value = "数量（吨）", position = 9)
    private BigDecimal quantity;
}
