/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.es.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应急保障-应急加工企业管理-粮食品种实体
 *
 * @author ZeroLiYi
 * @date  2024/05/30 16:39
 **/
@Getter
@Setter
@TableName("biz_es_process_enterprise_grain")
public class EsProcessEnterpriseGrain {

    /** 企业记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "企业记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** biz_es_process_enterprise的id */
    @ApiModelProperty(value = "biz_es_process_enterprise的id", position = 6)
    private String esProcessEnterpriseId;

    /** 类型 1：日入库量；2：日销量；3：日库存；4：日加工量；5：日加工能力； */
    @ApiModelProperty(value = "类型 1：日入库量；2：日销量；3：日库存；4：日加工量；5：日加工能力；", position = 7)
    private Integer type;

    /** 粮食品种 1：小麦原粮:2：稻谷原粮:3：大豆原粮；4：玉米原粮；5：其他原粮；6：小麦粉成品粮；7：大米成品粮；8：食用油成品粮；9：其他成品粮；10：日加工-小麦；11：日加工-稻谷日加工量；12：日加工-油料处理日产量；13：日加工-油料精炼日产量；14：日加工-油脂分装日产量；15：日加工-其它日加工量； */
    @ApiModelProperty(value = "粮食品种 1：小麦原粮:2：稻谷原粮:3：大豆原粮；4：玉米原粮；5：其他原粮；6：小麦粉成品粮；7：大米成品粮；8：食用油成品粮；9：其他成品粮；10：日加工-小麦；11：日加工-稻谷日加工量；12：日加工-油料处理日产量；13：日加工-油料精炼日产量；14：日加工-油脂分装日产量；15：日加工-其它日加工量；", position = 8)
    private Integer grainVariety;

    /** 数量（吨） */
    @ApiModelProperty(value = "数量（吨）", position = 9)
    private BigDecimal quantity;
}
