/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.es.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unis.emergencySupport.modular.es.entity.EsNetworkEntry;
import com.unis.emergencySupport.modular.es.entity.vo.EsNetworkEntryCountVO;
import com.unis.emergencySupport.modular.es.entity.vo.EsNetworkEntryVO;
import com.unis.emergencySupport.modular.es.param.EsNetworkEntryCountParam;
import com.unis.emergencySupport.modular.es.param.EsNetworkEntryIdParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 应急保障-应急供应网点管理-应急网点录入表Mapper接口
 *
 * @author ZeroLiYi
 * @date  2024/05/28 09:21
 **/
public interface EsNetworkEntryMapper extends BaseMapper<EsNetworkEntry> {


    EsNetworkEntryVO selectesNetworkEntryDetail(@Param("esNetworkEntryIdParam") EsNetworkEntryIdParam esNetworkEntryIdParam);

    /**
     * 查询归口管理地区-省的企业数量和各类粮食品种总量
     * @return
     */
    List<EsNetworkEntryCountVO> selectProvinceCount(@Param("esNetworkEntryCountParam") EsNetworkEntryCountParam esNetworkEntryCountParam);

    /**
     * 查询归口管理地区-市的企业数量和各类粮食品种总量
     * @return
     */
    List<EsNetworkEntryCountVO> selectCityCount(@Param("esNetworkEntryCountParam")EsNetworkEntryCountParam esNetworkEntryCountParam);
    /**
     * 查询归口管理地区-县的企业数量和各类粮食品种总量
     * @return
     */
    List<EsNetworkEntryCountVO> selectCountyCount(@Param("esNetworkEntryCountParam")EsNetworkEntryCountParam esNetworkEntryCountParam);
    /**
     * 查询企业各类粮食品种总量
     * @return
     */
    List<EsNetworkEntryCountVO> selectEnterpriseCount(@Param("esNetworkEntryCountParam")EsNetworkEntryCountParam esNetworkEntryCountParam);
}
