/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.es.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应急保障-应急配送企业管理-粮食品种添加参数
 *
 * @author ZeroLiYi
 * @date  2024/06/01 11:36
 **/
@Getter
@Setter
public class EsDeliveryEnterpriseGrainAddParam {

    private String id;

    /** biz_es_delivery_enterprise的id； */
    @ApiModelProperty(value = "biz_es_delivery_enterprise的id；", position = 6)
    private String esDeliveryEnterpriseId;

    /** 类型 1：日库存；2：日吞吐量；3：吞吐能力； */
    @ApiModelProperty(value = "类型 1：日库存；2：日吞吐量；3：吞吐能力；", position = 7)
    private Integer type;

    /** 粮食品种 1：小麦原粮；2：稻谷原粮；3：大豆原粮；4：玉米原粮；5：其他原粮；6：小麦粉成品粮；7：大米成品粮；8：食用油成品粮；9：其他成品粮； */
    @ApiModelProperty(value = "粮食品种 1：小麦原粮；2：稻谷原粮；3：大豆原粮；4：玉米原粮；5：其他原粮；6：小麦粉成品粮；7：大米成品粮；8：食用油成品粮；9：其他成品粮；", position = 8)
    private Integer grainVariety;

    /** 数量（吨） */
    @ApiModelProperty(value = "数量（吨）", position = 9)
    private BigDecimal quantity;

}
