/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupport.modular.esstorageenterprise.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.emergencySupport.modular.esstorageenterprise.entity.BizEsStorageEnterprise;
import com.unis.emergencySupport.modular.esstorageenterprise.param.*;
import com.unis.emergencySupport.modular.esstorageenterprisegrain.param.BizEsStorageEnterpriseGrainAddParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 应急保障-应急仓储企业管理表Service接口
 *
 * @author shine
 * @date  2024/05/25 14:37
 **/
public interface BizEsStorageEnterpriseService extends IService<BizEsStorageEnterprise> {

    /**
     * 获取应急保障-应急仓储企业管理表分页
     *
     * @author shine
     * @date  2024/05/25 14:37
     */
    Page<BizEsStorageEnterprise> page(BizEsStorageEnterprisePageParam bizEsStorageEnterprisePageParam);

    /**
     * 添加应急保障-应急仓储企业管理表
     *
     * @author shine
     * @date  2024/05/25 14:37
     */
    void add(BizEsStorageEnterpriseAddParam bizEsStorageEnterpriseAddParam);

    /**
     * 编辑应急保障-应急仓储企业管理表
     *
     * @author shine
     * @date  2024/05/25 14:37
     */
    void edit(BizEsStorageEnterpriseEditParam bizEsStorageEnterpriseEditParam);

    /**
     * 删除应急保障-应急仓储企业管理表
     *
     * @author shine
     * @date  2024/05/25 14:37
     */
    void delete(List<BizEsStorageEnterpriseIdParam> bizEsStorageEnterpriseIdParamList);

    /**
     * 获取应急保障-应急仓储企业管理表详情
     *
     * @author shine
     * @date  2024/05/25 14:37
     */
    BizEsStorageEnterprise detail(BizEsStorageEnterpriseIdParam bizEsStorageEnterpriseIdParam);

    /**
     * 获取应急保障-应急仓储企业管理表详情
     *
     * @author shine
     * @date  2024/05/25 14:37
     **/
    BizEsStorageEnterprise queryEntity(String id);

    void saveAll(BizEsStorageEnterpriseAddParam bizEsStorageEnterpriseAddParam);

    Map<String, Object> importByEntityResult(MultipartFile file, Map<String, Object> map) throws Exception;

    List<Map<String,Object>> getAllList(String type);

    List<Map<String,Object>> statistics(String city);
}
