/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.esEdExecutionProcess.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.entity.EsEdExecutionProcess;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.entity.VO.EsEdExecutionProcessVO;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.param.EsEdExecutionProcessAddParam;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.param.EsEdExecutionProcessEditParam;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.param.EsEdExecutionProcessIdParam;
import com.unis.emergencySupportCenter.modular.esEdExecutionProcess.param.EsEdExecutionProcessPageParam;

import java.util.List;

/**
 * 应急演练-执行过程Service接口
 *
 * @author TS
 * @date  2024/07/01 10:06
 **/
public interface EsEdExecutionProcessService extends IService<EsEdExecutionProcess> {

    /**
     * 获取应急演练-执行过程分页
     *
     * @author TS
     * @date  2024/07/01 10:06
     */
    Page<EsEdExecutionProcess> page(EsEdExecutionProcessPageParam esEdExecutionProcessPageParam);

    /**
     * 添加应急演练-执行过程
     *
     * @author TS
     * @date  2024/07/01 10:06
     */
    void add(EsEdExecutionProcessAddParam esEdExecutionProcessAddParam);

    /**
     * 编辑应急演练-执行过程
     *
     * @author TS
     * @date  2024/07/01 10:06
     */
    void edit(EsEdExecutionProcessEditParam esEdExecutionProcessEditParam);

    /**
     * 删除应急演练-执行过程
     *
     * @author TS
     * @date  2024/07/01 10:06
     */
    void delete(List<EsEdExecutionProcessIdParam> esEdExecutionProcessIdParamList);

    /**
     * 获取应急演练-执行过程详情
     *
     * @author TS
     * @date  2024/07/01 10:06
     */
    EsEdExecutionProcessVO detail(EsEdExecutionProcessIdParam esEdExecutionProcessIdParam);

    /**
     * 获取应急演练-执行过程详情
     *
     * @author TS
     * @date  2024/07/01 10:06
     **/
    EsEdExecutionProcess queryEntity(String id);

    /**
     * 获取应急演练-执行过程分自定义页
     * @param esEdExecutionProcessPageParam
     * @return
     */
    IPage<EsEdExecutionProcessVO> findPage(EsEdExecutionProcessPageParam esEdExecutionProcessPageParam);
}
