/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.esEdProcessDesign.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应急演练-流程设计添加参数
 *
 * @author TS
 * @date  2024/07/01 10:02
 **/
@Getter
@Setter
public class EsEdProcessDesignAddParam {

    /** 演练主题 */
    @ApiModelProperty(value = "演练主题", position = 6)
    private String drillTheme;

    /** 负责领导 */
    @ApiModelProperty(value = "负责领导", position = 7)
    private String responsibleLeader;

    /** 负责部门 */
    @ApiModelProperty(value = "负责部门", position = 8)
    private String responsibleDepartment;

    /** 应急演练人员 */
    @ApiModelProperty(value = "应急演练人员", position = 9)
    private String drillPersonnel;

    /** 演练流程 */
    @ApiModelProperty(value = "演练流程", position = 10)
    private String drillProcess;

    /** 演练内容 */
    @ApiModelProperty(value = "演练内容", position = 11)
    private String drillContent;

    /** 上传附件 */
    @ApiModelProperty(value = "上传附件", position = 12)
    private String attachment;

}
