/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.esEdSceneRecord.param;

import com.unis.emergencySupportCenter.modular.esEdSceneRecordItem.entity.EsEdSceneRecordItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 应急演练-现场过程记录管理编辑参数
 *
 * @author TS
 * @date  2024/07/01 15:59
 **/
@Getter
@Setter
public class EsEdSceneRecordEditParam {

    /** 唯一标识 */
    @ApiModelProperty(value = "唯一标识", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 演练主题；biz_es_ed_execution_process的id； */
    @ApiModelProperty(value = "演练主题；biz_es_ed_execution_process的id；", position = 6)
    private String esEdExecutionProcessId;

    @ApiModelProperty(value = "现场过程记录管理明细列表", position = 7)
    private List<EsEdSceneRecordItem> itemList;
}
