/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.onlinePlanFormulation.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 在线方案制定添加参数
 *
 * @author QSHan
 * @date  2024/06/28 14:23
 **/
@Getter
@Setter
public class OnlinePlanFormulationAddParam {

    /** 方案名称 */
    @ApiModelProperty(value = "方案名称", position = 6)
    private String planName;

    /** 应急级别 1:省级粮食应急响应；2:市州级粮食应急响应；3:县级粮食应急响应 */
    @ApiModelProperty(value = "应急级别 1:省级粮食应急响应；2:市州级粮食应急响应；3:县级粮食应急响应", position = 7)
    private Integer emergencyLevel;

    /** 灾害等级 1:特别重大；2:重大；3:较大；4:一般 */
    @ApiModelProperty(value = "灾害等级 1:特别重大；2:重大；3:较大；4:一般", position = 8)
    private Integer disasterLevel;

    /** 受灾地区；dev_dict的id； */
    @ApiModelProperty(value = "受灾地区；dev_dict的id；", position = 9)
    private String affectedArea;

    /** 接收应急网点，可以多选；biz_es_network_entry的id，，多个","分隔； */
    @ApiModelProperty(value = "接收应急网点，可以多选；biz_es_network_entry的id，，多个','分隔；", position = 10)
    private String esNetworkEntryIds;

    /** 预案内容 */
    @ApiModelProperty(value = "预案内容", position = 11)
    private String planContent;

    /** 上传附件 */
    @ApiModelProperty(value = "上传附件", position = 12)
    private String attachment;

    /** 状态 0:保存；1:下发 */
    @ApiModelProperty(value = "状态 0:保存；1:下发", position = 13)
    private Integer status;

    // 业务字段
    @ApiModelProperty(value = "接收方案单位id:多个','逗号隔开", position = 14)
    private String sysOrgIds;
}
