/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.onlinePlanFormulation.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.emergencySupport.modular.es.entity.EsNetworkEntry;
import com.unis.emergencySupport.modular.esstorageenterprise.entity.BizEsStorageEnterprise;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulation.entity.OnlinePlanFormulation;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulation.param.OnlinePlanFormulationAddParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulation.param.OnlinePlanFormulationEditParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulation.param.OnlinePlanFormulationIdParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulation.param.OnlinePlanFormulationPageParam;

import java.util.List;
import java.util.Map;

/**
 * 在线方案制定Service接口
 *
 * @author QSHan
 * @date  2024/06/28 14:23
 **/
public interface OnlinePlanFormulationService extends IService<OnlinePlanFormulation> {

    /**
     * 获取在线方案制定分页
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     */
    Page<OnlinePlanFormulation> page(OnlinePlanFormulationPageParam onlinePlanFormulationPageParam);

    /**
     * 添加在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     */
    void add(OnlinePlanFormulationAddParam onlinePlanFormulationAddParam);

    /**
     * 编辑在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     */
    void edit(OnlinePlanFormulationEditParam onlinePlanFormulationEditParam);

    /**
     * 删除在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     */
    void delete(List<OnlinePlanFormulationIdParam> onlinePlanFormulationIdParamList);

    /**
     * 获取在线方案制定详情
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     */
    OnlinePlanFormulation detail(OnlinePlanFormulationIdParam onlinePlanFormulationIdParam);

    /**
     * 获取在线方案制定详情
     *
     * @author QSHan
     * @date  2024/06/28 14:23
     **/
    OnlinePlanFormulation queryEntity(String id);

    List<Map<String, Object>> getEmergencyPointList();

    List<Map<String, Object>> getPlanNameStatusOneList();
}
