/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.entity.OnlinePlanFormulationOrg;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.param.OnlinePlanFormulationOrgAddParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.param.OnlinePlanFormulationOrgEditParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.param.OnlinePlanFormulationOrgIdParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.param.OnlinePlanFormulationOrgPageParam;
import com.unis.emergencySupportCenter.modular.onlinePlanFormulationOrg.service.OnlinePlanFormulationOrgService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 在线方案制定控制器
 *
 * @author QSHan
 * @date  2024/06/28 14:29
 *//*

@Api(tags = "在线方案制定控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class OnlinePlanFormulationOrgController {

    @Resource
    private OnlinePlanFormulationOrgService onlinePlanFormulationOrgService;

    */
/**
     * 获取在线方案制定分页
     *
     * @author QSHan
     * @date  2024/06/28 14:29
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取在线方案制定分页")
    @SaCheckPermission("/emergencySupportCenter/onlinePlanFormulationOrg/page")
    @GetMapping("/emergencySupportCenter/onlinePlanFormulationOrg/page")
    public CommonResult<Page<OnlinePlanFormulationOrg>> page(OnlinePlanFormulationOrgPageParam onlinePlanFormulationOrgPageParam) {
        return CommonResult.data(onlinePlanFormulationOrgService.page(onlinePlanFormulationOrgPageParam));
    }

    */
/**
     * 添加在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:29
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加在线方案制定")
    @CommonLog("添加在线方案制定")
    @SaCheckPermission("/emergencySupportCenter/onlinePlanFormulationOrg/add")
    @PostMapping("/emergencySupportCenter/onlinePlanFormulationOrg/add")
    public CommonResult<String> add(@RequestBody @Valid OnlinePlanFormulationOrgAddParam onlinePlanFormulationOrgAddParam) {
        onlinePlanFormulationOrgService.add(onlinePlanFormulationOrgAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:29
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑在线方案制定")
    @CommonLog("编辑在线方案制定")
    @SaCheckPermission("/emergencySupportCenter/onlinePlanFormulationOrg/edit")
    @PostMapping("/emergencySupportCenter/onlinePlanFormulationOrg/edit")
    public CommonResult<String> edit(@RequestBody @Valid OnlinePlanFormulationOrgEditParam onlinePlanFormulationOrgEditParam) {
        onlinePlanFormulationOrgService.edit(onlinePlanFormulationOrgEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除在线方案制定
     *
     * @author QSHan
     * @date  2024/06/28 14:29
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除在线方案制定")
    @CommonLog("删除在线方案制定")
    @SaCheckPermission("/emergencySupportCenter/onlinePlanFormulationOrg/delete")
    @PostMapping("/emergencySupportCenter/onlinePlanFormulationOrg/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<OnlinePlanFormulationOrgIdParam> onlinePlanFormulationOrgIdParamList) {
        onlinePlanFormulationOrgService.delete(onlinePlanFormulationOrgIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取在线方案制定详情
     *
     * @author QSHan
     * @date  2024/06/28 14:29
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取在线方案制定详情")
    @SaCheckPermission("/emergencySupportCenter/onlinePlanFormulationOrg/detail")
    @GetMapping("/emergencySupportCenter/onlinePlanFormulationOrg/detail")
    public CommonResult<OnlinePlanFormulationOrg> detail(@Valid OnlinePlanFormulationOrgIdParam onlinePlanFormulationOrgIdParam) {
        return CommonResult.data(onlinePlanFormulationOrgService.detail(onlinePlanFormulationOrgIdParam));
    }
}
*/
