/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.planExecute.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.emergencySupportCenter.modular.planExecute.entity.PlanExecute;
import com.unis.emergencySupportCenter.modular.planExecute.param.PlanExecuteAddParam;
import com.unis.emergencySupportCenter.modular.planExecute.param.PlanExecuteEditParam;
import com.unis.emergencySupportCenter.modular.planExecute.param.PlanExecuteIdParam;
import com.unis.emergencySupportCenter.modular.planExecute.param.PlanExecutePageParam;
import com.unis.emergencySupportCenter.modular.planExecuteEnterprise.entity.PlanExecuteEnterprise;

import java.util.List;

/**
 * 方案执行情况Service接口
 *
 * @author QSHan
 * @date  2024/06/28 17:10
 **/
public interface PlanExecuteService extends IService<PlanExecute> {

    /**
     * 获取方案执行情况分页
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     */
    Page<PlanExecute> page(PlanExecutePageParam planExecutePageParam);

    /**
     * 添加方案执行情况
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     */
    void add(PlanExecuteAddParam planExecuteAddParam);

    /**
     * 编辑方案执行情况
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     */
    void edit(PlanExecuteEditParam planExecuteEditParam);

    /**
     * 删除方案执行情况
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     */
    void delete(List<PlanExecuteIdParam> planExecuteIdParamList);

    /**
     * 获取方案执行情况详情
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     */
    PlanExecute detail(PlanExecuteIdParam planExecuteIdParam);

    /**
     * 获取方案执行情况详情
     *
     * @author QSHan
     * @date  2024/06/28 17:10
     **/
    PlanExecute queryEntity(String id);

    List<PlanExecuteEnterprise> getFourTypeList();
}
