/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.planExecuteEnterprise.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 方案执行情况-企业实体
 *
 * @author QSHan
 * @date  2024/06/28 17:13
 **/
@Getter
@Setter
@TableName("biz_es_ep_plan_execute_enterprise")
public class PlanExecuteEnterprise {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 更新用户 */
    @ApiModelProperty(value = "更新用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 接收方案单位；sys_org的id； */
    @ApiModelProperty(value = "接收方案单位；sys_org的id；", position = 6)
    private String sysOrgId;

    /** biz_es_plan_execute的id； */
    @ApiModelProperty(value = "biz_es_plan_execute的id；", position = 7)
    private String esPlanExecuteId;

    /** 企业类型 1:应急供应网点；2:应急加工企业；3:应急配送企业；4:应急仓储企业 */
    @ApiModelProperty(value = "企业类型 1:应急供应网点；2:应急加工企业；3:应急配送企业；4:应急仓储企业", position = 8)
    private Integer enterpriseType;

    /** 企业名称id；enterprise_type=1，biz_es_network_entry的id；
        enterprise_type=2，biz_es_process_enterprise的id；
        enterprise_type=3，biz_es_delivery_enterprise的id；
        enterprise_type=4，biz_es_storage_enterprise的id；
     */
    @ApiModelProperty(value = "企业名称id；enterprise_type=1，biz_es_network_entry的id；enterprise_type=2，biz_es_process_enterprise的id；enterprise_type=3，biz_es_delivery_enterprise的id；enterprise_type=4，biz_es_storage_enterprise的id；", position = 9)
    private String enterpriseId;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 10)
    private Integer grainVarietyId;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 11)
    private BigDecimal quantity;

    /** 质量（粮食等级）；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "质量（粮食等级）；外库depot_qh.basic_enum的id；", position = 12)
    private String grainGradeId;

    @ApiModelProperty(value = "企业名称", position = 13)
    @TableField(exist = false)
    private String enterpriseName;

    @ApiModelProperty(value = "所属市州名称", position = 14)
    @TableField(exist = false)
    private String sysOrgName;

    @ApiModelProperty(value = "粮食品种名称", position = 15)
    @TableField(exist = false)
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食等级名称", position = 16)
    @TableField(exist = false)
    private String grainGradeName;
}
