/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.emergencySupportCenter.modular.planExecuteEnterprise.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 方案执行情况-企业添加参数
 *
 * @author QSHan
 * @date  2024/06/28 17:13
 **/
@Getter
@Setter
public class PlanExecuteEnterpriseAddParam {

    /** 接收方案单位；sys_org的id； */
    @ApiModelProperty(value = "接收方案单位；sys_org的id；", position = 6)
    private String sysOrgId;

    /** biz_es_plan_execute的id； */
    @ApiModelProperty(value = "biz_es_plan_execute的id；", position = 7)
    private String esPlanExecuteId;

    /** 企业类型 1:应急供应网点；2:应急加工企业；3:应急配送企业；4:应急仓储企业 */
    @ApiModelProperty(value = "企业类型 1:应急供应网点；2:应急加工企业；3:应急配送企业；4:应急仓储企业", position = 8)
    private Integer enterpriseType;

    /** 企业名称id；enterprise_type=1，biz_es_network_entry的id；
        enterprise_type=2，biz_es_process_enterprise的id；
        enterprise_type=3，biz_es_delivery_enterprise的id；
        enterprise_type=4，biz_es_storage_enterprise的id；
     */
    @ApiModelProperty(value = "企业名称id；enterprise_type=1，biz_es_network_entry的id；enterprise_type=2，biz_es_process_enterprise的id；enterprise_type=3，biz_es_delivery_enterprise的id；enterprise_type=4，biz_es_storage_enterprise的id；", position = 9)
    private String enterpriseId;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 10)
    private Integer grainVarietyId;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 11)
    private BigDecimal quantity;

    /** 质量（粮食等级）；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "质量（粮食等级）；外库depot_qh.basic_enum的id；", position = 12)
    private String grainGradeId;

}
