/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseCreditManagement.info.modular.ecmCreditAssess.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业信用管理-信用评价表添加参数
 *
 * @author TS
 * @date  2024/05/17 17:37
 **/
@Getter
@Setter
public class EcmCreditAssessAddParam {

    /** 企业履约次数-最小值 */
    @ApiModelProperty(value = "企业履约次数-最小值", position = 6)
    private Integer minFulfilmentTime;

    /** 企业履约次数-最大值 */
    @ApiModelProperty(value = "企业履约次数-最大值", position = 7)
    private Integer maxFulfilmentTime;

    /** 企业违约次数-最小值 */
    @ApiModelProperty(value = "企业违约次数-最小值", position = 8)
    private Integer minBreachTime;

    /** 企业违约次数-最大值 */
    @ApiModelProperty(value = "企业违约次数-最大值", position = 9)
    private Integer maxBreachTime;

    /** 信用评分 */
    @ApiModelProperty(value = "信用评分", position = 10)
    private BigDecimal creditScore;

    /** 信用等级，1：一级；2：二级；3：三级； */
    @ApiModelProperty(value = "信用等级，1：一级；2：二级；3：三级；", position = 11)
    private Integer creditLevel;

    /** 评价结果，1：优秀；2：良好；3：一般； */
    @ApiModelProperty(value = "评价结果，1：优秀；2：良好；3：一般；", position = 12)
    private Integer assessResult;

}
