package com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.EcmCreditData;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.vo.EcmCreditDataVo;
import com.unis.policy.info.modular.alPolicyFileReport.entity.AlPolicyFileReport;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业信用管理-信用数据管理表Mapper接口
 *
 * @author TS
 * @date  2024/05/17 17:35
 **/
public interface EcmCreditDataMapper extends BaseMapper<EcmCreditData> {
    /**
     * 获取企业信用管理-信用数据管理表自定义分页
     * @param p
     * @param queryWrapper
     * @return
     */
    IPage<EcmCreditDataVo> selectMyMapsPage(Page<EcmCreditDataVo> p, @Param(Constants.WRAPPER)QueryWrapper<AlPolicyFileReport> queryWrapper);

    /**
     * 获取未添加企业信用管理下拉列表
     * @return
     */
    List<EcmCreditDataVo> getUnitList();

    /**
     * 获取详情
     * @param id
     * @return
     */
    EcmCreditDataVo detail(@Param("id") String id);
}
