/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业信用管理-信用数据管理表添加参数
 *
 * @author TS
 * @date  2024/05/17 17:35
 **/
@Getter
@Setter
public class EcmCreditDataAddParam {

    /** 单位id；biz_unit_info的id； */
    @ApiModelProperty(value = "单位id；biz_unit_info的id；", position = 6)
    private String unitInfoId;

    /** 信用评分 */
    @ApiModelProperty(value = "信用评分", position = 7)
    private BigDecimal creditScore;

    /** 信用等级，1：一级；2：二级；3：三级 */
    @ApiModelProperty(value = "信用等级，1：一级；2：二级；3：三级", position = 8)
    private Integer creditLevel;

    /** 企业履约次数 */
    @ApiModelProperty(value = "企业履约次数", position = 9)
    private Integer fulfilmentTimes;

    /** 企业违约次数 */
    @ApiModelProperty(value = "企业违约次数", position = 10)
    private Integer breachTimes;

    /** 评定单位/机构 */
    @ApiModelProperty(value = "评定单位/机构", position = 11)
    private String evaluationUnit;

    /** 行政处罚信息 */
    @ApiModelProperty(value = "行政处罚信息", position = 12)
    private String administrativePenaltyInfo;

    /** 经营异常信息 */
    @ApiModelProperty(value = "经营异常信息", position = 13)
    private String businessAbnormalInfo;

    /** 违法失信信息 */
    @ApiModelProperty(value = "违法失信信息", position = 14)
    private String illegalDishonestyInfo;

    /** 评价结果，1：优秀；2：良好；3：一般 */
    @ApiModelProperty(value = "评价结果，1：优秀；2：良好；3：一般", position = 15)
    private Integer assessResult;

    /** 评价结果描述，分析结果； */
    @ApiModelProperty(value = "评价结果描述，分析结果；", position = 16)
    private String assessResultDepict;

    /** 是否公开评价结果 0：否；1：是； */
    @ApiModelProperty(value = "是否公开评价结果 0：否；1：是；", position = 17)
    private Integer isOpen;

    /** 是否共享 0：否；1：是； */
    @ApiModelProperty(value = "是否共享 0：否；1：是；", position = 18)
    private Integer isShare;

}
