/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.pojo.CommonValidList;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.EcmCreditData;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.vo.EcmCreditDataVo;
import java.util.List;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param.EcmCreditDataAddParam;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param.EcmCreditDataEditParam;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param.EcmCreditDataIdParam;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param.EcmCreditDataPageParam;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.param.EcmCreditDataShareParam;

/**
 * 企业信用管理-信用数据管理表Service接口
 *
 * @author TS
 * @date  2024/05/17 17:35
 **/
public interface EcmCreditDataService extends IService<EcmCreditData> {

    /**
     * 获取企业信用管理-信用数据管理表分页
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    Page<EcmCreditData> page(EcmCreditDataPageParam ecmCreditDataPageParam);

    /**
     * 添加企业信用管理-信用数据管理表
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    void add(EcmCreditDataAddParam ecmCreditDataAddParam);

    /**
     * 编辑企业信用管理-信用数据管理表
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    void edit(EcmCreditDataEditParam ecmCreditDataEditParam);

    /**
     * 删除企业信用管理-信用数据管理表
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    void delete(List<EcmCreditDataIdParam> ecmCreditDataIdParamList);

    /**
     * 获取企业信用管理-信用数据管理表详情
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    EcmCreditDataVo detail(EcmCreditDataIdParam ecmCreditDataIdParam);

    /**
     * 获取企业信用管理-信用数据管理表详情
     *
     * @author TS
     * @date  2024/05/17 17:35
     */
    EcmCreditData queryEntity(String id);

    /**
     * 获取企业信用管理-信用数据管理表自定义分页
     * @param ecmCreditDataPageParam
     * @return
     */
    IPage<EcmCreditDataVo> findPage(EcmCreditDataPageParam ecmCreditDataPageParam);

    /**
     * 获取未添加企业信用管理下拉列表
     * @return
     */
    List<EcmCreditDataVo> getUnitList();

    /**
     * 批量共享
     * @param creditDataShareParamList
     */
    void shares(CommonValidList<EcmCreditDataShareParam> creditDataShareParamList);

    /**
     * 定时通过信用评价生成对信用数据的评价
     */
    void taskAction();
}
