/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emKnowledge.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业管理-知识库建设添加参数
 *
 * @author TS
 * @date  2024/04/25 11:44
 **/
@Getter
@Setter
public class EmKnowledgeAddParam {

    /** 主题 */
    @ApiModelProperty(value = "主题", position = 7)
    private String theme;

    /** 类别 1：员工培养；2：技术培养； */
    @ApiModelProperty(value = "类别 1：员工培养；2：技术培养；", position = 8)
    private String category;

    /** 范围 */
    @ApiModelProperty(value = "范围", position = 9)
    private String scope;

    /** 发布人 */
    @ApiModelProperty(value = "发布人", position = 10)
    private String publisher;

    /** 发布时间 */
    @ApiModelProperty(value = "发布时间", position = 11)
    private Date publishTime;

    /** 发布内容 */
    @ApiModelProperty(value = "发布内容", position = 12)
    private String publishContent;

    /** 附件路径 */
    @ApiModelProperty(value = "附件路径", position = 13)
    private String attachment;

}
