/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emKnowledge.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.enterpriseManagement.info.modular.emKnowledge.entity.EmKnowledge;
import com.unis.enterpriseManagement.info.modular.emKnowledge.param.EmKnowledgeAddParam;
import com.unis.enterpriseManagement.info.modular.emKnowledge.param.EmKnowledgeEditParam;
import com.unis.enterpriseManagement.info.modular.emKnowledge.param.EmKnowledgeIdParam;
import com.unis.enterpriseManagement.info.modular.emKnowledge.param.EmKnowledgePageParam;

import java.util.List;
import java.util.Map;

/**
 * 企业管理-知识库建设Service接口
 *
 * @author TS
 * @date  2024/04/25 11:44
 **/
public interface EmKnowledgeService extends IService<EmKnowledge> {

    /**
     * 获取企业管理-知识库建设分页
     *
     * @author TS
     * @date  2024/04/25 11:44
     */
    Page<EmKnowledge> page(EmKnowledgePageParam emKnowledgePageParam);

    /**
     * 添加企业管理-知识库建设
     *
     * @author TS
     * @date  2024/04/25 11:44
     */
    void add(EmKnowledgeAddParam emKnowledgeAddParam);

    /**
     * 编辑企业管理-知识库建设
     *
     * @author TS
     * @date  2024/04/25 11:44
     */
    void edit(EmKnowledgeEditParam emKnowledgeEditParam);

    /**
     * 删除企业管理-知识库建设
     *
     * @author TS
     * @date  2024/04/25 11:44
     */
    void delete(List<EmKnowledgeIdParam> emKnowledgeIdParamList);

    /**
     * 获取企业管理-知识库建设详情
     *
     * @author TS
     * @date  2024/04/25 11:44
     */
    EmKnowledge detail(EmKnowledgeIdParam emKnowledgeIdParam);

    /**
     * 获取企业管理-知识库建设详情
     *
     * @author TS
     * @date  2024/04/25 11:44
     **/
    EmKnowledge queryEntity(String id);

    /**
     * 获取企业管理-知识库建设自定义分页
     * @param emKnowledgePageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(EmKnowledgePageParam emKnowledgePageParam);
}
