/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emPersonInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业管理-人员信息管理添加参数
 *
 * @author TS
 * @date  2024/04/25 11:36
 **/
@Getter
@Setter
public class EmPersonInfoAddParam {

    /** 姓名 */
    @ApiModelProperty(value = "姓名", position = 7)
    private String name;

    /** 性别 */
    @ApiModelProperty(value = "性别", position = 8)
    private String gender;

    /** 年龄 */
    @ApiModelProperty(value = "年龄", position = 9)
    private Integer age;

    /** 当前所属岗位 */
    @ApiModelProperty(value = "当前所属岗位", position = 10)
    private String position;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 11)
    private String contact;

    /** 邮箱 */
    @ApiModelProperty(value = "邮箱", position = 12)
    private String email;

    /** 工作年限 */
    @ApiModelProperty(value = "工作年限", position = 13)
    private Integer workYears;

    /** 政治面貌 */
    @ApiModelProperty(value = "政治面貌", position = 14)
    private String politicalStatus;

    /** 籍贯 */
    @ApiModelProperty(value = "籍贯", position = 15)
    private String nativePlace;

    /** 民族 */
    @ApiModelProperty(value = "民族", position = 16)
    private String ethnicity;

    /** 身份证号码 */
    @ApiModelProperty(value = "身份证号码", position = 17)
    private String idCard;

    /** 岗位性质 */
    @ApiModelProperty(value = "岗位性质", position = 18)
    private String positionNature;

    /** 在岗状态 */
    @ApiModelProperty(value = "在岗状态", position = 19)
    private String onDutyStatus;

    /** 人员类别 */
    @ApiModelProperty(value = "人员类别", position = 20)
    private String staffCategory;

    /** 专业 */
    @ApiModelProperty(value = "专业", position = 21)
    private String major;

}
