/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emPersonInfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.enterpriseManagement.info.modular.emPersonInfo.entity.EmPersonInfo;
import com.unis.enterpriseManagement.info.modular.emPersonInfo.param.EmPersonInfoAddParam;
import com.unis.enterpriseManagement.info.modular.emPersonInfo.param.EmPersonInfoEditParam;
import com.unis.enterpriseManagement.info.modular.emPersonInfo.param.EmPersonInfoIdParam;
import com.unis.enterpriseManagement.info.modular.emPersonInfo.param.EmPersonInfoPageParam;

import java.util.List;
import java.util.Map;

/**
 * 企业管理-人员信息管理Service接口
 *
 * @author TS
 * @date  2024/04/25 11:36
 **/
public interface EmPersonInfoService extends IService<EmPersonInfo> {

    /**
     * 获取企业管理-人员信息管理分页
     *
     * @author TS
     * @date  2024/04/25 11:36
     */
    Page<EmPersonInfo> page(EmPersonInfoPageParam emPersonInfoPageParam);

    /**
     * 添加企业管理-人员信息管理
     *
     * @author TS
     * @date  2024/04/25 11:36
     */
    void add(EmPersonInfoAddParam emPersonInfoAddParam);

    /**
     * 编辑企业管理-人员信息管理
     *
     * @author TS
     * @date  2024/04/25 11:36
     */
    void edit(EmPersonInfoEditParam emPersonInfoEditParam);

    /**
     * 删除企业管理-人员信息管理
     *
     * @author TS
     * @date  2024/04/25 11:36
     */
    void delete(List<EmPersonInfoIdParam> emPersonInfoIdParamList);

    /**
     * 获取企业管理-人员信息管理详情
     *
     * @author TS
     * @date  2024/04/25 11:36
     */
    EmPersonInfo detail(EmPersonInfoIdParam emPersonInfoIdParam);

    /**
     * 获取企业管理-人员信息管理详情
     *
     * @author TS
     * @date  2024/04/25 11:36
     **/
    EmPersonInfo queryEntity(String id);

    /**
     *获取企业管理-人员信息管理自定义分页
     * @param emPersonInfoPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(EmPersonInfoPageParam emPersonInfoPageParam);

    /**
     * 获取企业管理-人员信息下拉列表
     * @return
     */
    List<EmPersonInfo> getPersions();
}
