/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emPersonPlan.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.enterpriseManagement.info.modular.emPersonPlan.entity.EmPersonPlan;
import com.unis.enterpriseManagement.info.modular.emPersonPlan.param.EmPersonPlanAddParam;
import com.unis.enterpriseManagement.info.modular.emPersonPlan.param.EmPersonPlanEditParam;
import com.unis.enterpriseManagement.info.modular.emPersonPlan.param.EmPersonPlanIdParam;
import com.unis.enterpriseManagement.info.modular.emPersonPlan.param.EmPersonPlanPageParam;

import java.util.List;
import java.util.Map;

/**
 * 企业管理-人才规划Service接口
 *
 * @author TS
 * @date  2024/04/26 15:33
 **/
public interface EmPersonPlanService extends IService<EmPersonPlan> {

    /**
     * 获取企业管理-人才规划分页
     *
     * @author TS
     * @date  2024/04/26 15:33
     */
    Page<EmPersonPlan> page(EmPersonPlanPageParam emPersonPlanPageParam);

    /**
     * 添加企业管理-人才规划
     *
     * @author TS
     * @date  2024/04/26 15:33
     */
    void add(EmPersonPlanAddParam emPersonPlanAddParam);

    /**
     * 编辑企业管理-人才规划
     *
     * @author TS
     * @date  2024/04/26 15:33
     */
    void edit(EmPersonPlanEditParam emPersonPlanEditParam);

    /**
     * 删除企业管理-人才规划
     *
     * @author TS
     * @date  2024/04/26 15:33
     */
    void delete(List<EmPersonPlanIdParam> emPersonPlanIdParamList);

    /**
     * 获取企业管理-人才规划详情
     *
     * @author TS
     * @date  2024/04/26 15:33
     */
    JSONObject detail(EmPersonPlanIdParam emPersonPlanIdParam);

    /**
     * 获取企业管理-人才规划详情
     *
     * @author TS
     * @date  2024/04/26 15:33
     **/
    EmPersonPlan queryEntity(String id);

    /**
     * 获取企业管理-人才规划自定义分页
     * @param emPersonPlanPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(EmPersonPlanPageParam emPersonPlanPageParam);

    /**
     * 启动企业管理-人才规流程
     * @param emPersonPlanIdParam
     * @return
     */
    String startFlow(EmPersonPlanIdParam emPersonPlanIdParam);
}
