/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emPositionInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业管理-位置信息管理编辑参数
 *
 * @author TS
 * @date  2024/04/25 11:31
 **/
@Getter
@Setter
public class EmPositionInfoEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 单位代码，18位统一社会信用代码 */
    @ApiModelProperty(value = "单位代码，18位统一社会信用代码", position = 7)
    private String dwdm;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 8)
    private String dwmc;

    /** 单位类型，引用LS/T 1701-2004的表A.1 */
    @ApiModelProperty(value = "单位类型，引用LS/T 1701-2004的表A.1", position = 9)
    private String dwlx;

    /** 注册地址 */
    @ApiModelProperty(value = "注册地址", position = 10)
    private String zcdz;

    /** 企业性质 */
    @ApiModelProperty(value = "企业性质", position = 11)
    private String companyNature;

    /** 企业联系人 */
    @ApiModelProperty(value = "企业联系人", position = 12)
    private String qylxr;

    /** 法人联系方式，国内标准手机号码或固定电话号码 */
    @ApiModelProperty(value = "法人联系方式，国内标准手机号码或固定电话号码", position = 13)
    private String frlxfs;

    /** 邮政编码 */
    @ApiModelProperty(value = "邮政编码", position = 14)
    private String yzbm;

    /** 经度，以度数（十进制）表示 */
    @ApiModelProperty(value = "经度，以度数（十进制）表示", position = 15)
    private BigDecimal jd;

    /** 纬度，以度数（十进制）表示 */
    @ApiModelProperty(value = "纬度，以度数（十进制）表示", position = 16)
    private BigDecimal wd;

    /** 行政区划代码，引用GB/T 2260-2007年区划代码 */
    @ApiModelProperty(value = "行政区划代码，引用GB/T 2260-2007年区划代码", position = 17)
    private String xzqhdm;

    /** 注册地址-省  进行三级联查*/
    @ApiModelProperty(value = "注册地址-省", position = 18)
    private String zcdzProvince;

    /** 注册地址-市  进行三级联查*/
    @ApiModelProperty(value = "注册地址-市", position = 19)
    private String zcdzCity;

    /** 注册地址-区  进行三级联查*/
    @ApiModelProperty(value = "注册地址-区", position = 20)
    private String zcdzArea;

}
