/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emSystemBuild.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.enterpriseManagement.info.modular.emSystemBuild.entity.EmSystemBuild;
import com.unis.enterpriseManagement.info.modular.emSystemBuild.param.EmSystemBuildAddParam;
import com.unis.enterpriseManagement.info.modular.emSystemBuild.param.EmSystemBuildEditParam;
import com.unis.enterpriseManagement.info.modular.emSystemBuild.param.EmSystemBuildIdParam;
import com.unis.enterpriseManagement.info.modular.emSystemBuild.param.EmSystemBuildPageParam;

import java.util.List;

/**
 * 企业管理-人员制度建设Service接口
 *
 * @author TS
 * @date  2024/04/26 15:25
 **/
public interface EmSystemBuildService extends IService<EmSystemBuild> {

    /**
     * 获取企业管理-人员制度建设分页
     *
     * @author TS
     * @date  2024/04/26 15:25
     */
    Page<EmSystemBuild> page(EmSystemBuildPageParam emSystemBuildPageParam);

    /**
     * 添加企业管理-人员制度建设
     *
     * @author TS
     * @date  2024/04/26 15:25
     */
    void add(EmSystemBuildAddParam emSystemBuildAddParam);

    /**
     * 编辑企业管理-人员制度建设
     *
     * @author TS
     * @date  2024/04/26 15:25
     */
    void edit(EmSystemBuildEditParam emSystemBuildEditParam);

    /**
     * 删除企业管理-人员制度建设
     *
     * @author TS
     * @date  2024/04/26 15:25
     */
    void delete(List<EmSystemBuildIdParam> emSystemBuildIdParamList);

    /**
     * 获取企业管理-人员制度建设详情
     *
     * @author TS
     * @date  2024/04/26 15:25
     */
    EmSystemBuild detail(EmSystemBuildIdParam emSystemBuildIdParam);

    /**
     * 获取企业管理-人员制度建设详情
     *
     * @author TS
     * @date  2024/04/26 15:25
     **/
    EmSystemBuild queryEntity(String id);
}
