/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseManagement.info.modular.emTrain.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.enterpriseManagement.info.modular.emTrain.entity.EmTrain;
import com.unis.enterpriseManagement.info.modular.emTrain.param.EmTrainAddParam;
import com.unis.enterpriseManagement.info.modular.emTrain.param.EmTrainEditParam;
import com.unis.enterpriseManagement.info.modular.emTrain.param.EmTrainIdParam;
import com.unis.enterpriseManagement.info.modular.emTrain.param.EmTrainPageParam;

import java.util.List;

/**
 * 企业管理-人才培训管理Service接口
 *
 * @author TS
 * @date  2024/04/26 15:54
 **/
public interface EmTrainService extends IService<EmTrain> {

    /**
     * 获取企业管理-人才培训管理分页
     *
     * @author TS
     * @date  2024/04/26 15:54
     */
    Page<EmTrain> page(EmTrainPageParam emTrainPageParam);

    /**
     * 添加企业管理-人才培训管理
     *
     * @author TS
     * @date  2024/04/26 15:54
     */
    void add(EmTrainAddParam emTrainAddParam);

    /**
     * 编辑企业管理-人才培训管理
     *
     * @author TS
     * @date  2024/04/26 15:54
     */
    void edit(EmTrainEditParam emTrainEditParam);

    /**
     * 删除企业管理-人才培训管理
     *
     * @author TS
     * @date  2024/04/26 15:54
     */
    void delete(List<EmTrainIdParam> emTrainIdParamList);

    /**
     * 获取企业管理-人才培训管理详情
     *
     * @author TS
     * @date  2024/04/26 15:54
     */
    EmTrain detail(EmTrainIdParam emTrainIdParam);

    /**
     * 获取企业管理-人才培训管理详情
     *
     * @author TS
     * @date  2024/04/26 15:54
     **/
    EmTrain queryEntity(String id);
}
