package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.req;

import lombok.Data;

/**
 * 获取监控点回放取流URLv2
 *
 * @author ybw
 * @version V1.0
 * @className PlaybackReqDTO
 * @date 2024/6/20
 **/
@Data
public class PlaybackReqDTO {

    /**
     * 监控点唯一标识，分页获取监控点资源接口获取返回参数
     */
    private String cameraIndexCode;

    /**
     * 存储类型, 0：中心存储, 1：设备存储 (默认为中心存储)
     */
    private Integer recordLocation;

    /**
     * 取流协议，默认为HIK协议
     * - "hik": HIK私有协议
     * - "rtsp": RTSP协议
     * - "rtmp": RTMP协议
     * - "hls": HLS协议
     * - "ws": Websocket协议
     */
    private String protocol;

    /**
     * 传输协议，默认为TCP (在protocol为rtsp或rtmp时有效)
     * - 0: UDP
     * - 1: TCP
     */
    private Integer transmode;

    /**
     * 开始查询时间，ISO8601格式
     */
    private String beginTime;

    /**
     * 结束查询时间，与开始时间相差不超过三天，ISO8601格式
     */
    private String endTime;

    /**
     * 分页查询id，用于继续查询剩余片段，默认为空字符串 (设备存储生效)
     */
    private String uuid;

    /**
     * 扩展内容，支持指定解码格式等，格式：key=value，多个以"&"隔开
     */
    private String expand;

    /**
     * 输出码流转封装格式，默认为RTP (当protocol=rtsp时生效)
     * - "ps": PS封装格式
     * - "rtp": RTP封装协议
     */
    private String streamform;

    /**
     * 查询录像的锁定类型，默认查询全部录像
     * - 0: 查询全部录像
     * - 1: 查询未锁定录像
     * - 2: 查询已锁定录像
     */
    private Integer lockType;
}
