package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 录像开始
 *
 * @author ybw
 * @version V1.0
 * @className RecordStartReqDTO
 * @date 2024/6/20
 **/
@Data
@AllArgsConstructor
public class RecordStartReqDTO {

    /**
     * 监控点唯一标识，通过[分页获取监控点资源]接口获取返回的cameraIndexCode参数
     */
    private String cameraIndexCode;

    /**
     * 录像类型，范围:0-65535，详细类型请参考[附录A.31 录像类型]，仅当选择中心存储时必填
     */
    private Integer recordType;

    /**
     * 存储类型，0-中心存储，1-设备存储，默认为0-中心存储，如果不指定则默认采用中心存储方式
     */
    private Integer type;
}

