package com.unis.equipmentOnlineRateAssessment.modular.hk.dto.res;

import lombok.Data;

import java.util.List;

/**
 * 获取监控点回放取流URLv2
 *
 * @author ybw
 * @version V1.0
 * @className PlaybackReqDTO
 * @date 2024/6/20
 **/
@Data
public class PlaybackResDTO {

    /**
     * 录像片段信息列表
     */
    private List<SegmentInfo> list;

    /**
     * 分页标记，用于查询分片时的多次查询
     */
    private String uuid;

    /**
     * 取流短url
     * 注：rtsp的回放url后面要指定?playBackMode=1 在vlc上才能播放。
     */
    private String url;

    /**
     * 录像片段信息
     *
     * @author ybw
     * @version V1.0
     * @className PlaybackResDTO
     * @date 2024/6/20
     **/
    @Data
    public static class SegmentInfo {

        /**
         * 查询录像的锁定类型
         * - 0: 全部录像
         * - 1: 未锁定录像
         * - 2: 已锁定录像
         */
        private Integer lockType;

        /**
         * 录像片段的开始时间（ISO8601格式）
         */
        private String beginTime;

        /**
         * 录像片段的结束时间（ISO8601格式）
         */
        private String endTime;

        /**
         * 录像片段大小（单位：Byte）
         */
        private Long size;

    }

}
