/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 摄像头基本信息表编辑参数
 *
 * @author hjc
 * @date  2024/06/21 10:07
 **/
@Getter
@Setter
public class MonitorCameraEditParam {

    /** 主键 */
    @ApiModelProperty(value = "主键", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 组织机构代码 */
    @ApiModelProperty(value = "组织机构代码", position = 2)
    private String orgId;

    /** nvr的ID */
    @ApiModelProperty(value = "nvr的ID", position = 3)
    private String nvrId;

    /** 设备出厂名称（海康高清红外球机） */
    @ApiModelProperty(value = "设备出厂名称（海康高清红外球机）", position = 4)
    private String name;

    /** 别名（l例：1号仓球机） */
    @ApiModelProperty(value = "别名（l例：1号仓球机）", position = 5)
    private String alias;

    /** 账号 */
    @ApiModelProperty(value = "账号", position = 6)
    private String username;

    /** 密码 */
    @ApiModelProperty(value = "密码", position = 7)
    private String password;

    /** ip地址 */
    @ApiModelProperty(value = "ip地址", position = 8)
    private String ip;

    /** 子网掩码 */
    @ApiModelProperty(value = "子网掩码", position = 9)
    private String subnetmask;

    /** 网关 */
    @ApiModelProperty(value = "网关", position = 10)
    private String gateway;

    /** 设备类型 2枪机 1球机 */
    @ApiModelProperty(value = "设备类型 2枪机 1球机", position = 11)
    private String type;

    /** 端口 */
    @ApiModelProperty(value = "端口", position = 12)
    private String port;

    /** 所属厂商 1-200海康 2-300大华 3其他 */
    @ApiModelProperty(value = "所属厂商 1-200海康 2-300大华 3其他", position = 13)
    private String factory;

    /** 所在位置（1仓内，2仓外） */
    @ApiModelProperty(value = "所在位置（1仓内，2仓外）", position = 14)
    private String live;

    /** 设备型号 */
    @ApiModelProperty(value = "设备型号", position = 15)
    private String modelNumber;

    /** 设备序列号 */
    @ApiModelProperty(value = "设备序列号", position = 16)
    private String serialNumber;

    /** 安装位置 */
    @ApiModelProperty(value = "安装位置", position = 17)
    private String installationSite;

    /** 安装方式 */
    @ApiModelProperty(value = "安装方式", position = 18)
    private String installationMethod;

    /** 照射区域 */
    @ApiModelProperty(value = "照射区域", position = 19)
    private String irradiatedArea;

    /** 取电位置 */
    @ApiModelProperty(value = "取电位置", position = 20)
    private String powerPosition;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 21)
    private String remark;

    /** 通道号 */
    @ApiModelProperty(value = "通道号", position = 22)
    private String channelNumber;

    /** 删除标志0删除，1未删除 */
    @ApiModelProperty(value = "删除标志0删除，1未删除", position = 23)
    private String isremove;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间", position = 25)
    private Date updatetime;

    /** 摄像头唯一标识； */
    @ApiModelProperty(value = "摄像头唯一标识；", position = 26)
    private String cameraIndexCode;

    /** 在线状态（0-未知，1-在
线，2-离线） */
    @ApiModelProperty(value = "在线状态（0-未知，1-在线，2-离线)", position = 27)
    private Integer status;

    /** 状态说明 */
    @ApiModelProperty(value = "状态说明", position = 28)
    private String statusName;

    /** 设备非在线状态（status!=1）的更新时间。 */
    @ApiModelProperty(value = "设备非在线状态（status!=1）的更新时间。", position = 29)
    private Date warnTime;

}
