package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/21 15:19
 */
@Data
public class OnlineInspectionPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段，字段驼峰名称，如：userName")
    private String sortField;

    /** 排序方式 */
    @ApiModelProperty(value = "排序方式，升序：ASCEND；降序：DESCEND")
    private String sortOrder;

    /** 所属市州名称 */
    @ApiModelProperty(value = "所属市州名称",position = 4)
    private String zcdzCityName;

    /** 预警时间 */
    @ApiModelProperty(value = "设备非在线状态（status!=1）的更新时间。", position = 29)
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date warnTime;

}
