/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.entity.MonitorCamera;
import com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.param.*;
import com.unis.equipmentOnlineRateAssessment.modular.monitorCamera.vo.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 摄像头基本信息表Service接口
 *
 * @author hjc
 * @date  2024/06/21 10:07
 **/
public interface MonitorCameraService extends IService<MonitorCamera> {

    /**
     * 获取摄像头基本信息表分页
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    Page<CameraAndNvrVO> page(MonitorCameraPageParam monitorCameraPageParam);

    /**
     * 添加摄像头基本信息表
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    void add(MonitorCameraAddParam monitorCameraAddParam);

    /**
     * 编辑摄像头基本信息表
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    void edit(MonitorCameraEditParam monitorCameraEditParam);

    /**
     * 删除摄像头基本信息表
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    void delete(List<MonitorCameraIdParam> monitorCameraIdParamList);

    /**
     * 获取摄像头基本信息表详情
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    CameraAndNvrDetailVO detail(MonitorCameraDetailParam monitorCameraDetailParam);

    /**
     * 获取摄像头基本信息表详情
     *
     * @author hjc
     * @date  2024/06/21 10:07
     **/
    MonitorCamera queryEntity(Integer id);

    /**
     * 在线统计分析-分页
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    Page<StatisticalAnalysisPageVO> statisticalAnalysisPage(StatisticalAnalysisPageParam pageParam);

    /**
     * 在线统计分析-导出
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    void statisticalAnalysisExport(String fileName, HttpServletResponse response);


    /**
     * 在线巡检-分页
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    Page<OnlineInspectionPageVO> onlineInspectionPage(OnlineInspectionPageParam pageParam);

    /**
     * 自动考核-分页
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    Page<AutomatedAssessmentsPageVO> AutomatedAssessmentsPage(AutomatedAssessmentsPageParam pageParam);

    /*
     *
     * 在线巡检-详情
     *
     * @author hjc
     * @date  2024/06/21 10:07
     */
    MonitorCameraVO onlineInspectionDetail(MonitorCameraIdParam monitorCameraIdParam);

    /**
     * 自动考核-导出
     *
     * @author hjc
     * @date 2024/06/21 10:07
     */
    void AutomatedAssessmentsExport(AutomatedAssessmentsExportParam param , HttpServletRequest request , HttpServletResponse response);

}
