/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 硬盘录像机表编辑参数
 *
 * @author hjc
 * @date  2024/06/21 10:10
 **/
@Getter
@Setter
public class MonitorNvrEditParam {

    /** 主键 */
    @ApiModelProperty(value = "主键", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 组织机构代码 */
    @ApiModelProperty(value = "组织机构代码", position = 2)
    private String orgId;

    /** nvr的名字 */
    @ApiModelProperty(value = "nvr的名字", position = 3)
    private String name;

    /** nvr的ip */
    @ApiModelProperty(value = "nvr的ip", position = 4)
    private String ip;

    /** nvr的登录账号 */
    @ApiModelProperty(value = "nvr的登录账号", position = 5)
    private String username;

    /** nvr的登录密码 */
    @ApiModelProperty(value = "nvr的登录密码", position = 6)
    private String password;

    /** nvr设备类型（1nvr,2dvr） */
    @ApiModelProperty(value = "nvr设备类型（1nvr,2dvr）", position = 7)
    private String type;

    /** 所属厂商 1-200海康 2-300大华 3其他 */
    @ApiModelProperty(value = "所属厂商 1-200海康 2-300大华 3其他", position = 8)
    private String factory;

    /** nvr的端口 */
    @ApiModelProperty(value = "nvr的端口", position = 9)
    private String port;

    /** nvr型号 */
    @ApiModelProperty(value = "nvr型号", position = 10)
    private String modelNum;

    /** nvr负责部门 */
    @ApiModelProperty(value = "nvr负责部门", position = 11)
    private String department;

    /** nvr序列号 */
    @ApiModelProperty(value = "nvr序列号", position = 12)
    private String serialno;

    /** nvr管理员 */
    @ApiModelProperty(value = "nvr管理员", position = 13)
    private String warden;

    /** nvr安装位置 */
    @ApiModelProperty(value = "nvr安装位置", position = 14)
    private String position;

    /** 摄像头数量 */
    @ApiModelProperty(value = "摄像头数量", position = 15)
    private String quantity;

    /** nvr安装日期 */
    @ApiModelProperty(value = "nvr安装日期", position = 16)
    private Date installTime;

    /** nvr子网掩码 */
    @ApiModelProperty(value = "nvr子网掩码", position = 17)
    private String subnetMask;

    /** nvr别名 */
    @ApiModelProperty(value = "nvr别名", position = 18)
    private String alias;

    /** nvr网关地址 */
    @ApiModelProperty(value = "nvr网关地址", position = 20)
    private String gateway;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 21)
    private String remark;

    /** 删除标记 */
    @ApiModelProperty(value = "删除标记", position = 22)
    private String deleteMark;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间", position = 23)
    private Date updatetime;

}
