/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.entity.MonitorNvr;
import com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.param.MonitorNvrAddParam;
import com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.param.MonitorNvrEditParam;
import com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.param.MonitorNvrIdParam;
import com.unis.equipmentOnlineRateAssessment.modular.monitorNvr.param.MonitorNvrPageParam;

import java.util.List;
import java.util.Map;

/**
 * 硬盘录像机表Service接口
 *
 * @author hjc
 * @date  2024/06/21 10:10
 **/
public interface MonitorNvrService extends IService<MonitorNvr> {

    /**
     * 获取硬盘录像机表分页
     *
     * @author hjc
     * @date  2024/06/21 10:10
     */
    Page<MonitorNvr> page(MonitorNvrPageParam monitorNvrPageParam);

    /**
     * 添加硬盘录像机表
     *
     * @author hjc
     * @date  2024/06/21 10:10
     */
    void add(MonitorNvrAddParam monitorNvrAddParam);

    /**
     * 编辑硬盘录像机表
     *
     * @author hjc
     * @date  2024/06/21 10:10
     */
    void edit(MonitorNvrEditParam monitorNvrEditParam);

    /**
     * 删除硬盘录像机表
     *
     * @author hjc
     * @date  2024/06/21 10:10
     */
    void delete(List<MonitorNvrIdParam> monitorNvrIdParamList);

    /**
     * 获取硬盘录像机表详情
     *
     * @author hjc
     * @date  2024/06/21 10:10
     */
    MonitorNvr detail(MonitorNvrIdParam monitorNvrIdParam);

    /**
     * 获取硬盘录像机表详情
     *
     * @author hjc
     * @date  2024/06/21 10:10
     **/
    MonitorNvr queryEntity(Integer id);

    List<Map<String, Object>> selectByNVRDates(Map<String, Object> map);
}
