/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.assessmentManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.assessmentManage.entity.AssessmentManage;
import com.unis.examine.modular.assessmentManage.param.AssessmentManageAddParam;
import com.unis.examine.modular.assessmentManage.param.AssessmentManageEditParam;
import com.unis.examine.modular.assessmentManage.param.AssessmentManageIdParam;
import com.unis.examine.modular.assessmentManage.param.AssessmentManagePageParam;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelAddParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetAddParam;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * 粮食安全责任制考核-考核指标管理表Service接口
 *
 * @author shine
 * @date  2024/04/22 11:44
 **/
public interface AssessmentManageService extends IService<AssessmentManage> {

    /**
     * 获取粮食安全责任制考核-考核指标管理表分页
     *
     * @author shine
     * @date  2024/04/22 11:44
     */
    Page<AssessmentManage> page(AssessmentManagePageParam assessmentManagePageParam) throws ParseException;

    /**
     * 添加粮食安全责任制考核-考核指标管理表
     *
     * @author shine
     * @date  2024/04/22 11:44
     */
    void add(AssessmentManageAddParam assessmentManageAddParam, List<AssessmentLevelAddParam> levelList, List<AssessmentTargetAddParam> targetList) throws ParseException;

    /**
     * 编辑粮食安全责任制考核-考核指标管理表
     *
     * @author shine
     * @date  2024/04/22 11:44
     */
    void edit(AssessmentManageEditParam assessmentManageEditParam);

    /**
     * 删除粮食安全责任制考核-考核指标管理表
     *
     * @author shine
     * @date  2024/04/22 11:44
     */
    void delete(List<AssessmentManageIdParam> assessmentManageIdParamList);

    /**
     * 获取粮食安全责任制考核-考核指标管理表详情
     *
     * @author shine
     * @date  2024/04/22 11:44
     */
    AssessmentManage detail(AssessmentManageIdParam assessmentManageIdParam);

    /**
     * 获取粮食安全责任制考核-考核指标管理表详情
     *
     * @author shine
     * @date  2024/04/22 11:44
     **/
    AssessmentManage queryEntity(String id);

    /**
     *单位查看考核数据
     *
     * @author ZeroLiYi
     */
    IPage<Map<String,Object>> findByOrgIdPage(AssessmentManagePageParam assessmentManagePageParam) throws ParseException;/**
     *查看考核结果
     *
     * @author ZeroLiYi
     */
    IPage<Map<String,Object>> findByPage(AssessmentManagePageParam assessmentManagePageParam) throws ParseException;


    List<Map<String, Object>> getAssessmentName();

    List<Map<String, Object>> getOnlyOrgInfo(String parentId);

}
