/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.examine.modular.assessmenttarget.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.examine.modular.assessmentManage.param.AssessmentManageIdParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.examine.modular.assessmenttarget.entity.AssessmentTarget;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetAddParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetEditParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetIdParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetPageParam;
import com.unis.examine.modular.assessmenttarget.service.AssessmentTargetService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

*/
/**
 * 粮食安全责任制考核-考核指标管理-考核指标控制器
 *
 * @author shine
 * @date  2024/04/22 14:05
 *//*

@Api(tags = "粮食安全责任制考核-考核指标管理-考核指标控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class AssessmentTargetController {

    @Resource
    private AssessmentTargetService assessmentTargetService;

    */
/**
     * 获取粮食安全责任制考核-考核指标管理-考核指标分页
     *
     * @author shine
     * @date  2024/04/22 14:05
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取粮食安全责任制考核-考核指标管理-考核指标分页")
    @SaCheckPermission("/examine/assessmenttarget/page")
    @GetMapping("/examine/assessmenttarget/page")
    public CommonResult<Page<AssessmentTarget>> page(AssessmentTargetPageParam assessmentTargetPageParam) {
        return CommonResult.data(assessmentTargetService.page(assessmentTargetPageParam));
    }

    */
/**
     * 添加粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加粮食安全责任制考核-考核指标管理-考核指标")
    @CommonLog("添加粮食安全责任制考核-考核指标管理-考核指标")
    @SaCheckPermission("/examine/assessmenttarget/add")
    @PostMapping("/examine/assessmenttarget/add")
    public CommonResult<String> add(@RequestBody @Valid AssessmentTargetAddParam assessmentTargetAddParam) {
        assessmentTargetService.add(assessmentTargetAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑粮食安全责任制考核-考核指标管理-考核指标")
    @CommonLog("编辑粮食安全责任制考核-考核指标管理-考核指标")
    @SaCheckPermission("/examine/assessmenttarget/edit")
    @PostMapping("/examine/assessmenttarget/edit")
    public CommonResult<String> edit(@RequestBody @Valid AssessmentTargetEditParam assessmentTargetEditParam) {
        assessmentTargetService.edit(assessmentTargetEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除粮食安全责任制考核-考核指标管理-考核指标")
    @CommonLog("删除粮食安全责任制考核-考核指标管理-考核指标")
    @SaCheckPermission("/examine/assessmenttarget/delete")
    @PostMapping("/examine/assessmenttarget/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<AssessmentTargetIdParam> assessmentTargetIdParamList) {
        assessmentTargetService.delete(assessmentTargetIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取粮食安全责任制考核-考核指标管理-考核指标详情
     *
     * @author shine
     * @date  2024/04/22 14:05
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取粮食安全责任制考核-考核指标管理-考核指标详情")
    @SaCheckPermission("/examine/assessmenttarget/detail")
    @GetMapping("/examine/assessmenttarget/detail")
    public CommonResult<AssessmentTarget> detail(@Valid AssessmentTargetIdParam assessmentTargetIdParam) {
        return CommonResult.data(assessmentTargetService.detail(assessmentTargetIdParam));
    }

    */
/**
     * 根据biz_ne_assessment_manage的id 查询数据
     *//*

    @ApiOperationSupport(order = 6)
    @ApiOperation("考核指标管理-根据biz_ne_assessment_manage的id查询详情")
    //@SaCheckPermission("/examine/assessmenttarget/detailByManageId")
    @GetMapping("/examine/assessmenttarget/detailByManageId")
    public CommonResult<List<AssessmentTarget>> detail(@Valid String  assessmentManageId) {
        return CommonResult.data(assessmentTargetService.queryList(assessmentManageId));
    }
}
*/
