/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.neassessmentScoreSum.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.assessmentManage.param.AssessmentManagePageParam;
import com.unis.examine.modular.neassessmentScoreSum.entity.BizNeAssessmentScoreSum;
import com.unis.examine.modular.neassessmentScoreSum.param.BizNeAssessmentScoreSumAddParam;
import com.unis.examine.modular.neassessmentScoreSum.param.BizNeAssessmentScoreSumEditParam;
import com.unis.examine.modular.neassessmentScoreSum.param.BizNeAssessmentScoreSumIdParam;
import com.unis.examine.modular.neassessmentScoreSum.param.BizNeAssessmentScoreSumPageParam;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * 粮食安全责任制考核-考核结果Service接口
 *
 * @author ZeroLiYi
 * @date  2024/04/23 10:19
 **/
public interface BizNeAssessmentScoreSumService extends IService<BizNeAssessmentScoreSum> {

    /**
     * 获取粮食安全责任制考核-考核结果分页
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     */
    Page<BizNeAssessmentScoreSum> page(BizNeAssessmentScoreSumPageParam bizNeAssessmentScoreSumPageParam);
    /**
     * 添加粮食安全责任制考核-考核结果
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     */
    void add(BizNeAssessmentScoreSumAddParam bizNeAssessmentScoreSumAddParam);

    /**
     * 编辑粮食安全责任制考核-考核结果
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     */
    void edit(BizNeAssessmentScoreSumEditParam bizNeAssessmentScoreSumEditParam);

    /**
     * 删除粮食安全责任制考核-考核结果
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     */
    void delete(List<BizNeAssessmentScoreSumIdParam> bizNeAssessmentScoreSumIdParamList);

    /**
     * 获取粮食安全责任制考核-考核结果详情
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     */
    IPage<BizNeAssessmentScoreSum> detail(BizNeAssessmentScoreSumPageParam bizNeAssessmentScoreSumPageParam);

    /**
     * 获取粮食安全责任制考核-考核结果详情
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:19
     **/
    BizNeAssessmentScoreSum queryEntity(String id);

    List<BizNeAssessmentScoreSum> findByAssessmentManageId(String assessmentManageId,Integer pcType);

}
