/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.processmanage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.processmanage.entity.ProcessManage;
import com.unis.examine.modular.processmanage.param.ProcessManageAddParam;
import com.unis.examine.modular.processmanage.param.ProcessManageEditParam;
import com.unis.examine.modular.processmanage.param.ProcessManageIdParam;
import com.unis.examine.modular.processmanage.param.ProcessManagePageParam;

import java.util.List;

/**
 * 粮食安全责任制考核-流程管理Service接口
 *
 * @author shine
 * @date  2024/04/22 14:11
 **/
public interface ProcessManageService extends IService<ProcessManage> {

    /**
     * 获取粮食安全责任制考核-流程管理分页
     *
     * @author shine
     * @date  2024/04/22 14:11
     */
    Page<ProcessManage> page(ProcessManagePageParam processManagePageParam);

    /**
     * 添加粮食安全责任制考核-流程管理
     *
     * @author shine
     * @date  2024/04/22 14:11
     */
    void add(ProcessManageAddParam processManageAddParam);

    /**
     * 编辑粮食安全责任制考核-流程管理
     *
     * @author shine
     * @date  2024/04/22 14:11
     */
    void edit(ProcessManageEditParam processManageEditParam);

    /**
     * 删除粮食安全责任制考核-流程管理
     *
     * @author shine
     * @date  2024/04/22 14:11
     */
    void delete(List<ProcessManageIdParam> processManageIdParamList);

    /**
     * 获取粮食安全责任制考核-流程管理详情
     *
     * @author shine
     * @date  2024/04/22 14:11
     */
    ProcessManage detail(ProcessManageIdParam processManageIdParam);

    /**
     * 获取粮食安全责任制考核-流程管理详情
     *
     * @author shine
     * @date  2024/04/22 14:11
     **/
    ProcessManage queryEntity(String id);
}
