/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 储备粮贷款利息管理-利息分解实体
 *
 * @author hjc
 * @date  2024/06/26 14:22
 **/
@Getter
@Setter
@TableName("biz_fs_reserve_grain_loan_interest_breakdown")
public class BizFsReserveGrainLoanInterestBreakdown {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** biz_fs_reserve_grain_loan_interest的id； */
    @ApiModelProperty(value = "biz_fs_reserve_grain_loan_interest的id；", position = 5)
    private String fsReserveGrainLoanInterestId;

    /** 还款日期 */
    @ApiModelProperty(value = "还款日期", position = 6)
    @NotNull(message = "还款日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date repaymentDate;

    /** 还款本金 */
    @ApiModelProperty(value = "还款本金", position = 7)
    @NotNull(message = "还款本金不能为空")
    private BigDecimal repaidPrincipal;

    /** 还款利息 */
    @ApiModelProperty(value = "还款利息", position = 8)
    @NotNull(message = "还款利息不能为空")
    private BigDecimal repaidInterest;

    /** 剩余本金 */
    @ApiModelProperty(value = "剩余本金", position = 9)
    @NotNull(message = "剩余本金不能为空")
    private BigDecimal remainingPrincipal;
}
