/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.entity.BizFsReserveGrainLoanInterestBreakdown;
import com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.param.BizFsReserveGrainLoanInterestBreakdownAddParam;
import com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.param.BizFsReserveGrainLoanInterestBreakdownEditParam;
import com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.param.BizFsReserveGrainLoanInterestBreakdownIdParam;
import com.unis.financialSupervision.modular.bizFsReserveGrainLoanInterestBreakdown.param.BizFsReserveGrainLoanInterestBreakdownPageParam;

import java.util.List;

/**
 * 储备粮贷款利息管理-利息分解Service接口
 *
 * @author hjc
 * @date  2024/06/26 14:22
 **/
public interface BizFsReserveGrainLoanInterestBreakdownService extends IService<BizFsReserveGrainLoanInterestBreakdown> {

    /**
     * 获取储备粮贷款利息管理-利息分解分页
     *
     * @author hjc
     * @date  2024/06/26 14:22
     */
    Page<BizFsReserveGrainLoanInterestBreakdown> page(BizFsReserveGrainLoanInterestBreakdownPageParam bizFsReserveGrainLoanInterestBreakdownPageParam);

    /**
     * 添加储备粮贷款利息管理-利息分解
     *
     * @author hjc
     * @date  2024/06/26 14:22
     */
    void add(BizFsReserveGrainLoanInterestBreakdownAddParam bizFsReserveGrainLoanInterestBreakdownAddParam);

    /**
     * 编辑储备粮贷款利息管理-利息分解
     *
     * @author hjc
     * @date  2024/06/26 14:22
     */
    void edit(BizFsReserveGrainLoanInterestBreakdownEditParam bizFsReserveGrainLoanInterestBreakdownEditParam);

    /**
     * 删除储备粮贷款利息管理-利息分解
     *
     * @author hjc
     * @date  2024/06/26 14:22
     */
    void delete(List<BizFsReserveGrainLoanInterestBreakdownIdParam> bizFsReserveGrainLoanInterestBreakdownIdParamList);

    /**
     * 获取储备粮贷款利息管理-利息分解详情
     *
     * @author hjc
     * @date  2024/06/26 14:22
     */
    BizFsReserveGrainLoanInterestBreakdown detail(BizFsReserveGrainLoanInterestBreakdownIdParam bizFsReserveGrainLoanInterestBreakdownIdParam);

    /**
     * 获取储备粮贷款利息管理-利息分解详情
     *
     * @author hjc
     * @date  2024/06/26 14:22
     **/
    BizFsReserveGrainLoanInterestBreakdown queryEntity(String id);
}
