/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;

/**
 * 财务监管-企业收支结余统计表实体
 *
 * @author TS
 * @date  2024/06/26 11:23
 **/
@Getter
@Setter
@TableName("biz_fs_enterprise_balance_statistic")
public class FsEnterpriseBalanceStatistic {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 年 */
    @ApiModelProperty(value = "年", position = 7)
    private Year planYear;

    /** 月 */
    @ApiModelProperty(value = "月", position = 8)
    private Integer month;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 9)
    private Integer grainVarietyId;

    /** 规模 */
    @ApiModelProperty(value = "规模", position = 10)
    private BigDecimal reservePlanQuantity;

    /** 规模-保管费用标准 */
    @ApiModelProperty(value = "规模-保管费用标准", position = 11)
    private BigDecimal storageCostStandard;

    /** 本年轮换情况-轮换计划数量 */
    @ApiModelProperty(value = "本年轮换情况-轮换计划数量", position = 12)
    private BigDecimal rotationPlanQuantity;

    /** 本年轮换情况-轮换完成率 */
    @ApiModelProperty(value = "本年轮换情况-轮换完成率", position = 13)
    private BigDecimal rotationCompletionRate;

    /** 本年轮换情况-轮换费用标准 */
    @ApiModelProperty(value = "本年轮换情况-轮换费用标准", position = 14)
    private BigDecimal rotationCostStandard;

    /** 保管费用补贴-保管费用收入累计计提数 */
    @ApiModelProperty(value = "保管费用补贴-保管费用收入累计计提数", position = 15)
    private BigDecimal storageCostAccrued;

    /** 保管费用补贴-保管费用累计支出数 */
    @ApiModelProperty(value = "保管费用补贴-保管费用累计支出数", position = 16)
    private BigDecimal storageCostExpenditure;

    /** 保管费用补贴-保管费用累计结余 */
    @ApiModelProperty(value = "保管费用补贴-保管费用累计结余", position = 17)
    private BigDecimal storageCostBalance;

    /** 保管费用补贴-超支预警 1:未超支 2:超支 */
    @ApiModelProperty(value = "保管费用补贴-超支预警 1:未超支 2:超支", position = 18)
    private Integer storageCostOverdraftWarning;

    /** 保管费用补贴-累计超支月数 */
    @ApiModelProperty(value = "保管费用补贴-累计超支月数", position = 19)
    private Integer storageCostOverdraftMonth;

    /** 轮换费用补贴-轮换费用收入累计计提数 */
    @ApiModelProperty(value = "轮换费用补贴-轮换费用收入累计计提数", position = 20)
    private BigDecimal rotationCostAccrued;

    /** 轮换费用补贴-轮换费用累计支出数 */
    @ApiModelProperty(value = "轮换费用补贴-轮换费用累计支出数", position = 21)
    private BigDecimal rotationCostExpenditure;

    /** 轮换费用补贴-轮换费用累计结余 */
    @ApiModelProperty(value = "轮换费用补贴-轮换费用累计结余", position = 22)
    private BigDecimal rotationCostBalance;

    /** 轮换费用补贴-超支预警 1:未超支 2:超支 */
    @ApiModelProperty(value = "轮换费用补贴-超支预警 1:未超支 2:超支", position = 23)
    private Integer rotationCostOverdraftWarning;

    /** 轮换费用补贴-累计超支月数 */
    @ApiModelProperty(value = "轮换费用补贴-累计超支月数", position = 24)
    private Integer rotationCostOverdraftMonth;

    /** 备注-计提超支原因 */
    @ApiModelProperty(value = "备注-计提超支原因", position = 25)
    private String reasonForAccrualOverdraft;

    /** 备注-支出超支原因 */
    @ApiModelProperty(value = "备注-支出超支原因", position = 26)
    private String reasonForExpenditureOverdraft;
}
