/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.FsEnterpriseBalanceStatistic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;

/**
 * 财务监管-企业收支结余统计表实体
 *
 * @author TS
 * @date  2024/06/26 11:23
 **/
@Getter
@Setter
public class FsEnterpriseBalanceStatisticVO extends FsEnterpriseBalanceStatistic {

    @ApiModelProperty(value = "序号", position = 1)
    private String rownum;

    @ApiModelProperty(value = "企业名称", position = 1)
    private String unitName;

    @ApiModelProperty(value = "库区名称", position = 2)
    private String orgName;

    @ApiModelProperty(value = "粮食品种名称", position = 3)
    private String grainVarietyName;

    @ApiModelProperty(value = "预警日期", position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date warnDate;
}
