/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO;

import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.FsEnterpriseBalanceStatistic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * 企业和库区树
 *
 * @author TS
 * @date  2024/06/26 16:23
 **/
@Getter
@Setter
public class UnitAndOrgTreeVO   {

    @ApiModelProperty(value = "企业/库区Id", position = 1)
    private String id;

    @ApiModelProperty(value = "企业/库区名称", position = 2)
    private String name;

    @ApiModelProperty(value = "库区Id:库区id不为空数据表示是库区", position = 3)
    private Integer orgId;

    @ApiModelProperty(value = "下级数据", position = 4)
    private List<UnitAndOrgTreeVO> child = new ArrayList<>();


}
