/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.FsEnterpriseBalanceStatistic;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.CostBalanceVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.FsEnterpriseBalanceStatisticVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.UnitAndOrgTreeVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.param.CostBalanceParam;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.param.FsEnterpriseBalanceStatisticPageParam;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 财务监管-企业收支结余统计表Mapper接口
 *
 * @author TS
 * @date  2024/06/26 11:23
 **/
public interface FsEnterpriseBalanceStatisticMapper extends BaseMapper<FsEnterpriseBalanceStatistic> {
    /**
     * 得到储备规模数据
     * @param year  年
     * @param month  月
     * @return
     */
    List<FsEnterpriseBalanceStatistic> getReserveScaleList(@Param("year") Integer year, @Param("month") Integer month);

    /**
     * 得到轮换计划数据
     * @param orgId 库 区 ID
     * @param grainVarietyId 品种Id
     * @param year 年
     * @return
     */
    FsEnterpriseBalanceStatistic getRotationPlan(@Param("orgId") Integer orgId, @Param("grainVarietyId") Integer grainVarietyId, @Param("year") Integer year);

    List<FsEnterpriseBalanceStatisticVO> getList(@Param("pageParam") FsEnterpriseBalanceStatisticPageParam pageParam);

    UnitAndOrgTreeVO getRootTree();

    List<UnitAndOrgTreeVO> getUnitList();

    List<UnitAndOrgTreeVO> getOrgList(@Param("unitId") String unitId);

    IPage<FsEnterpriseBalanceStatisticVO> selectMyMapsPage(Page<FsEnterpriseBalanceStatisticVO> p,@Param(Constants.WRAPPER)QueryWrapper<FsEnterpriseBalanceStatisticVO> queryWrapper);

    List<CostBalanceVO> getCostBalanceList(@Param("costBalanceParam") CostBalanceParam costBalanceParam);
}
