/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.FsEnterpriseBalanceStatistic;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.CostBalanceVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.FsEnterpriseBalanceStatisticVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.entity.VO.UnitAndOrgTreeVO;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.param.CostBalanceParam;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.param.FsEnterpriseBalanceStatisticPageParam;
import com.unis.financialSupervision.modular.fsEnterpriseBalanceStatistic.param.FsEnterpriseBalanceStatisticWarinPageParam;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 财务监管-企业收支结余统计表Service接口
 *
 * @author TS
 * @date  2024/06/26 11:23
 **/
public interface FsEnterpriseBalanceStatisticService extends IService<FsEnterpriseBalanceStatistic> {


    /**
     * *● 财务监管-企业收支结余统计表
     *  *     ○ 频率：一天执行一次。
     *  *     ○ 功能：统计当月储备规模，无储备规模数据则不进行统计
     * @author TS
     * @date  2024/06/26 11:23
     */
    void taskAction();

    /**
     *获取财务监管-企业收支结余统计表查询
     * @param fsEnterpriseBalanceStatisticPageParam
     * @return
     */
    List<FsEnterpriseBalanceStatisticVO> getList(FsEnterpriseBalanceStatisticPageParam fsEnterpriseBalanceStatisticPageParam);

    /**
     * 获取企业和库区树
     * @return
     */
    UnitAndOrgTreeVO getUnitAndOgrTree();

    /**
     * 获取财务监管-企业收支结余统计风险预警自定义分页
     * @param fsEnterpriseBalanceStatisticWarinPageParam
     * @return
     */
    IPage<FsEnterpriseBalanceStatisticVO> findWarPage(FsEnterpriseBalanceStatisticWarinPageParam fsEnterpriseBalanceStatisticWarinPageParam);

    /**
     * 获取财务监管-企业收支结余统计图表
     * @param costBalanceParam
     * @return
     */
    List<CostBalanceVO> getCostBalanceList(CostBalanceParam costBalanceParam);

    /**
     * 省级粮油费用补贴收支结余情况表导出
     * @param fsEnterpriseBalanceStatisticPageParam
     * @param response
     */
    void exportData(FsEnterpriseBalanceStatisticPageParam fsEnterpriseBalanceStatisticPageParam, HttpServletResponse response) throws IOException;
}
