/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsstoragesubsidysettle.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.entity.FsStorageSubsidySettle;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.param.FsStorageSubsidySettleAddParam;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.param.FsStorageSubsidySettleEditParam;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.param.FsStorageSubsidySettleIdParam;
import com.unis.financialSupervision.modular.fsstoragesubsidysettle.param.FsStorageSubsidySettlePageParam;

import java.util.List;

/**
 * 财务监管-保管费用粮油补贴清算表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/06/27 09:28
 **/
public interface FsStorageSubsidySettleService extends IService<FsStorageSubsidySettle> {

    /**
     * 获取财务监管-保管费用粮油补贴清算表分页
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     */
    Page<FsStorageSubsidySettle> page(FsStorageSubsidySettlePageParam fsStorageSubsidySettlePageParam);

    /**
     * 添加财务监管-保管费用粮油补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     */
    void add(FsStorageSubsidySettleAddParam fsStorageSubsidySettleAddParam);

    /**
     * 编辑财务监管-保管费用粮油补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     */
    void edit(FsStorageSubsidySettleEditParam fsStorageSubsidySettleEditParam);

    /**
     * 删除财务监管-保管费用粮油补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     */
    void delete(List<FsStorageSubsidySettleIdParam> fsStorageSubsidySettleIdParamList);

    /**
     * 获取财务监管-保管费用粮油补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     */
    FsStorageSubsidySettle detail(FsStorageSubsidySettleIdParam fsStorageSubsidySettleIdParam);

    /**
     * 获取财务监管-保管费用粮油补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/27 09:28
     **/
    FsStorageSubsidySettle queryEntity(String id);

    /**
     * 定时任务添加计算粮油保管费用补贴清算表
     */
    void addFsStorageSubsidySettle();
}
