/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsunrotatedgrainstorage.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 财务监管-（未轮换）分品种分库存情况表实体
 *
 * @author shine
 * @date  2024/06/26 11:51
 **/
@Getter
@Setter
@TableName("biz_fs_unrotated_grain_storage")
public class BizFsUnrotatedGrainStorage {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 计划年度 */
    @ApiModelProperty(value = "计划年度", position = 7)
    private Integer planYear;

    /** 粮食品种一级，如原粮、储备油；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种一级，如原粮、储备油；外库depot_qh.basic_enum的id；", position = 8)
    private Integer grainTypeOne;

    /** 粮食品种二级；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种二级；外库depot_qh.basic_enum的id；", position = 9)
    private Integer grainTypeTwo;

    /** 1月-12月平均月储备规模 */
    @ApiModelProperty(value = "1月-12月平均月储备规模", position = 10)
    private BigDecimal averageStorageScale;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 11)
    private String remark;

    @ApiModelProperty(value = "库区名称", position = 12)
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "品种一级名称", position = 13)
    @TableField(exist = false)
    private String pzOneName;


    @ApiModelProperty(value = "品种二级名称", position = 14)
    @TableField(exist = false)
    private String pzTwoName;
}
