/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.rotationCostSubsidySettle.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.entity.RotationCostSubsidySettle;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleAddParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleEditParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleIdParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettlePageParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.service.RotationCostSubsidySettleService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 轮换费用补贴清算控制器
 *
 * @author QSHan
 * @date 2024/06/26 20:00
 */
@Api(tags = "轮换费用补贴清算控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class RotationCostSubsidySettleController {
    @Resource
    private RotationCostSubsidySettleService rotationCostSubsidySettleService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取轮换费用补贴清算列表")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/page")
    @GetMapping("/financialSupervision/rotationCostSubsidySettle/getList")
    public CommonResult<List<RotationCostSubsidySettle>> getList(Integer planYear) {
        return CommonResult.data(rotationCostSubsidySettleService.getList(planYear));
    }
    /**
     * 获取轮换费用补贴清算分页
     *
     * @author QSHan
     * @date 2024/06/26 20:00
     *//*
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取轮换费用补贴清算分页")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/page")
    @GetMapping("/financialSupervision/rotationCostSubsidySettle/page")
    public CommonResult<Page<RotationCostSubsidySettle>> page(RotationCostSubsidySettlePageParam rotationCostSubsidySettlePageParam) {
        return CommonResult.data(rotationCostSubsidySettleService.page(rotationCostSubsidySettlePageParam));
    }

    *//**
     * 添加轮换费用补贴清算
     *
     * @author QSHan
     * @date 2024/06/26 20:00
     *//*
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加轮换费用补贴清算")
    @CommonLog("添加轮换费用补贴清算")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/add")
    @PostMapping("/financialSupervision/rotationCostSubsidySettle/add")
    public CommonResult<String> add(@RequestBody @Valid RotationCostSubsidySettleAddParam rotationCostSubsidySettleAddParam) {
        rotationCostSubsidySettleService.add(rotationCostSubsidySettleAddParam);
        return CommonResult.ok();
    }

    *//**
     * 编辑轮换费用补贴清算
     *
     * @author QSHan
     * @date 2024/06/26 20:00
     *//*
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑轮换费用补贴清算")
    @CommonLog("编辑轮换费用补贴清算")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/edit")
    @PostMapping("/financialSupervision/rotationCostSubsidySettle/edit")
    public CommonResult<String> edit(@RequestBody @Valid RotationCostSubsidySettleEditParam rotationCostSubsidySettleEditParam) {
        rotationCostSubsidySettleService.edit(rotationCostSubsidySettleEditParam);
        return CommonResult.ok();
    }

    *//**
     * 删除轮换费用补贴清算
     *
     * @author QSHan
     * @date 2024/06/26 20:00
     *//*
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除轮换费用补贴清算")
    @CommonLog("删除轮换费用补贴清算")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/delete")
    @PostMapping("/financialSupervision/rotationCostSubsidySettle/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                               CommonValidList<RotationCostSubsidySettleIdParam> rotationCostSubsidySettleIdParamList) {
        rotationCostSubsidySettleService.delete(rotationCostSubsidySettleIdParamList);
        return CommonResult.ok();
    }

    *//**
     * 获取轮换费用补贴清算详情
     *
     * @author QSHan
     * @date 2024/06/26 20:00
     *//*
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取轮换费用补贴清算详情")
//    @SaCheckPermission("/financialSupervision/rotationCostSubsidySettle/detail")
    @GetMapping("/financialSupervision/rotationCostSubsidySettle/detail")
    public CommonResult<RotationCostSubsidySettle> detail(@Valid RotationCostSubsidySettleIdParam rotationCostSubsidySettleIdParam) {
        return CommonResult.data(rotationCostSubsidySettleService.detail(rotationCostSubsidySettleIdParam));
    }*/
}
