/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.rotationCostSubsidySettle.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.entity.RotationCostSubsidySettle;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleAddParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleEditParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettleIdParam;
import com.unis.financialSupervision.modular.rotationCostSubsidySettle.param.RotationCostSubsidySettlePageParam;

import java.util.List;

/**
 * 轮换费用补贴清算Service接口
 *
 * @author QSHan
 * @date  2024/06/26 20:00
 **/
public interface RotationCostSubsidySettleService extends IService<RotationCostSubsidySettle> {

    /**
     * 获取轮换费用补贴清算分页
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     */
    Page<RotationCostSubsidySettle> page(RotationCostSubsidySettlePageParam rotationCostSubsidySettlePageParam);

    /**
     * 添加轮换费用补贴清算
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     */
    void add(RotationCostSubsidySettleAddParam rotationCostSubsidySettleAddParam);

    /**
     * 编辑轮换费用补贴清算
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     */
    void edit(RotationCostSubsidySettleEditParam rotationCostSubsidySettleEditParam);

    /**
     * 删除轮换费用补贴清算
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     */
    void delete(List<RotationCostSubsidySettleIdParam> rotationCostSubsidySettleIdParamList);

    /**
     * 获取轮换费用补贴清算详情
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     */
    RotationCostSubsidySettle detail(RotationCostSubsidySettleIdParam rotationCostSubsidySettleIdParam);

    /**
     * 获取轮换费用补贴清算详情
     *
     * @author QSHan
     * @date  2024/06/26 20:00
     **/
    RotationCostSubsidySettle queryEntity(String id);

    List<RotationCostSubsidySettle> getList(Integer planYear);

    void taskAction();
}
