package com.unis.finishedGrainSupervision.modular.controller;

/**
 * 成品粮监管
 *
 * @author ZeroLiYi
 * @date  2024/06/04 11:37
 */

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.common.pojo.CommonResult;
import com.unis.finishedGrainSupervision.modular.entity.DataCrkywCplckDefault;
import com.unis.finishedGrainSupervision.modular.entity.DataCrkywCplrkDefault;
import com.unis.finishedGrainSupervision.modular.param.DateCrkywCplcrkIdParam;
import com.unis.finishedGrainSupervision.modular.param.DateCrkywCplcrkPageParam;
import com.unis.finishedGrainSupervision.modular.service.DateCrkywCplcrkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;





/**
 * 成品粮出入库
 *
 * @author ZeroLiYi
 * @date  2024/06/04 11:37
 */

@Api(tags = "成品粮出入库")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class DateCrkywCplcrkController {

    @Resource
    private DateCrkywCplcrkService dateCrkywCplcrkService;

    /**
     * 成品粮出入库-成品粮入库管理分页
     *
     * @author ZeroLiYi
     * @date  2024/06/04 11:37
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("成品粮出入库-成品粮入库管理分页")
    @GetMapping("/finishedGrainSupervision/kcsw/selectRkPage")
    public CommonResult<IPage<Map<String,Object>>> page(DateCrkywCplcrkPageParam dateCrkywCplcrkPageParam) {
        return CommonResult.data(dateCrkywCplcrkService.selectRkPage(dateCrkywCplcrkPageParam));
    }


    /**
     * 成品粮出入库-成品粮入库详情
     *
     * @author ZeroLiYi
     * @date  2024/06/04 11:37
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("成品粮出入库-成品粮入库详情")
    @GetMapping("/finishedGrainSupervision/kcsw/selectRkdetails")
    public CommonResult<DataCrkywCplrkDefault> selectRkdetails(DateCrkywCplcrkIdParam dateCrkywCplcrkIdParam) {
        return CommonResult.data(dateCrkywCplcrkService.selectRkdetails(dateCrkywCplcrkIdParam));
    }


    /**
     * 成品粮出入库-成品粮出库管理分页
     *
     * @author ZeroLiYi
     * @date  2024/06/04 11:37
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("成品粮出入库-成品粮出库管理分页")
    @GetMapping("/finishedGrainSupervision/kcsw/selectCkPage")
    public CommonResult<IPage<Map<String,Object>>> selectCkPage(DateCrkywCplcrkPageParam dateCrkywCplcrkPageParam) {
        return CommonResult.data(dateCrkywCplcrkService.selectCkPage(dateCrkywCplcrkPageParam));
    }

    /**
     * 成品粮出入库-成品粮出库详情
     *
     * @author ZeroLiYi
     * @date  2024/06/04 11:37
     */
    @ApiOperationSupport(order = 4)
    @ApiOperation("成品粮出入库-成品粮出库详情")
    @GetMapping("/finishedGrainSupervision/kcsw/selectCkdetails")
    public CommonResult<DataCrkywCplckDefault> selectCkdetails(DateCrkywCplcrkIdParam dateCrkywCplcrkIdParam) {
        return CommonResult.data(dateCrkywCplcrkService.selectCkdetails(dateCrkywCplcrkIdParam));
    }




}
