package com.unis.finishedGrainSupervision.modular.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 成品粮出库从表
 * </p>
 *
 * @author TangSong
 * @since 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DataCrkywCplckFlt001对象", description="成品粮出库从表")
public class DataCrkywCplckFlt001 implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "ID")
    private String dataId;

    @ApiModelProperty(value = "主表ID")
    @TableField("mainDataId")
    private String mainDataId;

    @ApiModelProperty(value = "单位ID")
    private String unitid;

    @ApiModelProperty(value = "创建人")
    private String builder;


    @ApiModelProperty(value = "编辑人")
    private String editor;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "cjsj",fill = FieldFill.INSERT)
    private Date cjsj;

    @ApiModelProperty(value = "最后一次编辑时间")
    @TableField(value = "modifyDate",fill = FieldFill.INSERT_UPDATE)
    private Date modifyDate;

    @ApiModelProperty(value = "上传数据时间")
    @TableField(value = "updateTime",update = "null",fill = FieldFill.UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "生产日期")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date scrq;

    @ApiModelProperty(value = "保质期")
    private String bzq;

    @ApiModelProperty(value = "性质")
    private String xz;

    @ApiModelProperty(value = "部门id")
    @TableField("deptId")
    private String deptId;

    @ApiModelProperty(value = "实际军粮品种名称")
    private String sjjlpzmc;

    @ApiModelProperty(value = "实际军粮品种编号")
    private String sjjlpzbh;

    @ApiModelProperty(value = "实际军粮品牌名称")
    private String sjjlppmc;

    @ApiModelProperty(value = "实际军粮品牌编号")
    private String sjjlppbh;

    @ApiModelProperty(value = "实际军粮等级编号")
    private String sjjldjbh;

    @ApiModelProperty(value = "实际军粮等级名称")
    private String sjjldjmc;

    @ApiModelProperty(value = "实际军粮商品名称")
    private String sjjlspmc;

    @ApiModelProperty(value = "实际军粮商品名称编号")
    private String sjjlspmcbh;

    @ApiModelProperty(value = "生产批次")
    private String scpc;

    @ApiModelProperty(value = "规格")
    private String gg;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "计量单位名称")
    @TableField(exist = false)
    private String jldwmc;

    @ApiModelProperty(value = "件数")
    private Double js;

    @ApiModelProperty(value = "单价")
    private Double dj;

    @ApiModelProperty(value = "质检编号")
    private String zjbh;

    @ApiModelProperty(value = "金额(单价*数量)")
    private Double je;

    @ApiModelProperty(value = "实际军粮数量(件数*规格)")
    private Double sjjlsl;

    @ApiModelProperty(value = "产地")
    private String cd;

    @ApiModelProperty(value = "生产年份")
    private String scnf;

    @ApiModelProperty(value = "订单从表ID")
    private String ddcbid;

    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "是否暂存 0是 1否")
    private String isstaging;

    @ApiModelProperty(value = "是含税 0是 1否")
    private String istax;

    @ApiModelProperty(value = "税率")
    private Double taxrate;
}
