package com.unis.finishedGrainSupervision.modular.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.ArrayList;
import java.util.Date;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 成品粮入库
 * </p>
 *
 * @author TangSong
 * @since 2022-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DataCrkywCplrkDefault对象", description="成品粮入库")
public class DataCrkywCplrkDefault implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "ID")
    private String dataId;

    @ApiModelProperty(value = "单位ID")
    private String unitid;

    @ApiModelProperty(value = "站点名称")
    private String zdmc;

    @ApiModelProperty(value = "站点编码")
    private String zdbm;

    @ApiModelProperty(value = "仓房id")
    private String ch;

    @ApiModelProperty(value = "货位id")
    private String hwh;

    @ApiModelProperty(value = "仓房名称")
    private String chmc;

    @ApiModelProperty(value = "货位名称")
    private String hwmc;

    @ApiModelProperty(value = "创建人")
    private String builder;


    @ApiModelProperty(value = "编辑人")
    private String editor;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "cjsj",fill = FieldFill.INSERT)
    private Date cjsj;

    @ApiModelProperty(value = "最后一次编辑时间")
    @TableField(value = "modifyDate",fill = FieldFill.INSERT_UPDATE)
    private Date modifyDate;

    @ApiModelProperty(value = "上传数据时间")
    @TableField(value = "updateTime",update = "null",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "生产日期")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date scrq;

    @ApiModelProperty(value = "保质期")
    private String bzq;

    @ApiModelProperty(value = "性质")
    private String xz;

    @ApiModelProperty(value = "部门id")
    @TableField("deptId")
    private String deptId;

    @ApiModelProperty(value = "实际军粮品种名称")
    private String sjjlpzmc;

    @ApiModelProperty(value = "实际军粮品种编号")
    private String sjjlpzbh;

    @ApiModelProperty(value = "实际军粮品牌名称")
    private String sjjlppmc;

    @ApiModelProperty(value = "实际军粮品牌编号")
    private String sjjlppbh;

    @ApiModelProperty(value = "实际军粮等级编号")
    private String sjjldjbh;

    @ApiModelProperty(value = "实际军粮等级名称")
    private String sjjldjmc;

    @ApiModelProperty(value = "实际军粮商品名称")
    private String sjjlspmc;

    @ApiModelProperty(value = "实际军粮商品名称编号")
    private String sjjlspmcbh;

    @ApiModelProperty(value = "供应商编号")
    private String gysbh;

    @ApiModelProperty(value = "供应商")
    private String gys;

    @ApiModelProperty(value = "入库编号")
    private String rkbh;

    @ApiModelProperty(value = "订单编号")
    private String ddbh;

    @ApiModelProperty(value = "订单数量")
    private Double ddsl;

    @ApiModelProperty(value = "订单剩余数量")
    private Double ddsysl;

    @ApiModelProperty(value = "生产批次")
    private String scpc;

    @ApiModelProperty(value = "规格")
    private String gg;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "件数")
    private Double js;

    @ApiModelProperty(value = "单价")
    private Double dj;

    @ApiModelProperty(value = "总金额(单价*数量)")
    private Double zje;

    @ApiModelProperty(value = "实际军粮数量(件数*规格)")
    private Double sjjlsl;

    @ApiModelProperty(value = "业务时间")
    private Date ywsj;

    @ApiModelProperty(value = "加工工艺")
    private String jggy;

    @ApiModelProperty(value = "运输方式")
    private String ysfs;

    @ApiModelProperty(value = "储存方式")
    private String ccfs;

    @ApiModelProperty(value = "产地")
    private String cd;

    @ApiModelProperty(value = "生产年份")
    private String scnf;

    @ApiModelProperty(value = "质检编号")
    private String zjbh;

    @ApiModelProperty(value = "车牌号")
    private String cph;

    @ApiModelProperty(value = "业务类型（列出地方）一般入库、退货入库、其他")
    private String ywlx;

    @ApiModelProperty(value = "订单类型")
    private String cazylx;

    @ApiModelProperty(value = "承运人")
    private String cyr;

    @ApiModelProperty(value = "承运人地址")
    private String cyrdz;

    @ApiModelProperty(value = "承运人电话")
    private String cyrdh;

    @ApiModelProperty(value = "承运人身份证")
    private String cyrsfz;

    @ApiModelProperty(value = "订单从表ID")
    private String ddcbid;

    @ApiModelProperty(value = "订单主表ID")
    private String ddid;

    @ApiModelProperty(value = "评分")
    private String pf;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "成品粮入库从表信息")
    @TableField(exist = false)
    private List<DataCrkywCplrkFlt001> fltList = new ArrayList<>();

    @ApiModelProperty(value = "业务类型名称")
    @TableField(exist = false)
    private String ywlxmc;

    @ApiModelProperty(value = "运输方式名称")
    @TableField(exist = false)
    private String ysfsmc;
    @ApiModelProperty(value = "是否暂存 0是 1否")
    private String isstaging;

}
