/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.finishedGrainSupervision.modular.entity.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日常检查数据表实体
 *
 * @author TS
 * @date  2024/06/07 11:47
 **/
@Getter
@Setter
public class StorageDailycheckDetailVO extends  StorageDailycheckPageVO{

    /** 主键自增id */
    @ApiModelProperty(value = "主键自增id", position = 1)
    private Integer id;

    /** 仓房ID */
    @ApiModelProperty(value = "仓房ID", position = 2)
    private Integer houseId;

    /** 货位ID */
    @ApiModelProperty(value = "货位ID", position = 3)
    private Integer warehouseId;

    /** 单位ID */
    @ApiModelProperty(value = "单位ID", position = 4)
    private Integer orgId;

    /** 粮油品种 */
    @ApiModelProperty(value = "粮油品种", position = 5)
    private Integer subType;

    /** 检查日期 */
    @ApiModelProperty(value = "检查日期", position = 6)
    private Date checkTime;

    /** 检查人 */
    @ApiModelProperty(value = "检查人", position = 7)
    private String checker;

    /** 虫害检查-部位 */
    @ApiModelProperty(value = "虫害检查-部位", position = 8)
    private String pestsPosition;

    /** 虫害检查-密度(头/公斤) */
    @ApiModelProperty(value = "虫害检查-密度(头/公斤)", position = 9)
    private Integer pestsDensity;

    /** 虫害检查-害虫虫种 */
    @ApiModelProperty(value = "虫害检查-害虫虫种", position = 10)
    private Integer pestsSpecies;

    /** 雨后检查 */
    @ApiModelProperty(value = "雨后检查", position = 11)
    private String rainCheck;

    /** 鼠雀检查 */
    @ApiModelProperty(value = "鼠雀检查", position = 12)
    private String ratfinchCheck;

    /** 其它检查 */
    @ApiModelProperty(value = "其它检查", position = 13)
    private String otherCheck;

    /** 发现问题及处理情况 */
    @ApiModelProperty(value = "发现问题及处理情况", position = 14)
    private String findQuestion;

    /** 对应原粮粮情卡ID */
    @ApiModelProperty(value = "对应原粮粮情卡ID", position = 15)
    private String dailycardId;

    /** 保存:1,提交:2 */
    @ApiModelProperty(value = "保存:1,提交:2", position = 16)
    private Integer flagType;

    /** 门 */
    @ApiModelProperty(value = "门", position = 17)
    private String rcdoor;

    /** 窗 */
    @ApiModelProperty(value = "窗", position = 18)
    private String rcwindow;

    /** 灯 */
    @ApiModelProperty(value = "灯", position = 19)
    private String rclamp;

    /** 卫生 */
    @ApiModelProperty(value = "卫生", position = 20)
    private String rchygiene;

    /** 查粮走道 */
    @ApiModelProperty(value = "查粮走道", position = 21)
    private String rccorridor;

    /** 保管员 */
    @ApiModelProperty(value = "保管员", position = 22)
    private String bgy;

    /** 参与人员 */
    @ApiModelProperty(value = "参与人员", position = 23)
    private String cyry;

    /** 天气情况 */
    @ApiModelProperty(value = "天气情况", position = 24)
    private String tqqk;

    /** 粮温 */
    @ApiModelProperty(value = "粮温", position = 25)
    private BigDecimal lw;

    /** 仓温 */
    @ApiModelProperty(value = "仓温", position = 26)
    private String cw;

    /** 气温 */
    @ApiModelProperty(value = "气温", position = 27)
    private String qw;

    /** 仓内湿 */
    @ApiModelProperty(value = "仓内湿", position = 28)
    private String cns;

    /** 仓外湿 */
    @ApiModelProperty(value = "仓外湿", position = 29)
    private String cws;

    /** 是否结露 */
    @ApiModelProperty(value = "是否结露", position = 30)
    private Integer sfjl;

    /** 粮食霉变情况 */
    @ApiModelProperty(value = "粮食霉变情况", position = 31)
    private Integer lsmbqk;

    /** 仓房有无泄漏 */
    @ApiModelProperty(value = "仓房有无泄漏", position = 32)
    private Integer cfywxl;

    /** 是否返潮 */
    @ApiModelProperty(value = "是否返潮", position = 33)
    private Integer sffc;
}
