/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.finishedGrainSupervision.modular.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 日常检查数据表实体
 *
 * @author TS
 * @date  2024/06/07 11:47
 **/
@Getter
@Setter
public class StorageDailycheckPageVO {

    /** 主键自增id */
    @ApiModelProperty(value = "主键自增id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "库区名称")
    private String orgName;

    /** 仓房ID */
    @ApiModelProperty(value = "仓房ID", position = 2)
    private Integer houseId;

    /** 货位ID */
    @ApiModelProperty(value = "货位ID", position = 3)
    private Integer warehouseId;

    /** 仓房名称*/
    @ApiModelProperty(value = "仓房名称", position = 2)
    private String houseName;

    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 3)
    private String warehouseName;

    /** 单位ID */
    @ApiModelProperty(value = "单位ID", position = 4)
    private Integer orgId;

    /** 粮油品种 */
    @ApiModelProperty(value = "粮油品种", position = 5)
    private Integer subType;

    /** 粮油品种名称 */
    @ApiModelProperty(value = "粮油品种名称", position = 5)
    private String subTypeName;

    /** 检查日期 */
    @ApiModelProperty(value = "检查日期", position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date checkTime;

    /** 检查人 */
    @ApiModelProperty(value = "检查人", position = 7)
    private String checker;

}
