/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.businessGslrLossCollect.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.grainReserves.modular.businessGslrLossCollect.entity.BusinessGslrLossCollect;
import com.unis.grainReserves.modular.businessGslrLossCollect.param.*;
import com.unis.grainReserves.modular.businessGslrLossCollect.vo.BusinessGslrLossCollectVO;

import java.util.List;

/**
 * 粮食储备-节粮损益-损溢损失信息采集Service接口
 *
 * @author hjc
 * @date  2024/05/17 15:22
 **/
@DS(DBConstant.DS_DEPOT)
public interface BusinessGslrLossCollectService extends IService<BusinessGslrLossCollect> {

    /**
     * 获取粮食储备-节粮损益-损溢损失信息采集分页
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    Page<BusinessGslrLossCollectVO> page(BusinessGslrLossCollectPageParam businessGslrLossCollectPageParam);

    /**
     * 添加粮食储备-节粮损益-损溢损失信息采集
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    void add(BusinessGslrLossCollectAddParam businessGslrLossCollectAddParam);

    /**
     * 编辑粮食储备-节粮损益-损溢损失信息采集
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    void edit(BusinessGslrLossCollectEditParam businessGslrLossCollectEditParam);

    /**
     * 删除粮食储备-节粮损益-损溢损失信息采集
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    void delete(List<BusinessGslrLossCollectIdParam> businessGslrLossCollectIdParamList);

    /**
     * 获取粮食储备-节粮损益-损溢损失信息采集详情
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    BusinessGslrLossCollectVO detail(BusinessGslrLossCollectIdParam businessGslrLossCollectIdParam);

    /**
     * 获取粮食储备-节粮损益-损溢损失信息采集详情
     *
     * @author hjc
     * @date  2024/05/17 15:22
     **/
    BusinessGslrLossCollect queryEntity(String id);
    /**
     * 获取粮食储备-节粮损益-损溢损失分析报警
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    Page<BusinessGslrLossCollectVO> alarmPage(BusinessGslrLossCollectPageAlarmParam pageAlarmParam);

    /**
     * 获取粮食储备-节粮损益-报警折线图
     *
     * @author hjc
     * @date  2024/05/17 15:22
     */
    List<BusinessGslrLossCollectVO> alarmLineChart(AlarmLineChartParam param);
}
