/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.gopsPlan.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.grainReserves.modular.gopsPlanBuy.entity.GopsPlanBuy;
import com.unis.grainReserves.modular.gopsPlanSale.entity.GopsPlanSale;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 购销计划实体
 *
 * @author QSHan
 * @date  2024/05/18 17:25
 **/
@Getter
@Setter
@TableName("biz_gops_plan")
public class GopsPlan {

    /** 计划ID */
    @TableId
    @ApiModelProperty(value = "计划ID", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 计划单号 */
    @ApiModelProperty(value = "计划单号", position = 6)
    private String planOrderNo;

    /** 计划文号 */
    @ApiModelProperty(value = "计划文号", position = 7)
    private String planNo;

    /** 计划名称 */
    @ApiModelProperty(value = "计划名称", position = 8)
    private String planName;

    /** 计划年度 */
    @ApiModelProperty(value = "计划年度", position = 9)
    private String planYear;

    /** 制定计划单位 */
    @ApiModelProperty(value = "制定计划单位", position = 10)
    private String planUnit;

    /** 计划下达时间 */
    @ApiModelProperty(value = "计划下达时间", position = 11)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date planReleaseTime;

    /** 接收库区id；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "接收库区id；外库depot_qh.org_info的id；", position = 12)
    private Integer orgId;

    /** 计划类型 1：销售计划；2：收购计划； */
    @ApiModelProperty(value = "计划类型 1：销售计划；2：收购计划；", position = 13)
    private Integer planType;

    /** 状态 0：保存；1：下发； */
    @ApiModelProperty(value = "状态 0：保存；1：下发；", position = 14)
    private Integer status;

    @ApiModelProperty(value = "库区名称", position = 15)
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "购销计划-收购", position = 16)
    @TableField(exist = false)
    private List<GopsPlanBuy> planBuy;

    @ApiModelProperty(value = "购销计划-销售", position = 17)
    @TableField(exist = false)
    private List<GopsPlanSale> planSale;
}
