/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.gopsPlanBuy.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.grainReserves.modular.gopsPlanBuy.entity.GopsPlanBuy;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyAddParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyEditParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyIdParam;
import com.unis.grainReserves.modular.gopsPlanBuy.param.GopsPlanBuyPageParam;

import java.util.List;

/**
 * 购销计划-销售Service接口
 *
 * @author QSHan
 * @date  2024/05/21 15:48
 **/
public interface GopsPlanBuyService extends IService<GopsPlanBuy> {

    /**
     * 获取购销计划-销售分页
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     */
    Page<GopsPlanBuy> page(GopsPlanBuyPageParam gopsPlanBuyPageParam);

    /**
     * 添加购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     */
    void add(GopsPlanBuyAddParam gopsPlanBuyAddParam);

    /**
     * 编辑购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     */
    void edit(GopsPlanBuyEditParam gopsPlanBuyEditParam);

    /**
     * 删除购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     */
    void delete(List<GopsPlanBuyIdParam> gopsPlanBuyIdParamList);

    /**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     */
    GopsPlanBuy detail(GopsPlanBuyIdParam gopsPlanBuyIdParam);

    /**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/21 15:48
     **/
    GopsPlanBuy queryEntity(String id);
}
