/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.gopsPlanSale.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 购销计划-销售实体
 *
 * @author QSHan
 * @date  2024/05/18 17:31
 **/
@Getter
@Setter
@TableName("biz_gops_plan_sale")
public class GopsPlanSale {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** biz_gops_plan的id； */
    @ApiModelProperty(value = "biz_gops_plan的id；", position = 6)
    private String gopsPlanId;

    /** 外库depot_qh.asic_storehouse的id；仓房id */
    @ApiModelProperty(value = "外库depot_qh.asic_storehouse的id；仓房id", position = 7)
    private Integer basicStorehouseId;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "外库depot_qh.basic_warehouse的id；货位id;", position = 8)
    private Integer warehouseId;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 9)
    private Integer grainVarietyId;

    /** 粮食性质；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食性质；外库depot_qh.basic_enum的id；", position = 10)
    private Integer grainNatureId;

    /** 粮食等级；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食等级；外库depot_qh.basic_enum的id；", position = 11)
    private Integer grainGradeId;

    /** 计划数量 */
    @ApiModelProperty(value = "计划数量", position = 12)
    private BigDecimal planQuantity;


    @ApiModelProperty(value = "粮食品种名称", position = 13)
    @TableField(exist = false)
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质名称", position = 14)
    @TableField(exist = false)
    private String grainNatureName;

    @ApiModelProperty(value = "粮食等级名称", position = 15)
    @TableField(exist = false)
    private String grainGradeName;
}
