/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.gopsPlanSale.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.grainReserves.modular.gopsPlanSale.entity.GopsPlanSale;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleAddParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleEditParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSaleIdParam;
import com.unis.grainReserves.modular.gopsPlanSale.param.GopsPlanSalePageParam;

import java.util.List;

/**
 * 购销计划-销售Service接口
 *
 * @author QSHan
 * @date  2024/05/18 17:31
 **/
public interface GopsPlanSaleService extends IService<GopsPlanSale> {

    /**
     * 获取购销计划-销售分页
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     */
    Page<GopsPlanSale> page(GopsPlanSalePageParam gopsPlanSalePageParam);

    /**
     * 添加购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     */
    void add(GopsPlanSaleAddParam gopsPlanSaleAddParam);

    /**
     * 编辑购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     */
    void edit(GopsPlanSaleEditParam gopsPlanSaleEditParam);

    /**
     * 删除购销计划-销售
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     */
    void delete(List<GopsPlanSaleIdParam> gopsPlanSaleIdParamList);

    /**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     */
    GopsPlanSale detail(GopsPlanSaleIdParam gopsPlanSaleIdParam);

    /**
     * 获取购销计划-销售详情
     *
     * @author QSHan
     * @date  2024/05/18 17:31
     **/
    GopsPlanSale queryEntity(String id);
}
