/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.grReserveScale.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.grainReserves.modular.grReserveScale.entity.GrReserveScale;
import com.unis.grainReserves.modular.grReserveScale.vo.GrReserveScaleVO;
import com.unis.grainReserves.modular.grReserveScale.vo.LspzInfoVO;
import com.unis.grainReserves.modular.grReserveScale.vo.LsxzInfoVO;
import com.unis.grainReserves.modular.grReserveScale.vo.OrgInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 粮食储备-储备规模Mapper接口
 *
 * @author hjc
 * @date 2024/05/14 17:28
 **/
@Mapper
public interface GrReserveScaleMapper extends BaseMapper<GrReserveScale> {
    /**
     * 获取粮食储备-根据企业信息查出库区名称
     *
     * @author hjc
     * @date 2024/05/14 17:28
     */
    @Select("select org_id,org_name from depot_qh.org_info where unit_info_id=#{id}")
    List<OrgInfoVO> selectOrgInfo(String id);

    /**
     * 获取粮食储备-粮食品种
     *
     * @author hjc
     * @date 2024/05/14 17:28
     */
    @Select("select enumId,enumname from depot_qh.basic_enum where parentId='1060' and delFlag='1'")
    List<LspzInfoVO> selectLspzInfo();

    /**
     * 获取粮食储备-粮食性质
     *
     * @author hjc
     * @date 2024/05/14 17:28
     */
    @Select("select enumId,enumname from depot_qh.basic_enum where parentId=#{parentId} and delFlag='1'")
    List<LsxzInfoVO> getLsxzInfo(String parentId);

    Page<GrReserveScaleVO> selectMyPage(@Param("page") Page<GrReserveScaleVO> page,
                                        @Param("unitInfoName") String unitInfoName,
                                        @Param("grainNatureName") String grainNatureName,
                                        @Param("grainVarietyName") String grainVarietyName);

    GrReserveScaleVO detail(String id);

    Map<String, Object> getCbgmGjjDate(String id);
}
