/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.grReserveScale.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.unitInfo.entity.UnitInfo;
import com.unis.common.pojo.CommonValidList;
import com.unis.grainReserves.modular.grReserveScale.entity.GrReserveScale;
import com.unis.grainReserves.modular.grReserveScale.param.*;
import com.unis.grainReserves.modular.grReserveScale.vo.GrReserveScaleVO;
import com.unis.grainReserves.modular.grReserveScale.vo.LspzInfoVO;
import com.unis.grainReserves.modular.grReserveScale.vo.LsxzInfoVO;
import com.unis.grainReserves.modular.grReserveScale.vo.OrgInfoVO;

import java.util.List;

/**
 * 粮食储备-储备规模Service接口
 *
 * @author hjc
 * @date  2024/05/14 17:28
 **/
public interface GrReserveScaleService extends IService<GrReserveScale> {

    /**
     * 获取粮食储备-储备规模分页
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    Page<GrReserveScaleVO> page(GrReserveScalePageParam grReserveScalePageParam);

    /**
     * 添加粮食储备-储备规模
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    void add(GrReserveScaleAddParam grReserveScaleAddParam);

    /**
     * 编辑粮食储备-储备规模
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    void edit(GrReserveScaleEditParam grReserveScaleEditParam);

    /**
     * 删除粮食储备-储备规模
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    void delete(List<GrReserveScaleIdParam> grReserveScaleIdParamList);

    /**
     * 获取粮食储备-储备规模详情
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    GrReserveScaleVO detail(GrReserveScaleIdParam grReserveScaleIdParam);

    /**
     * 获取粮食储备-储备规模详情
     *
     * @author hjc
     * @date  2024/05/14 17:28
     **/
    GrReserveScale queryEntity(String id);
    /**
     * 获取粮食储备-企业单位
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    List<UnitInfo> getUnitInfo();

    /**
     * 获取粮食储备-根据企业信息查出库区名称
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    List<OrgInfoVO> getOrgInfo(OrgInfoParam orgInfoParam);

    /**
     * 获取粮食储备-粮食品种
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    List<LspzInfoVO> getLspzInfo();
    /**
     * 获取粮食储备-粮食性质
     *
     * @author hjc
     * @date  2024/05/14 17:28
     */
    List<LsxzInfoVO> getLsxzInfo(String parentId);

    /* *
     * 获取粮食储备-下发
     *
     * @author hjc
     * @date  2024/05/14 17:28
     * */
    void issued( CommonValidList<GrReserveScaleIdAndStatusParam> paramCommonValidList);

}
