package com.unis.grainReserves.modular.grReserveScale.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/15 0:11
 */
@Data
public class GrReserveScaleVO {

    /** 唯一标识 */
    @ApiModelProperty(value = "储备规模Id", position = 1)
    private String id;

    /** 企业单位；biz_unit_info的id； */
    @ApiModelProperty(value = "企业单位；biz_unit_info的id；", position = 2)
    private String unitInfoId;

    /** 企业单位；biz_unit_info的id； */
    @ApiModelProperty(value = "企业单位名称", position = 3)
    private String unitInfoName;

    /** 粮食品种；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种id；外库的表，depot_qh.basic_enum的id；", position = 4)
    private Integer grainVarietyId;

    /** 粮食品种；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种名称", position = 5)
    private String grainVarietyName;

    /** 粮食性质；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食性质id；外库的表，depot_qh.basic_enum的id；", position = 6)
    private Integer grainNatureId;

    /** 粮食性质；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食性质", position = 7)
    private String grainNatureName;

    /** 储备规模计划量（吨） */
    @ApiModelProperty(value = "储备规模计划量（吨）", position = 8)
    private BigDecimal reservePlanQuantity;


    /** 库区名称；外库的表，depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称id；外库的表，depot_qh.org_info的id；", position = 8)
    private Integer orgInfoId;

    /** 库区名称；外库的表，depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称", position = 8)
    private String orgInfoName;

    /** 计划文号 */
    @ApiModelProperty(value = "计划文号", position = 14)
    private String planNo;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 15)
    private String remark;

    /** 状态 1：保存；2：下发； */
    @ApiModelProperty(value = "状态 1：保存；2：下发；", position = 12)
    private Integer status;

    /** 日期-年 */
    @ApiModelProperty(value = "日期-年", position = 16)
    private Integer scaleYear;

    /** 日期-月 */
    @ApiModelProperty(value = "日期-月", position = 17)
    private String scaleMonth;
}
