/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.grainReserves.modular.reserveQuantity.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 储备数量实体
 *
 * @author QSHan
 * @date  2024/05/14 17:32
 **/
@Getter
@Setter
@TableName("data_kcgl_kcsw_default")
public class ReserveQuantity {

    @ApiModelProperty(value = "市州名称", position = 1)
    private String zcdzCity;

    @ApiModelProperty(value = "企业名称", position = 2)
    private String dwmc;

    @ApiModelProperty(value = "库区名称", position = 3)
    private String orgName;

    @ApiModelProperty(value = "库区编码", position = 4)
    private String unitId;

    @ApiModelProperty(value = "库存总量(T)", position = 5)
    private String kcslSum;

    @ApiModelProperty(value = "省级储备数量(T)", position = 6)
    private String kcslPSum;

    @ApiModelProperty(value = "市级储备数量(T)", position = 7)
    private String kcslCSum;

    @ApiModelProperty(value = "县级储备数量(T)", position = 8)
    private String kcslCLSum;
}
