/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.entity.DataCrkywCkrmdjDefault;
import com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.param.DataCrkywCkrmdjDefaultAddParam;
import com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.param.DataCrkywCkrmdjDefaultEditParam;
import com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.param.DataCrkywCkrmdjDefaultIdParam;
import com.unis.intelligentManagement.modular.dataCrkywCkrmdjDefault.param.DataCrkywCkrmdjDefaultPageParam;
import com.unis.intelligentManagement.modular.tLqData.param.OrgInfoByIdParam;
import com.unis.intelligentManagement.modular.tLqData.vo.CrkywVO;

import java.util.List;

/**
 * 汽车出库-入门登记Service接口
 *
 * @author hjc
 * @date  2024/06/07 17:55
 **/
@DS(DBConstant.DS_DEPOT)
public interface DataCrkywCkrmdjDefaultService extends IService<DataCrkywCkrmdjDefault> {

    /**
     * 获取汽车出库-入门登记分页
     *
     * @author hjc
     * @date  2024/06/07 17:55
     */
    Page<DataCrkywCkrmdjDefault> page(DataCrkywCkrmdjDefaultPageParam dataCrkywCkrmdjDefaultPageParam);

    /**
     * 添加汽车出库-入门登记
     *
     * @author hjc
     * @date  2024/06/07 17:55
     */
    void add(DataCrkywCkrmdjDefaultAddParam dataCrkywCkrmdjDefaultAddParam);

    /**
     * 编辑汽车出库-入门登记
     *
     * @author hjc
     * @date  2024/06/07 17:55
     */
    void edit(DataCrkywCkrmdjDefaultEditParam dataCrkywCkrmdjDefaultEditParam);

    /**
     * 删除汽车出库-入门登记
     *
     * @author hjc
     * @date  2024/06/07 17:55
     */
    void delete(List<DataCrkywCkrmdjDefaultIdParam> dataCrkywCkrmdjDefaultIdParamList);

    /**
     * 获取汽车出库-入门登记详情
     *
     * @author hjc
     * @date  2024/06/07 17:55
     */
    DataCrkywCkrmdjDefault detail(DataCrkywCkrmdjDefaultIdParam dataCrkywCkrmdjDefaultIdParam);

    /**
     * 获取汽车出库-入门登记详情
     *
     * @author hjc
     * @date  2024/06/07 17:55
     **/
    DataCrkywCkrmdjDefault queryEntity(String id);

    /**
     * 获取首页
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    CrkywVO getHome(OrgInfoByIdParam orgInfoByIdParam);
}
