/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.dataCrkywRmdjDefault.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 出入库登记编辑参数
 *
 * @author hjc
 * @date  2024/06/07 17:58
 **/
@Getter
@Setter
public class DataCrkywRmdjDefaultEditParam {

    /** 数据记录ID */
    @ApiModelProperty(value = "数据记录ID", position = 1)
    private String dataid;

    /** 单位ID */
    @ApiModelProperty(value = "单位ID", position = 2)
    private String unitid;

    /** 期间ID */
    @ApiModelProperty(value = "期间ID", position = 3)
    private String periodid;

    /** 舍位ID */
    @ApiModelProperty(value = "舍位ID", position = 4)
    private Integer roundid;

    /** 条目创建人 */
    @ApiModelProperty(value = "条目创建人", position = 5)
    private String builder;

    /** SYTELINFOID */
    @ApiModelProperty(value = "SYTELINFOID", position = 7)
    private String sytelinfoid;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 8)
    private Date builddate;

    /** 最后一次修改人 */
    @ApiModelProperty(value = "最后一次修改人", position = 9)
    private String editor;

    /** 最后一次编辑时间 */
    @ApiModelProperty(value = "最后一次编辑时间", position = 10)
    private Date modifydate;

    /** 部门ID */
    @ApiModelProperty(value = "部门ID", position = 11)
    private String deptid;

    /** 单据号 */
    @ApiModelProperty(value = "单据号", position = 12)
    private String bizno;

    /** 上一顺序号 */
    @ApiModelProperty(value = "上一顺序号", position = 13)
    private Integer preorder;

    /** 顺序号 */
    @ApiModelProperty(value = "顺序号", position = 14)
    private Integer showorder;

    /** 库点代码 */
    @ApiModelProperty(value = "库点代码", position = 15)
    private String kddm;

    /** 业务登记时间 */
    @ApiModelProperty(value = "业务登记时间", position = 16)
    private Date ywdjsj;

    /** 业务类型 */
    @ApiModelProperty(value = "业务类型", position = 17)
    private String ywlx;

    /** 通知单ID；business_delivery_storage_notice的id； */
    @ApiModelProperty(value = "通知单ID；business_delivery_storage_notice的id；", position = 18)
    private String tzdid;

    /** 合同ID */
    @ApiModelProperty(value = "合同ID", position = 19)
    private String htid;

    /** 计划单ID */
    @ApiModelProperty(value = "计划单ID", position = 20)
    private String jhdh;

    /** 登记人 */
    @ApiModelProperty(value = "登记人", position = 21)
    private String djr;

    /** 车牌号 */
    @ApiModelProperty(value = "车牌号", position = 22)
    private String cph;

    /** 挂车号 */
    @ApiModelProperty(value = "挂车号", position = 23)
    private String gch;

    /** SLR */
    @ApiModelProperty(value = "SLR", position = 24)
    private String slr;

    /** 售粮人身份证号 */
    @ApiModelProperty(value = "售粮人身份证号", position = 25)
    private String slrsfzh;

    /** 联系地址 */
    @ApiModelProperty(value = "联系地址", position = 26)
    private String slrdz;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 27)
    private String slrdh;

    /** 粮油品种 */
    @ApiModelProperty(value = "粮油品种", position = 28)
    private String lspz;

    /** 生产年份 */
    @ApiModelProperty(value = "生产年份", position = 29)
    private String scnf;

    /** 产地 */
    @ApiModelProperty(value = "产地", position = 30)
    private String cd;

    /** 粮油性质 */
    @ApiModelProperty(value = "粮油性质", position = 31)
    private String lsxz;

    /** 车辆类型 */
    @ApiModelProperty(value = "车辆类型", position = 32)
    private String cllx;

    /** nrchID */
    @ApiModelProperty(value = "nrchID", position = 33)
    private String nrchid;

    /** 拟入仓号编号 */
    @ApiModelProperty(value = "拟入仓号编号", position = 34)
    private String nrchbh;

    /** 拟入货位ID */
    @ApiModelProperty(value = "拟入货位ID", position = 35)
    private Integer nrhwid;

    /** 拟入货位编号 */
    @ApiModelProperty(value = "拟入货位编号", position = 36)
    private String nrhwbh;

    /** 计划单编号 */
    @ApiModelProperty(value = "计划单编号", position = 37)
    private String jhdbh;

    /** 合同编号 */
    @ApiModelProperty(value = "合同编号", position = 38)
    private String htbh;

    /** 通知单编号；business_delivery_storage_notice的bill_number； */
    @ApiModelProperty(value = "通知单编号；business_delivery_storage_notice的bill_number；", position = 39)
    private String tzdbh;

    /** 明细品种 */
    @ApiModelProperty(value = "明细品种", position = 40)
    private String mxpz;

    /** 承运人 */
    @ApiModelProperty(value = "承运人", position = 41)
    private String cyr;

    /** 承运人身份证号 */
    @ApiModelProperty(value = "承运人身份证号", position = 42)
    private String cyrsfzh;

    /** 站台 */
    @ApiModelProperty(value = "站台", position = 43)
    private String zt;

    /** 入门单号 */
    @ApiModelProperty(value = "入门单号", position = 44)
    private String rmdh;

    /** 登记时间 */
    @ApiModelProperty(value = "登记时间", position = 45)
    private Date djsj;

    /** 客户名称 */
    @ApiModelProperty(value = "客户名称", position = 46)
    private String khmc;

    /** 承运人联系电话 */
    @ApiModelProperty(value = "承运人联系电话", position = 47)
    private String cyrlxdh;

    /** 承运人联系地址 */
    @ApiModelProperty(value = "承运人联系地址", position = 48)
    private String cyrlxdz;

    /** BZ */
    @ApiModelProperty(value = "BZ", position = 49)
    private String bz;

    /** 入库业务类型 */
    @ApiModelProperty(value = "入库业务类型", position = 50)
    private String rkywlx;

    /** 开户银行名称 */
    @ApiModelProperty(value = "开户银行名称", position = 51)
    private String hhyhmc;

    /** 开户银行行别 */
    @ApiModelProperty(value = "开户银行行别", position = 52)
    private String hfyhhb;

    /** 入库业务类型 */
    @ApiModelProperty(value = "入库业务类型", position = 53)
    private String yhkh;

    /** 计划分类 */
    @ApiModelProperty(value = "计划分类", position = 54)
    private String jhfl;

    /** 搬倒工具号 */
    @ApiModelProperty(value = "搬倒工具号", position = 55)
    private String bdgjh;

    /** 通知但从表Id */
    @ApiModelProperty(value = "通知但从表Id", position = 56)
    private String tzdcbid;

    /** 收款人 */
    @ApiModelProperty(value = "收款人", position = 57)
    private String skr;

    /** 入仓时间 */
    @ApiModelProperty(value = "入仓时间", position = 58)
    private Date rcsj;

    /** 粮油等级 */
    @ApiModelProperty(value = "粮油等级", position = 59)
    private String lydj;

    /** 承运单位 */
    @ApiModelProperty(value = "承运单位", position = 60)
    private String cydw;

    /** 发货单位 */
    @ApiModelProperty(value = "发货单位", position = 61)
    private String fhdw;

    /** 火车皮号 */
    @ApiModelProperty(value = "火车皮号", position = 62)
    private String hcph;

    /** 车辆整备质量 */
    @ApiModelProperty(value = "车辆整备质量", position = 63)
    private Double clzbzl;

    /** 入站单号 */
    @ApiModelProperty(value = "入站单号", position = 64)
    private String rzdh;

    /** 车船号类型 */
    @ApiModelProperty(value = "车船号类型", position = 65)
    private String cchlx;

}
