/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.lqdatalayer.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 多功能粮情-子表添加参数
 *
 * @author shine
 * @date  2024/06/11 20:27
 **/
@Getter
@Setter
public class TLqDataLayerAddParam {

    /** 组织机构编码 */
    @ApiModelProperty(value = "组织机构编码", position = 2)
    private String orgId;

    /** 粮情id */
    @ApiModelProperty(value = "粮情id", position = 3)
    private String lqId;

    /** 仓房编码 */
    @ApiModelProperty(value = "仓房编码", position = 4)
    private String lhouse;

    /** 采集时间 */
    @ApiModelProperty(value = "采集时间", position = 5)
    private Date ltime;

    /** 测温层数 */
    @ApiModelProperty(value = "测温层数", position = 6)
    private Integer layernumber;

    /** 每层的层号 */
    @ApiModelProperty(value = "每层的层号", position = 7)
    private String lz;

    /** 每层最高温 */
    @ApiModelProperty(value = "每层最高温", position = 8)
    private BigDecimal lmax;

    /** 每层最低温 */
    @ApiModelProperty(value = "每层最低温", position = 9)
    private BigDecimal lmin;

    /** 每层平均温 */
    @ApiModelProperty(value = "每层平均温", position = 10)
    private BigDecimal lavg;

    /** 数据来源 */
    @ApiModelProperty(value = "数据来源", position = 11)
    private String dataSource;

    /** 更新时间(原kettle字段) */
    @ApiModelProperty(value = "更新时间(原kettle字段)", position = 12)
    private Date updatetime;

}
