/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.lqdatalayer.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.intelligentManagement.modular.lqdatalayer.entity.TLqDataLayer;
import com.unis.intelligentManagement.modular.lqdatalayer.param.TLqDataLayerAddParam;
import com.unis.intelligentManagement.modular.lqdatalayer.param.TLqDataLayerEditParam;
import com.unis.intelligentManagement.modular.lqdatalayer.param.TLqDataLayerIdParam;
import com.unis.intelligentManagement.modular.lqdatalayer.param.TLqDataLayerPageParam;
import com.unis.intelligentManagement.modular.tLqData.param.TLqDataIdParam;

import java.util.List;

/**
 * 多功能粮情-子表Service接口
 *
 * @author shine
 * @date  2024/06/11 20:27
 **/
@DS(DBConstant.DS_DEPOT)
public interface TLqDataLayerService extends IService<TLqDataLayer> {

    /**
     * 获取多功能粮情-子表分页
     *
     * @author shine
     * @date  2024/06/11 20:27
     */
    Page<TLqDataLayer> page(TLqDataLayerPageParam tLqDataLayerPageParam);

    /**
     * 添加多功能粮情-子表
     *
     * @author shine
     * @date  2024/06/11 20:27
     */
    void add(TLqDataLayerAddParam tLqDataLayerAddParam);

    /**
     * 编辑多功能粮情-子表
     *
     * @author shine
     * @date  2024/06/11 20:27
     */
    void edit(TLqDataLayerEditParam tLqDataLayerEditParam);

    /**
     * 删除多功能粮情-子表
     *
     * @author shine
     * @date  2024/06/11 20:27
     */
    void delete(List<TLqDataLayerIdParam> tLqDataLayerIdParamList);

    /**
     * 获取多功能粮情-子表详情
     *
     * @author shine
     * @date  2024/06/11 20:27
     */
    TLqDataLayer detail(TLqDataLayerIdParam tLqDataLayerIdParam);

    /**
     * 获取多功能粮情-子表详情
     *
     * @author shine
     * @date  2024/06/11 20:27
     **/
    TLqDataLayer queryEntity(String id);



    /**
     * 购销监管-粮情监管-查看
     * @author hjc
     * @date  2024/06/07 10:18
     */
    List<TLqDataLayer> getTLqDataLayerDetail(String lqId);



    List<TLqDataLayer> detailByZid(TLqDataIdParam tLqDataIdParam);

}
