/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.station.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 通信设置添加参数
 *
 * @author shine
 * @date  2024/06/11 20:53
 **/
@Getter
@Setter
public class TStationAddParam {

    /** 库房id */
    @ApiModelProperty(value = "库房id", position = 2)
    private String orgId;

    /** 站点名 */
    @ApiModelProperty(value = "站点名", position = 3)
    private String sitename;

    /** 站点编号 */
    @ApiModelProperty(value = "站点编号", position = 4)
    private String sitecode;

    /** 分机地址 */
    @ApiModelProperty(value = "分机地址", position = 5)
    private String address;

    /** 品牌 */
    @ApiModelProperty(value = "品牌", position = 6)
    private String brand;

    /** 型号 */
    @ApiModelProperty(value = "型号", position = 7)
    private String model;

    /** 通讯类型 网络通讯(http,socket)、串口通讯、OPC通讯 */
    @ApiModelProperty(value = "通讯类型 网络通讯(http,socket)、串口通讯、OPC通讯", position = 8)
    private String signaltype;

    /** 服务地址 */
    @ApiModelProperty(value = "服务地址", position = 9)
    private String serviceip;

    /** 端口号 */
    @ApiModelProperty(value = "端口号", position = 10)
    private Integer serviceport;

    /** 串口号 */
    @ApiModelProperty(value = "串口号", position = 11)
    private Integer stringslogan;

    /** 波特率 */
    @ApiModelProperty(value = "波特率", position = 12)
    private String porterrate;

    /** 数据位 */
    @ApiModelProperty(value = "数据位", position = 13)
    private String databit;

    /** 校验位 */
    @ApiModelProperty(value = "校验位", position = 14)
    private String checkbit;

    /** 本地/远程 0:本地；1：远程 */
    @ApiModelProperty(value = "本地/远程 0:本地；1：远程", position = 15)
    private Integer islocal;

    /** 是否在线 0:离线；1：在线 */
    @ApiModelProperty(value = "是否在线 0:离线；1：在线", position = 16)
    private Integer isline;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间", position = 17)
    private Date updatetime;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 18)
    private String remark;

    /** 仓房编码 */
    @ApiModelProperty(value = "仓房编码", position = 19)
    private String vCfCode;

    /** 站点类型 */
    @ApiModelProperty(value = "站点类型", position = 20)
    private String vZdType;

    /** 删除标志（0：删除，1：未删除） */
    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）", position = 21)
    private Integer delFlag;

}
