/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.station.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.intelligentManagement.modular.station.entity.TStation;
import com.unis.intelligentManagement.modular.station.param.TStationAddParam;
import com.unis.intelligentManagement.modular.station.param.TStationEditParam;
import com.unis.intelligentManagement.modular.station.param.TStationIdParam;
import com.unis.intelligentManagement.modular.station.param.TStationPageParam;

import java.util.List;

/**
 * 通信设置Service接口
 *
 * @author shine
 * @date  2024/06/11 20:53
 **/
public interface TStationService extends IService<TStation> {

    /**
     * 获取通信设置分页
     *
     * @author shine
     * @date  2024/06/11 20:53
     */
    Page<TStation> page(TStationPageParam tStationPageParam);

    /**
     * 添加通信设置
     *
     * @author shine
     * @date  2024/06/11 20:53
     */
    void add(TStationAddParam tStationAddParam);

    /**
     * 编辑通信设置
     *
     * @author shine
     * @date  2024/06/11 20:53
     */
    void edit(TStationEditParam tStationEditParam);

    /**
     * 删除通信设置
     *
     * @author shine
     * @date  2024/06/11 20:53
     */
    void delete(List<TStationIdParam> tStationIdParamList);

    /**
     * 获取通信设置详情
     *
     * @author shine
     * @date  2024/06/11 20:53
     */
    TStation detail(TStationIdParam tStationIdParam);

    /**
     * 获取通信设置详情
     *
     * @author shine
     * @date  2024/06/11 20:53
     **/
    TStation queryEntity(String id);
}
