/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.tLqData.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.intelligentManagement.modular.lqdatalayer.entity.TLqDataLayer;
import com.unis.intelligentManagement.modular.lqdatalayer.mapper.TLqDataLayerMapper;
import com.unis.intelligentManagement.modular.lqdatalayer.service.TLqDataLayerService;
import com.unis.intelligentManagement.modular.tLqData.param.*;
import com.unis.intelligentManagement.modular.tLqData.vo.CrkywVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.unis.common.pojo.CommonResult;
import com.unis.intelligentManagement.modular.tLqData.entity.TLqData;
import com.unis.intelligentManagement.modular.tLqData.service.TLqDataService;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

/**
 * 多功能粮情-主表控制器
 *
 * @author hjc
 * @date  2024/06/07 10:18
 */
@Api(tags = "多功能粮情-主表控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class TLqDataController {

    @Resource
    private TLqDataService tLqDataService;

    @Resource
    private TLqDataLayerService tLqDataLayerService;

    /**
     * 粮温监测-分页
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("粮温检测-分页")
    //@SaCheckPermission("/intelligentManagement/tLqData/page")
    @GetMapping("client/c/intelligentManagement/tLqData/page")
    public CommonResult<Page<TLqData>> page(TLqDataPageParam tLqDataPageParam) {
        return CommonResult.data(tLqDataService.page(tLqDataPageParam));
    }
    /*
     *//**
     * 添加多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     *//*
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加多功能粮情-主表")
    @CommonLog("添加多功能粮情-主表")
    //@SaCheckPermission("/intelligentManagement/tLqData/add")
    @PostMapping("/intelligentManagement/tLqData/add")
    public CommonResult<String> add(@RequestBody @Valid TLqDataAddParam tLqDataAddParam) {
        tLqDataService.add(tLqDataAddParam);
        return CommonResult.ok();
    }

    *//**
     * 编辑多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     *//*
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑多功能粮情-主表")
    @CommonLog("编辑多功能粮情-主表")
    //@SaCheckPermission("/intelligentManagement/tLqData/edit")
    @PostMapping("/intelligentManagement/tLqData/edit")
    public CommonResult<String> edit(@RequestBody @Valid TLqDataEditParam tLqDataEditParam) {
        tLqDataService.edit(tLqDataEditParam);
        return CommonResult.ok();
    }

    *//**
     * 删除多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     *//*
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除多功能粮情-主表")
    @CommonLog("删除多功能粮情-主表")
    //@SaCheckPermission("/intelligentManagement/tLqData/delete")
    @PostMapping("/intelligentManagement/tLqData/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<TLqDataIdParam> tLqDataIdParamList) {
        tLqDataService.delete(tLqDataIdParamList);
        return CommonResult.ok();
    }*/

    /**
     * 获取粮温检测-详情
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取粮温检测-详情")
    //@SaCheckPermission("/intelligentManagement/tLqData/detail")
    @GetMapping("client/c/intelligentManagement/tLqData/detail")
    public CommonResult<TLqData> detail(@Valid TLqDataIdParam tLqDataIdParam) {
        return CommonResult.data(tLqDataService.detail(tLqDataIdParam));
    }


    /**
     * shine
     * @param
     * @return
     */
    @ApiOperationSupport(order = 6)
    @ApiOperation("*粮情采集--列表")
    @GetMapping("/intelligentManagement/tLqData/getPage")
    public CommonResult<Page<TLqData>> getPage(TLqDataGetPageParam tLqDataGetPageParam) {
        return CommonResult.data(tLqDataService.getPage(tLqDataGetPageParam));
    }

    @ApiOperationSupport(order = 7)
    @ApiOperation(value = "*粮温检测", notes = "检测类型0测温，1粮油,2测水分")
    @PostMapping(value = "/intelligentManagement/sendStoreDetection")
    public CommonResult sendStoreDetection(@RequestBody TStationSelect tStationSelect) {
        return tLqDataService.sendStoreDetection(tStationSelect);
    }

    /**
     * 购销监管-粮情监管-分页
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    @ApiOperationSupport(order = 8)
    @ApiOperation("购销监管-粮情监管-分页")
    //@SaCheckPermission("/intelligentManagement/tLqData/page")
    @GetMapping("/intelligentManagement/tLqData/purchaseAndSalesSupervisionPage")
    public CommonResult<Page<TLqData>> purchaseAndSalesSupervisionPage(PurchaseAndSalesTLqDataPageParam pageParam) {
        return CommonResult.data(tLqDataService.purchaseAndSalesSupervisionPage(pageParam));
    }

    /**
     * 购销监管-粮情监管-查看
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    @ApiOperationSupport(order = 8)
    @GetMapping("/intelligentManagement/tLqData/getTLqDataLayerDetail")
    @ApiOperation(value = "购销监管-粮情监管-查看", notes = "主表id=子表lqId")
    public CommonResult<List<TLqDataLayer>> getTLqDataLayerDetail(String lqId) {
        return CommonResult.data(tLqDataLayerService.getTLqDataLayerDetail(lqId));

    }
}
