/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.intelligentManagement.modular.tLqData.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.common.pojo.CommonResult;
import com.unis.intelligentManagement.modular.tLqData.entity.TLqData;
import com.unis.intelligentManagement.modular.tLqData.param.*;
import com.unis.intelligentManagement.modular.tLqData.vo.CrkywVO;

import java.util.List;

/**
 * 多功能粮情-主表Service接口
 *
 * @author hjc
 * @date  2024/06/07 10:18
 **/
@DS(DBConstant.DS_DEPOT)
public interface TLqDataService extends IService<TLqData> {

    /**
     * 获取多功能粮情-主表分页
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    Page<TLqData> page(TLqDataPageParam tLqDataPageParam);

    /**
     * 添加多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    void add(TLqDataAddParam tLqDataAddParam);

    /**
     * 编辑多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    void edit(TLqDataEditParam tLqDataEditParam);

    /**
     * 删除多功能粮情-主表
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    void delete(List<TLqDataIdParam> tLqDataIdParamList);

    /**
     * 获取多功能粮情-主表详情
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    TLqData detail(TLqDataIdParam tLqDataIdParam);

    /**
     * 获取多功能粮情-主表详情
     *
     * @author hjc
     * @date  2024/06/07 10:18
     **/
    TLqData queryEntity(String id);

    Page<TLqData> getPage(TLqDataGetPageParam tLqDataGetPageParam);

    CommonResult sendStoreDetection(TStationSelect tStationSelect);

    /**
     * 购销监管-粮情监管-分页
     *
     * @author hjc
     * @date  2024/06/07 10:18
     */
    Page<TLqData> purchaseAndSalesSupervisionPage(PurchaseAndSalesTLqDataPageParam pageParam);
}
