/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesCase.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesCase.entity.LesCase;
import com.unis.lawEnforcementSupervision.modular.lesCase.entity.LesCaseCount;
import com.unis.lawEnforcementSupervision.modular.lesCase.param.LesCaseAddParam;
import com.unis.lawEnforcementSupervision.modular.lesCase.param.LesCaseEditParam;
import com.unis.lawEnforcementSupervision.modular.lesCase.param.LesCaseIdParam;
import com.unis.lawEnforcementSupervision.modular.lesCase.param.LesCasePageParam;

import java.util.List;
import java.util.Map;

/**
 * 案件管理Service接口
 *
 * @author QSHan
 * @date  2024/06/22 14:27
 **/
public interface LesCaseService extends IService<LesCase> {

    /**
     * 获取案件管理分页
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     */
    Page<LesCase> page(LesCasePageParam lesCasePageParam);

    /**
     * 添加案件管理
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     */
    void add(LesCaseAddParam lesCaseAddParam);

    /**
     * 编辑案件管理
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     */
    void edit(LesCaseEditParam lesCaseEditParam);

    /**
     * 删除案件管理
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     */
    void delete(List<LesCaseIdParam> lesCaseIdParamList);

    /**
     * 获取案件管理详情
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     */
    LesCase detail(LesCaseIdParam lesCaseIdParam);

    /**
     * 获取案件管理详情
     *
     * @author QSHan
     * @date  2024/06/22 14:27
     **/
    LesCase queryEntity(String id);

    List<Map<String, Object>> getCaseHandler();

    LesCaseCount getCaseCount();

}
