/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionContent.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 专项检查-检查内容添加参数
 *
 * @author QSHan
 * @date  2024/06/25 10:49
 **/
@Getter
@Setter
public class LesInspectionContentAddParam {

    /** 内容编号 */
    @ApiModelProperty(value = "内容编号", position = 6)
    private String contentNumber;

    /** 内容名称 */
    @ApiModelProperty(value = "内容名称", position = 7)
    private String contentName;

    /** 检查类型 1:储粮检查 2:库存清查 3:其他 */
    @ApiModelProperty(value = "检查类型 1:储粮检查 2:库存清查 3:其他", position = 8)
    private Integer inspectionType;

    /** 被查单位类型 1:省级单位 2:市级单位 3:县级单位 4:其他 */
    @ApiModelProperty(value = "被查单位类型 1:省级单位 2:市级单位 3:县级单位 4:其他", position = 9)
    private Integer unitType;

    /** 检查单位处室 1:监督检查处 2:储备处 3:调控处 4:行业指导处 */
    @ApiModelProperty(value = "检查单位处室 1:监督检查处 2:储备处 3:调控处 4:行业指导处", position = 10)
    private Integer inspectionDepartment;

    /** 整改类型 1:现场整改 2:限期整改 3:无需整改 */
    @ApiModelProperty(value = "整改类型 1:现场整改 2:限期整改 3:无需整改", position = 11)
    private Integer rectificationType;

    /** 检查内容 */
    @ApiModelProperty(value = "检查内容", position = 12)
    private String inspectionContent;

    /** 上传附件 */
    @ApiModelProperty(value = "上传附件", position = 13)
    private String attachment;

    /** 状态 0:保存 1:发布 */
    @ApiModelProperty(value = "状态 0:保存 1:发布", position = 14)
    private Integer status;

}
