/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionContent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesInspectionContent.entity.LesInspectionContent;
import com.unis.lawEnforcementSupervision.modular.lesInspectionContent.param.LesInspectionContentAddParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionContent.param.LesInspectionContentEditParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionContent.param.LesInspectionContentIdParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionContent.param.LesInspectionContentPageParam;

import java.util.List;

/**
 * 专项检查-检查内容Service接口
 *
 * @author QSHan
 * @date  2024/06/25 10:49
 **/
public interface LesInspectionContentService extends IService<LesInspectionContent> {

    /**
     * 获取专项检查-检查内容分页
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     */
    Page<LesInspectionContent> page(LesInspectionContentPageParam lesInspectionContentPageParam);

    /**
     * 添加专项检查-检查内容
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     */
    void add(LesInspectionContentAddParam lesInspectionContentAddParam);

    /**
     * 编辑专项检查-检查内容
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     */
    void edit(LesInspectionContentEditParam lesInspectionContentEditParam);

    /**
     * 删除专项检查-检查内容
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     */
    void delete(List<LesInspectionContentIdParam> lesInspectionContentIdParamList);

    /**
     * 获取专项检查-检查内容详情
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     */
    LesInspectionContent detail(LesInspectionContentIdParam lesInspectionContentIdParam);

    /**
     * 获取专项检查-检查内容详情
     *
     * @author QSHan
     * @date  2024/06/25 10:49
     **/
    LesInspectionContent queryEntity(String id);
}
