/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.entity.LesInspectionResultCollectItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 专项检查-检查结果采集汇总实体
 *
 * @author QSHan
 * @date  2024/06/25 14:29
 **/
@Getter
@Setter
@TableName("biz_les_inspection_result_collect")
public class LesInspectionResultCollect {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 任务编号 */
    @ApiModelProperty(value = "任务编号", position = 6)
    private String taskNumber;

    /** 任务名称 */
    @ApiModelProperty(value = "任务名称", position = 7)
    private String taskName;

    /** 检查类型 1:储粮检查 2:库存清查 3:其他 */
    @ApiModelProperty(value = "检查类型 1:储粮检查 2:库存清查 3:其他", position = 8)
    private Integer inspectionType;

    /** 被查单位 */
    @ApiModelProperty(value = "被查单位", position = 9)
    private String checkedUnit;

    /** 统一社会信用代码 */
    @ApiModelProperty(value = "统一社会信用代码", position = 10)
    private String socialCreditCode;

    /** 法定代表人 */
    @ApiModelProperty(value = "法定代表人", position = 11)
    private String legalRepresentative;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 12)
    private String contactPhone;

    /** 被查单位类型 1:省级单位 2:市级单位 3:区级单位 */
    @ApiModelProperty(value = "被查单位类型 1:省级单位 2:市级单位 3:区级单位", position = 13)
    private Integer checkedUnitType;

    /** 检查单位 */
    @ApiModelProperty(value = "检查单位", position = 14)
    private String inspectionUnit;

    /** 检查单位处室 1:监督监察处 */
    @ApiModelProperty(value = "检查单位处室 1:监督监察处", position = 15)
    private Integer inspectionDepartment;

    /** 检查人员 */
    @ApiModelProperty(value = "检查人员", position = 16)
    private String inspectors;

    /** 检查内容 */
    @ApiModelProperty(value = "检查内容", position = 17)
    private String inspectionContent;

    /** 检查开始时间 */
    @ApiModelProperty(value = "检查开始时间", position = 18)
    private Date startTime;

    /** 检查结束时间 */
    @ApiModelProperty(value = "检查结束时间", position = 19)
    private Date endTime;

    /** 整改类型 1:现场整改 2:限期整改 3:无需整改 */
    @ApiModelProperty(value = "整改类型 1:现场整改 2:限期整改 3:无需整改", position = 20)
    private Integer rectificationType;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 21)
    private String remarks;

    /** 上传附件 */
    @ApiModelProperty(value = "上传附件", position = 22)
    private String attachment;

    @ApiModelProperty(value = "检查清单", position = 23)
    @TableField(exist = false)
    private List<LesInspectionResultCollectItem> items;
}
