/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.entity.LesInspectionResultCollect;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.param.LesInspectionResultCollectAddParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.param.LesInspectionResultCollectEditParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.param.LesInspectionResultCollectIdParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollect.param.LesInspectionResultCollectPageParam;

import java.util.List;

/**
 * 专项检查-检查结果采集汇总Service接口
 *
 * @author QSHan
 * @date  2024/06/25 14:29
 **/
public interface LesInspectionResultCollectService extends IService<LesInspectionResultCollect> {

    /**
     * 获取专项检查-检查结果采集汇总分页
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     */
    Page<LesInspectionResultCollect> page(LesInspectionResultCollectPageParam lesInspectionResultCollectPageParam);

    /**
     * 添加专项检查-检查结果采集汇总
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     */
    void add(LesInspectionResultCollectAddParam lesInspectionResultCollectAddParam);

    /**
     * 编辑专项检查-检查结果采集汇总
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     */
    void edit(LesInspectionResultCollectEditParam lesInspectionResultCollectEditParam);

    /**
     * 删除专项检查-检查结果采集汇总
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     */
    void delete(List<LesInspectionResultCollectIdParam> lesInspectionResultCollectIdParamList);

    /**
     * 获取专项检查-检查结果采集汇总详情
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     */
    LesInspectionResultCollect detail(LesInspectionResultCollectIdParam lesInspectionResultCollectIdParam);

    /**
     * 获取专项检查-检查结果采集汇总详情
     *
     * @author QSHan
     * @date  2024/06/25 14:29
     **/
    LesInspectionResultCollect queryEntity(String id);
}
