/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 专项检查-检查结果采集汇总-检查清单添加参数
 *
 * @author QSHan
 * @date  2024/06/25 14:39
 **/
@Getter
@Setter
public class LesInspectionResultCollectItemAddParam {

    /** biz_les_inspection_result_collect的id */
    @ApiModelProperty(value = "biz_les_inspection_result_collect的id", position = 6)
    private String lesInspectionResultCollectId;

    /** 被检仓号 */
    @ApiModelProperty(value = "被检仓号", position = 7)
    private String warehouseNumber;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 8)
    private Integer grainVarietyId;

    /** 数量 */
    @ApiModelProperty(value = "数量", position = 9)
    private BigDecimal quantity;

}
