/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.entity.LesInspectionResultCollectItem;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.param.LesInspectionResultCollectItemAddParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.param.LesInspectionResultCollectItemEditParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.param.LesInspectionResultCollectItemIdParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionResultCollectItem.param.LesInspectionResultCollectItemPageParam;

import java.util.List;

/**
 * 专项检查-检查结果采集汇总-检查清单Service接口
 *
 * @author QSHan
 * @date  2024/06/25 14:39
 **/
public interface LesInspectionResultCollectItemService extends IService<LesInspectionResultCollectItem> {

    /**
     * 获取专项检查-检查结果采集汇总-检查清单分页
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     */
    Page<LesInspectionResultCollectItem> page(LesInspectionResultCollectItemPageParam lesInspectionResultCollectItemPageParam);

    /**
     * 添加专项检查-检查结果采集汇总-检查清单
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     */
    void add(LesInspectionResultCollectItemAddParam lesInspectionResultCollectItemAddParam);

    /**
     * 编辑专项检查-检查结果采集汇总-检查清单
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     */
    void edit(LesInspectionResultCollectItemEditParam lesInspectionResultCollectItemEditParam);

    /**
     * 删除专项检查-检查结果采集汇总-检查清单
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     */
    void delete(List<LesInspectionResultCollectItemIdParam> lesInspectionResultCollectItemIdParamList);

    /**
     * 获取专项检查-检查结果采集汇总-检查清单详情
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     */
    LesInspectionResultCollectItem detail(LesInspectionResultCollectItemIdParam lesInspectionResultCollectItemIdParam);

    /**
     * 获取专项检查-检查结果采集汇总-检查清单详情
     *
     * @author QSHan
     * @date  2024/06/25 14:39
     **/
    LesInspectionResultCollectItem queryEntity(String id);
}
