/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.param;

import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplateItem.entity.LesInspectionTemplateItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 联合检查-检查模版管理添加参数
 *
 * @author QSHan
 * @date  2024/06/25 17:06
 **/
@Getter
@Setter
public class LesInspectionTemplateAddParam {

    /** 检查名称 */
    @ApiModelProperty(value = "检查名称", position = 6)
    private String inspectionName;

    /** 检查单位 */
    @ApiModelProperty(value = "检查单位", position = 7)
    private String inspectionUnit;

    /** 检查类型 1:粮油在库数量；2:保管质量；3:作业规范性； */
    @ApiModelProperty(value = "检查类型 1:粮油在库数量；2:保管质量；3:作业规范性；", position = 8)
    private Integer inspectionType;

    /** 生效状态 0:未生效 1:生效 */
    @ApiModelProperty(value = "生效状态 0:未生效 1:生效", position = 9)
    private Integer effectiveStatus;

    @ApiModelProperty(value = "检查任务", position = 10)
    private List<LesInspectionTemplateItem> items;
}
