/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.entity.LesInspectionTemplate;
import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.param.LesInspectionTemplateAddParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.param.LesInspectionTemplateEditParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.param.LesInspectionTemplateIdParam;
import com.unis.lawEnforcementSupervision.modular.lesInspectionTemplate.param.LesInspectionTemplatePageParam;

import java.util.List;

/**
 * 联合检查-检查模版管理Service接口
 *
 * @author QSHan
 * @date  2024/06/25 17:06
 **/
public interface LesInspectionTemplateService extends IService<LesInspectionTemplate> {

    /**
     * 获取联合检查-检查模版管理分页
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     */
    Page<LesInspectionTemplate> page(LesInspectionTemplatePageParam lesInspectionTemplatePageParam);

    /**
     * 添加联合检查-检查模版管理
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     */
    void add(LesInspectionTemplateAddParam lesInspectionTemplateAddParam);

    /**
     * 编辑联合检查-检查模版管理
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     */
    void edit(LesInspectionTemplateEditParam lesInspectionTemplateEditParam);

    /**
     * 删除联合检查-检查模版管理
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     */
    void delete(List<LesInspectionTemplateIdParam> lesInspectionTemplateIdParamList);

    /**
     * 获取联合检查-检查模版管理详情
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     */
    LesInspectionTemplate detail(LesInspectionTemplateIdParam lesInspectionTemplateIdParam);

    /**
     * 获取联合检查-检查模版管理详情
     *
     * @author QSHan
     * @date  2024/06/25 17:06
     **/
    LesInspectionTemplate queryEntity(String id);
}
