/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.param;

import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTaskItem.entity.LesJointInspectionTaskItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 联合检查-联合检查任务编辑参数
 *
 * @author QSHan
 * @date  2024/06/25 17:13
 **/
@Getter
@Setter
public class LesJointInspectionTaskEditParam {

    /** 唯一标识 */
    @ApiModelProperty(value = "唯一标识", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 检查任务名称 */
    @ApiModelProperty(value = "检查任务名称", position = 6)
    private String inspectionTaskName;

    /** 检查单位 */
    @ApiModelProperty(value = "检查单位", position = 7)
    private String inspectionUnit;

    /** 联合检查单位 */
    @ApiModelProperty(value = "联合检查单位", position = 8)
    private String jointInspectionUnits;

    /** 检查人员姓名，多个用逗号分隔 */
    @ApiModelProperty(value = "检查人员姓名，多个用逗号分隔", position = 9)
    private String inspectors;

    /** 检查时间 */
    @ApiModelProperty(value = "检查时间", position = 10)
    private Date inspectionTime;

    /** 检查类型 1:粮油在库数量 2:保管质量 3:作业规范性 */
    @ApiModelProperty(value = "检查类型 1:粮油在库数量 2:保管质量 3:作业规范性", position = 11)
    private Integer inspectionType;

    /** 状态 0：保存状态；1：发布（申请中）； */
    @ApiModelProperty(value = "状态 0：保存状态；1：发布（申请中）；2：审核通过；3：驳回", position = 12)
    private Integer status;

    @ApiModelProperty(value = "检查项", position = 13)
    private List<LesJointInspectionTaskItem> items;

    @ApiModelProperty(value = "审核意见", position = 14)
    private String auditAdvice;

    @ApiModelProperty(value = "审核人id(当前登录人)", position = 15)
    private String auditUserId;

    @ApiModelProperty(value = "审核人名(当前登录人)", position = 16)
    private String auditUserName;
}
