/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.entity.LesJointInspectionTask;
import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.param.LesJointInspectionTaskAddParam;
import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.param.LesJointInspectionTaskEditParam;
import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.param.LesJointInspectionTaskIdParam;
import com.unis.lawEnforcementSupervision.modular.lesJointInspectionTask.param.LesJointInspectionTaskPageParam;

import java.util.List;

/**
 * 联合检查-联合检查任务Service接口
 *
 * @author QSHan
 * @date  2024/06/25 17:13
 **/
public interface LesJointInspectionTaskService extends IService<LesJointInspectionTask> {

    /**
     * 获取联合检查-联合检查任务分页
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     */
    Page<LesJointInspectionTask> page(LesJointInspectionTaskPageParam lesJointInspectionTaskPageParam);

    /**
     * 添加联合检查-联合检查任务
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     */
    void add(LesJointInspectionTaskAddParam lesJointInspectionTaskAddParam);

    /**
     * 编辑联合检查-联合检查任务
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     */
    void edit(LesJointInspectionTaskEditParam lesJointInspectionTaskEditParam);

    /**
     * 删除联合检查-联合检查任务
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     */
    void delete(List<LesJointInspectionTaskIdParam> lesJointInspectionTaskIdParamList);

    /**
     * 获取联合检查-联合检查任务详情
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     */
    LesJointInspectionTask detail(LesJointInspectionTaskIdParam lesJointInspectionTaskIdParam);

    /**
     * 获取联合检查-联合检查任务详情
     *
     * @author QSHan
     * @date  2024/06/25 17:13
     **/
    LesJointInspectionTask queryEntity(String id);
}
