/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesagency.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 执法监督-监督执法机构表添加参数
 *
 * @author shine
 * @date  2024/06/22 11:56
 **/
@Getter
@Setter
public class BizLesAgencyAddParam {

    /** 机构名称 */
    @ApiModelProperty(value = "机构名称", position = 6)
    private String agencyName;

    /** 执法领域 */
    @ApiModelProperty(value = "执法领域", position = 7)
    private String enforcementField;

    /** 联系人 */
    @ApiModelProperty(value = "联系人", position = 8)
    private String contactPerson;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInformation;

    /** 传真 */
    @ApiModelProperty(value = "传真", position = 10)
    private String fax;

    /** 邮箱 */
    @ApiModelProperty(value = "邮箱", position = 11)
    private String email;

    /** 所在地-省；dev_dict的ID； */
    @ApiModelProperty(value = "所在地-省；dev_dict的ID；", position = 12)
    private String locationProvince;

    /** 所在地-市；dev_dict的ID； */
    @ApiModelProperty(value = "所在地-市；dev_dict的ID；", position = 13)
    private String locationCity;

    /** 所在地-区；dev_dict的ID； */
    @ApiModelProperty(value = "所在地-区；dev_dict的ID；", position = 14)
    private String locationArea;

    /** 所在地-详细地址 */
    @ApiModelProperty(value = "所在地-详细地址", position = 15)
    private String locationAddress;

    /** 所属行政管理单位 */
    @ApiModelProperty(value = "所属行政管理单位", position = 16)
    private String administrativeUnit;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 17)
    private String remark;

}
