/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesbasis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesbasis.entity.BizLesBasis;
import com.unis.lawEnforcementSupervision.modular.lesbasis.param.BizLesBasisAddParam;
import com.unis.lawEnforcementSupervision.modular.lesbasis.param.BizLesBasisEditParam;
import com.unis.lawEnforcementSupervision.modular.lesbasis.param.BizLesBasisIdParam;
import com.unis.lawEnforcementSupervision.modular.lesbasis.param.BizLesBasisPageParam;

import java.util.List;
import java.util.Map;

/**
 * 执法监督-执法依据Service接口
 *
 * @author shine
 * @date  2024/06/22 14:38
 **/
public interface BizLesBasisService extends IService<BizLesBasis> {

    /**
     * 获取执法监督-执法依据分页
     *
     * @author shine
     * @date  2024/06/22 14:38
     */
    Page<BizLesBasis> page(BizLesBasisPageParam bizLesBasisPageParam);

    /**
     * 添加执法监督-执法依据
     *
     * @author shine
     * @date  2024/06/22 14:38
     */
    void add(BizLesBasisAddParam bizLesBasisAddParam);

    /**
     * 编辑执法监督-执法依据
     *
     * @author shine
     * @date  2024/06/22 14:38
     */
    void edit(BizLesBasisEditParam bizLesBasisEditParam);

    /**
     * 删除执法监督-执法依据
     *
     * @author shine
     * @date  2024/06/22 14:38
     */
    void delete(List<BizLesBasisIdParam> bizLesBasisIdParamList);

    /**
     * 获取执法监督-执法依据详情
     *
     * @author shine
     * @date  2024/06/22 14:38
     */
    BizLesBasis detail(BizLesBasisIdParam bizLesBasisIdParam);

    /**
     * 获取执法监督-执法依据详情
     *
     * @author shine
     * @date  2024/06/22 14:38
     **/
    BizLesBasis queryEntity(String id);

    IPage<List<Map<String,Object>>> getPage(BizLesBasisPageParam bizLesBasisPageParam);
}
