/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesperson.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.lawEnforcementSupervision.modular.lesperson.entity.BizLesPerson;
import com.unis.lawEnforcementSupervision.modular.lesperson.param.BizLesPersonAddParam;
import com.unis.lawEnforcementSupervision.modular.lesperson.param.BizLesPersonEditParam;
import com.unis.lawEnforcementSupervision.modular.lesperson.param.BizLesPersonIdParam;
import com.unis.lawEnforcementSupervision.modular.lesperson.param.BizLesPersonPageParam;

import java.util.List;

/**
 * 执法监督-监督执法人员表Service接口
 *
 * @author shine
 * @date  2024/06/22 11:59
 **/
public interface BizLesPersonService extends IService<BizLesPerson> {

    /**
     * 获取执法监督-监督执法人员表分页
     *
     * @author shine
     * @date  2024/06/22 11:59
     */
    Page<BizLesPerson> page(BizLesPersonPageParam bizLesPersonPageParam);

    /**
     * 添加执法监督-监督执法人员表
     *
     * @author shine
     * @date  2024/06/22 11:59
     */
    void add(BizLesPersonAddParam bizLesPersonAddParam);

    /**
     * 编辑执法监督-监督执法人员表
     *
     * @author shine
     * @date  2024/06/22 11:59
     */
    void edit(BizLesPersonEditParam bizLesPersonEditParam);

    /**
     * 删除执法监督-监督执法人员表
     *
     * @author shine
     * @date  2024/06/22 11:59
     */
    void delete(List<BizLesPersonIdParam> bizLesPersonIdParamList);

    /**
     * 获取执法监督-监督执法人员表详情
     *
     * @author shine
     * @date  2024/06/22 11:59
     */
    BizLesPerson detail(BizLesPersonIdParam bizLesPersonIdParam);

    /**
     * 获取执法监督-监督执法人员表详情
     *
     * @author shine
     * @date  2024/06/22 11:59
     **/
    BizLesPerson queryEntity(String id);
}
