/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.lawEnforcementSupervision.modular.lesprocess.param;

import com.unis.lawEnforcementSupervision.modular.lesprocesslink.entity.BizLesProcessLink;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 执法监督-执法流程管理-执法过程编辑参数
 *
 * @author shine
 * @date  2024/06/22 17:25
 **/
@Getter
@Setter
public class BizLesProcessEditParam {

    /** 唯一标识 */
    @ApiModelProperty(value = "唯一标识", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 程序类型 1:一般程序 2:简易程序 3:撤案 4:移交内部 5:移交司法 */
    @ApiModelProperty(value = "程序类型 1:一般程序 2:简易程序 3:撤案 4:移交内部 5:移交司法", position = 6)
    private Integer processType;

    /** 维护时间 */
    @ApiModelProperty(value = "维护时间", position = 7)
    private Date maintenanceTime;

    /** 维护人 */
    @ApiModelProperty(value = "维护人", position = 8)
    private String maintainer;

    /** 附件 */
    @ApiModelProperty(value = "附件", position = 9)
    private String attachment;

    @ApiModelProperty(value = "子表", position = 10)
    private List<BizLesProcessLink> processLinkList;

}
