/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.mobileInfo.modular.gsqReservationRegister.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 售粮排队监测预警-预约登记编辑参数
 *
 * @author QSHan
 * @date  2024/04/28 20:08
 **/
@Getter
@Setter
public class GsqReservationRegisterEditParam {

    /** 预约登记唯一标识符 */
    @ApiModelProperty(value = "预约登记唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 类型 1：在线预约；2：扫码登记； */
    @ApiModelProperty(value = "类型 1：在线预约；2：扫码登记；", position = 6)
    private Integer type;

    /** 预约开始时间；type=1时，有值； */
    @ApiModelProperty(value = "预约开始时间；type=1时，有值；", position = 7)
    private Date startTime;

    /** 预约结束时间；type=1时，有值； */
    @ApiModelProperty(value = "预约结束时间；type=1时，有值；", position = 8)
    private Date endTime;

    /** biz_user_collect的id； */
    @ApiModelProperty(value = "biz_user_collect的id；", position = 9)
    private String userCollectId;

    /** 组织编号；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "组织编号；外库depot_qh.org_info的id；", position = 10)
    private Integer orgId;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名", position = 11)
    private String driverName;

    /** 证件号码 */
    @ApiModelProperty(value = "证件号码", position = 12)
    private String identificationNumber;

    /** 手机号码 */
    @ApiModelProperty(value = "手机号码", position = 13)
    private String mobileNumber;

    /** 车辆类型；字典dev_dict的id； */
    @ApiModelProperty(value = "车辆类型；字典dev_dict的id；", position = 14)
    private String vehicleType;

    /** 车牌号 */
    @ApiModelProperty(value = "车牌号", position = 15)
    private String licensePlateNumber;

    /** 司机联系地址 */
    @ApiModelProperty(value = "司机联系地址", position = 16)
    private String driverAddress;

}
