/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.mobileInfo.modular.qcqualityinspection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.mobileInfo.modular.qcqualityinspection.entity.BusinessQcQualityInspection;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityCityPageVO;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityOrgPageVO;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityStoreHousePageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 质量管理-验收质检表Mapper接口
 *
 * @author shine
 * @date  2024/06/06 11:25
 **/
public interface BusinessQcQualityInspectionMapper extends BaseMapper<BusinessQcQualityInspection> {
    ReserveQualityOrgPageVO selectNo( String orgName);

    ReserveQualityOrgPageVO selectPass( String orgName);

    /*  *
     * 粮食储备-储备质量(仓房)-分页
     *
     * @author hjc
     * @date  2024/06/06 11:25
     */
    Page<ReserveQualityStoreHousePageVO> selectMyPage(@Param("page") Page<BusinessQcQualityInspection> page,
                                                      @Param("basicStorehouseName") String basicStorehouseName,
                                                      @Param("grainVarietyName") String grainVarietyName,
                                                      @Param("receiveYear") Integer receiveYear,
                                                      @Param("ypdj") String ypdj);

    List<ReserveQualityCityPageVO> selectCity();


    ReserveQualityCityPageVO selectCityPass(String cityId);

    ReserveQualityCityPageVO selectCityNoPass(String cityId);

    ReserveQualityCityPageVO selectCityPassByCityName(String cityName);

    ReserveQualityCityPageVO selectCityNoPassByCityName(String cityName);
}
