/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.mobileInfo.modular.qcqualityinspection.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.mobileInfo.modular.qcqualityinspection.entity.BusinessQcQualityInspection;
import com.unis.mobileInfo.modular.qcqualityinspection.param.*;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityCityPageVO;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityOrgPageVO;
import com.unis.mobileInfo.modular.qcqualityinspection.vo.ReserveQualityStoreHousePageVO;

import java.util.List;

/**
 * 质量管理-验收质检表Service接口
 *
 * @author shine
 * @date  2024/06/06 11:25
 **/
@DS(DBConstant.DS_DEPOT)
public interface BusinessQcQualityInspectionService extends IService<BusinessQcQualityInspection> {

    /**
     * 获取质量管理-验收质检表分页
     *
     * @author shine
     * @date  2024/06/06 11:25
     */
    Page<BusinessQcQualityInspection> page(BusinessQcQualityInspectionPageParam businessQcQualityInspectionPageParam);

    /**
     * 添加质量管理-验收质检表
     *
     * @author shine
     * @date  2024/06/06 11:25
     */
    void add(BusinessQcQualityInspectionAddParam businessQcQualityInspectionAddParam);

    /**
     * 编辑质量管理-验收质检表
     *
     * @author shine
     * @date  2024/06/06 11:25
     */
    void edit(BusinessQcQualityInspectionEditParam businessQcQualityInspectionEditParam);

    /**
     * 删除质量管理-验收质检表
     *
     * @author shine
     * @date  2024/06/06 11:25
     */
    void delete(List<BusinessQcQualityInspectionIdParam> businessQcQualityInspectionIdParamList);

    /**
     * 获取质量管理-验收质检表详情
     *
     * @author shine
     * @date  2024/06/06 11:25
     */
    BusinessQcQualityInspection detail(BusinessQcQualityInspectionIdParam businessQcQualityInspectionIdParam);

    /**
     * 获取质量管理-验收质检表详情
     *
     * @author shine
     * @date  2024/06/06 11:25
     **/
    BusinessQcQualityInspection queryEntity(String id);

    List<BusinessQcQualityInspection> getData(BusinessQcQualityInspectionPageParam businessQcQualityInspectionPageParam);

    /**
     * 粮食储备-储备质量(库区)-分页
     *
     * @author hjc
     * @date  2024/06/06 11:25
     */
    Page<ReserveQualityOrgPageVO> reserveQualityOrgPage(ReserveQualityOrgPageParam reserveQualityOrgPageParam);

    /**
     * 粮食储备-储备质量(仓房)-分页
     *
     * @author hjc
     * @date  2024/06/06 11:25
     */
    Page<ReserveQualityStoreHousePageVO> reserveQualityStoreHousePage(ReserveQualityStoreHousePageParam pageParam);
    /**
     * 粮食储备-储备质量(市州)-分页
     *
     * @author hjc
     * @date  2024/06/06 11:25
     */
    Page<ReserveQualityCityPageVO> reserveQualityCityPage(ReserveQualityCityPageParam pageParam);
}
