/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.mobileInfo.modular.qcqualityinspectionitem.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.mobileInfo.modular.qcqualityinspectionitem.entity.BusinessQcQualityInspectionItem;
import com.unis.mobileInfo.modular.qcqualityinspectionitem.param.BusinessQcQualityInspectionItemAddParam;
import com.unis.mobileInfo.modular.qcqualityinspectionitem.param.BusinessQcQualityInspectionItemEditParam;
import com.unis.mobileInfo.modular.qcqualityinspectionitem.param.BusinessQcQualityInspectionItemIdParam;
import com.unis.mobileInfo.modular.qcqualityinspectionitem.param.BusinessQcQualityInspectionItemPageParam;

import java.util.List;

/**
 * 质量管理-验收质检-检验项目及依据Service接口
 *
 * @author shine
 * @date  2024/06/06 11:26
 **/
@DS(DBConstant.DS_DEPOT)
public interface BusinessQcQualityInspectionItemService extends IService<BusinessQcQualityInspectionItem> {

    /**
     * 获取质量管理-验收质检-检验项目及依据分页
     *
     * @author shine
     * @date  2024/06/06 11:26
     */
    Page<BusinessQcQualityInspectionItem> page(BusinessQcQualityInspectionItemPageParam businessQcQualityInspectionItemPageParam);

    /**
     * 添加质量管理-验收质检-检验项目及依据
     *
     * @author shine
     * @date  2024/06/06 11:26
     */
    void add(BusinessQcQualityInspectionItemAddParam businessQcQualityInspectionItemAddParam);

    /**
     * 编辑质量管理-验收质检-检验项目及依据
     *
     * @author shine
     * @date  2024/06/06 11:26
     */
    void edit(BusinessQcQualityInspectionItemEditParam businessQcQualityInspectionItemEditParam);

    /**
     * 删除质量管理-验收质检-检验项目及依据
     *
     * @author shine
     * @date  2024/06/06 11:26
     */
    void delete(List<BusinessQcQualityInspectionItemIdParam> businessQcQualityInspectionItemIdParamList);

    /**
     * 获取质量管理-验收质检-检验项目及依据详情
     *
     * @author shine
     * @date  2024/06/06 11:26
     */
    BusinessQcQualityInspectionItem detail(BusinessQcQualityInspectionItemIdParam businessQcQualityInspectionItemIdParam);

    /**
     * 获取质量管理-验收质检-检验项目及依据详情
     *
     * @author shine
     * @date  2024/06/06 11:26
     **/
    BusinessQcQualityInspectionItem queryEntity(String id);
}
