/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.alFileRegistration.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 行政法规管理-文件备案实体
 *
 * @author TS
 * @date  2024/04/18 14:59
 **/
@Getter
@Setter
@TableName("biz_al_file_registration")
public class AlFileRegistration {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 2)
//    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 备案标题 */
    @ApiModelProperty(value = "备案标题", position = 6)
    private String title;

    /** 申报部门；sys_org的id； */
    @ApiModelProperty(value = "申报部门；sys_org的id；", position = 7)
    private String sysOrgId;

    /** 备案人 */
    @ApiModelProperty(value = "备案人", position = 8)
    private String registrant;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInfo;

    /** 备案日期 */
    @ApiModelProperty(value = "备案日期", position = 10)
    private Date registrationDate;

    /** 附件；多个附件，‘,’分割; */
    @ApiModelProperty(value = "附件；多个附件，‘,’分割;", position = 11)
    private String attachment;
}
