/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.alFileRegistration.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.alFileRegistration.entity.AlFileRegistration;
import com.unis.policy.info.modular.alFileRegistration.param.AlFileRegistrationAddParam;
import com.unis.policy.info.modular.alFileRegistration.param.AlFileRegistrationEditParam;
import com.unis.policy.info.modular.alFileRegistration.param.AlFileRegistrationIdParam;
import com.unis.policy.info.modular.alFileRegistration.param.AlFileRegistrationPageParam;

import java.util.List;
import java.util.Map;

/**
 * 行政法规管理-文件备案Service接口
 *
 * @author TS
 * @date  2024/04/18 14:59
 **/
public interface AlFileRegistrationService extends IService<AlFileRegistration> {

    /**
     * 获取行政法规管理-文件备案分页
     *
     * @author TS
     * @date  2024/04/18 14:59
     */
    Page<AlFileRegistration> page(AlFileRegistrationPageParam alFileRegistrationPageParam);

    /**
     * 添加行政法规管理-文件备案
     *
     * @author TS
     * @date  2024/04/18 14:59
     */
    void add(AlFileRegistrationAddParam alFileRegistrationAddParam);

    /**
     * 编辑行政法规管理-文件备案
     *
     * @author TS
     * @date  2024/04/18 14:59
     */
    void edit(AlFileRegistrationEditParam alFileRegistrationEditParam);

    /**
     * 删除行政法规管理-文件备案
     *
     * @author TS
     * @date  2024/04/18 14:59
     */
    void delete(AlFileRegistrationIdParam alFileRegistrationIdParam);

    /**
     * 获取行政法规管理-文件备案详情
     *
     * @author TS
     * @date  2024/04/18 14:59
     */
    AlFileRegistration detail(AlFileRegistrationIdParam alFileRegistrationIdParam);

    /**
     * 获取行政法规管理-文件备案详情
     *
     * @author TS
     * @date  2024/04/18 14:59
     **/
    AlFileRegistration queryEntity(String id);

    /**
     * 获取行政法规管理-文件备案自定义分页
     * @param alFileRegistrationPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(AlFileRegistrationPageParam alFileRegistrationPageParam);
}
