/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.alPolicyFileReport.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.alPolicyFileReport.entity.AlPolicyFileReport;
import com.unis.policy.info.modular.alPolicyFileReport.param.AlPolicyFileReportAddParam;
import com.unis.policy.info.modular.alPolicyFileReport.param.AlPolicyFileReportEditParam;
import com.unis.policy.info.modular.alPolicyFileReport.param.AlPolicyFileReportIdParam;
import com.unis.policy.info.modular.alPolicyFileReport.param.AlPolicyFileReportPageParam;
import com.unis.sys.modular.org.entity.SysOrg;

import java.util.List;
import java.util.Map;

/**
 * 行政法规管理-政策规范性文件申报Service接口
 *
 * @author TS
 * @date  2024/04/18 15:02
 **/
public interface AlPolicyFileReportService extends IService<AlPolicyFileReport> {

    /**
     * 获取行政法规管理-政策规范性文件申报分页
     *
     * @author TS
     * @date  2024/04/18 15:02
     */
    Page<AlPolicyFileReport> page(AlPolicyFileReportPageParam alPolicyFileReportPageParam);

    /**
     * 添加行政法规管理-政策规范性文件申报
     *
     * @author TS
     * @date  2024/04/18 15:02
     */
    void add(AlPolicyFileReportAddParam alPolicyFileReportAddParam);

    /**
     * 编辑行政法规管理-政策规范性文件申报
     *
     * @author TS
     * @date  2024/04/18 15:02
     */
    void edit(AlPolicyFileReportEditParam alPolicyFileReportEditParam);

    /**
     * 删除行政法规管理-政策规范性文件申报
     *
     * @author TS
     * @date  2024/04/18 15:02
     */
    void delete(AlPolicyFileReportIdParam alPolicyFileReportIdParam);

    /**
     * 获取行政法规管理-政策规范性文件申报详情
     *
     * @author TS
     * @date  2024/04/18 15:02
     */
    AlPolicyFileReport detail(AlPolicyFileReportIdParam alPolicyFileReportIdParam);

    /**
     * 获取行政法规管理-政策规范性文件申报详情
     *
     * @author TS
     * @date  2024/04/18 15:02
     **/
    AlPolicyFileReport queryEntity(String id);

    /**
     * 获取行政法规管理-政策规范性文件申报自定义分页
     * @param alPolicyFileReportPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(AlPolicyFileReportPageParam alPolicyFileReportPageParam);

    /**
     * 发起行政法规管理-政策规范性文件申报流程
     * @param alPolicyFileReportIdParam
     * @return
     */
    String startFlow(AlPolicyFileReportIdParam alPolicyFileReportIdParam);

    /**
     *获取行政法规管理-政策规范性文件申报部门
     * @return
     */
    List<SysOrg> getReportDepts();

    /**
     * 获取行政法规管理-政策规范性文件申报下拉列表数据
     * @return
     */
    List<Map<String,Object>> getReportsByCurUser();
}
