/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.auditRecord.entity.AuditRecord;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordAddParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordEditParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordIdParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordPageParam;

import java.util.List;

/**
 * 审核记录Service接口
 *
 * @author TS
 * @date  2024/04/18 14:40
 **/
public interface AuditRecordService extends IService<AuditRecord> {

    /**
     * 获取审核记录分页
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    Page<AuditRecord> page(AuditRecordPageParam auditRecordPageParam);

    /**
     * 添加审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    void add(AuditRecordAddParam auditRecordAddParam);

    /**
     * 编辑审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    void edit(AuditRecordEditParam auditRecordEditParam);

    /**
     * 删除审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    void delete(List<AuditRecordIdParam> auditRecordIdParamList);

    /**
     * 获取审核记录详情
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    AuditRecord detail(AuditRecordIdParam auditRecordIdParam);

    /**
     * 获取审核记录详情
     *
     * @author TS
     * @date  2024/04/18 14:40
     **/
    AuditRecord queryEntity(String id);
}
