/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRequest.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 熏蒸备案实体
 *
 * @author hjc
 * @date 2024/05/18 15:59
 **/
@Getter
@Setter
@TableName("t_fumigation_record")
public class TFumigationRecord {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "熏蒸备案单号")
    @TableField("order_number")
    private String orderNumber;

    @ApiModelProperty(value = "熏蒸作业库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "熏蒸作业库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "详细地址")
    @TableField("detail_address")
    private String detailAddress;

    @ApiModelProperty(value = "仓房编码")
    @TableField("storehouse_code")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("storehouse_name")
    private String storehouseName;

    @ApiModelProperty(value = "仓房类型")
    @TableField("storehouse_type")
    private Integer storehouseType;

    @ApiModelProperty(value = "货位编码")
    @TableField("warehouse_code")
    private String warehouseCode;

    @ApiModelProperty(value = "货位名称")
    @TableField("warehouse_name")
    private String warehouseName;

    @ApiModelProperty(value = "粮堆体积(m³)")
    @TableField("ldtj")
    private BigDecimal ldtj;

    @ApiModelProperty(value = "仓房总体积(m³)")
    @TableField("outer_wall_area")
    private BigDecimal outerWallArea;

    @ApiModelProperty(value = "气密性")
    @TableField("qmx")
    private Integer qmx;

    @ApiModelProperty(value = "仓房容量")
    @TableField("cfrl")
    private BigDecimal cfrl;

    @ApiModelProperty(value = "空间体积(m³)")
    @TableField("bin_volume")
    private BigDecimal binVolume;

    @ApiModelProperty(value = "周围环境")
    @TableField("zwhj")
    private String zwhj;

    @ApiModelProperty(value = "是否配套环流熏蒸设备(0:否,1:是)")
    @TableField("is_dev")
    private Boolean isDev;

    @ApiModelProperty(value = "粮食品种")
    @TableField("sub_type")
    private Integer subType;

    @ApiModelProperty(value = "数量")
    @TableField("number_update")
    private String numberUpdate;

    @ApiModelProperty(value = "水分(%)")
    @TableField("water")
    private String water;

    @ApiModelProperty(value = "杂质(%)")
    @TableField("impurity")
    private String impurity;

    @ApiModelProperty(value = "入仓时间")
    @TableField("input_time")
    private Date inputTime;

    @ApiModelProperty(value = "仓温(℃)")
    @TableField("in_temp")
    private BigDecimal inTemp;

    @ApiModelProperty(value = "堆放形式")
    @TableField("dfxs")
    private String dfxs;

    @ApiModelProperty(value = "仓湿(%)")
    @TableField("in_h")
    private BigDecimal inH;

    @ApiModelProperty(value = "平均粮温(℃)")
    @TableField("t_avg")
    private BigDecimal tAvg;

    @ApiModelProperty(value = "害虫密度（头/kg)")
    @TableField("hcmd")
    private Integer hcmd;

    @ApiModelProperty(value = "分虫种数")
    @TableField("fczs")
    private String fczs;

    @ApiModelProperty(value = "发生部位")
    @TableField("fsbw")
    private String fsbw;

    @ApiModelProperty(value = "虫粮等级")
    @TableField("cldj")
    private String cldj;

    @ApiModelProperty(value = "药剂名称")
    @TableField("drug_name")
    private String drugName;

    @ApiModelProperty(value = "最高粮温(℃)")
    @TableField("t_max")
    private String tMax;

    @ApiModelProperty(value = "粮堆单位用药剂量(g/m)")
    @TableField("dlyyjl")
    private String dlyyjl;

    @ApiModelProperty(value = "空间单位用药剂量( g/m³)")
    @TableField("kjyyjl")
    private String kjyyjl;

    @ApiModelProperty(value = "总用药量(kg)")
    @TableField("zyyl")
    private String zyyl;

    @ApiModelProperty(value = "施药方法")
    @TableField("syff")
    private String syff;

    @ApiModelProperty(value = "散气时间")
    @TableField("sqsj")
    private Date sqsj;

    @ApiModelProperty(value = "密闭时间")
    @TableField("mbsj")
    private Date mbsj;

    @ApiModelProperty(value = "密闭方式")
    @TableField("mbfs")
    private String mbfs;

    @ApiModelProperty(value = "熏蒸作业方式")
    @TableField("xzzyfs")
    private String xzzyfs;

    @ApiModelProperty(value = "药剂来源")
    @TableField("yjly")
    private String yjly;

    @ApiModelProperty(value = "作业人员")
    @TableField("zyrr")
    private String zyrr;

    @ApiModelProperty(value = "计划熏蒸日期")
    @TableField("jhxzrq")
    private Date jhxzrq;

    @ApiModelProperty(value = "有效期(天)")
    @TableField("yxq")
    private Integer yxq;

    @ApiModelProperty(value = "警戒线距离")
    @TableField("jjxjl")
    private Integer jjxjl;

    @ApiModelProperty(value = "药剂残渣说明")
    @TableField("yjczsm")
    private String yjczsm;

    @ApiModelProperty(value = "粮油仓储单位意见")
    @TableField("lyccdwyj")
    private String lyccdwyj;

    @ApiModelProperty(value = "单位负责人")
    @TableField("dwfzr")
    private String dwfzr;

    @ApiModelProperty(value = "日期(粮油仓储单位意见)")
    @TableField("ccdwrq")
    private Date ccdwrq;

    @ApiModelProperty(value = "备案机关意见")
    @TableField("bajgyj")
    private String bajgyj;

    @ApiModelProperty(value = "经办人")
    @TableField("jbr")
    private String jbr;

    @ApiModelProperty(value = "日期(备案机关意见)")
    @TableField("jgrq")
    private Date jgrq;

    @ApiModelProperty(value = "状态(0:保存,1:待审批(提交),2:审批通过3:驳回)")
    @TableField("status_type")
    private Integer statusType;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;


}
