/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRequest.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unis.common.constant.DBConstant;
import com.unis.policy.info.modular.auditRequest.entity.TFumigationRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * 熏蒸备案Mapper接口
 *
 * @author hjc
 * @date 2024/05/18 15:59
 **/
@DS(DBConstant.DS_DEPOT)
@Mapper
public interface TFumigationRecordMapper extends BaseMapper<TFumigationRecord> {
    @Select("select * from depot_qh.t_fumigation_record where id=#{id}")
    TFumigationRecord selectTFumigationRecordById(String id);


    @Update("update depot_qh.t_fumigation_record set status_type=2 where id=#{id}")
    void updateTFumigationRecordTwo(String id);
    @Update("update depot_qh.t_fumigation_record set status_type=3 where id=#{id}")
    void updateTFumigationRecordThere(String id);
}
