/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRequest.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 审核请求查看参数
 *
 * @author TS
 * @date  2024/04/18 14:51
 **/
@Getter
@Setter
public class AuditRequestDetailParam {


    /** 政策规范性文件申报/人才规划/承储资格ID */
    @ApiModelProperty(value = "政策规范性文件申报/人才规划/承储资格ID", required = true)
    @NotBlank(message = "政策规范性文件申报/人才规划/承储资格ID")
    private String reportId;

    /** 审核请求ID */
    @ApiModelProperty(value = "审核请求ID,仅在查看时输入审核请求ID")
    private String requestId;

    /** 审核请求业务类型*/
    @ApiModelProperty(value = "业务类型  1：政策规范性文件申报；2：人才规划；3：承储资格；；")
    private String type;

    /** 审核请求步骤*/
    @ApiModelProperty(value = "步骤   type=1，1：合法性审核；2：过会审核； type=2，1：规划审批；type=3，1：承储资格审批；")
    private String step;

}
