package com.unis.policy.info.modular.auditRequest.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/28 17:06
 */
@Data
public class PmApplicationParam {

    /** 项目申报记录唯一标识符 */
    @ApiModelProperty(value = "项目申报记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String requestId;

    /** 状态 0：待审核；1：已审核；2：驳回； */
    @ApiModelProperty(value = "状态 1：已审核；2：驳回；", position = 10)
    @NotNull(message = "状态不能为空")
    private Integer auditStatus;

    /** 审核意见； */
    @ApiModelProperty(value = "审核意见；", position = 11)
    private String auditAdvice;

    /** 审核人；sys_user的id； */
    @ApiModelProperty(value = "审核人；sys_user的id；", position = 12)
    @NotBlank(message = "审核人不能为空")
    private String auditUserId;


}
