package com.unis.policy.info.modular.auditRequest.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/5 17:26
 */
@Data
public class AuditRequestVO {

    /**
     * 单位代码，18位统一社会信用代码
     */
    private String dwdm;

    /**
     * 单位名称
     */
    private String dwmc;

    /**
     * 单位类型，引用LS/T 1701-2004的表A.1
     */
    private String dwlx;


    /**
     * 法定代表人
     */
    private String fddbr;


    //申请id
    private String id;


    //状态
    private Integer applyStatus;


    /**
     * 状态 0：待审核；1：已审核；2：驳回；
     */
    private Integer auditStatus;

    /**
     * 补发时间
     */
    private Date reissueTime;


}
