/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftAudit.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.policy.info.modular.mlpDraftAudit.entity.MlpDraftAudit;
import com.unis.policy.info.modular.mlpDraftAudit.param.PlanningFinishIdParam;
import com.unis.policy.info.modular.mlpDraftAudit.vo.MlpDraftAuditVO;
import com.unis.policy.info.modular.mlpDraftAudit.vo.PlanningFinishPageVO;
import com.unis.policy.info.modular.mlpDraftAudit.vo.PlanningFinishVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 中长期规划管理-专家评审Mapper接口
 *
 * @author hjc
 * @date 2024/04/23 21:01
 **/
@Mapper
public interface MlpDraftAuditMapper extends BaseMapper<MlpDraftAudit> {
    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 获取详情
     */
    MlpDraftAuditVO select(String id);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 规划查看
     */
    PlanningFinishVO selectPlanningFinish(String id);


    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 规划完成分页
     */
    Page<PlanningFinishPageVO> page(Page<PlanningFinishPageVO> page, String planName);

    @Select("select * from biz_mlp_draft_audit where id=#{draftAuditId}")
    MlpDraftAudit selectByDraftModifyId(@Param("draftAuditId") String draftAuditId);
}
