/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftAudit.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpDraftAudit.entity.MlpDraftAudit;
import com.unis.policy.info.modular.mlpDraftAudit.param.*;
import com.unis.policy.info.modular.mlpDraftAudit.vo.MlpDraftAuditVO;
import com.unis.policy.info.modular.mlpDraftAudit.vo.MlpDraftModifyVO;
import com.unis.policy.info.modular.mlpDraftAudit.vo.PlanningFinishPageVO;
import com.unis.policy.info.modular.mlpDraftAudit.vo.PlanningFinishVO;
import com.unis.policy.info.modular.mlpDraftModify.entity.MlpDraftModify;

import java.util.List;

/**
 * 中长期规划管理-专家评审Service接口
 *
 * @author hjc
 * @date  2024/04/23 21:01
 **/
public interface MlpDraftAuditService extends IService<MlpDraftAudit> {

    /**
     * 获取中长期规划管理-专家评审分页
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    Page<MlpDraftAudit> page(MlpDraftAuditPageParam mlpDraftAuditPageParam);

    /**
     * 添加中长期规划管理-专家评审
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    void add(MlpDraftAuditAddParam mlpDraftAuditAddParam);

    /**
     * 编辑中长期规划管理-专家评审
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    void edit(MlpDraftAuditEditParam mlpDraftAuditEditParam);

    /**
     * 删除中长期规划管理-专家评审
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    void delete(List<MlpDraftModifyIdParam> mlpDraftAuditIdParamList);

    /**
     * 获取中长期规划管理-专家评审详情
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    MlpDraftAuditVO detail(MlpDraftModifyIdParam mlpDraftAuditIdParam);

    /**
     * 获取中长期规划管理-专家评审详情
     *
     * @author hjc
     * @date  2024/04/23 21:01
     **/
    MlpDraftAudit queryEntity(String id);
    /**
     * 获取中长期规划管理-规划id获取详情
     *
     * @author hjc
     * @date  2024/04/23 21:01
     */
    MlpDraftModify getDraftModify(MlpDraftModifyIdParam mlpDraftModifyIdParam);

    PlanningFinishVO getPlanningFinish(PlanningFinishIdParam planningFinishIdParam);

    Page<PlanningFinishPageVO> planningFinishPage(PlanningFinishPageParam planningFinishPageParam);

    void publish(PlanningFinishPubishParam planningFinishPubishParam);

    List<MlpDraftModifyVO> getDraftModifyAll();


}
