/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftAuditExpert.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.policy.info.modular.mlpDraftAuditExpert.entity.MlpDraftAuditExpert;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertAddParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertEditParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertIdParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertPageParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.service.MlpDraftAuditExpertService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 中长期规划管理-专家评审-专家控制器
 *
 * @author hjc
 * @date  2024/04/24 10:58
 */
@Api(tags = "中长期规划管理-专家评审-专家控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class MlpDraftAuditExpertController {

    @Resource
    private MlpDraftAuditExpertService mlpDraftAuditExpertService;

/*    *//**
     * 获取中长期规划管理-专家评审-专家分页
     *
     * @author hjc
     * @date  2024/04/24 10:58
     *//*
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取中长期规划管理-专家评审-专家分页")
   // @SaCheckPermission("/policy.info/mlpDraftAuditExpert/page")
    @GetMapping("/policy.info/mlpDraftAuditExpert/page")
    public CommonResult<Page<MlpDraftAuditExpert>> page(MlpDraftAuditExpertPageParam mlpDraftAuditExpertPageParam) {
        return CommonResult.data(mlpDraftAuditExpertService.page(mlpDraftAuditExpertPageParam));
    }*/




    /**
     * 添加中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     *//*
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加中长期规划管理-专家评审-专家")
    @CommonLog("添加中长期规划管理-专家评审-专家")
    //@SaCheckPermission("/policy.info/mlpDraftAuditExpert/add")
    @PostMapping("/policy.info/mlpDraftAuditExpert/add")
    public CommonResult<String> add(@RequestBody @Valid MlpDraftAuditExpertAddParam mlpDraftAuditExpertAddParam) {
        mlpDraftAuditExpertService.add(mlpDraftAuditExpertAddParam);
        return CommonResult.ok();
    }

    *//**
     * 编辑中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     *//*
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑中长期规划管理-专家评审-专家")
    @CommonLog("编辑中长期规划管理-专家评审-专家")
   // @SaCheckPermission("/policy.info/mlpDraftAuditExpert/edit")
    @PostMapping("/policy.info/mlpDraftAuditExpert/edit")
    public CommonResult<String> edit(@RequestBody @Valid MlpDraftAuditExpertEditParam mlpDraftAuditExpertEditParam) {
        mlpDraftAuditExpertService.edit(mlpDraftAuditExpertEditParam);
        return CommonResult.ok();
    }

    *//**
     * 删除中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     *//*
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除中长期规划管理-专家评审-专家")
    @CommonLog("删除中长期规划管理-专家评审-专家")
   // @SaCheckPermission("/policy.info/mlpDraftAuditExpert/delete")
    @PostMapping("/policy.info/mlpDraftAuditExpert/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<MlpDraftAuditExpertIdParam> mlpDraftAuditExpertIdParamList) {
        mlpDraftAuditExpertService.delete(mlpDraftAuditExpertIdParamList);
        return CommonResult.ok();
    }

    *//**
     * 获取中长期规划管理-专家评审-专家详情
     *
     * @author hjc
     * @date  2024/04/24 10:58
     *//*
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取中长期规划管理-专家评审-专家详情")
   // @SaCheckPermission("/policy.info/mlpDraftAuditExpert/detail")
    @GetMapping("/policy.info/mlpDraftAuditExpert/detail")
    public CommonResult<MlpDraftAuditExpert> detail(@Valid MlpDraftAuditExpertIdParam mlpDraftAuditExpertIdParam) {
        return CommonResult.data(mlpDraftAuditExpertService.detail(mlpDraftAuditExpertIdParam));
    }*/



/**
 * 获取中长期规划管理-专家评审-专家详情
 *
 * @author hjc
 * @date  2024/04/24 10:58
 */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取中长期规划管理-专家评审-获取专家信息")
   // @SaCheckPermission("/policy.info/mlpDraftAuditExpert/detail")
    @GetMapping("/policy.info/mlpDraftAuditExpert/getAll")
    public CommonResult<List<MlpDraftAuditExpert>> getAll() {
        return CommonResult.data(mlpDraftAuditExpertService.getAll());
    }
}
