/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftModify.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 中长期规划管理-规划修改实体
 *
 * @author hujinachun
 * @date  2024/04/23 11:40
 **/
@Getter
@Setter
@TableName("biz_mlp_draft_modify")
public class MlpDraftModify {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    /** 删除标志，默认为未删除 */
    @ApiModelProperty(value = "删除标志，默认为未删除", position = 2)
//    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 规划名称；biz_mlp_first_draft的id； */
    @ApiModelProperty(value = "规划名称；biz_mlp_first_draft的id；", position = 7)
    private String firstDraftId;

    /** 规划名称 */
    @ApiModelProperty(value = "规划名称", position = 8)
    private String planName;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 9)
    private Date modifyTime;

    /** 规划正文 */
    @ApiModelProperty(value = "规划正文", position = 10)
    private String planContent;

    /** 附件链接或名称 */
    @ApiModelProperty(value = "附件链接或名称", position = 11)
    private String attachment;
}
