/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.policy.info.modular.mlpFirstDraftCollect.entity.MlpFirstDraftCollect;
import com.unis.policy.info.modular.mlpFirstDraftCollect.service.MlpFirstDraftCollectService;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.param.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.entity.MlpFirstDraftCollectFeedback;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.service.MlpFirstDraftCollectFeedbackService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

/**
 * 中长期规划管理-初稿意见反馈控制器
 *
 * @author QSHan
 * @date  2024/04/18 20:06
 */
@Api(tags = "中长期规划管理-初稿意见反馈控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class MlpFirstDraftCollectFeedbackController {

    @Resource
    private MlpFirstDraftCollectFeedbackService mlpFirstDraftCollectFeedbackService;
    @Resource
    private MlpFirstDraftCollectService mlpFirstDraftCollectService;

    /**
     * 获取中长期规划管理-初稿意见反馈分页
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
/*    @ApiOperationSupport(order = 1)
    @ApiOperation("获取-初稿意见反馈分页(调初稿意见征集列表)")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/page")
    @GetMapping("/policy.info/mlpFirstDraftCollectFeedback/page")
    public CommonResult<Page<MlpFirstDraftCollectFeedback>> page(MlpFirstDraftCollectFeedbackPageParam mlpFirstDraftCollectFeedbackPageParam, MlpFirstDraftCollectFeedbackQueryParam param) {
        return CommonResult.data(mlpFirstDraftCollectFeedbackService.page(mlpFirstDraftCollectFeedbackPageParam, param));
    }*/

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取-初稿意见反馈分页")
    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/page")
    @GetMapping("/policy.info/mlpFirstDraftCollectFeedback/page")
    public CommonResult<IPage<MlpFirstDraftCollect>> pageList(MlpFirstDraftCollectFeedbackPageParam mlpFirstDraftCollectFeedbackPageParam, MlpFirstDraftCollectFeedbackQueryParam param) {
        return CommonResult.data(mlpFirstDraftCollectFeedbackService.pageList(mlpFirstDraftCollectFeedbackPageParam, param));
    }

    /**
     * 添加中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加-初稿意见反馈")
    @CommonLog("添加中长期规划管理-初稿意见反馈")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/add")
    @PostMapping("/policy.info/mlpFirstDraftCollectFeedback/add")
    public CommonResult<String> add(@RequestBody @Valid MlpFirstDraftCollectFeedbackAddParam mlpFirstDraftCollectFeedbackAddParam) {
        mlpFirstDraftCollectFeedbackService.add(mlpFirstDraftCollectFeedbackAddParam);
        return CommonResult.ok();
    }

    /**
     * 编辑中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑-初稿意见反馈")
    @CommonLog("编辑中长期规划管理-初稿意见反馈")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/edit")
    @PostMapping("/policy.info/mlpFirstDraftCollectFeedback/edit")
    public CommonResult<String> edit(@RequestBody @Valid MlpFirstDraftCollectFeedbackEditParam mlpFirstDraftCollectFeedbackEditParam) {
        mlpFirstDraftCollectFeedbackService.edit(mlpFirstDraftCollectFeedbackEditParam);
        return CommonResult.ok();
    }

    /**
     * 删除中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除-初稿意见反馈")
    @CommonLog("删除中长期规划管理-初稿意见反馈")
//    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/delete")
    @PostMapping("/policy.info/mlpFirstDraftCollectFeedback/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<MlpFirstDraftCollectFeedbackIdParam> mlpFirstDraftCollectFeedbackIdParamList) {
        mlpFirstDraftCollectFeedbackService.delete(mlpFirstDraftCollectFeedbackIdParamList);
        return CommonResult.ok();
    }

    /**
     * 获取中长期规划管理-初稿意见反馈详情
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取-初稿意见反馈详情")
    @SaCheckPermission("/policy.info/mlpFirstDraftCollectFeedback/detail")
    @GetMapping("/policy.info/mlpFirstDraftCollectFeedback/detail")
    public CommonResult<MlpFirstDraftCollectFeedback> detail(@Valid MlpFirstDraftCollectFeedbackQueryParam param) {
        return CommonResult.data(mlpFirstDraftCollectFeedbackService.detail(param));
    }

    @ApiOperationSupport(order = 6)
    @ApiOperation(value = "带出初稿意见反馈新增参数", notes = "firstDraftCollectId")
    @GetMapping("/policy.info/mlpFirstDraftCollectFeedback/selectParams")
    public CommonResult<MlpFirstDraftCollect> selectParams(String firstDraftCollectId) {
        return CommonResult.data(mlpFirstDraftCollectService.getById(firstDraftCollectId));
    }

    @ApiOperationSupport(order = 7)
    @ApiOperation("获取-整改规划下拉选")
    @GetMapping("/policy.info/mlpFirstDraftCollectFeedback/getPlanNameMap")
    public CommonResult<List<Map<String, String>>> getPlanNameMap() {
        return CommonResult.data(mlpFirstDraftCollectFeedbackService.getPlanNameMap());
    }

}
