/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpFirstDraftCollectOrg.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.entity.MlpFirstDraftCollectOrg;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgAddParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgEditParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgIdParam;
import com.unis.policy.info.modular.mlpFirstDraftCollectOrg.param.MlpFirstDraftCollectOrgPageParam;

import java.util.List;

/**
 * 中长期规划管理-初稿意见反馈-组织架构Service接口
 *
 * @author QSHan
 * @date  2024/04/18 20:09
 **/
public interface MlpFirstDraftCollectOrgService extends IService<MlpFirstDraftCollectOrg> {

    /**
     * 获取中长期规划管理-初稿意见反馈-组织架构分页
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     */
    Page<MlpFirstDraftCollectOrg> page(MlpFirstDraftCollectOrgPageParam mlpFirstDraftCollectOrgPageParam);

    /**
     * 添加中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     */
    void add(MlpFirstDraftCollectOrgAddParam mlpFirstDraftCollectOrgAddParam);

    /**
     * 编辑中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     */
    void edit(MlpFirstDraftCollectOrgEditParam mlpFirstDraftCollectOrgEditParam);

    /**
     * 删除中长期规划管理-初稿意见反馈-组织架构
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     */
    void delete(List<MlpFirstDraftCollectOrgIdParam> mlpFirstDraftCollectOrgIdParamList);

    /**
     * 获取中长期规划管理-初稿意见反馈-组织架构详情
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     */
    MlpFirstDraftCollectOrg detail(MlpFirstDraftCollectOrgIdParam mlpFirstDraftCollectOrgIdParam);

    /**
     * 获取中长期规划管理-初稿意见反馈-组织架构详情
     *
     * @author QSHan
     * @date  2024/04/18 20:09
     **/
    MlpFirstDraftCollectOrg queryEntity(String id);
}
