/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.sqrEnterpriseApply.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 承储资格认定-承储资格申请添加参数
 *
 * @author hjc
 * @date  2024/04/28 15:45
 **/
@Getter
@Setter
public class SqrEnterpriseApplyAddParam {

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** biz_sqr_enterprise的id； */
    @ApiModelProperty(value = "biz_sqr_enterprise的id；", position = 6)
    private String sqrEnterpriseId;

    /** 企业；biz_unit_info的id； */
    @ApiModelProperty(value = "企业；biz_unit_info的id；", position = 7)
    private String unitInfoId;

    /** 申请类型 1：承储资格申请；2：承储资格延续申请；3：承储资格证书补发申请；4：信息变更申请； */
    @ApiModelProperty(value = "申请类型 1：承储资格申请；2：承储资格延续申请；3：承储资格证书补发申请；4：信息变更申请；", position = 8)
    private Integer applyType;

    /** 状态 0：保存；1：提交（申请审核）； */
    @ApiModelProperty(value = "状态 0：保存；1：提交（申请审核）；", position = 9)
    private Integer applyStatus;

    /** 承储资格年限；apply_type=2或4时，有值； */
    @ApiModelProperty(value = "承储资格年限；apply_type=2或4时，有值；", position = 10)
    private Integer storageQualificationYear;

    /** 附件；apply_type=2或3或4时，有值； */
    @ApiModelProperty(value = "附件；apply_type=2或3或4时，有值；", position = 11)
    private String attachment;

    /** 补发时间；apply_type=3时，有值； */
    @ApiModelProperty(value = "补发时间；apply_type=3时，有值；", position = 12)
    private Date reissueTime;

    /** 正式职工人数；apply_type=4时，有值； */
    @ApiModelProperty(value = "正式职工人数；apply_type=4时，有值；", position = 13)
    private Integer fullTimeStaffCount;

    /** 持证保管员数量；apply_type=4时，有值； */
    @ApiModelProperty(value = "持证保管员数量；apply_type=4时，有值；", position = 14)
    private Integer certifiedStorekeeperCount;

    /** 持证检验员数量；apply_type=4时，有值； */
    @ApiModelProperty(value = "持证检验员数量；apply_type=4时，有值；", position = 15)
    private Integer certifiedInspectorCount;

    /** 仓房设施设备情况；apply_type=4时，有值； */
    @ApiModelProperty(value = "仓房设施设备情况；apply_type=4时，有值；", position = 16)
    private String warehouseFacilitySituation;

}
