/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.sqrEnterpriseApply.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 承储资格认定-承储资格申请Id参数
 *
 * @author hjc
 * @date  2024/04/28 15:45
 **/
@Getter
@Setter
public class SqrEnterpriseApplyIdParam {

    /** 申请记录唯一标识符 */
    @ApiModelProperty(value = "申请记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;


    /** 申请类型 1：承储资格申请；2：承储资格延续申请；3：承储资格证书补发申请；4：信息变更申请； */
    @ApiModelProperty(value = "申请类型 1：承储资格申请；2：承储资格延续申请；3：承储资格证书补发申请；4：信息变更申请；", position = 8)
    private Integer applyType;


    /** 企业；biz_unit_info的id； */
    @ApiModelProperty(value = "企业；biz_unit_info的id；", position = 6)
    private String unitInfoId;

}
