package com.unis.projectManagement.modular.analysisInfo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-31 18:07
 */
@Getter
@Setter
public class AnalysisPageListParam {

    /*@ApiModelProperty(value = "项目预算资金唯一标识符", position = 7)
    private String id;*/

    @ApiModelProperty(value = "项目编号", position = 8)
    private String projectCode;

    @ApiModelProperty(value = "项目名称", position = 9)
    private String projectName;

    @ApiModelProperty(value = "项目建设牵头处室", position = 10)
    private String leadingDepartment;

    @ApiModelProperty(value = "申请人", position = 11)
    private String applicant;

    @ApiModelProperty(value = "牵头处室审核人", position = 12)
    private String reviewer;

    @ApiModelProperty(value = "建设周期", position = 13)
    private String constructionPeriod;

    @ApiModelProperty(value = "资金规模", position = 14)
    private BigDecimal fundsScale;

    @ApiModelProperty(value = "申报时间", position = 15)
    private Date declarationTime;

    @ApiModelProperty(value = "绩效标准", position = 16)
    private String performanceStandard;

    @ApiModelProperty(value = "建设内容概要", position = 17)
    private String constructionContentSummary;

    @ApiModelProperty(value = "建议书或设计/建设方案", position = 18)
    private String proposalDesignOrConstructionScheme;

    @ApiModelProperty(value = "备注", position = 19)
    private String remark;

    @ApiModelProperty(value = "biz_pm_application的id", position = 21)
    private String pmApplicationId;

    @ApiModelProperty(value = "资金来源(1:固定资产投资;2:中央财政资金;3.省财政资金;4.市财政资金;5.银行贷款;6.股票债券;7:其他资金)", position = 22)
    private Integer fundsSource;

    @ApiModelProperty(value = "项目类型 1:财政预算内资金项目；2：专项资金项目；3：财政预算外资金项目；4：银行贷款项目；5：债券项目；6：外商投资项目；7：企业自筹资金项目；8：其他资金项目；", position = 23)
    private Integer projectType;

    @ApiModelProperty(value = "项目单位", position = 24)
    private String projectLegalUnit;

    @ApiModelProperty(value = "拟开工时间", position = 25)
    private Date plannedStartTime;

    @ApiModelProperty(value = "拟建成时间", position = 26)
    private Date plannedCompletionTime;

    @ApiModelProperty(value = "总投资", position = 27)
    private BigDecimal totalInvestment;

}
