package com.unis.projectManagement.modular.analysisInfo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-31 17:40
 */
@Getter
@Setter
public class AnalysisPageParam {

    @ApiModelProperty(value = "当前页码")
    private Integer current;

    @ApiModelProperty(value = "每页条数")
    private Integer size;

    // 查询条件
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目类型 1:财政预算内资金项目；2：专项资金项目；3：财政预算外资金项目；4：银行贷款项目；5：债券项目；6：外商投资项目；7：企业自筹资金项目；8：其他资金项目；")
    private Integer projectType;

    @ApiModelProperty(value = "项目（法人）单位")
    private String projectLegalUnit;

    @ApiModelProperty(value = "资金来源(1:固定资产投资;2:中央财政资金;3.省财政资金;4.市财政资金;5.银行贷款;6.股票债券;7:其他资金)")
    private Integer fundsSource;

    // 完成情况(biz_pm_project_info_plan)
    @ApiModelProperty(value = "完成情况")
    private String completionStatus;

    // 项目计划开始时间(biz_pm_project_info_plan)
    @ApiModelProperty(value = "计划开始时间")
    private Date scheduleStartDate;

    @ApiModelProperty(value = "计划结束时间")
    private Date scheduleEndDate;
}
