/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmApplication.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmApplication.entity.PmApplication;
import com.unis.projectManagement.modular.pmApplication.param.PmApplicationAddParam;
import com.unis.projectManagement.modular.pmApplication.param.PmApplicationEditParam;
import com.unis.projectManagement.modular.pmApplication.param.PmApplicationIdParam;
import com.unis.projectManagement.modular.pmApplication.param.PmApplicationPageParam;
import com.unis.projectManagement.modular.pmApplication.vo.ConstructionLocationVo;

import java.util.List;

/**
 * 项目申报管理表Service接口
 *
 * @author hjc
 * @date  2024/05/27 17:26
 **/
public interface PmApplicationService extends IService<PmApplication> {

    /**
     * 获取项目申报管理表分页
     *
     * @author hjc
     * @date  2024/05/27 17:26
     */
    Page<PmApplication> page(PmApplicationPageParam pmApplicationPageParam);

    /**
     * 添加项目申报管理表
     *
     * @author hjc
     * @date  2024/05/27 17:26
     */
    void add(PmApplicationAddParam pmApplicationAddParam);

    /**
     * 编辑项目申报管理表
     *
     * @author hjc
     * @date  2024/05/27 17:26
     */
    void edit(PmApplicationEditParam pmApplicationEditParam);

    /**
     * 删除项目申报管理表
     *
     * @author hjc
     * @date  2024/05/27 17:26
     */
    void delete(List<PmApplicationIdParam> pmApplicationIdParamList);

    /**
     * 获取项目申报管理表详情
     *
     * @author hjc
     * @date  2024/05/27 17:26
     */
    PmApplication detail(PmApplicationIdParam pmApplicationIdParam);

    /**
     * 获取项目申报管理表详情
     *
     * @author hjc
     * @date  2024/05/27 17:26
     **/
    PmApplication queryEntity(String id);

}
