package com.unis.projectManagement.modular.pmBudget.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-30 11:25
 */
@Getter
@Setter
public class FundPlan {

    @ApiModelProperty(value = "项目预算资金唯一标识符", position = 1)
    private String id;

    @ApiModelProperty(value = "biz_pm_project_info的id", position = 2)
    private String pmProjectInfoId;

    @ApiModelProperty(value = "biz_pm_application的id", position = 3)
    private String pmApplicationId;

    @ApiModelProperty(value = "项目名称", position = 4)
    private String projectName;

    @ApiModelProperty(value = "项目编号", position = 5)
    private String projectCode;

    @ApiModelProperty(value = "项目建设牵头处室", position = 6)
    private String leadingDepartment;

    @ApiModelProperty(value = "申请人", position = 7)
    private String applicant;

    @ApiModelProperty(value = "牵头处室审核人", position = 8)
    private String reviewer;

    @ApiModelProperty(value = "建设周期", position = 9)
    private String constructionPeriod;

    @ApiModelProperty(value = "资金规模", position = 10)
    private BigDecimal fundsScale;

    @ApiModelProperty(value = "资金来源(1:固定资产投资;2:中央财政资金;3.省财政资金;4.市财政资金;5.银行贷款;6.股票债券;7:其他资金)", position = 14)
    private Integer fundsSource;

    @ApiModelProperty(value = "申报时间", position = 11)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date declarationTime;

    @ApiModelProperty(value = "绩效标准", position = 12)
    private String performanceStandard;

    @ApiModelProperty(value = "建设内容概要", position = 13)
    private String constructionContentSummary;

    @ApiModelProperty(value = "建议书或设计/建设方案", position = 14)
    private String proposalDesignOrConstructionScheme;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 15)
    private String remark;

    /*@ApiModelProperty(value = "项目进度计划", position = 16)
    private List<FundPlanInfo> projectInfoPlan;*/
}
