/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmBudget.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmBudget.entity.PmBudget;
import com.unis.projectManagement.modular.pmBudget.param.PmBudgetAddParam;
import com.unis.projectManagement.modular.pmBudget.param.PmBudgetEditParam;
import com.unis.projectManagement.modular.pmBudget.param.PmBudgetIdParam;
import com.unis.projectManagement.modular.pmBudget.param.PmBudgetPageParam;
import com.unis.projectManagement.modular.projectInfoPlan.entity.ProjectInfoPlan;

import java.util.List;
import java.util.Map;

/**
 * 项目预算资金Service接口
 *
 * @author QSHan
 * @date  2024/05/28 16:04
 **/
public interface PmBudgetService extends IService<PmBudget> {

    /**
     * 获取项目预算资金分页
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     */
    Page<PmBudget> page(PmBudgetPageParam pmBudgetPageParam);

    /**
     * 添加项目预算资金
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     */
    void add(PmBudgetAddParam pmBudgetAddParam);

    /**
     * 编辑项目预算资金
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     */
    void edit(PmBudgetEditParam pmBudgetEditParam);

    /**
     * 删除项目预算资金
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     */
    void delete(List<PmBudgetIdParam> pmBudgetIdParamList);

    /**
     * 获取项目预算资金详情
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     */
    PmBudget detail(PmBudgetIdParam pmBudgetIdParam);

    /**
     * 获取项目预算资金详情
     *
     * @author QSHan
     * @date  2024/05/28 16:04
     **/
    PmBudget queryEntity(String id);

    List<Map<String, Object>> getProjectList();

    Map<String, Object> getProjectCode(String id);

    List<ProjectInfoPlan> getProjectPlanList(String pmApplicationId);
}
