package com.unis.projectManagement.modular.pmPerformance.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-30 20:45
 */
@Getter
@Setter
public class PmBudgetParam {

    @ApiModelProperty(value = "项目编号", position = 8)
    @TableField(exist = false)
    private String projectCode;

    @ApiModelProperty(value = "项目名称", position = 9)
    @TableField(exist = false)
    private String projectName;

    @ApiModelProperty(value = "项目建设牵头处室", position = 10)
    @TableField(exist = false)
    private String leadingDepartment;

    @ApiModelProperty(value = "申请人", position = 11)
    @TableField(exist = false)
    private String applicant;

    @ApiModelProperty(value = "牵头处室审核人", position = 12)
    @TableField(exist = false)
    private String reviewer;

    @ApiModelProperty(value = "建设周期", position = 13)
    @TableField(exist = false)
    private String constructionPeriod;

    @ApiModelProperty(value = "资金规模", position = 14)
    @TableField(exist = false)
    private BigDecimal fundsScale;

    @ApiModelProperty(value = "申报时间", position = 15)
    @TableField(exist = false)
    private Date declarationTime;

    @ApiModelProperty(value = "绩效标准", position = 16)
    @TableField(exist = false)
    private String performanceStandard;

    @ApiModelProperty(value = "建设内容概要", position = 17)
    @TableField(exist = false)
    private String constructionContentSummary;

    @ApiModelProperty(value = "建议书或设计/建设方案", position = 18)
    @TableField(exist = false)
    private String proposalDesignOrConstructionScheme;

    @ApiModelProperty(value = "备注", position = 19)
    @TableField(exist = false)
    private String remark;

    @ApiModelProperty(value = "biz_pm_project_info的id", position = 20)
    @TableField(exist = false)
    private String pmProjectInfoId;

    @ApiModelProperty(value = "biz_pm_application的id", position = 21)
    @TableField(exist = false)
    private String pmApplicationId;

    @ApiModelProperty(value = "项目预算资金唯一标识符", position = 22)
    @TableField(exist = false)
    private String id;

    @ApiModelProperty(value = "审核意见", position = 23)
    @TableField(exist = false)
    private String auditAdvice;

    @ApiModelProperty(value = "资金来源(1:固定资产投资;2:中央财政资金;3.省财政资金;4.市财政资金;5.银行贷款;6.股票债券;7:其他资金)", position = 24)
    @TableField(exist = false)
    private Integer fundsSource;

}
