/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmPerformance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmPerformance.entity.PmBudgetBase;
import com.unis.projectManagement.modular.pmPerformance.entity.PmPerformance;
import com.unis.projectManagement.modular.pmPerformance.param.PmPerformanceAddParam;
import com.unis.projectManagement.modular.pmPerformance.param.PmPerformanceEditParam;
import com.unis.projectManagement.modular.pmPerformance.param.PmPerformanceIdParam;
import com.unis.projectManagement.modular.pmPerformance.param.PmPerformancePageParam;

import java.util.List;
import java.util.Map;

/**
 * 绩效上报管理Service接口
 *
 * @author QSHan
 * @date  2024/05/30 19:34
 **/
public interface PmPerformanceService extends IService<PmPerformance> {

    /**
     * 获取绩效上报管理分页
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     */
    Page<PmPerformance> page(PmPerformancePageParam pmPerformancePageParam);

    /**
     * 添加绩效上报管理
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     */
    void add(PmPerformanceAddParam pmPerformanceAddParam);

    /**
     * 编辑绩效上报管理
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     */
    void edit(PmPerformanceEditParam pmPerformanceEditParam);

    /**
     * 删除绩效上报管理
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     */
    void delete(List<PmPerformanceIdParam> pmPerformanceIdParamList);

    /**
     * 获取绩效上报管理详情
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     */
    PmPerformance detail(PmPerformanceIdParam pmPerformanceIdParam);

    /**
     * 获取绩效上报管理详情
     *
     * @author QSHan
     * @date  2024/05/30 19:34
     **/
    PmPerformance queryEntity(String id);

    List<Map<String, Object>> getProjectNameList();

    PmBudgetBase getDetailAllList(String budgetId, String pmApplicationId, String id);
}
