/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmProjectInfo.param;

import com.unis.projectManagement.modular.pmProjectInfoFile.entity.PmProjectInfoFile;
import com.unis.projectManagement.modular.projectInfoPlan.entity.ProjectInfoPlan;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 项目信息管理表添加参数
 *
 * @author hjc
 * @date  2024/05/28 11:33
 **/
@Getter
@Setter
public class PmProjectInfoAddParam {

    /** 项目名称；biz_pm_application的id； */
    @ApiModelProperty(value = "项目名称；biz_pm_application的id；", position = 6)
    @NotBlank(message = "项目id不能为空")
    private String pmApplicationId;

    /** 资金投入，单位：万元 */
    @ApiModelProperty(value = "资金投入，单位：万元", position = 7)
    private BigDecimal fundsInvested;

    /** 预计耗时（天） */
    @ApiModelProperty(value = "预计耗时（天）", position = 8)
    private Integer estimatedDuration;

    /** 实际开始时间 */
    @ApiModelProperty(value = "实际开始时间", position = 9)
    private Date actualStartTime;

    /** 实际结束时间 */
    @ApiModelProperty(value = "实际结束时间", position = 10)
    private Date actualEndTime;

    /** 支出情况 */
    @ApiModelProperty(value = "支出情况", position = 11)
    private String expenditureSituation;

    /** 存在问题及风险 */
    @ApiModelProperty(value = "存在问题及风险", position = 12)
    private String problemsAndRisks;


    /** 计划进度集合 */
    @ApiModelProperty(value = "计划进度集合", position = 13)
    private List<ProjectInfoPlan> projectInfoPlanList;

    /** 项目文件集合 */
    @ApiModelProperty(value = "项目文件集合", position = 14)
    private List<PmProjectInfoFile> pmProjectInfoFileList;
}
