/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmProjectInfo.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmApplication.entity.PmApplication;
import com.unis.projectManagement.modular.pmProjectInfo.entity.PmProjectInfo;
import com.unis.projectManagement.modular.pmProjectInfo.param.PmProjectInfoAddParam;
import com.unis.projectManagement.modular.pmProjectInfo.param.PmProjectInfoEditParam;
import com.unis.projectManagement.modular.pmProjectInfo.param.PmProjectInfoIdParam;
import com.unis.projectManagement.modular.pmProjectInfo.param.PmProjectInfoPageParam;
import com.unis.projectManagement.modular.pmProjectInfo.vo.PmProjectInfoPageVO;

import java.util.List;

/**
 * 项目信息管理表Service接口
 *
 * @author hjc
 * @date  2024/05/28 11:33
 **/
public interface PmProjectInfoService extends IService<PmProjectInfo> {

    /**
     * 获取项目信息管理表分页
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    Page<PmProjectInfoPageVO> page(PmProjectInfoPageParam pmProjectInfoPageParam);

    /**
     * 添加项目信息管理表
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    void add(PmProjectInfoAddParam pmProjectInfoAddParam);

    /**
     * 编辑项目信息管理表
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    void edit(PmProjectInfoEditParam pmProjectInfoEditParam);

    /**
     * 删除项目信息管理表
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    void delete(List<PmProjectInfoIdParam> pmProjectInfoIdParamList);

    /**
     * 获取项目信息管理表详情
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    JSONObject detail(PmProjectInfoIdParam pmProjectInfoIdParam);

    /**
     * 获取项目信息管理表详情
     *
     * @author hjc
     * @date  2024/05/28 11:33
     **/
    PmProjectInfo queryEntity(String id);
    /**
     * 新增时下拉-获取项目申报信息
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    List<PmApplication> getPmApplication();

    /**
     * 获取项目监督管理详情
     *
     * @author hjc
     * @date  2024/05/28 11:33
     */
    JSONObject getSuperviseDetail(PmProjectInfoIdParam pmProjectInfoIdParam);
}
