package com.unis.projectManagement.modular.pmProjectInfo.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/28 20:20
 */
@Data
public class PmProjectInfoPageVO {

    /** 项目信息唯一标识符 */
    @ApiModelProperty(value = "项目信息唯一标识符", position = 1)
    private String id;

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称", position = 7)
    private String projectName;

    /** 项目编号 */
    @ApiModelProperty(value = "项目编号", position = 6)
    private String projectCode;

    /** 项目类型 1:财政预算内资金项目；2：专项资金项目；3：财政预算外资金项目；4：银行贷款项目；5：债券项目；6：外商投资项目；7：企业自筹资金项目；8：其他资金项目； */
    @ApiModelProperty(value = "项目类型 1:财政预算内资金项目；2：专项资金项目；3：财政预算外资金项目；4：银行贷款项目；5：债券项目；6：外商投资项目；7：企业自筹资金项目；8：其他资金项目；", position = 10)
    private Integer projectType;

   /* *//** 建设状态 1：已立项未开工；2：建设中；3：已验收；4：已取消； *//*
    @ApiModelProperty(value = "完成情况 1：已立项未开工；2：建设中；3：已验收；4：已取消；", position = 13)
    private Integer constructionStatus;*/


    /** 完成情况 */
    @ApiModelProperty(value = "完成情况", position = 13)
    private String completionStatus;

    /** 项目（法人）单位 */
    @ApiModelProperty(value = "项目（法人）单位", position = 16)
    private String projectLegalUnit;


    /** 计划开始时间 */
    @ApiModelProperty(value = "计划开始时间", position = 11)
    private Date scheduleStartDate;

    /** 计划结束时间 */
    @ApiModelProperty(value = "计划结束时间", position = 12)
    private Date scheduleEndDate;


    /** 资金投入，单位：万元 */
    @ApiModelProperty(value = "资金投入，单位：万元", position = 7)
    private BigDecimal fundsInvested;

    /** 支出情况 */
    @ApiModelProperty(value = "支出情况", position = 11)
    private String expenditureSituation;
}
