/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmProjectInfoFile.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目信息管理-项目文件表添加参数
 *
 * @author hjc
 * @date  2024/05/28 19:22
 **/
@Getter
@Setter
public class PmProjectInfoFileAddParam {

    /** 项目名称；biz_pm_application的id； */
    @ApiModelProperty(value = "项目名称；biz_pm_application的id；", position = 6)
    private String pmApplicationId;

    /** 文件名称 */
    @ApiModelProperty(value = "文件名称", position = 7)
    private String fileName;

    /** 版本 */
    @ApiModelProperty(value = "版本", position = 8)
    private String version;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 9)
    private String remark;

    /** 附件 */
    @ApiModelProperty(value = "附件", position = 10)
    private String attachment;

}
