/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmProjectInfoFile.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmProjectInfoFile.entity.PmProjectInfoFile;
import com.unis.projectManagement.modular.pmProjectInfoFile.param.PmProjectInfoFileAddParam;
import com.unis.projectManagement.modular.pmProjectInfoFile.param.PmProjectInfoFileEditParam;
import com.unis.projectManagement.modular.pmProjectInfoFile.param.PmProjectInfoFileIdParam;
import com.unis.projectManagement.modular.pmProjectInfoFile.param.PmProjectInfoFilePageParam;

import java.util.List;

/**
 * 项目信息管理-项目文件表Service接口
 *
 * @author hjc
 * @date  2024/05/28 19:22
 **/
public interface PmProjectInfoFileService extends IService<PmProjectInfoFile> {

    /**
     * 获取项目信息管理-项目文件表分页
     *
     * @author hjc
     * @date  2024/05/28 19:22
     */
    Page<PmProjectInfoFile> page(PmProjectInfoFilePageParam pmProjectInfoFilePageParam);

    /**
     * 添加项目信息管理-项目文件表
     *
     * @author hjc
     * @date  2024/05/28 19:22
     */
    void add(PmProjectInfoFileAddParam pmProjectInfoFileAddParam);

    /**
     * 编辑项目信息管理-项目文件表
     *
     * @author hjc
     * @date  2024/05/28 19:22
     */
    void edit(PmProjectInfoFileEditParam pmProjectInfoFileEditParam);

    /**
     * 删除项目信息管理-项目文件表
     *
     * @author hjc
     * @date  2024/05/28 19:22
     */
    void delete(List<PmProjectInfoFileIdParam> pmProjectInfoFileIdParamList);

    /**
     * 获取项目信息管理-项目文件表详情
     *
     * @author hjc
     * @date  2024/05/28 19:22
     */
    PmProjectInfoFile detail(PmProjectInfoFileIdParam pmProjectInfoFileIdParam);

    /**
     * 获取项目信息管理-项目文件表详情
     *
     * @author hjc
     * @date  2024/05/28 19:22
     **/
    PmProjectInfoFile queryEntity(String id);
}
