/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmStorageConstruction.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.pmStorageConstruction.entity.PmStorageConstruction;
import com.unis.projectManagement.modular.pmStorageConstruction.param.*;

import java.util.List;

/**
 * 仓储设施投资-仓储设施建设表Service接口
 *
 * @author hjc
 * @date  2024/05/30 15:58
 **/
public interface PmStorageConstructionService extends IService<PmStorageConstruction> {

    /**
     * 获取仓储设施投资-仓储设施建设表分页
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    Page<PmStorageConstruction> page(PmStorageConstructionPageParam pmStorageConstructionPageParam);

    /**
     * 添加仓储设施投资-仓储设施建设表
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    void add(PmStorageConstructionAddParam pmStorageConstructionAddParam);

    /**
     * 编辑仓储设施投资-仓储设施建设表
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    void edit(PmStorageConstructionEditParam pmStorageConstructionEditParam);

    /**
     * 删除仓储设施投资-仓储设施建设表
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    void delete(List<PmStorageConstructionIdParam> pmStorageConstructionIdParamList);

    /**
     * 获取仓储设施投资-仓储设施建设表详情
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    JSONObject detail(PmStorageConstructionIdParam pmStorageConstructionIdParam);

    /**
     * 获取仓储设施投资-仓储设施建设表详情
     *
     * @author hjc
     * @date  2024/05/30 15:58
     **/
    PmStorageConstruction queryEntity(String id);

    /**
     * 获取仓储设施投资-申报
     *
     * @author hjc
     * @date  2024/05/30 15:58
     */
    void declare(PmStorageConstructionDeclareParam declareParam);
}
