/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmStorageConstructionPlan.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 仓储设施建设-计划进度表添加参数
 *
 * @author hjc
 * @date  2024/05/30 16:40
 **/
@Getter
@Setter
public class PmStorageConstructionPlanAddParam {

    /** biz_pm_storage_construction的id */
    @ApiModelProperty(value = "biz_pm_storage_construction的id", position = 6)
    private String pmStorageConstructionId;

    /** 计划名称 */
    @ApiModelProperty(value = "计划名称", position = 7)
    private String scheduleName;

    /** 计划内容 */
    @ApiModelProperty(value = "计划内容", position = 8)
    private String scheduleContent;

    /** 计划开始时间 */
    @ApiModelProperty(value = "计划开始时间", position = 9)
    private Date scheduleStartDate;

    /** 计划结束时间 */
    @ApiModelProperty(value = "计划结束时间", position = 10)
    private Date scheduleEndDate;

    /** 实际完成进度，以百分比表示 */
    @ApiModelProperty(value = "实际完成进度，以百分比表示", position = 11)
    private BigDecimal actualCompletionProgress;

    /** 资金计划支出 */
    @ApiModelProperty(value = "资金计划支出", position = 12)
    private BigDecimal fundsPlannedExpenditure;

    /** 资金实际支出 */
    @ApiModelProperty(value = "资金实际支出", position = 13)
    private BigDecimal fundsActualExpenditure;

    /** 资金使用情况 */
    @ApiModelProperty(value = "资金使用情况", position = 14)
    private String fundsUsageSituation;

}
