/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.pmStorageInvestAsset.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 仓储设施投资-仓储设施资产情况表编辑参数
 *
 * @author hjc
 * @date  2024/05/29 19:19
 **/
@Getter
@Setter
public class PmStorageInvestAssetEditParam {

    /** 资产记录唯一标识符 */
    @ApiModelProperty(value = "资产记录唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** biz_pm_storage_invest的id */
    @ApiModelProperty(value = "biz_pm_storage_invest的id", position = 6)
    @NotBlank(message = "仓储设施投资id，不能为空")
    private String pmStorageInvestId;

    /** 设施名称 */
    @ApiModelProperty(value = "设施名称", position = 7)
    private String facilityName;

    /** 建设时间开始时间 */
    @ApiModelProperty(value = "建设时间开始时间", position = 8)
    private Date constructionStartTime;

    /** 建设时间结束时间 */
    @ApiModelProperty(value = "建设时间结束时间", position = 9)
    private Date constructionEndTime;

    /** 状态 1：正常；2：延期； */
    @ApiModelProperty(value = "状态 1：正常；2：延期；", position = 10)
    private Integer status;

}
