/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.projectInfoPlan.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 进度监督实体
 *
 * @author QSHan
 * @date  2024/05/28 11:54
 **/
@Getter
@Setter
@TableName("biz_pm_project_info_plan")
public class ProjectInfoPlan {

    /** 计划进度唯一标识符 */
    @TableId
    @ApiModelProperty(value = "计划进度唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** biz_pm_application的id */
    @ApiModelProperty(value = "biz_pm_application的id", position = 6)
    @NotBlank(message = "项目id不能为空")
    private String pmApplicationId;

    /** 计划名称 */
    @ApiModelProperty(value = "计划名称", position = 7)
    private String scheduleName;

    /** 计划内容 */
    @ApiModelProperty(value = "计划内容", position = 8)
    private String scheduleContent;

    /** 计划状态 */
    @ApiModelProperty(value = "计划状态", position = 9)
    private String scheduleStatus;

    /** 责任人 */
    @ApiModelProperty(value = "责任人", position = 10)
    private String responsiblePerson;

    /** 计划开始时间 */
    @ApiModelProperty(value = "计划开始时间", position = 11)
    private Date scheduleStartDate;

    /** 计划结束时间 */
    @ApiModelProperty(value = "计划结束时间", position = 12)
    private Date scheduleEndDate;

    /** 完成情况 */
    @ApiModelProperty(value = "完成情况", position = 13)
    private String completionStatus;

    /** 实际完成进度，以百分比表示 */
    @ApiModelProperty(value = "实际完成进度，以百分比表示", position = 14)
    private BigDecimal actualCompletionProgress;

    /** 计划完成进度，以百分比表示 */
    @ApiModelProperty(value = "计划完成进度，以百分比表示", position = 15)
    private BigDecimal planCompletionProgress;

    /** 超期预警 */
    @ApiModelProperty(value = "超期预警", position = 16)
    private String overdueWarn;

    /** 资金计划支出 */
    @ApiModelProperty(value = "资金计划支出", position = 17)
    private BigDecimal fundsPlannedExpenditure;

    /** 资金实际支出 */
    @ApiModelProperty(value = "资金实际支出", position = 18)
    private BigDecimal fundsActualExpenditure;

    /** 资金使用情况 */
    @ApiModelProperty(value = "资金使用情况", position = 19)
    private String fundsUsageSituation;

    /** 绩效指标完成情况 */
    @ApiModelProperty(value = "绩效指标完成情况", position = 20)
    private String performanceComplete;

    /** 绩效核定 */
    @ApiModelProperty(value = "绩效核定", position = 21)
    private String performanceEvaluation;
}
