/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.projectManagement.modular.projectInfoPlan.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.projectManagement.modular.projectInfoPlan.entity.ProjectInfoPlan;
import com.unis.projectManagement.modular.projectInfoPlan.param.ProjectInfoPlanAddParam;
import com.unis.projectManagement.modular.projectInfoPlan.param.ProjectInfoPlanEditParam;
import com.unis.projectManagement.modular.projectInfoPlan.param.ProjectInfoPlanIdParam;
import com.unis.projectManagement.modular.projectInfoPlan.param.ProjectInfoPlanPageParam;

import java.util.List;

/**
 * 进度监督Service接口
 *
 * @author QSHan
 * @date  2024/05/28 11:54
 **/
public interface ProjectInfoPlanService extends IService<ProjectInfoPlan> {

    /**
     * 获取进度监督分页
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     */
    Page<ProjectInfoPlan> page(ProjectInfoPlanPageParam projectInfoPlanPageParam);

    /**
     * 添加进度监督
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     */
    void add(ProjectInfoPlanAddParam projectInfoPlanAddParam);

    /**
     * 编辑进度监督
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     */
    void edit(ProjectInfoPlanEditParam projectInfoPlanEditParam);

    /**
     * 删除进度监督
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     */
    void delete(List<ProjectInfoPlanIdParam> projectInfoPlanIdParamList);

    /**
     * 获取进度监督详情
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     */
    ProjectInfoPlan detail(ProjectInfoPlanIdParam projectInfoPlanIdParam);

    /**
     * 获取进度监督详情
     *
     * @author QSHan
     * @date  2024/05/28 11:54
     **/
    ProjectInfoPlan queryEntity(String id);
}
