/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.entity.BizPssFundDockCollect;
import com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.param.BizPssFundDockCollectAddParam;
import com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.param.BizPssFundDockCollectEditParam;
import com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.param.BizPssFundDockCollectIdParam;
import com.unis.purchaseAndSalesSupervision.modular.bizPssFundDockCollect.param.BizPssFundDockCollectPageParam;

import java.util.List;

/**
 * 财务类业务监管-资金信息对接采集表Service接口
 *
 * @author hjc
 * @date  2024/06/13 14:39
 **/
public interface BizPssFundDockCollectService extends IService<BizPssFundDockCollect> {

    /**
     * 获取财务类业务监管-资金信息对接采集表分页
     *
     * @author hjc
     * @date  2024/06/13 14:39
     */
    Page<BizPssFundDockCollect> page(BizPssFundDockCollectPageParam bizPssFundDockCollectPageParam);

    /**
     * 添加财务类业务监管-资金信息对接采集表
     *
     * @author hjc
     * @date  2024/06/13 14:39
     */
    void add(BizPssFundDockCollectAddParam bizPssFundDockCollectAddParam);

    /**
     * 编辑财务类业务监管-资金信息对接采集表
     *
     * @author hjc
     * @date  2024/06/13 14:39
     */
    void edit(BizPssFundDockCollectEditParam bizPssFundDockCollectEditParam);

    /**
     * 删除财务类业务监管-资金信息对接采集表
     *
     * @author hjc
     * @date  2024/06/13 14:39
     */
    void delete(List<BizPssFundDockCollectIdParam> bizPssFundDockCollectIdParamList);

    /**
     * 获取财务类业务监管-资金信息对接采集表详情
     *
     * @author hjc
     * @date  2024/06/13 14:39
     */
    BizPssFundDockCollect detail(BizPssFundDockCollectIdParam bizPssFundDockCollectIdParam);

    /**
     * 获取财务类业务监管-资金信息对接采集表详情
     *
     * @author hjc
     * @date  2024/06/13 14:39
     **/
    BizPssFundDockCollect queryEntity(String id);
}
