/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssMoGrain.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 模型优化-粮情模型优化表添加参数
 *
 * @author hjc
 * @date  2024/06/12 19:59
 **/
@Getter
@Setter
public class BizPssMoGrainAddParam {

    /** 模型名称 */
    @ApiModelProperty(value = "模型名称", position = 6)
    @NotBlank(message = "模型名称不能为空")
    private String modelName;

    /** 模型编号 */
    @ApiModelProperty(value = "模型编号", position = 7)
    @NotBlank(message = "模型编号不能为空")
    private String modelNumber;

    /** 是否开启，0：否；1：是； */
    @ApiModelProperty(value = "是否开启，0：否；1：是；", position = 8)
    @NotNull(message = "是否开启不能为空")
    private Integer isEnabled;

    /** 连续两次检测记录间隔小于等于的天数 */
    @ApiModelProperty(value = "连续两次检测记录间隔小于等于的天数", position = 9)
    @NotNull(message = "连续两次检测记录间隔小于等于的天数不能为空")
    private Integer detectionIntervalDay;

    /** 粮情坏点数小于等于的阈值 */
    @ApiModelProperty(value = "粮情坏点数小于等于的阈值", position = 10)
    private Integer badPointThreshold;


}
