/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssMoGrain.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoGrain.entity.BizPssMoGrain;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoGrain.param.*;

import java.util.List;

/**
 * 模型优化-粮情模型优化表Service接口
 *
 * @author hjc
 * @date  2024/06/12 19:59
 **/
public interface BizPssMoGrainService extends IService<BizPssMoGrain> {

    /**
     * 获取模型优化-粮情模型优化表分页
     *
     * @author hjc
     * @date  2024/06/12 19:59
     */
    Page<BizPssMoGrain> page(BizPssMoGrainPageParam bizPssMoGrainPageParam);

    /**
     * 添加模型优化-粮情模型优化表
     *
     * @author hjc
     * @date  2024/06/12 19:59
     */
    void add(BizPssMoGrainAddParam bizPssMoGrainAddParam);

    /**
     * 编辑模型优化-粮情模型优化表
     *
     * @author hjc
     * @date  2024/06/12 19:59
     */
    void edit(BizPssMoGrainEditParam bizPssMoGrainEditParam);

    /**
     * 删除模型优化-粮情模型优化表
     *
     * @author hjc
     * @date  2024/06/12 19:59
     */
    void delete(List<BizPssMoGrainIdParam> bizPssMoGrainIdParamList);

    /**
     * 获取模型优化-粮情模型优化表详情
     *
     * @author hjc
     * @date  2024/06/12 19:59
     */
    BizPssMoGrain detail(BizPssMoGrainIdParam bizPssMoGrainIdParam);

    /**
     * 获取模型优化-粮情模型优化表详情
     *
     * @author hjc
     * @date  2024/06/12 19:59
     **/
    BizPssMoGrain queryEntity(String id);

    /**
     * 获取模型优化-粮情模型优化表-开启关闭
     *
     * @author hjc
     * @date  2024/06/12 20:03
     */
    void isEnabledById(BizPssMoGrainIsEnabledByIdParam isEnabledByIdParam);
}
