/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.param.*;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoRotationEmptyPeriod.param.BizPssMoRotationEmptyPeriodIsEnabledByIdParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.entity.BizPssMoInventoryTimeAnomaly;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.service.BizPssMoInventoryTimeAnomalyService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

/**
 * 模型优化-在库时间异常模型优化表控制器
 *
 * @author hjc
 * @date  2024/06/12 20:01
 */
@Api(tags = "模型优化-在库时间异常模型优化表控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class BizPssMoInventoryTimeAnomalyController {

    @Resource
    private BizPssMoInventoryTimeAnomalyService bizPssMoInventoryTimeAnomalyService;

    /**
     * 获取模型优化-在库时间异常模型优化表分页
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取模型优化-在库时间异常模型优化表分页")
    //@SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/page")
    @GetMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/page")
    public CommonResult<Page<BizPssMoInventoryTimeAnomaly>> page(BizPssMoInventoryTimeAnomalyPageParam bizPssMoInventoryTimeAnomalyPageParam) {
        return CommonResult.data(bizPssMoInventoryTimeAnomalyService.page(bizPssMoInventoryTimeAnomalyPageParam));
    }

    /**
     * 添加模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加模型优化-在库时间异常模型优化表")
    @CommonLog("添加模型优化-在库时间异常模型优化表")
    //@SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/add")
    @PostMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/add")
    public CommonResult<String> add(@RequestBody @Valid BizPssMoInventoryTimeAnomalyAddParam bizPssMoInventoryTimeAnomalyAddParam) {
        bizPssMoInventoryTimeAnomalyService.add(bizPssMoInventoryTimeAnomalyAddParam);
        return CommonResult.ok();
    }

    /**
     * 编辑模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑模型优化-在库时间异常模型优化表")
    @CommonLog("编辑模型优化-在库时间异常模型优化表")
    // @SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/edit")
    @PostMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/edit")
    public CommonResult<String> edit(@RequestBody @Valid BizPssMoInventoryTimeAnomalyEditParam bizPssMoInventoryTimeAnomalyEditParam) {
        bizPssMoInventoryTimeAnomalyService.edit(bizPssMoInventoryTimeAnomalyEditParam);
        return CommonResult.ok();
    }

    /**
     * 删除模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除模型优化-在库时间异常模型优化表")
    @CommonLog("删除模型优化-在库时间异常模型优化表")
    //@SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/delete")
    @PostMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<BizPssMoInventoryTimeAnomalyIdParam> bizPssMoInventoryTimeAnomalyIdParamList) {
        bizPssMoInventoryTimeAnomalyService.delete(bizPssMoInventoryTimeAnomalyIdParamList);
        return CommonResult.ok();
    }

    /**
     * 获取模型优化-在库时间异常模型优化表详情
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取-在库时间异常模型优化表详情")
    //@SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/detail")
    @GetMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/detail")
    public CommonResult<BizPssMoInventoryTimeAnomaly> detail(@Valid BizPssMoInventoryTimeAnomalyIdParam bizPssMoInventoryTimeAnomalyIdParam) {
        return CommonResult.data(bizPssMoInventoryTimeAnomalyService.detail(bizPssMoInventoryTimeAnomalyIdParam));
    }

    /**
     * 获取模型优化-在库时间异常模型优化表-开启关闭
     *
     * @author hjc
     * @date  2024/06/12 20:03
     */
    @ApiOperationSupport(order = 6)
    @ApiOperation("在库时间异常模型优化表-开启关闭")
    //@SaCheckPermission("/purchaseAndSalesSupervision/bizPssMoRotationEmptyPeriod/detail")
    @GetMapping("/purchaseAndSalesSupervision/bizPssMoInventoryTimeAnomaly/isEnabledById")
    public CommonResult<String> isEnabledById(@Valid BizPssMoInventoryTimeAnomalyIsEnabledByIdParam isEnabledByIdParam) {
        bizPssMoInventoryTimeAnomalyService.isEnabledById(isEnabledByIdParam);
        return CommonResult.ok();
    }
}
