/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.entity.BizPssMoInventoryTimeAnomaly;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoInventoryTimeAnomaly.param.*;
import com.unis.purchaseAndSalesSupervision.modular.bizPssMoRotationEmptyPeriod.param.BizPssMoRotationEmptyPeriodIsEnabledByIdParam;

import java.util.List;

/**
 * 模型优化-在库时间异常模型优化表Service接口
 *
 * @author hjc
 * @date  2024/06/12 20:01
 **/
public interface BizPssMoInventoryTimeAnomalyService extends IService<BizPssMoInventoryTimeAnomaly> {

    /**
     * 获取模型优化-在库时间异常模型优化表分页
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    Page<BizPssMoInventoryTimeAnomaly> page(BizPssMoInventoryTimeAnomalyPageParam bizPssMoInventoryTimeAnomalyPageParam);

    /**
     * 添加模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    void add(BizPssMoInventoryTimeAnomalyAddParam bizPssMoInventoryTimeAnomalyAddParam);

    /**
     * 编辑模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    void edit(BizPssMoInventoryTimeAnomalyEditParam bizPssMoInventoryTimeAnomalyEditParam);

    /**
     * 删除模型优化-在库时间异常模型优化表
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    void delete(List<BizPssMoInventoryTimeAnomalyIdParam> bizPssMoInventoryTimeAnomalyIdParamList);

    /**
     * 获取模型优化-在库时间异常模型优化表详情
     *
     * @author hjc
     * @date  2024/06/12 20:01
     */
    BizPssMoInventoryTimeAnomaly detail(BizPssMoInventoryTimeAnomalyIdParam bizPssMoInventoryTimeAnomalyIdParam);

    /**
     * 获取模型优化-在库时间异常模型优化表详情
     *
     * @author hjc
     * @date  2024/06/12 20:01
     **/
    BizPssMoInventoryTimeAnomaly queryEntity(String id);

    /**
     * 获取模型优化-在库时间异常模型优化表-开启关闭
     *
     * @author hjc
     * @date  2024/06/12 20:03
     */
    void isEnabledById(BizPssMoInventoryTimeAnomalyIsEnabledByIdParam isEnabledByIdParam);
}
