/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssMoRotationEmptyPeriod.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 模型优化-轮空期模型优化表Id参数
 *
 * @author hjc
 * @date  2024/06/12 20:03
 **/
@Getter
@Setter
public class BizPssMoRotationEmptyPeriodIsEnabledByIdParam {

    /** 轮空期模型优化记录唯一标识符 */
    @ApiModelProperty(value = "轮空期模型优化记录唯一标识符", required = true)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 是否开启，0：否；1：是； */
    @ApiModelProperty(value = "是否开启，0：否；1：是；", required = true)
    @NotNull(message = "是否开启不能为空")
    private Integer isEnabled;
}
