/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssRepaymentRiskWarn.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.orgInfo.entity.OrgInfo;
import com.unis.purchaseAndSalesSupervision.modular.bizPssRepaymentRiskWarn.entity.BizPssRepaymentRiskWarn;
import com.unis.purchaseAndSalesSupervision.modular.bizPssRepaymentRiskWarn.param.*;
import com.unis.purchaseAndSalesSupervision.modular.bizPssRepaymentRiskWarn.vo.BizPssRepaymentRiskWarnVO;

import java.util.List;

/**
 * 财务类业务监管-偿还风险预警表Service接口
 *
 * @author hjc
 * @date  2024/06/13 14:42
 **/
public interface BizPssRepaymentRiskWarnService extends IService<BizPssRepaymentRiskWarn> {

    /**
     * 获取财务类业务监管-偿还风险预警表分页
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    Page<BizPssRepaymentRiskWarnVO> page(BizPssRepaymentRiskWarnPageParam bizPssRepaymentRiskWarnPageParam);

    /**
     * 添加财务类业务监管-偿还风险预警表
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    void add(BizPssRepaymentRiskWarnAddParam bizPssRepaymentRiskWarnAddParam);

    /**
     * 编辑财务类业务监管-偿还风险预警表
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    void edit(BizPssRepaymentRiskWarnEditParam bizPssRepaymentRiskWarnEditParam);

    /**
     * 删除财务类业务监管-偿还风险预警表
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    void delete(List<BizPssRepaymentRiskWarnIdParam> bizPssRepaymentRiskWarnIdParamList);

    /**
     * 获取财务类业务监管-偿还风险预警表详情
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    BizPssRepaymentRiskWarn detail(BizPssRepaymentRiskWarnIdParam bizPssRepaymentRiskWarnIdParam);

    /**
     * 获取财务类业务监管-偿还风险预警表详情
     *
     * @author hjc
     * @date  2024/06/13 14:42
     **/
    BizPssRepaymentRiskWarn queryEntity(String id);

    /**
     * 获取库区信息
     *
     * @author hjc
     * @date  2024/06/13 14:42
     */
    List<OrgInfo> getOrgInfoIdAndName();

}
