/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.common.pojo.CommonResult;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.entity.BizPssStorageAnomaly;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.param.BizPssStorageAnomalyPageParam;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.service.BizPssStorageAnomalyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 购销监管-仓储管理监管-在库时间异常表控制器
 *
 * @author TS
 * @date  2024/06/13 17:00
 */
@Api(tags = "购销监管-仓储管理监管-在库时间异常表控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class BizPssStorageAnomalyController {

    @Resource
    private BizPssStorageAnomalyService bizPssStorageAnomalyService;

    /**
     * 获取购销监管-仓储管理监管-在库时间异常表分页
     *
     * @author TS
     * @date  2024/06/13 17:00
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取购销监管-仓储管理监管-在库时间异常表分页")
    @GetMapping("/purchaseAndSalesSupervision/bizssStorageAnomaly/findPage")
    public CommonResult<IPage<BizPssStorageAnomaly>> findPage(BizPssStorageAnomalyPageParam bizPssStorageAnomalyPageParam) {
        return CommonResult.data(bizPssStorageAnomalyService.findPage(bizPssStorageAnomalyPageParam));
    }


}
