/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 购销监管-仓储管理监管-在库时间异常表实体
 *
 * @author TS
 * @date  2024/06/13 17:00
 **/
@Getter
@Setter
@TableName("biz_pss_storage_anomaly")
public class BizPssStorageAnomaly {

    /** 在库时间异常记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "在库时间异常记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 外库depot_qh.data_crkyw_rmdj_default的id； */
    @ApiModelProperty(value = "外库depot_qh.data_crkyw_rmdj_default的id；", position = 6)
    private String crkywRmdjDefaultId;

    /** 库区id；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区id；外库depot_qh.org_info的id；", position = 7)
    private Integer orgId;

    @ApiModelProperty(value = "库区名称", position = 7)
    @TableField(exist = false)
    private String orgName;

    /** 车牌号 */
    @ApiModelProperty(value = "车牌号", position = 8)
    private String licensePlateNumber;

    /** 入库时间 */
    @ApiModelProperty(value = "入库时间", position = 9)
    private Date storageTime;

    /** 在库时间，单位：小时 */
    @ApiModelProperty(value = "在库时间，单位：小时", position = 10)
    private Integer inStorageTime;

    /** 粮食品种；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；外库depot_qh.basic_enum的id；", position = 11)
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食品种名称", position = 11)
    @TableField(exist = false)
    private String grainVarietyName;

    /** 报警日期 */
    @ApiModelProperty(value = "报警日期", position = 12)
    private Date alarmDate;

    /** 状态 1：车辆入库；2：车辆出库； */
    @ApiModelProperty(value = "状态 1：车辆入库；2：车辆出库；", position = 13)
    private Integer status;
}
