/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.entity.BizPssStorageAnomaly;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.param.BizPssStorageAnomalyPageParam;

import java.util.List;

/**
 * 购销监管-仓储管理监管-在库时间异常表Service接口
 *
 * @author TS
 * @date  2024/06/13 17:00
 **/
public interface BizPssStorageAnomalyService extends IService<BizPssStorageAnomaly> {


    /**
     * 获取购销监管-仓储管理监管-在库时间异常表分页
     *
     * @author TS
     * @date  2024/06/13 17:00
     */
    IPage<BizPssStorageAnomaly> findPage(BizPssStorageAnomalyPageParam bizPssStorageAnomalyPageParam);

    /**
     *● 在库时间异常
     *     ○ 频率：1小时执行一次。
     *     ○ 功能：每次统计48小时内的数据。超过“在库时间异常模型优化-在库时间”，统计在库时间异常数据，添加到biz_pss_storage_anomaly。
     *     ■ 在库时间：
     *     ● 从车入门开始，超过了在库时间，如果没有出门，生成一条biz_pss_storage_anomaly记录。
     *     ● 在库时间异常只判断48小时的在库时间，超过48小时不再继续累计
     *     ■ 车辆入门时间：出入库系统-原粮管理-入库-入门登记-业务登记时间
     *     ■ 出门、入门是否是同一辆车：通过车辆编号。
     */
    void taskAction();
}
