package com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.purchaseAndSalesSupervision.modular.bizPssStorageAnomaly.service.BizPssStorageAnomalyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *● 在库时间异常
 *     ○ 频率：1小时执行一次。
 *     ○ 功能：每次统计48小时内的数据。超过“在库时间异常模型优化-在库时间”，统计在库时间异常数据，添加到biz_pss_storage_anomaly。
 *     ■ 在库时间：
 *     ● 从车入门开始，超过了在库时间，如果没有出门，生成一条biz_pss_storage_anomaly记录。
 *     ● 在库时间异常只判断48小时的在库时间，超过48小时不再继续累计
 *     ■ 车辆入门时间：出入库系统-原粮管理-入库-入门登记-业务登记时间
 *     ■ 出门、入门是否是同一辆车：通过车辆编号。
 *
 * @author TS
 * @date 2024/6/13 17:52
 **/
@Slf4j
@Component
public class BizPssStorageAnomalyTaskRunner implements CommonTimerTaskRunner {

    @Autowired
    private BizPssStorageAnomalyService bizPssStorageAnomalyService;

    @Override
    public void action() {
        bizPssStorageAnomalyService.taskAction();
    }
}
