/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;

/**
 * 购销监管-财务类业务监管-轮空期监管表实体
 *
 * @author ZeroLiYi
 * @date  2024/06/17 10:30
 **/
@Getter
@Setter
@TableName("biz_pss_storage_empty_period")
public class PssStorageEmptyPeriod {

    /** 轮空期监管记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "轮空期监管记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 外库depot_qh.business_rp_report的id； */
    @ApiModelProperty(value = "外库depot_qh.business_rp_report的id；", position = 6)
    private Integer rpReportId;

    /** 库区id；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区id；外库depot_qh.org_info的id；", position = 7)
    private Integer orgId;

    /** 外库depot_qh.basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "外库depot_qh.basic_storehouse的id；仓房id", position = 8)
    private Integer basicStorehouseId;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "外库depot_qh.basic_warehouse的id；货位id;", position = 9)
    private Integer warehouseId;

    /** 轮换年度 */
    @ApiModelProperty(value = "轮换年度", position = 10)
    private Year planYear;

    /** 计划文号 */
    @ApiModelProperty(value = "计划文号", position = 11)
    private String planNumber;

    /** 架空期状态，1：正常；2：延期； */
    @ApiModelProperty(value = "架空期状态，1：正常；2：延期；", position = 12)
    private Integer rotationStatus;

    /** 架空期截止日期 */
    @ApiModelProperty(value = "架空期开始日期", position = 13)
    private Date rotationStart;

    /** 架空期截止日期 */
    @ApiModelProperty(value = "架空期截止日期", position = 14)
    private Date rotationEnd;

    /** 截止日前应轮入数量 */
    @ApiModelProperty(value = "截止日前应轮入数量", position = 15)
    private BigDecimal plannedQuantity;

    /** 剩余轮入数量 */
    @ApiModelProperty(value = "剩余轮入数量", position = 16)
    private BigDecimal remainingQuantity;

    /** 日期-最新的轮入日期 */
    @ApiModelProperty(value = "日期-最新的轮入日期", position = 17)
    private Date date;

    @TableField(fill = FieldFill.INSERT)
    private String orgName;

    @TableField(fill = FieldFill.INSERT)
    private String storehouseName;

    @TableField(fill = FieldFill.INSERT)
    private String warehouseName;
}
