/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.entity.PssStorageEmptyPeriod;
import com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.param.PssStorageEmptyPeriodAddParam;
import com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.param.PssStorageEmptyPeriodEditParam;
import com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.param.PssStorageEmptyPeriodIdParam;
import com.unis.purchaseAndSalesSupervision.modular.pssstorageemptyperiod.param.PssStorageEmptyPeriodPageParam;

import java.util.List;

/**
 * 购销监管-财务类业务监管-轮空期监管表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/06/17 10:30
 **/
public interface PssStorageEmptyPeriodService extends IService<PssStorageEmptyPeriod> {

    /**
     * 获取购销监管-财务类业务监管-轮空期监管表分页
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     */
    Page<PssStorageEmptyPeriod> page(PssStorageEmptyPeriodPageParam pssStorageEmptyPeriodPageParam);

    /**
     * 添加购销监管-财务类业务监管-轮空期监管表
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     */
    void add(PssStorageEmptyPeriodAddParam pssStorageEmptyPeriodAddParam);

    /**
     * 编辑购销监管-财务类业务监管-轮空期监管表
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     */
    void edit(PssStorageEmptyPeriodEditParam pssStorageEmptyPeriodEditParam);

    /**
     * 删除购销监管-财务类业务监管-轮空期监管表
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     */
    void delete(List<PssStorageEmptyPeriodIdParam> pssStorageEmptyPeriodIdParamList);

    /**
     * 获取购销监管-财务类业务监管-轮空期监管表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     */
    PssStorageEmptyPeriod detail(PssStorageEmptyPeriodIdParam pssStorageEmptyPeriodIdParam);

    /**
     * 获取购销监管-财务类业务监管-轮空期监管表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/17 10:30
     **/
    PssStorageEmptyPeriod queryEntity(String id);
}
