package com.unis.purchaseAndSalesSupervision.modular.yjbj.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 架空期预警数据实体
 *
 * @author fxw
 * @date  2024/06/14 13:59
 */
@Getter
@Setter
public class StorageJkqWarning {
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    @ApiModelProperty(value = "组织机构ID", position = 2)
    private Integer orgId;

    @ApiModelProperty(value = "仓房ID", position = 3)
    private Integer ch;

    @ApiModelProperty(value = "货位ID", position = 4)
    private Integer hwh;

    @ApiModelProperty(value = "计划文号", position = 5)
    private String jhwh;

    @ApiModelProperty(value = "轮换年度", position = 6)
    private String lhnd;

    @ApiModelProperty(value = "架空期状态(0:正常,1:延期)", position = 7)
    private String jkqzt;

    @ApiModelProperty(value = "架空期截止日", position = 8)
    private String jkqjzr;

    @ApiModelProperty(value = "截止日前应轮入数量", position = 9)
    private BigDecimal jzrqylrsl;

    @ApiModelProperty(value = "截止日前剩余轮入数量", position = 10)
    private BigDecimal jzrqsylrsl;

    @ApiModelProperty(value = "预警日期", position = 11)
    private String yjrq;

    @ApiModelProperty(value = "处理状态(0:未处理,1:已处理)", position = 12)
    private String clzt;

    @ApiModelProperty(value = "处理人", position = 13)
    private String clr;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "处理时间", position = 14)
    private Date clsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "生成时间", position = 15)
    private Date scsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "最后修改时间", position = 16)
    private Date updatetime;

    @ApiModelProperty(value = "处理意见", position = 17)
    private String clyj;

    private String startDate;

    private String endDate;

}