package com.unis.purchaseAndSalesSupervision.modular.yjbj.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 轮换预警、应轮未轮数据实体
 *
 * @author fxw
 * @date  2024/06/14 13:59
 */
@Getter
@Setter
public class StorageRotationWarning {

    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    @ApiModelProperty(value = "仓房ID", position = 2)
    private Integer ch;

    @ApiModelProperty(value = "货位ID", position = 3)
    private Integer hwh;

    @ApiModelProperty(value = "粮食品种ID", position = 4)
    private Integer lspz;

    @ApiModelProperty(value = "粮食性质ID", position = 5)
    private Integer lsxz;

    @ApiModelProperty(value = "库存数量", position = 6)
    private BigDecimal kcsl;

    @ApiModelProperty(value = "生产年份", position = 7)
    private Integer scnf;

    @ApiModelProperty(value = "最后一车日期", position = 8)
    private String zhycrq;

    @ApiModelProperty(value = "储备年限", position = 9)
    private String cbnx;

    @ApiModelProperty(value = "储存超限日期", position = 10)
    private String cccxrq;

    @ApiModelProperty(value = "报警日期", position = 11)
    private String bjrq;

    @ApiModelProperty(value = "报警类型(0:轮换预警,1:应轮未轮)", position = 12)
    private String bjlx;

    @ApiModelProperty(value = "处理状态(0:未处理,1:已处理)", position = 13)
    private String clzt;

    @ApiModelProperty(value = "处理人", position = 14)
    private String clr;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "处理时间", position = 15)
    private Date clsj;

    @ApiModelProperty(value = "库ID", position = 16)
    private Integer orgId;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "生成时间", position = 17)
    private Date scsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "最后修改时间", position = 18)
    private Date updatetime;

}