package com.unis.purchaseAndSalesSupervision.modular.yjbj.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 转圈粮、以陈顶新数据实体
 *
 * @author fxw
 * @date  2024/06/14 13:59
 */
@Getter
@Setter
public class ZqlTable {

    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "违规发布时间", position = 2)
    private Date alarmPublishTime;

    @ApiModelProperty(value = "违规主题类型 当前默认是 单位", position = 3)
    private String violationSubjectType;

    @ApiModelProperty(value = "违规行为人", position = 4)
    private String offender;

    @ApiModelProperty(value = "涉及库点", position = 5)
    private String involvingLibraryPoints;

    @ApiModelProperty(value = "违规类型", position = 6)
    private Integer violationType;

    @ApiModelProperty(value = "违规详情", position = 7)
    private String violationDetail;

    @ApiModelProperty(value = "当前处置状态", position = 8)
    private int currentStatus;

    @ApiModelProperty(value = "处置内容", position = 9)
    private String disposeContent;

    @ApiModelProperty(value = "处置人", position = 10)
    private String disposer;

    @ApiModelProperty(value = "处置时间", position = 11)
    private String disposeTime;

    @ApiModelProperty(value = "组织机构ID", position = 12)
    private Integer orgId;

    @ApiModelProperty(value = "创建时间", position = 13)
    private String createTime;
}
