/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.purchaseAndSalesSupervision.modular.yjbj.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.common.constant.DBConstant;
import com.unis.purchaseAndSalesSupervision.modular.yjbj.param.XwcjfxPageParam;
import com.unis.purchaseAndSalesSupervision.modular.yjbj.param.ZqlPageParam;
import com.unis.purchaseAndSalesSupervision.modular.yjbj.entity.StorageJkqWarning;
import com.unis.purchaseAndSalesSupervision.modular.yjbj.entity.StorageRotationWarning;
import com.unis.purchaseAndSalesSupervision.modular.yjbj.entity.ZqlTable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 购销监管-预警报警Mapper接口
 *
 * @author fxw
 * @date  2024/06/14 17:00
 **/
@DS(DBConstant.DS_DEPOT)
@Mapper
public interface YjbjMapper {

    /**
     * 转圈粮、以陈顶新数据列表查询
     * @param page 分页条件
     * @param record 查询条件
     * @return
     */
    Page<ZqlTable> selectZqlListPage(@Param("page") Page<ZqlTable> page, @Param("record") ZqlPageParam record);

    /**
     * 查询一条转圈粮、以陈顶新数据
     * @param id 数据主键ID
     * @return
     */
    ZqlTable queryZqlById(Integer id);

    /**
     * 查询应轮未轮、临近轮换期数据列表
     * @param paramMap
     * @return
     */
    Page<StorageRotationWarning> selectLhList(@Param("page") Page<StorageRotationWarning> page, @Param("record") Map<String, Object> paramMap);

    /**
     * 查询一条应轮未轮、临近轮换期数据
     * @param id 数据主键ID
     * @return
     */
    StorageRotationWarning queryLhById(String id);

    /**
     * 查询超架空期预警列表
     * @param paramMap
     * @return
     */
    Page<StorageJkqWarning> selectCjkqList(@Param("page") Page<StorageJkqWarning> page, @Param("record") Map<String, Object> paramMap);

    /**
     * 查询一条超架空期预警数据
     * @param id
     * @return
     */
    StorageJkqWarning queryCjkqById(String id);

    IPage<List<Map<String, Object>>> getXwcjfxList(Page<Object> objectPage, XwcjfxPageParam xwcjfxPageParam);

    IPage<List<Map<String, Object>>> getCkjhzxjgList(Page<Object> objectPage, XwcjfxPageParam xwcjfxPageParam);
}
