/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.dataKcglKcswDefault.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.DataKcglKcswDefault;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkChartDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkJyxxDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkJyxxMxDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkKcswXzDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.param.CrkCharParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备布局-出入库信息Mapper接口
 *
 * @author TS
 * @date  2024/06/12 14:12
 **/
public interface KcswDefaultMapper extends BaseMapper<DataKcglKcswDefault> {

    IPage<CrkJyxxDataVO> findJyxxPage(Page<CrkJyxxDataVO> p, @Param(Constants.WRAPPER) QueryWrapper<CrkJyxxDataVO> queryWrapper);

    List<CrkChartDataVO> getCrkChartDataByPz(@Param("crkCharParam") CrkCharParam crkCharParam);

    List<CrkChartDataVO> getCrkChartDataByDj(@Param("crkCharParam") CrkCharParam crkCharParam);

    List<CrkKcswXzDataVO> getXzList(@Param("xz") String xz, @Param("orgId") String orgId);

    CrkJyxxDataVO getJyxxDetail(@Param("dataId") String dataId);

    List<CrkJyxxMxDataVO> getJyxxMxDetail(@Param("dataId") String dataId);

    /**
     * 获取油类，不同性质库存信息，在成品粮库存实物表进行查询
     * @param xz
     * @param orgId
     * @return
     */
    CrkKcswXzDataVO getCzyDataByxz(@Param("xz") String xz, @Param("orgId") String orgId);

    /**
     * 得到小麦粉，大米不同性质库存信息，在成品粮库存实物表进行查询
     * @param xz
     * @param orgId_
     * @return
     */
    CrkKcswXzDataVO getMzlDataByxz(@Param("xz") String xz, @Param("orgId") String orgId);
}
