/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.dataKcglKcswDefault.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.DataKcglKcswDefault;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkChartDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkJyxxDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.entity.VO.CrkKcswDataVO;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.param.CrkCharParam;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.param.CrkKcswParam;
import com.unis.reserveLayout.modular.dataKcglKcswDefault.param.KcswDefaultPageParam;

import java.util.List;

/**
 * 储备布局-出入库信息Service接口
 *
 * @author TS
 * @date  2024/06/12 14:12
 **/
@DS(DBConstant.DS_DEPOT)
public interface KcswDefaultService extends IService<DataKcglKcswDefault> {
    /**
     * 获取原粮出入库检验信息分页
     * @param pageParam
     * @return
     */
    IPage<CrkJyxxDataVO> findJyxxPage(KcswDefaultPageParam pageParam);

    /**
     * 获取出入库分析图表数据
     * @param crkCharParam
     * @return
     */
    List<CrkChartDataVO> getCrkChartDatas(CrkCharParam crkCharParam);

    /**
     * 获取出入库库存相关数据
     * @param crkKcswParam
     * @return
     */
    List<CrkKcswDataVO> getCrkKcswDatas(CrkKcswParam crkKcswParam);

    /**
     * 获取原粮出入库检验信息详情
     * @param dataId
     * @return
     */
    CrkJyxxDataVO getJyxxDetail(String dataId);
}
