/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.grainInspectionArchive.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.reserveLayout.modular.grainInspectionArchive.param.GrainInspectionInfoParam;
import com.unis.reserveLayout.modular.grainInspectionArchive.entity.GrainInspectionArchive;
import com.unis.reserveLayout.modular.grainInspectionArchive.param.GrainInspectionArchiveAddParam;
import com.unis.reserveLayout.modular.grainInspectionArchive.param.GrainInspectionArchiveEditParam;
import com.unis.reserveLayout.modular.grainInspectionArchive.param.GrainInspectionArchiveIdParam;
import com.unis.reserveLayout.modular.grainInspectionArchive.param.GrainInspectionArchivePageParam;

import java.util.List;

/**
 * 粮情检查档案Service接口
 *
 * @author QSHan
 * @date  2024/06/07 10:53
 **/
public interface GrainInspectionArchiveService extends IService<GrainInspectionArchive> {

    /**
     * 获取粮情检查档案分页
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     */
    Page<GrainInspectionArchive> page(GrainInspectionArchivePageParam grainInspectionArchivePageParam);

    /**
     * 添加粮情检查档案
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     */
    void add(GrainInspectionArchiveAddParam grainInspectionArchiveAddParam);

    /**
     * 编辑粮情检查档案
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     */
    void edit(GrainInspectionArchiveEditParam grainInspectionArchiveEditParam);

    /**
     * 删除粮情检查档案
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     */
    void delete(List<GrainInspectionArchiveIdParam> grainInspectionArchiveIdParamList);

    /**
     * 获取粮情检查档案详情
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     */
    GrainInspectionArchive detail(GrainInspectionArchiveIdParam grainInspectionArchiveIdParam);

    /**
     * 获取粮情检查档案详情
     *
     * @author QSHan
     * @date  2024/06/07 10:53
     **/
    GrainInspectionArchive queryEntity(String id);

    GrainInspectionInfoParam getDetailInfo(Integer reportType, Integer orgId, Integer storehouseId);
}
