package com.unis.reserveLayout.modular.keepWork.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 环流熏蒸
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_fumigation")
@ApiModel(value="DemoFumigation对象", description="环流熏蒸")
public class DemoFumigation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "仓房类型编码")
    @TableField("cflxbm")
    private String cflxbm;

    @ApiModelProperty(value = "仓房类型")
    @TableField("cflxmc")
    private String cflxmc;

    @ApiModelProperty(value = "品种编码")
    @TableField("pzbm")
    private String pzbm;

    @ApiModelProperty(value = "品种名称")
    @TableField("pzmc")
    private String pzmc;

    @ApiModelProperty(value = "数量")
    @TableField("kcsl")
    private String kcsl;

    @ApiModelProperty(value = "入库年限")
    @TableField("rknx")
    private String rknx;

    @ApiModelProperty(value = "害虫检测单号")
    @TableField("hcjcdh")
    private String hcjcdh;

    @ApiModelProperty(value = "发生部位")
    @TableField("fsbw")
    private String fsbw;

    @ApiModelProperty(value = "主要害虫")
    @TableField("zyhc")
    private String zyhc;

    @ApiModelProperty(value = "环流熏蒸方式")
    @TableField("hlxzfs")
    private String hlxzfs;

    @ApiModelProperty(value = "施药人员资质情况")
    @TableField("syrrzzqk")
    private String syrrzzqk;

    @ApiModelProperty(value = "施药资质审核")
    @TableField("syzzsh")
    private String syzzsh;

    @ApiModelProperty(value = "磷化氢浓度")
    @TableField("lhqnd")
    private String lhqnd;

    @ApiModelProperty(value = "散气日期")
    @TableField("sqrq")
    private Date sqrq;

    @ApiModelProperty(value = "散气方法")
    @TableField("sqff")
    private String sqff;

    @ApiModelProperty(value = "散气批准人")
    @TableField("sqpzr")
    private String sqpzr;

    @ApiModelProperty(value = "散气天数")
    @TableField("sqts")
    private Integer sqts;

    @ApiModelProperty(value = "散气结束时磷化氢浓度")
    @TableField("sqjsslhqnd")
    private String sqjsslhqnd;

    @ApiModelProperty(value = "熏蒸负责人")
    @TableField("xzfzr")
    private String xzfzr;

    @ApiModelProperty(value = "熏蒸作业人员")
    @TableField("xzzyry")
    private String xzzyry;

    @ApiModelProperty(value = "熏蒸时间")
    @TableField("xzsj")
    private Date xzsj;

    @ApiModelProperty(value = "环流风机型号")
    @TableField(exist = false)
    private String vdevcode;
}
