package com.unis.reserveLayout.modular.keepWork.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 熏蒸作业
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_fumigation_task")
@ApiModel(value="TFumigationTask对象", description="熏蒸作业")
public class TFumigationTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "熏蒸作业库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "熏蒸作业库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "熏蒸作业单号")
    @TableField("order_number")
    private String orderNumber;

    @ApiModelProperty(value = "熏蒸开始时间")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty(value = "熏蒸结束时间")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty(value = "第几次熏蒸")
    @TableField("n_number")
    private Integer nNumber;

    @ApiModelProperty(value = "仓房编码")
    @TableField("storehouse_code")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("storehouse_name")
    private String storehouseName;

    @ApiModelProperty(value = "气密性检测时间")
    @TableField("qmxsj")
    private Date qmxsj;

    @ApiModelProperty(value = "检测方式")
    @TableField("jcfs")
    private String jcfs;

    @ApiModelProperty(value = "检测结果")
    @TableField("jcjg")
    private String jcjg;

    @ApiModelProperty(value = "是否达标")
    @TableField("sfdb")
    private String sfdb;

    @ApiModelProperty(value = "检测人员")
    @TableField("jcry")
    private String jcry;

    @ApiModelProperty(value = "害虫检测单号")
    @TableField("chjcdh")
    private String chjcdh;

    @ApiModelProperty(value = "发生部位")
    @TableField("fsbw")
    private String fsbw;

    @ApiModelProperty(value = "虫口密度")
    @TableField("ckmd")
    private String ckmd;

    @ApiModelProperty(value = "主要害虫虫种")
    @TableField("zyhccz")
    private String zyhccz;

    @ApiModelProperty(value = "害虫抗药性分析")
    @TableField("hckyxfx")
    private String hckyxfx;

    @ApiModelProperty(value = "常规熏蒸方式")
    @TableField("cgxzfs")
    private String cgxzfs;

    @ApiModelProperty(value = "环流熏蒸方式")
    @TableField("hlxzfs")
    private String hlxzfs;

    @ApiModelProperty(value = "环流熏蒸与内环流技术结合")
    @TableField("hlxzynhljsjh")
    private String hlxzynhljsjh;

    @ApiModelProperty(value = "熏蒸方案制定")
    @TableField("xzfazd")
    private String xzfazd;

    @ApiModelProperty(value = "熏蒸方案起草人")
    @TableField("xzfaqcr")
    private String xzfaqcr;

    @ApiModelProperty(value = "熏蒸方案批准人")
    @TableField("xzfapzr")
    private String xzfapzr;

    @ApiModelProperty(value = "熏蒸方案报备情况")
    @TableField("xzfabbqk")
    private String xzfabbqk;

    @ApiModelProperty(value = "施药人员资质情况")
    @TableField("syryzzqk")
    private String syryzzqk;

    @ApiModelProperty(value = "施药资质审核")
    @TableField("syzzsh")
    private String syzzsh;

    @ApiModelProperty(value = "药剂名称")
    @TableField("drug_name")
    private String drugName;

    @ApiModelProperty(value = "剂型")
    @TableField("jx")
    private String jx;

    @ApiModelProperty(value = "浓度")
    @TableField("nd")
    private String nd;

    @ApiModelProperty(value = "粮堆单位用药量")
    @TableField("dldwyyl")
    private String dldwyyl;

    @ApiModelProperty(value = "空间单位用药量")
    @TableField("kjdwyyl")
    private String kjdwyyl;

    @ApiModelProperty(value = "总用药量")
    @TableField("zyl")
    private String zyl;

    @ApiModelProperty(value = "施药方法")
    @TableField("syff")
    private String syff;

    @ApiModelProperty(value = "空气呼吸器及安全检查情况")
    @TableField("kqhxqjaqjcqk")
    private String kqhxqjaqjcqk;

    @ApiModelProperty(value = "磷化氢检测装置调试情况")
    @TableField("lhqjczztsqk")
    private String lhqjczztsqk;

    @ApiModelProperty(value = "氧气深度检测装置调试情况")
    @TableField("yqsdjczztsqk")
    private String yqsdjczztsqk;

    @ApiModelProperty(value = "磷化氢报警仪安全检查")
    @TableField("lhqbjyaqjc")
    private String lhqbjyaqjc;

    @ApiModelProperty(value = "氧气报警仪安全检查")
    @TableField("yqbjyaqjc")
    private String yqbjyaqjc;

    @ApiModelProperty(value = "周边作业警示设施情况是否正常")
    @TableField("zbzyjsssqksfzc")
    private String zbzyjsssqksfzc;

    @ApiModelProperty(value = "散气前磷化氢浓度")
    @TableField("sqqlhqnd")
    private String sqqlhqnd;

    @ApiModelProperty(value = "散气日期")
    @TableField("sqrq")
    private Date sqrq;

    @ApiModelProperty(value = "散气方法")
    @TableField("sqfa")
    private String sqfa;

    @ApiModelProperty(value = "散气持续天数")
    @TableField("sqcxts")
    private Integer sqcxts;

    @ApiModelProperty(value = "散气结束时磷化氢浓度")
    @TableField("sqjsslhqnd")
    private Integer sqjsslhqnd;

    @ApiModelProperty(value = "散气批准人")
    @TableField("sqpzr")
    private String sqpzr;

    @ApiModelProperty(value = "残渣收集作业时间")
    @TableField("czsjzysj")
    private Date czsjzysj;

    @ApiModelProperty(value = "残渣收集作业人数")
    @TableField("czsjzyrs")
    private Integer czsjzyrs;

    @ApiModelProperty(value = "残渣收集方法")
    @TableField("czsjff")
    private String czsjff;

    @ApiModelProperty(value = "残渣处理措施")
    @TableField("czclcs")
    private String czclcs;

    @ApiModelProperty(value = "残渣处理作业人数")
    @TableField("czclzyrs")
    private Integer czclzyrs;

    @ApiModelProperty(value = "残渣处理批准人")
    @TableField("czclpzr")
    private String czclpzr;

    @ApiModelProperty(value = "熏蒸后虫口密度")
    @TableField("xzhckmd")
    private Integer xzhckmd;

    @ApiModelProperty(value = "培养15天后活虫数")
    @TableField("py_15_thhcs")
    private Integer py15Thhcs;

    @ApiModelProperty(value = "培养45天后活虫数")
    @TableField("py_45_thhcs")
    private Integer py45Thhcs;

    @ApiModelProperty(value = "熏蒸效果评价")
    @TableField("xzxgpj")
    private String xzxgpj;

    @ApiModelProperty(value = "熏蒸负责人")
    @TableField("xzfzr")
    private String xzfzr;

    @ApiModelProperty(value = "熏蒸作业人员")
    @TableField("xzzyrr")
    private String xzzyrr;

    @ApiModelProperty(value = "补药前仓内磷化氢浓度")
    @TableField("byqcnlhqnd")
    private String byqcnlhqnd;

    @ApiModelProperty(value = "磷化氢浓度单位")
    @TableField("lhqnddw")
    private String lhqnddw;

    @ApiModelProperty(value = "目标浓度")
    @TableField("mbnd")
    private String mbnd;

    @ApiModelProperty(value = "计算补药量")
    @TableField("jsbyl")
    private String jsbyl;

    @ApiModelProperty(value = "实际补药量")
    @TableField("sjbyl")
    private String sjbyl;

    @ApiModelProperty(value = "补药方法")
    @TableField("byfa")
    private String byfa;

    @ApiModelProperty(value = "作业人数")
    @TableField("zyrs")
    private Integer zyrs;

    @ApiModelProperty(value = "补药作业批准人")
    @TableField("byzypzr")
    private String byzypzr;

    @ApiModelProperty(value = "现场指挥人")
    @TableField("xczhr")
    private String xczhr;

    @ApiModelProperty(value = "峰值浓度")
    @TableField("fznd")
    private String fznd;

    @ApiModelProperty(value = "目标浓度维持天数")
    @TableField("mbndwcts")
    private Integer mbndwcts;

    @ApiModelProperty(value = "漏气位置监测")
    @TableField("lqwzjc")
    private String lqwzjc;

    @ApiModelProperty(value = "漏气部位采取的补救措施")
    @TableField("lqbwcqdbjcs")
    private String lqbwcqdbjcs;

    @ApiModelProperty(value = "密闭时间")
    @TableField("mbsj")
    private Date mbsj;

    @ApiModelProperty(value = "CT值")
    @TableField("ct_value")
    private String ctValue;

    @ApiModelProperty(value = "辅助施药措施")
    @TableField("fzsycs")
    private String fzsycs;
}
