package com.unis.reserveLayout.modular.keepWork.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 通风作业管理
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_ventilation_operation")
@ApiModel(value="TVentilationOperation对象", description="通风作业管理")
public class TVentilationOperation implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "机构名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "通风作业单号")
    @TableField("tfzydh")
    private String tfzydh;

    @ApiModelProperty(value = "通风日期")
    @TableField("tfrq")
    private Date tfrq;

    @ApiModelProperty(value = "仓房编号")
    @TableField("cfbh")
    private String cfbh;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "通风目的")
    @TableField("tfmd")
    private String tfmd;

    @ApiModelProperty(value = "孔隙度")
    @TableField("kxd")
    private String kxd;

    @ApiModelProperty(value = "通风类型")
    @TableField("tflx")
    private String tflx;

    @ApiModelProperty(value = "风道型式")
    @TableField("fdxs")
    private String fdxs;

    @ApiModelProperty(value = "仓房类型")
    @TableField("cflx")
    private String cflx;

    @ApiModelProperty(value = "仓内长度")
    @TableField("cncd")
    private String cncd;

    @ApiModelProperty(value = "仓内宽度")
    @TableField("cnkd")
    private String cnkd;

    @ApiModelProperty(value = "直径(内径)")
    @TableField("zjnj")
    private String zjnj;

    @ApiModelProperty(value = "设计存粮线高度")
    @TableField("sjclxgd")
    private String sjclxgd;

    @ApiModelProperty(value = "品种")
    @TableField("pz")
    private Integer pz;

    @ApiModelProperty(value = "数量")
    @TableField("sl")
    private String sl;

    @ApiModelProperty(value = "长度")
    @TableField("cd")
    private String cd;

    @ApiModelProperty(value = "宽度")
    @TableField("kd")
    private String kd;

    @ApiModelProperty(value = "直径")
    @TableField("zj")
    private String zj;

    @ApiModelProperty(value = "粮堆高度")
    @TableField("ldgd")
    private String ldgd;

    @ApiModelProperty(value = "堆粮形式")
    @TableField("dlxs")
    private String dlxs;

    @ApiModelProperty(value = "风网类型")
    @TableField("fwlx")
    private String fwlx;

    @ApiModelProperty(value = "风网设置方式")
    @TableField("fwszfs")
    private String fwszfs;

    @ApiModelProperty(value = "主风道截面积")
    @TableField("zfdjmj")
    private String zfdjmj;

    @ApiModelProperty(value = "风网开孔率")
    @TableField("fwkkl")
    private String fwkkl;

    @ApiModelProperty(value = "空气途径比")
    @TableField("kqtjb")
    private String kqtjb;

    @ApiModelProperty(value = "通风口设置个数")
    @TableField("tfkszgs")
    private String tfkszgs;

    @ApiModelProperty(value = "通风开始时间")
    @TableField("tfkssj")
    private Date tfkssj;

    @ApiModelProperty(value = "通风结束时间")
    @TableField("tfjssj")
    private Date tfjssj;

    @ApiModelProperty(value = "通风作业负责人")
    @TableField("tfzyfzr")
    private String tfzyfzr;

    @ApiModelProperty(value = "登记日期")
    @TableField("djrq")
    private Date djrq;

    @ApiModelProperty(value = "通风机型号")
    @TableField("tfjxh")
    private String tfjxh;

    @ApiModelProperty(value = "通风机台数")
    @TableField("tfjts")
    private String tfjts;

    @ApiModelProperty(value = "台风机额定全压")
    @TableField("dtfjedqy")
    private String dtfjedqy;

    @ApiModelProperty(value = "单台风机额定风量")
    @TableField("dtfjedfl")
    private String dtfjedfl;

    @ApiModelProperty(value = "单台风机额定功率")
    @TableField("dtfjedgl")
    private String dtfjedgl;

    @ApiModelProperty(value = "送风方式")
    @TableField("sffs")
    private String sffs;

    @ApiModelProperty(value = "单台风机实测风量")
    @TableField("dtfjscfl")
    private String dtfjscfl;

    @ApiModelProperty(value = "单台风机轴功率")
    @TableField("dtfjzgl")
    private String dtfjzgl;

    @ApiModelProperty(value = "总风量")
    @TableField("zfl")
    private String zfl;

    @ApiModelProperty(value = "单位通风量")
    @TableField("dwtfl")
    private String dwtfl;

    @ApiModelProperty(value = "实测系统阻力")
    @TableField("scxtzl")
    private String scxtzl;

    @ApiModelProperty(value = "总耗电量")
    @TableField("zhdl")
    private String zhdl;

    @ApiModelProperty(value = "作业时气温")
    @TableField("work_temp")
    private String workTemp;

    @ApiModelProperty(value = "作业时气湿")
    @TableField("work_wet")
    private String workWet;

    @ApiModelProperty(value = "通风时长")
    @TableField("work_time")
    private String workTime;

    @ApiModelProperty(value = "通风前平均粮温")
    @TableField("tfqpjlw")
    private String tfqpjlw;

    @ApiModelProperty(value = "通风后平均粮温")
    @TableField("tfhpjlw")
    private String tfhpjlw;

    @ApiModelProperty(value = "降温幅度")
    @TableField("jwfd")
    private String jwfd;

    @ApiModelProperty(value = "失水率")
    @TableField("sslssl")
    private String sslssl;

    @ApiModelProperty(value = "保水效果评价结果")
    @TableField("bsxgpjjg")
    private String bsxgpjjg;

    @ApiModelProperty(value = "吨粮降温能耗")
    @TableField("dljwnh")
    private String dljwnh;

    @ApiModelProperty(value = "通风前平均水分")
    @TableField("tfqpjsf")
    private String tfqpjsf;

    @ApiModelProperty(value = "通风后平均水分")
    @TableField("tfhpjsf")
    private String tfhpjsf;

    @ApiModelProperty(value = "降水幅度")
    @TableField("jsfd")
    private String jsfd;

    @ApiModelProperty(value = "吨粮降水能耗")
    @TableField("dljsnh")
    private String dljsnh;

    @ApiModelProperty(value = "通风降温均匀性评价_整仓")
    @TableField("jyxzx")
    private String jyxzx;

    @ApiModelProperty(value = "通风降温均匀性评价_上层")
    @TableField("jyxsc")
    private String jyxsc;

    @ApiModelProperty(value = "通风降温均匀性评价_中（间）层")
    @TableField("jyxzc")
    private String jyxzc;

    @ApiModelProperty(value = "通风降温均匀性评价_下层")
    @TableField("jyxxc")
    private String jyxxc;

    @ApiModelProperty(value = "通风前仓内温")
    @TableField("tfqcnw")
    private String tfqcnw;

    @ApiModelProperty(value = "通风前仓内湿")
    @TableField("tfqcns")
    private String tfqcns;

    @ApiModelProperty(value = "通风前仓外温")
    @TableField("tfqcww")
    private String tfqcww;

    @ApiModelProperty(value = "通风前仓外湿")
    @TableField("tfqcws")
    private String tfqcws;

    @ApiModelProperty(value = "通风前最高粮温")
    @TableField("tfqzglw")
    private String tfqzglw;

    @ApiModelProperty(value = "通风前最低粮温")
    @TableField("tfqzdlw")
    private String tfqzdlw;

    @ApiModelProperty(value = "通风后仓内温")
    @TableField("tfhcnw")
    private String tfhcnw;

    @ApiModelProperty(value = "通风后仓内湿")
    @TableField("tfhcns")
    private String tfhcns;

    @ApiModelProperty(value = "通风后仓外温")
    @TableField("tfhcww")
    private String tfhcww;

    @ApiModelProperty(value = "通风后仓外湿")
    @TableField("tfhcws")
    private String tfhcws;

    @ApiModelProperty(value = "通风后最高粮温")
    @TableField("tfhzglw")
    private String tfhzglw;

    @ApiModelProperty(value = "通风后最低粮温")
    @TableField("tfhzdlw")
    private String tfhzdlw;

    @ApiModelProperty(value = "通风前氧气")
    @TableField("tfqyq")
    private String tfqyq;

    @ApiModelProperty(value = "通风前二氧化碳")
    @TableField("tfqeyht")
    private String tfqeyht;

    @ApiModelProperty(value = "通风前磷化氢")
    @TableField("tfqlhq")
    private String tfqlhq;

    @ApiModelProperty(value = "通风后氧气")
    @TableField("tfhyq")
    private String tfhyq;

    @ApiModelProperty(value = "通风后二氧化碳")
    @TableField("tfheyht")
    private String tfheyht;

    @ApiModelProperty(value = "通风后磷化氢")
    @TableField("tfhlhq")
    private String tfhlhq;

    @ApiModelProperty(value = "备注")
    @TableField("bz")
    private String bz;

    @ApiModelProperty(value = "支风道截面积")
    @TableField("zfdjmj_zhi")
    private BigDecimal zfdjmjZhi;

    @ApiModelProperty(value = "支风道总长度")
    @TableField("zfdzcd")
    private BigDecimal zfdzcd;

    @ApiModelProperty(value = "通风降水均匀性分析 整仓")
    @TableField("tfjjsjyxfxzc")
    private String tfjjsjyxfxzc;

    @ApiModelProperty(value = "通风降水均匀性分析 上层")
    @TableField("tfjsjyxfxsc")
    private String tfjsjyxfxsc;

    @ApiModelProperty(value = "风降水均匀性分析 中(间)层")
    @TableField("tfjsjyxfxzc")
    private String tfjsjyxfxzc;

    @ApiModelProperty(value = "通风降水均匀性分析 下层")
    @TableField("tfjsjyxfxxc")
    private String tfjsjyxfxxc;

    @ApiModelProperty(value = "通风作业人员")
    @TableField("tfzyry")
    private String tfzyry;

    // 业务字段
    @ApiModelProperty(value = "通风目的名称")
    @TableField(exist = false)
    private String tfmdName;

    @ApiModelProperty(value = "通风类型名称")
    @TableField(exist = false)
    private String tflxName;

    @ApiModelProperty(value = "风道型式名称")
    @TableField(exist = false)
    private String fdxsName;

    @ApiModelProperty(value = "风网类型名称")
    @TableField(exist = false)
    private String fwszfsName;

    @ApiModelProperty(value = "送风方式")
    @TableField(exist = false)
    private String sffsName;
}
