package com.unis.reserveLayout.modular.qualityInspectionOrg.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-11 9:29
 */
@Getter
@Setter
public class QualityInspectionWholeDetail extends QualityInspectionWhole implements Serializable {
    private static final long serialVersionUID = 5998766621717511188L;

    @ApiModelProperty(value = "主键id")
    private Integer id;

    // 检验类别(01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；09:定检)
    @ApiModelProperty(value = "检验类别(01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；09:定检)", position = 15)
    private String jylb;

    // 粮食等级
    @ApiModelProperty(value = "粮食等级id", position = 16)
    private Integer grainGradeId;

    @ApiModelProperty(value = "粮食等级名称", position = 17)
    private String grainGradeName;

    // 入库日期
    @ApiModelProperty(value = "入库日期", position = 18)
    private Date modifyDate;

    // 收获年度
    @ApiModelProperty(value = "收获年度", position = 19)
    private String scnf;

    // 产地
    @ApiModelProperty(value = "产地", position = 20)
    private String gb;

    // 检验单位
    @ApiModelProperty(value = "检验单位", position = 21)
    private String jydw;

    // 检验依据
    @ApiModelProperty(value = "检验依据(1：国标, 0：其他)", position = 22)
    private String jyyj;

    // 检验结果(0：不合格；1：合格)
    @ApiModelProperty(value = "检验依据(0：不合格；1：合格)", position = 23)
    private Integer checkResult;

    // 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔
    @ApiModelProperty(value = "检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔", position = 24)
    private String jyr;

    // 报告出具时间
    @ApiModelProperty(value = "报告出具时间", position = 25)
    private Date bgcjsj;

    // 签发日期
    @ApiModelProperty(value = "签发日期", position = 26)
    private String qfrq;

    // 审核人姓名
    @ApiModelProperty(value = "审核人姓名", position = 27)
    private String shrxm;

    // 食品安全指标是否合格(0：不合格, 1：合格)
    @ApiModelProperty(value = "食品安全指标是否合格(0：不合格, 1：合格)", position = 28)
    private String spaqzbsfhg;

    // 指标类别
    @ApiModelProperty(value = "指标类别(多个逗号隔开)", position = 29)
    private String zblb;

    // 指标判定结果(例如：达标|综合判定#宜存#合格)
    @ApiModelProperty(value = "指标判定结果(例如：达标|综合判定#宜存#合格)", position = 30)
    private String zbjgpd;

    // 是否正常存储年限
    @ApiModelProperty(value = "是否正常存储年限，0：否, 1：是", position = 31)
    private String sfzcccnx;

    // 抽样日期
    @ApiModelProperty(value = "抽样日期", position = 32)
    private Date qysj;

    // 抽样单编号
    @ApiModelProperty(value = "抽样单编号", position = 33)
    private String qydbh;

    // 抽样人员
    @ApiModelProperty(value = "抽样人员", position = 34)
    private String qyrxm;

    // 扦样区域
    @ApiModelProperty(value = "扦样区域", position = 35)
    private String qyqy;

    // 监督人姓名
    @ApiModelProperty(value = "监督人姓名", position = 36)
    private String jdrxm;

    // 样品编号
    @ApiModelProperty(value = "监督人姓名", position = 37)
    private String ypbh;

    // 样品数量
    @ApiModelProperty(value = "样品数量，单位：公斤", position = 38)
    private BigDecimal ypsl;

    // 代表数量
    @ApiModelProperty(value = "代表数量，单位：公斤", position = 39)
    private BigDecimal dbsl;

    // 样品等级
    @ApiModelProperty(value = "样品等级", position = 40)
    private String ypdj;

    // 样品状态
    @ApiModelProperty(value = "样品等级", position = 41)
    private String sampleStatus;

    // 样品包装型号
    @ApiModelProperty(value = "样品包装型号", position = 42)
    private String samplePackageModel;

    @ApiModelProperty(value = "备注", position = 43)
    private String bz;

    @ApiModelProperty(value = "检验项目及依据", position = 44)
    @TableField(exist = false)
    List<BusinessQcQualityInspectionItem> items;
}
