/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.qualityInspectionOrg.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 粮食质量管理编辑参数
 *
 * @author QSHan
 * @date  2024/06/07 10:46
 **/
@Getter
@Setter
public class QualityInspectionOrgEditParam {

    /** 质检机构记录唯一标识符 */
    @ApiModelProperty(value = "质检机构记录唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 质检机构名称 */
    @ApiModelProperty(value = "质检机构名称", position = 6)
    private String organizationName;

    /** 统一社会信用代码 */
    @ApiModelProperty(value = "统一社会信用代码", position = 7)
    private String creditCode;

    /** 法定代表人 */
    @ApiModelProperty(value = "法定代表人", position = 8)
    private String legalRepresentative;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInformation;

    /** 注册地址-省 */
    @ApiModelProperty(value = "注册地址-省", position = 10)
    private String registeredProvince;

    /** 注册地址-市 */
    @ApiModelProperty(value = "注册地址-市", position = 11)
    private String registeredCity;

    /** 注册地址-区 */
    @ApiModelProperty(value = "注册地址-区", position = 12)
    private String registeredArea;

    /** 注册详细地址 */
    @ApiModelProperty(value = "注册详细地址", position = 13)
    private String registeredAddress;

    /** 成立日期 */
    @ApiModelProperty(value = "成立日期", position = 14)
    private Date establishmentDate;

    /** 注册资本 */
    @ApiModelProperty(value = "注册资本", position = 15)
    private BigDecimal registeredCapital;

    /** 邮箱 */
    @ApiModelProperty(value = "邮箱", position = 16)
    private String email;

    /** 网址 */
    @ApiModelProperty(value = "网址", position = 17)
    private String website;

    /** 简介 */
    @ApiModelProperty(value = "简介", position = 18)
    private String introduction;

}
