/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.reserveLayout.modular.qualityInspectionOrg.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.QualityInspectionOrg;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.QualityInspectionWhole;
import com.unis.reserveLayout.modular.qualityInspectionOrg.entity.QualityInspectionWholeDetail;
import com.unis.reserveLayout.modular.qualityInspectionOrg.param.*;

import java.util.List;

/**
 * 粮食质量管理Service接口
 *
 * @author QSHan
 * @date  2024/06/07 10:46
 **/
public interface QualityInspectionOrgService extends IService<QualityInspectionOrg> {

    /**
     * 获取粮食质量管理分页
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     */
    Page<QualityInspectionOrg> page(QualityInspectionOrgPageParam qualityInspectionOrgPageParam);

    /**
     * 添加粮食质量管理
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     */
    void add(QualityInspectionOrgAddParam qualityInspectionOrgAddParam);

    /**
     * 编辑粮食质量管理
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     */
    void edit(QualityInspectionOrgEditParam qualityInspectionOrgEditParam);

    /**
     * 删除粮食质量管理
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     */
    void delete(List<QualityInspectionOrgIdParam> qualityInspectionOrgIdParamList);

    /**
     * 获取粮食质量管理详情
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     */
    QualityInspectionOrg detail(QualityInspectionOrgIdParam qualityInspectionOrgIdParam);

    /**
     * 获取粮食质量管理详情
     *
     * @author QSHan
     * @date  2024/06/07 10:46
     **/
    QualityInspectionOrg queryEntity(String id);

    Page<QualityInspectionWhole> wholeWarehouseQualityInspectionPage(QualityInspectionOrgPageParam qualityInspectionOrgPageParam);

    QualityInspectionWholeDetail wholeWarehouseQualityInspectionDetail(Integer qualityId);


}
