package com.unis.rotationPlan.info.modular.businessrpreport.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.rotationPlan.info.modular.businessrpreport.enums.BusinessRpItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-出库信息表
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusinessRpOutbound implements Serializable, BusinessRpItem {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    @ApiModelProperty(value = "business_rp_report的id；")
    private Integer rpReportId;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id")
    private Integer basicStorehouseId;


    @ApiModelProperty(value = "basic_warehouse的id；")
    private Integer warehouseId;


    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    private Integer grainGradeId;

    @ApiModelProperty(value = "数量；粮情卡的的数量；")
    private BigDecimal sealingQuantity;

    @ApiModelProperty(value = "入库年限")
    private Integer storagePeriod;

    @ApiModelProperty(value = "入库核定价")
    private BigDecimal purchasePrice;

    @ApiModelProperty(value = "生产年份")
//    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy", timezone = "GMT+8")
    private Year productYear;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "出库质检报告id；storage_qualitycheck的id；")
    private Integer inspectionReportId;

    @ApiModelProperty(value = "定检报告id；storage_qualitycheck的id；数组,分隔；")
    private String regularInspectionReportIds;

    @ApiModelProperty(value = "计划出库数量")
    private BigDecimal planQuantity;



//    显示名称
    @ApiModelProperty(value = "basic_storehouse的id；仓房名称")
    private String basicStorehouseName;

    @ApiModelProperty(value = "basic_warehouse的id；货位名称")
    private String warehouseName;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；粮食品种名称")
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；粮食性质名称")
    private String grainNatureName;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；粮食等级名称")
    private String grainGradeName;

    private String zylx;

    private String orgName;

    @Override
    public String getOrgName() {
        return this.orgName;
    }


}
