package com.unis.rotationPlan.info.modular.businessrpreport.entity.vo;

import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpInbound;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpOutbound;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpReport;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.time.Year;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Setter
@Getter
public class BusinessRpReportVO{

    private Integer orgId;

    private String dwmc;//企业名称名称

    private String orgName; //单位名称

    private String grainVarietyName;//粮食品种

    private String grainVarietyId;//粮食品种

    private String storehouseName;//仓房名称

    private String warehouseName; //货位名称

    private Double outboundQuantity;//轮出数量

    private Date rotationYear;  //轮换年度

    private Year zyrq;

    private Double inboundQuantity;//轮入数量

    private String name;//轮换计划制定列表标题

    @ApiModelProperty(value = "计划类型 1: 粮食轮换计划; 2: 油料轮换计划;", position = 9)
    private Integer planType;

    @ApiModelProperty(value = "轮换类型 1:静态轮换；2：动态轮换；", position = 9)
    private Integer type;

    @ApiModelProperty(value = "计划名称", position = 7)
    private String planName;

    @ApiModelProperty(value = "出库信息")
    private List<BusinessRpOutbound> businessRpOutboundList;

    @ApiModelProperty(value = "入库信息")
    private List<BusinessRpInbound> businessRpInboundList;

    private List<Map<String, Object>> complexDataList;


}
