/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.businessrpreport.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 轮换计划-上报添加参数
 *
 * @author ZeroLiYi
 * @date  2024/05/14 18:05
 **/
@Getter
@Setter
public class BusinessRpReportAddParam {

    /** 企业id；province_all.biz_unit_info的id； */
    @ApiModelProperty(value = "企业id；province_all.biz_unit_info的id；", position = 6)
    private String unitInfoId;

    /** 计划名称 */
    @ApiModelProperty(value = "计划名称", position = 7)
    private String planName;

    /** 轮换年度 */
    @ApiModelProperty(value = "轮换年度", position = 8)
    private Date rotationYear;

    /** 计划类型 1: 粮食轮换计划; 2: 油料轮换计划; */
    @ApiModelProperty(value = "计划类型 1: 粮食轮换计划; 2: 油料轮换计划;", position = 9)
    private Integer planType;

    /** 计划年度 */
    @ApiModelProperty(value = "计划年度", position = 10)
    private Date planYear;

    /** 申请人 */
    @ApiModelProperty(value = "申请人", position = 11)
    private String applicant;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 12)
    private Date createDate;

    /** 状态 0：保存；1：提交； */
    @ApiModelProperty(value = "状态 0：保存；1：提交；", position = 13)
    private Integer status;

    /** 上报时间 */
    @ApiModelProperty(value = "上报时间", position = 14)
    private Date reportTime;

    /** 轮换类型 1:静态轮换；2：动态轮换； */
    @ApiModelProperty(value = "轮换类型 1:静态轮换；2：动态轮换；", position = 15)
    private Integer type;

}
