/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.businessrpreport.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.constant.DBConstant;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessQcQualityInspection;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpReport;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.vo.BusinessRpReportVO;
import com.unis.rotationPlan.info.modular.businessrpreport.param.BusinessRpReportAddParam;
import com.unis.rotationPlan.info.modular.businessrpreport.param.BusinessRpReportEditParam;
import com.unis.rotationPlan.info.modular.businessrpreport.param.BusinessRpReportIdParam;
import com.unis.rotationPlan.info.modular.businessrpreport.param.BusinessRpReportPageParam;
import com.unis.rotationPlan.info.modular.businessrpreport.util.Grain;
import com.unis.rotationPlan.info.modular.businessrpreport.util.Tab;
import com.unis.rotationPlan.info.modular.businessrpreport.util.TableColumn;

import java.util.List;
import java.util.Map;

/**
 * 轮换计划-上报Service接口
 *
 * @author ZeroLiYi
 * @date  2024/05/14 18:05
 **/
@DS(DBConstant.DS_DEPOT)
public interface BusinessRpReportService extends IService<BusinessRpReport> {

    /**
     * 获取轮换计划接受列表
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     */
    IPage<Map<String, Object>> page(BusinessRpReportPageParam businessRpReportPageParam);

    /**
     * 添加轮换计划-上报
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     */
    void add(BusinessRpReportAddParam businessRpReportAddParam);

    /**
     * 编辑轮换计划-上报
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     */
    void edit(BusinessRpReportEditParam businessRpReportEditParam);

    /**
     * 删除轮换计划-上报
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     */
    void delete(List<BusinessRpReportIdParam> businessRpReportIdParamList);

    /**
     * 获取轮换计划-上报详情
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     */
    List<Map<String,Object>> detail(BusinessRpReportIdParam businessRpReportIdParam);

    /**
     * 获取轮换计划-上报详情
     *
     * @author ZeroLiYi
     * @date  2024/05/14 18:05
     **/
    BusinessRpReport queryEntity(Integer id);

    /**
     * 轮换计划制定查询详情
     * @param businessRpReportIdParam
     * @return
     */
    Map<String,Object> createReport(BusinessRpReportIdParam businessRpReportIdParam);

    Tab reportList(BusinessRpReportIdParam businessRpReportIdParam);

    /**
     * 得到轮换计划接收详情
     * @param rpReportId
     * @param orgId
     * @return
     */
    BusinessRpReportVO getRpReportDetail(String rpReportId, Integer orgId);

    /**
     *跟据货位和检验类别查询质检报告
     * @param jylb
     * @param warehouseId
     * @return
     */
    List<BusinessQcQualityInspection> getQualityInspectionFindByWarehouseId(String jylb, Integer warehouseId);


    /**
     * 计划信息查询列表
     * @param businessRpReportPageParam
     * @return
     */
    List<Map<String, Object>> getRecList(BusinessRpReportPageParam businessRpReportPageParam);

    /**
     * 计划信息查询详情
     * @param rpReportId
     * @param orgId
     * @return
     */

    BusinessRpReportVO getPlanRpReportDetail(String rpReportId, Integer orgId);
}
