/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpBiweeklyReport.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.rotationPlan.info.modular.rpBiweeklyReport.entity.RpBiweeklyReport;
import com.unis.rotationPlan.info.modular.rpBiweeklyReport.param.*;

import java.util.List;
import java.util.Map;

/**
 * 轮换计划-轮换半月报表Service接口
 *
 * @author TS
 * @date  2024/05/09 19:15
 **/
public interface RpBiweeklyReportService extends IService<RpBiweeklyReport> {

    /**
     * 获取轮换计划-轮换半月报表分页
     *
     * @author TS
     * @date  2024/05/09 19:15
     */
    Page<RpBiweeklyReport> page(RpBiweeklyReportPageParam rpBiweeklyReportPageParam);

    /**
     * 添加轮换计划-轮换半月报表
     *
     * @author TS
     * @date  2024/05/09 19:15
     */
    void add(RpBiweeklyReportAddParam rpBiweeklyReportAddParam);

    /**
     * 编辑轮换计划-轮换半月报表
     *
     * @author TS
     * @date  2024/05/09 19:15
     */
    void edit(RpBiweeklyReportEditParam rpBiweeklyReportEditParam);

    /**
     * 删除轮换计划-轮换半月报表
     *
     * @author TS
     * @date  2024/05/09 19:15
     */
    void delete(List<RpBiweeklyReportIdParam> rpBiweeklyReportIdParamList);

    /**
     * 获取轮换计划-轮换半月报表详情
     *
     * @author TS
     * @date  2024/05/09 19:15
     */
    RpBiweeklyReport detail(RpBiweeklyReportIdParam rpBiweeklyReportIdParam);

    /**
     * 获取轮换计划-轮换半月报表详情
     *
     * @author TS
     * @date  2024/05/09 19:15
     **/
    RpBiweeklyReport queryEntity(Integer id);

    /**
     * 获取轮换计划-轮换半月报表自定义分页
     * @param rpBiweeklyReportPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(RpBiweeklyReportPageParam rpBiweeklyReportPageParam);

    /**
     * 获取轮换计划-轮换半月报表从表详情
     * @param rpBiweeklyReportIdParam
     * @return
     */
    List<Map<String,Object>> getDetail(RpBiweeklyReportIdParam rpBiweeklyReportIdParam);

    /**
     *获取计划进度管控自定义分页
     * @param rpBiweeklyReportPageParam
     * @return
     */
    IPage<Map<String,Object>> findPlanPage(RpBiweeklyReportPageParam rpBiweeklyReportPageParam);

    /**
     * 获取计划进度管控详情
     * @param rotationYear
     * @return
     */
    List<Map<String,Object>> getPlanDetail(String rotationYear);

    /**
     * findPlanDetailPage
     * @param rpBiweeklyReportDetailPageParam
     * @return
     */
    IPage<Map<String,Object>>  findPlanDetailPage(RpBiweeklyReportDetailPageParam rpBiweeklyReportDetailPageParam);
}
