package com.unis.rotationPlan.info.modular.rpIssuance.entity.vo;

import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpInbound;
import com.unis.rotationPlan.info.modular.businessrpreport.entity.BusinessRpOutbound;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.Year;
import java.util.Date;
import java.util.List;
import java.util.Map;
@Setter
@Getter
public class RpIssuanceVO {

    /** 外库depot_qh.business_rp_report的id； */
    @ApiModelProperty(value = "外库depot_qh.business_rp_report的id；", position = 6)
    private Integer rpReportId;

    /** 轮换年度 */
    @ApiModelProperty(value = "轮换年度", position = 8)
    private Year rotationYear;

    /** 轮换计划名称 */
    @ApiModelProperty(value = "轮换计划名称", position = 8)
    private String planName;

    /** 轮换计划文号 */
    @ApiModelProperty(value = "轮换计划文号", position = 7)
    private String planNumber;

    /** 开始执行日期 */
    @ApiModelProperty(value = "开始执行日期", position = 10)
    private Date startDate;

    /** 截止执行日期 */
    @ApiModelProperty(value = "截止执行日期", position = 11)
    private Date endDate;

    @ApiModelProperty(value = "计划出库数量")
    private BigDecimal planQuantity;

    @ApiModelProperty(value = "出库信息")
    private List<BusinessRpOutbound> businessRpOutboundList;

    @ApiModelProperty(value = "入库信息")
    private List<BusinessRpInbound> businessRpInboundList;

    private List<Map<String, Object>> complexDataList;


    /** 下发日期 */
    @ApiModelProperty(value = "下发日期", position = 13)
    private Date issuanceDate;


}
