/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpIssuance.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 轮换计划-轮换下发编辑参数
 *
 * @author TS
 * @date  2024/05/08 18:02
 **/
@Getter
@Setter
public class RpIssuanceEditParam {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", required = true, position = 1)
    private String id;

    /** 外库depot_qh.business_rp_report的id； */
    @ApiModelProperty(value = "外库depot_qh.business_rp_report的id；", position = 6)
    private Integer rpReportId;

    /** 轮换计划文号 */
    @ApiModelProperty(value = "轮换计划文号", position = 7)
    private String planNumber;

    /** 轮换计划名称 */
    @ApiModelProperty(value = "轮换计划名称", position = 8)
    private String planName;

    /** 计划年度 */
    @ApiModelProperty(value = "计划年度", position = 9)
    private Date planYear;

    /** 开始执行日期 */
    @ApiModelProperty(value = "开始执行日期", position = 10)
    private Date startDate;

    /** 截止执行日期 */
    @ApiModelProperty(value = "截止执行日期", position = 11)
    private Date endDate;

    /** 上传附件 */
    @ApiModelProperty(value = "上传附件", position = 12)
    private String attachment;

    /** 下发日期 */
    @ApiModelProperty(value = "下发日期", position = 13)
    private Date issuanceDate;

}
