/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpIssuance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.rotationPlan.info.modular.rpIssuance.entity.RpIssuance;
import com.unis.rotationPlan.info.modular.rpIssuance.entity.vo.RpIssuanceVO;
import com.unis.rotationPlan.info.modular.rpIssuance.param.RpIssuanceAddParam;
import com.unis.rotationPlan.info.modular.rpIssuance.param.RpIssuanceEditParam;
import com.unis.rotationPlan.info.modular.rpIssuance.param.RpIssuanceIdParam;
import com.unis.rotationPlan.info.modular.rpIssuance.param.RpIssuancePageParam;

import java.util.List;

/**
 * 轮换计划-轮换下发Service接口
 *
 * @author TS
 * @date  2024/05/08 18:02
 **/
public interface RpIssuanceService extends IService<RpIssuance> {

    /**
     * 获取轮换计划-轮换下发分页
     *
     * @author TS
     * @date  2024/05/08 18:02
     */
    List<RpIssuanceVO> page(RpIssuancePageParam rpIssuancePageParam);

    /**
     * 添加轮换计划-轮换下发
     *
     * @author TS
     * @date  2024/05/08 18:02
     */
    void add(RpIssuanceAddParam rpIssuanceAddParam);

    /**
     * 编辑轮换计划-轮换下发
     *
     * @author TS
     * @date  2024/05/08 18:02
     */
    void edit(RpIssuanceEditParam rpIssuanceEditParam);

    /**
     * 删除轮换计划-轮换下发
     *
     * @author TS
     * @date  2024/05/08 18:02
     */
    void delete(List<RpIssuanceIdParam> rpIssuanceIdParamList);

    /**
     * 获取轮换计划-轮换下发详情
     *
     * @author TS
     * @date  2024/05/08 18:02
     */
    RpIssuanceVO detail(RpIssuanceIdParam rpIssuanceIdParam);

    /**
     * 获取轮换计划-轮换下发详情
     *
     * @author TS
     * @date  2024/05/08 18:02
     **/
    RpIssuance queryEntity(String id);
}
