/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.entity.RpWarnBiweeklyReport;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 轮换计划-库区半月报表-轮换数量预警Mapper接口
 *
 * @author TS
 * @date  2024/05/08 19:26
 **/
public interface RpWarnBiweeklyReportMapper extends BaseMapper<RpWarnBiweeklyReport> {
    /**
     *
     * @param rpReportId
     * @return
     */
    @Select("SELECT b.org_id as 'orgId',a.unit_info_id as 'unitInfoId' FROM depot_qh.business_rp_report a LEFT JOIN depot_qh.business_rp_outbound b on a.id = b.rp_report_id where a.id = #{rpReportId}")
    List<Map<String,Object>> getOrgInfos(@Param("rpReportId") Integer rpReportId);

    /**
     *查询规定时间内是否有上报的半月报
     * @param rpReportId
     * @param startDate
     * @param endDate
     * @return
     */
    @Select("SELECT id FROM business_rp_biweekly_report where rp_report_id = #{rpReportId} and status = 1 and  DATE_FORMAT(report_time, '%Y-%m-%d')  BETWEEN #{startDate} and #{endDate}")
    List<Map<String,Object>> getBiweeklyReports(@Param("rpReportId")Integer rpReportId,
                                                @Param("startDate")String startDate,
                                                @Param("endDate") String endDate);

    /**
     *获取轮换计划-库区半月报表-轮换数量预警自定义分页
     * @param p
     * @param queryWrapper
     * @return
     */
    IPage<Map<String,Object>> selectMyMapsPage(Page<RpWarnBiweeklyReport> p, @Param(Constants.WRAPPER)QueryWrapper<RpWarnBiweeklyReport> queryWrapper);
}
