/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.entity.RpWarnBiweeklyReport;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.param.RpWarnBiweeklyReportAddParam;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.param.RpWarnBiweeklyReportEditParam;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.param.RpWarnBiweeklyReportIdParam;
import com.unis.rotationPlan.info.modular.rpWarnBiweeklyReport.param.RpWarnBiweeklyReportPageParam;

import java.util.List;
import java.util.Map;

/**
 * 轮换计划-库区半月报表-轮换数量预警Service接口
 *
 * @author TS
 * @date  2024/05/08 09:45
 **/
public interface RpWarnBiweeklyReportService extends IService<RpWarnBiweeklyReport> {

    /**
     * 获取轮换计划-库区半月报表-轮换数量预警分页
     *
     * @author TS
     * @date  2024/05/08 09:45
     */
    Page<RpWarnBiweeklyReport> page(RpWarnBiweeklyReportPageParam rpWarnBiweeklyReportPageParam);

    /**
     * 添加轮换计划-库区半月报表-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:45
     */
    void add(RpWarnBiweeklyReportAddParam rpWarnBiweeklyReportAddParam);

    /**
     * 编辑轮换计划-库区半月报表-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:45
     */
    void edit(RpWarnBiweeklyReportEditParam rpWarnBiweeklyReportEditParam);

    /**
     * 删除轮换计划-库区半月报表-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:45
     */
    void delete(List<RpWarnBiweeklyReportIdParam> rpWarnBiweeklyReportIdParamList);

    /**
     * 获取轮换计划-库区半月报表-轮换数量预警详情
     *
     * @author TS
     * @date  2024/05/08 09:45
     */
    RpWarnBiweeklyReport detail(RpWarnBiweeklyReportIdParam rpWarnBiweeklyReportIdParam);

    /**
     * 获取轮换计划-库区半月报表-轮换数量预警详情
     *
     * @author TS
     * @date  2024/05/08 09:45
     **/
    RpWarnBiweeklyReport queryEntity(String id);

    /**
     *     ○ 库区半月报表预警
     *     ■ 频率：每个月2号、17号下午3点执行。
     *     ■ 功能：没有提交报表，生成预警记录。
     *     ● 每月2号：检查上个月16-31号，是否提交报表。
     *     ● 每月17号：检查本个月1-15号，是否提交报表。没有提交报表，生成预警记录。
     */
    void taskAction();

    /**
     * 获取轮换计划-库区半月报表-轮换数量预警自定义分页
     * @param rpWarnBiweeklyReportPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(RpWarnBiweeklyReportPageParam rpWarnBiweeklyReportPageParam);

}
