/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpWarnThreshold.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.entity.RpWarnThreshold;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdAddParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdEditParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdIdParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdPageParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.service.RpWarnThresholdService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.Map;

/**
 * 轮换计划-轮换数量预警控制器
 *
 * @author TS
 * @date  2024/05/08 09:26
 */
@Api(tags = "轮换计划-轮换数量预警控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class RpWarnThresholdController {

    @Resource
    private RpWarnThresholdService rpWarnThresholdService;

    /**
     * 获取轮换计划-轮换数量预警分页
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
//    @ApiOperationSupport(order = 1)
//    @ApiOperation("获取轮换计划-轮换数量预警分页")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/page")
//    @GetMapping("/rotationPlan.info/rpWarnThreshold/page")
//    public CommonResult<Page<RpWarnThreshold>> page(RpWarnThresholdPageParam rpWarnThresholdPageParam) {
//        return CommonResult.data(rpWarnThresholdService.page(rpWarnThresholdPageParam));
//    }
    /**
     * 获取轮换计划-轮换数量预警自定义分页
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取轮换计划-轮换数量预警自定义分页")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/findPage")
    @GetMapping("/rotationPlan.info/rpWarnThreshold/findPage")
    public CommonResult<IPage<Map<String,Object>>> findPage(RpWarnThresholdPageParam rpWarnThresholdPageParam) {
        return CommonResult.data(rpWarnThresholdService.findPage(rpWarnThresholdPageParam));
    }

    /**
     * 添加轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
//    @ApiOperationSupport(order = 2)
//    @ApiOperation("添加轮换计划-轮换数量预警")
//    @CommonLog("添加轮换计划-轮换数量预警")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/add")
//    @PostMapping("/rotationPlan.info/rpWarnThreshold/add")
//    public CommonResult<String> add(@RequestBody @Valid RpWarnThresholdAddParam rpWarnThresholdAddParam) {
//        rpWarnThresholdService.add(rpWarnThresholdAddParam);
//        return CommonResult.ok();
//    }

    /**
     * 编辑轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
//    @ApiOperationSupport(order = 3)
//    @ApiOperation("编辑轮换计划-轮换数量预警")
//    @CommonLog("编辑轮换计划-轮换数量预警")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/edit")
//    @PostMapping("/rotationPlan.info/rpWarnThreshold/edit")
//    public CommonResult<String> edit(@RequestBody @Valid RpWarnThresholdEditParam rpWarnThresholdEditParam) {
//        rpWarnThresholdService.edit(rpWarnThresholdEditParam);
//        return CommonResult.ok();
//    }

    /**
     * 删除轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
//    @ApiOperationSupport(order = 4)
//    @ApiOperation("删除轮换计划-轮换数量预警")
//    @CommonLog("删除轮换计划-轮换数量预警")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/delete")
//    @PostMapping("/rotationPlan.info/rpWarnThreshold/delete")
//    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
//                                                   CommonValidList<RpWarnThresholdIdParam> rpWarnThresholdIdParamList) {
//        rpWarnThresholdService.delete(rpWarnThresholdIdParamList);
//        return CommonResult.ok();
//    }

    /**
     * 获取轮换计划-轮换数量预警详情
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
//    @ApiOperationSupport(order = 5)
//    @ApiOperation("获取轮换计划-轮换数量预警详情")
//    @SaCheckPermission("/rotationPlan.info/rpWarnThreshold/detail")
//    @GetMapping("/rotationPlan.info/rpWarnThreshold/detail")
//    public CommonResult<RpWarnThreshold> detail(@Valid RpWarnThresholdIdParam rpWarnThresholdIdParam) {
//        return CommonResult.data(rpWarnThresholdService.detail(rpWarnThresholdIdParam));
//    }
}
