/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpWarnThreshold.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import com.unis.policy.info.modular.alFileRegistration.entity.AlFileRegistration;
import com.unis.policy.info.modular.alPolicyFileReport.entity.AlPolicyFileReport;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.entity.RpWarnThreshold;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 轮换计划-轮换数量预警Mapper接口
 *
 * @author TS
 * @date  2024/05/08 09:26
 **/
public interface RpWarnThresholdMapper extends BaseMapper<RpWarnThreshold> {
    /**
     * 查询是否有满足条件的已下发的轮换计划，各个库区
     * @return
     */
    List<Map<String,Object>> getReportsInfo();
    /**
     * 查询是否有满足条件的已下发的轮换计划,及对应的出库信息，各个货位
     * * @param id
     * @return
     */
    List<Map<String,Object>> getReportsInfoByIssuanceId(@Param("id")String id);

    /**
     * 得到对应货位，品种，性质封仓日期最近一条数据
     * @param hwid
     * @param lspzId
     * @param lsxpzId
     * @return
     */
    Map<String,Object> getSealingRecord(@Param("hwid") String hwid,
                                        @Param("lspzId")String lspzId,
                                        @Param("lsxpzId")String lsxpzId);

    /**
     * 取得封仓后，第一条出库数据的时间，直接取fcbgz表数据
     * @param hwid
     * @param lspzId
     * @param lsxpzId
     * @param fcrq
     * @return
     */
    Map<String,Object> getFristCarDate(@Param("hwid") String hwid,
                                       @Param("lspzId")String lspzId,
                                       @Param("lsxpzId")String lsxpzId,
                                       @Param("fcrq")String fcrq);

    /**
     * 得到一个库区的对应轮换计划的的出库数据之和
     * @param orgId
     * @param hwids
     * @param fristCarDate
     * @return
     */
    Map<String,Object> getCkslSum(@Param("orgId")String orgId,
                                  @Param("hwids")String hwids,
                                  @Param("fristCarDate")String fristCarDate);

    /**
     *获取轮换计划-轮换数量预警自定义分页
     * @param p
     * @param queryWrapper
     * @return
     */
    IPage<Map<String,Object>> selectMyMapsPage(Page<RpWarnThreshold> p, @Param(Constants.WRAPPER)QueryWrapper<RpWarnThreshold> queryWrapper);

    List<Map<String, Object>> getReportsInInfo();

    List<Map<String, Object>> getReportsInInfoByIssuanceId(@Param("id")String id);

    List<Map<String, Object>> getCk(@Param("rpReportId")String rpReportId);

    Map<String, Double> selectKLJZ(@Param("unitID") String unitID, @Param("futureDate") LocalDateTime futureDate, @Param("rpReportId") String rpReportId);

    Map<String, BigDecimal> selectLHJH(@Param("unitID")String unitID,@Param("rpReportId") String rpReportId);

    Map<String, Object> getMaxDate(@Param("rpReportId")String rpReportId,@Param("sjhwh") String sjhwh);
}
