/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.rotationPlan.info.modular.rpWarnThreshold.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.entity.RpWarnThreshold;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdAddParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdEditParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdIdParam;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.param.RpWarnThresholdPageParam;

import java.util.List;
import java.util.Map;

/**
 * 轮换计划-轮换数量预警Service接口
 *
 * @author TS
 * @date  2024/05/08 09:26
 **/
public interface RpWarnThresholdService extends IService<RpWarnThreshold> {

    /**
     * 获取轮换计划-轮换数量预警分页
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    Page<RpWarnThreshold> page(RpWarnThresholdPageParam rpWarnThresholdPageParam);

    /**
     * 添加轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    void add(RpWarnThresholdAddParam rpWarnThresholdAddParam);

    /**
     * 编辑轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    void edit(RpWarnThresholdEditParam rpWarnThresholdEditParam);

    /**
     * 删除轮换计划-轮换数量预警
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    void delete(List<RpWarnThresholdIdParam> rpWarnThresholdIdParamList);

    /**
     * 获取轮换计划-轮换数量预警详情
     *
     * @author TS
     * @date  2024/05/08 09:26
     */
    RpWarnThreshold detail(RpWarnThresholdIdParam rpWarnThresholdIdParam);

    /**
     * 获取轮换计划-轮换数量预警详情
     *
     * @author TS
     * @date  2024/05/08 09:26
     **/
    RpWarnThreshold queryEntity(String id);

    /**
     *     ○ 轮换数量预警
     *  *     ■ 频率：一天一次。
     *  *     ■ 功能：超过预警阈值，添加预警记录。
     *  *     ● 示例：如果第一个计划是50%，实际生成了40%，生成一条预警数据。
     */
    void taskAction();

    /**
     *获取轮换计划-轮换数量预警自定义分页
     * @param rpWarnThresholdPageParam
     * @return
     */
    IPage<Map<String,Object>> findPage(RpWarnThresholdPageParam rpWarnThresholdPageParam);

    /**
     * ● 定时任务：存在1天的误差。
     * ● 轮换数据：下发的轮换计划。只需要关注轮入数量，和轮出无关。
     * ● 字段
     *     ○ 架空期截止日：当前库区第一车出库时间，下个月1日起，往后计算四个月。
     *     ■ 如：第一车出库时间2024年6月11日，截止日期=2024年11月1日=2024年7月1日+4个月。
     *     ○ 应轮入数量 = 轮换计划-入库数量
     *     ○ 剩余数量= 应轮入数量-已轮入（入库数量）
     *     ○ 架空期状态： 架空期截止日前完成轮换数量为正常状态，否则是延期状态。
     *     ■ 正常状态： 架空期截止日前或者轮换数量完成。
     *     ■ 延期状态：其他情况。
     *     ○ 日期：最新的轮入日期。
     */
    void SITRAction();
}
