package com.unis.rotationPlan.info.modular.rpWarnThreshold.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.rotationPlan.info.modular.rpWarnThreshold.service.RpWarnThresholdService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *          ○ 架空期截止日：当前库区第一车出库时间，下个月1日起，往后计算四个月。
 *     ■ 如：第一车出库时间2024年6月11日，截止日期=2024年11月1日=2024年7月1日+4个月。
 *     ○ 应轮入数量 = 轮换计划-入库数量
 *     ○ 剩余数量= 应轮入数量-已轮入（入库数量）
 *     ○ 架空期状态： 架空期截止日前完成轮换数量为正常状态，否则是延期状态。
 *     ■ 正常状态： 架空期截止日前或者轮换数量完成。
 *     ■ 延期状态：其他情况。
 *     ○ 日期：最新的轮入日期
 */
@Slf4j
@Component
public class SITRPlanRunner  implements CommonTimerTaskRunner {

    @Autowired
    private RpWarnThresholdService rpWarnThresholdService;

    @Override
    public void action() {
        rpWarnThresholdService.SITRAction();
    }
}
