/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.dataKcglKcswDefault.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 库存实物表添加参数
 *
 * @author hjc
 * @date  2024/06/03 14:57
 **/
@Getter
@Setter
public class DataKcglKcswDefaultAddParam {

    /** 数据记录ID */
    @ApiModelProperty(value = "数据记录ID", position = 1)
    private String dataid;

    /** 单位ID */
    @ApiModelProperty(value = "单位ID", position = 2)
    private String unitid;

    /** 期间ID */
    @ApiModelProperty(value = "期间ID", position = 3)
    private String periodid;

    /** 舍位ID */
    @ApiModelProperty(value = "舍位ID", position = 4)
    private Integer roundid;

    /** 最后一次编辑时间 */
    @ApiModelProperty(value = "最后一次编辑时间", position = 5)
    private Date modifydate;

    /** 条目创建人 */
    @ApiModelProperty(value = "条目创建人", position = 6)
    private String builder;

    /** DEPTID */
    @ApiModelProperty(value = "DEPTID", position = 8)
    private String deptid;

    /** SYTELINFOID */
    @ApiModelProperty(value = "SYTELINFOID", position = 9)
    private String sytelinfoid;

    /** BUILDDATE */
    @ApiModelProperty(value = "BUILDDATE", position = 10)
    private Date builddate;

    /** EDITOR */
    @ApiModelProperty(value = "EDITOR", position = 11)
    private String editor;

    /** 粮库名称 */
    @ApiModelProperty(value = "粮库名称", position = 12)
    private String lkmc;

    /** 粮库编码 */
    @ApiModelProperty(value = "粮库编码", position = 13)
    private String lkbm;

    /** 货物性质 */
    @ApiModelProperty(value = "货物性质", position = 14)
    private String hwxz;

    /** 仓号ID */
    @ApiModelProperty(value = "仓号ID", position = 15)
    private String ch;

    /** 货位ID */
    @ApiModelProperty(value = "货位ID", position = 16)
    private String hwh;

    /** 品种 */
    @ApiModelProperty(value = "品种", position = 17)
    private String pz;

    /** 明细品种 */
    @ApiModelProperty(value = "明细品种", position = 18)
    private String mxpz;

    /** 等级 */
    @ApiModelProperty(value = "等级", position = 19)
    private String dj;

    /** 日期 */
    @ApiModelProperty(value = "日期", position = 20)
    private Date rq;

    /** 文件号ID */
    @ApiModelProperty(value = "文件号ID", position = 21)
    private String wjh;

    /** 库存数量，即库存实际数量-所有增扣量 */
    @ApiModelProperty(value = "库存数量，即库存实际数量-所有增扣量", position = 22)
    private Double kcsl;

    /** 库存实际数量，即毛重-皮重所得数量 */
    @ApiModelProperty(value = "库存实际数量，即毛重-皮重所得数量", position = 23)
    private Double kcsjsl;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 24)
    private Date cjsj;

    /** 火车皮号 */
    @ApiModelProperty(value = "火车皮号", position = 25)
    private String hcph;

    /** 国别 */
    @ApiModelProperty(value = "国别", position = 26)
    private String gb;

    /** 收储地点 */
    @ApiModelProperty(value = "收储地点", position = 27)
    private String scdd;

    /** 备注，默认“初始化库存” */
    @ApiModelProperty(value = "备注，默认“初始化库存”", position = 28)
    private String bz;

    /** 生产年份 */
    @ApiModelProperty(value = "生产年份", position = 29)
    private String scnf;

}
