/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.dataKcglKcswDefault.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.safeStorage.modular.dataKcglKcswDefault.entity.DataKcglKcswDefault;
import com.unis.safeStorage.modular.dataKcglKcswDefault.param.DataKcglKcswDefaultAddParam;
import com.unis.safeStorage.modular.dataKcglKcswDefault.param.DataKcglKcswDefaultEditParam;
import com.unis.safeStorage.modular.dataKcglKcswDefault.param.DataKcglKcswDefaultIdParam;
import com.unis.safeStorage.modular.dataKcglKcswDefault.param.DataKcglKcswDefaultPageParam;

import java.util.List;

/**
 * 库存实物表Service接口
 *
 * @author hjc
 * @date  2024/06/03 14:57
 **/
public interface DataKcglKcswDefaultService extends IService<DataKcglKcswDefault> {

    /**
     * 获取库存实物表分页
     *
     * @author hjc
     * @date  2024/06/03 14:57
     */
    Page<DataKcglKcswDefault> page(DataKcglKcswDefaultPageParam dataKcglKcswDefaultPageParam);

    /**
     * 添加库存实物表
     *
     * @author hjc
     * @date  2024/06/03 14:57
     */
    void add(DataKcglKcswDefaultAddParam dataKcglKcswDefaultAddParam);

    /**
     * 编辑库存实物表
     *
     * @author hjc
     * @date  2024/06/03 14:57
     */
    void edit(DataKcglKcswDefaultEditParam dataKcglKcswDefaultEditParam);

    /**
     * 删除库存实物表
     *
     * @author hjc
     * @date  2024/06/03 14:57
     */
    void delete(List<DataKcglKcswDefaultIdParam> dataKcglKcswDefaultIdParamList);

    /**
     * 获取库存实物表详情
     *
     * @author hjc
     * @date  2024/06/03 14:57
     */
    DataKcglKcswDefault detail(DataKcglKcswDefaultIdParam dataKcglKcswDefaultIdParam);

    /**
     * 获取库存实物表详情
     *
     * @author hjc
     * @date  2024/06/03 14:57
     **/
    DataKcglKcswDefault queryEntity(String id);
}
