/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssFireWarn.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.safeStorage.modular.ssFireWarn.entity.SsFireWarn;
import com.unis.safeStorage.modular.ssFireWarn.param.*;

import java.util.List;

/**
 * 安全仓储-火灾预警表Service接口
 *
 * @author hjc
 * @date  2024/06/01 10:19
 **/
public interface SsFireWarnService extends IService<SsFireWarn> {

    /**
     * 获取安全仓储-火灾预警表分页
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    Page<SsFireWarn> page(SsFireWarnPageParam ssFireWarnPageParam);

    /**
     * 添加安全仓储-火灾预警表
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    void add(SsFireWarnAddParam ssFireWarnAddParam);

    /**
     * 编辑安全仓储-火灾预警表
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    void edit(SsFireWarnEditParam ssFireWarnEditParam);

    /**
     * 删除安全仓储-火灾预警表
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    void delete(List<SsFireWarnIdParam> ssFireWarnIdParamList);

    /**
     * 获取安全仓储-火灾预警表详情
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    SsFireWarn detail(SsFireWarnIdParam ssFireWarnIdParam);

    /**
     * 获取安全仓储-火灾预警表详情
     *
     * @author hjc
     * @date  2024/06/01 10:19
     **/
    SsFireWarn queryEntity(String id);

    /**
     * 火灾预警ipad处理
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    void dispose(DisposeParam disposeParam);

    /**
     * ipad-智慧消防分页
     *
     * @author hjc
     * @date  2024/06/01 10:19
     */
    Page<SsFireWarn> SmartFireProtectionPage(SsFireWarnStatusPageParam ssFireWarnPageParam);
}
