/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssRiskDoublePrevention.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-风险双预控管理表添加参数
 *
 * @author hjc
 * @date  2024/05/31 14:34
 **/
@Getter
@Setter
public class SsRiskDoublePreventionAddParam {

    /** 安全风险分析对象 */
    @ApiModelProperty(value = "安全风险分析对象", position = 6)
    private String riskAnalysisObject;

    /** 风险评估，1：爆炸；2：火灾；3：重度；4：窒息 */
    @ApiModelProperty(value = "风险评估，1：爆炸；2：火灾；3：重度；4：窒息", position = 7)
    private Integer riskAssessment;

    /** 安全风险等级，1：一级；2：二级；3：三级；4：四级；5：五级 */
    @ApiModelProperty(value = "安全风险等级，1：一级；2：二级；3：三级；4：四级；5：五级", position = 8)
    private Integer safetyRiskLevel;

    /** 安全风险分析单元 */
    @ApiModelProperty(value = "安全风险分析单元", position = 9)
    private String riskAnalysisUnit;

    /** 危险源 */
    @ApiModelProperty(value = "危险源", position = 10)
    private String hazardSource;

    /** 安全风险描述 */
    @ApiModelProperty(value = "安全风险描述", position = 11)
    private String riskDescription;

    /** 风险管控措施 */
    @ApiModelProperty(value = "风险管控措施", position = 12)
    private String riskControlMeasures;

    /** 风险分级管控 */
    @ApiModelProperty(value = "风险分级管控", position = 13)
    private String riskLevelControl;

}
