/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssRiskDoublePrevention.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.safeStorage.modular.ssRiskDoublePrevention.entity.SsRiskDoublePrevention;
import com.unis.safeStorage.modular.ssRiskDoublePrevention.param.SsRiskDoublePreventionAddParam;
import com.unis.safeStorage.modular.ssRiskDoublePrevention.param.SsRiskDoublePreventionEditParam;
import com.unis.safeStorage.modular.ssRiskDoublePrevention.param.SsRiskDoublePreventionIdParam;
import com.unis.safeStorage.modular.ssRiskDoublePrevention.param.SsRiskDoublePreventionPageParam;

import java.util.List;

/**
 * 安全仓储-风险双预控管理表Service接口
 *
 * @author hjc
 * @date  2024/05/31 14:34
 **/
public interface SsRiskDoublePreventionService extends IService<SsRiskDoublePrevention> {

    /**
     * 获取安全仓储-风险双预控管理表分页
     *
     * @author hjc
     * @date  2024/05/31 14:34
     */
    Page<SsRiskDoublePrevention> page(SsRiskDoublePreventionPageParam ssRiskDoublePreventionPageParam);

    /**
     * 添加安全仓储-风险双预控管理表
     *
     * @author hjc
     * @date  2024/05/31 14:34
     */
    void add(SsRiskDoublePreventionAddParam ssRiskDoublePreventionAddParam);

    /**
     * 编辑安全仓储-风险双预控管理表
     *
     * @author hjc
     * @date  2024/05/31 14:34
     */
    void edit(SsRiskDoublePreventionEditParam ssRiskDoublePreventionEditParam);

    /**
     * 删除安全仓储-风险双预控管理表
     *
     * @author hjc
     * @date  2024/05/31 14:34
     */
    void delete(List<SsRiskDoublePreventionIdParam> ssRiskDoublePreventionIdParamList);

    /**
     * 获取安全仓储-风险双预控管理表详情
     *
     * @author hjc
     * @date  2024/05/31 14:34
     */
    SsRiskDoublePrevention detail(SsRiskDoublePreventionIdParam ssRiskDoublePreventionIdParam);

    /**
     * 获取安全仓储-风险双预控管理表详情
     *
     * @author hjc
     * @date  2024/05/31 14:34
     **/
    SsRiskDoublePrevention queryEntity(String id);
}
