/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssRiskIntelligentRecognize.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-风险智能识别表实体
 *
 * @author hjc
 * @date  2024/05/31 14:25
 **/
@Getter
@Setter
@TableName("biz_ss_risk_intelligent_recognize")
public class SsRiskIntelligentRecognize {

    /** 风险智能识别记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "风险智能识别记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 风险类型，1：抽烟检测；2：未带安全帽；3：摄像头遮挡；4：姿态识别 */
    @ApiModelProperty(value = "风险类型，1：抽烟检测；2：未带安全帽；3：摄像头遮挡；4：姿态识别", position = 7)
    private Integer riskType;

    /** 预警描述 */
    @ApiModelProperty(value = "预警描述", position = 8)
    private String warningDescription;

    /** 视频图片，存储视频或图片的链接或文件路径 */
    @ApiModelProperty(value = "视频图片，存储视频或图片的链接或文件路径", position = 9)
    private String videoImage;

    /** 报警时间 */
    @ApiModelProperty(value = "报警时间", position = 11)
    private Date alarmTime;

    /** 报警位置 */
    @ApiModelProperty(value = "报警位置", position = 12)
    private String alarmLocation;

    /** 报警等级 */
    @ApiModelProperty(value = "报警等级", position = 13)
    private String alarmLevel;

    /** 预警事件 */
    @ApiModelProperty(value = "预警事件", position = 14)
    private String warningEvent;

    /** 报警单位 */
    @ApiModelProperty(value = "报警单位", position = 15)
    private String alarmUnit;

    @ApiModelProperty(value = "库区名称", position = 16)
    @TableField(value = "orgName", exist = false)
    private String orgName;


}
