/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssSafeGrainStorageInspection.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-安全储粮检查表表实体
 *
 * @author hjc
 * @date  2024/06/03 09:57
 **/
@Getter
@Setter
@TableName("biz_ss_safe_grain_storage_inspection")
public class SsSafeGrainStorageInspection {

    /** 安全储粮检查唯一标识符 */
    @TableId
    @ApiModelProperty(value = "安全储粮检查唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 检查日期 */
    @ApiModelProperty(value = "检查日期", position = 7)
    private Date inspectionDate;

    /** 检查人员 */
    @ApiModelProperty(value = "检查人员", position = 8)
    private String inspector;

    /** 制定部门 */
    @ApiModelProperty(value = "制定部门", position = 9)
    private String formulatingDepartment;

    /** 制定人 */
    @ApiModelProperty(value = "制定人", position = 10)
    private String formulator;

    /** 状态，0：保存；1：下发 */
    @ApiModelProperty(value = "状态，0：保存；1：下发", position = 11)
    private Integer status;
}
