/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssSafeGrainStorageInspectionResult.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-安全储粮检查表-结果添加参数
 *
 * @author hjc
 * @date  2024/06/03 10:48
 **/
@Getter
@Setter
public class SsSafeGrainStorageInspectionResultAddParam {

    /** biz_ss_safe_grain_storage_inspection的id； */
    @ApiModelProperty(value = "biz_ss_safe_grain_storage_inspection的id；", position = 6)
    private String ssSafeGrainStorageInspectionId;

    /** 外库depot_qh.basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "外库depot_qh.basic_storehouse的id；仓房id", position = 7)
    private Integer basicStorehouseId;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "外库depot_qh.basic_warehouse的id；货位id;", position = 8)
    private Integer warehouseId;

    /** 粮食品种；basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；basic_enum的id；", position = 9)
    private Integer grainVarietyId;

    /** 粮食等级；basic_enum的id； */
    @ApiModelProperty(value = "粮食等级；basic_enum的id；", position = 10)
    private Integer grainGradeId;

    /** 收获年度 */
    @ApiModelProperty(value = "收获年度", position = 11)
    private Date harvestYear;

    /** 检查人 */
    @ApiModelProperty(value = "检查人", position = 12)
    private String inspector;

    /** 保管员 */
    @ApiModelProperty(value = "保管员", position = 13)
    private String keeper;

    /** 粮温℃ */
    @ApiModelProperty(value = "粮温℃", position = 14)
    private BigDecimal grainTemperature;

    /** 仓温℃ */
    @ApiModelProperty(value = "仓温℃", position = 15)
    private BigDecimal storeroomTemperature;

    /** 气温℃ */
    @ApiModelProperty(value = "气温℃", position = 16)
    private BigDecimal ambientTemperature;

    /** 仓内湿% */
    @ApiModelProperty(value = "仓内湿%", position = 17)
    private BigDecimal storeroomHumidity;

    /** 仓外湿% */
    @ApiModelProperty(value = "仓外湿%", position = 18)
    private BigDecimal ambientHumidity;

    /** 检查日期 */
    @ApiModelProperty(value = "检查日期", position = 19)
    private Date inspectionDate;

    /** 鼠雀检查，0：否；1：是； */
    @ApiModelProperty(value = "鼠雀检查，0：否；1：是；", position = 20)
    private Boolean rodentCheck;

    /** 是否结露，0：否；1：是； */
    @ApiModelProperty(value = "是否结露，0：否；1：是；", position = 21)
    private Boolean isCondensation;

    /** 粮食霉变情况，0：否；1：是； */
    @ApiModelProperty(value = "粮食霉变情况，0：否；1：是；", position = 22)
    private Boolean moldCondition;

    /** 是否板结，0：否；1：是； */
    @ApiModelProperty(value = "是否板结，0：否；1：是；", position = 23)
    private Boolean isLump;

    /** 发热现象 */
    @ApiModelProperty(value = "发热现象", position = 24)
    private String heatingPhenomenon;

    /** 仓房有无渗漏，0：否；1：是； */
    @ApiModelProperty(value = "仓房有无渗漏，0：否；1：是；", position = 25)
    private Boolean isLeakage;

    /** 仓房是否返潮，0：否；1：是； */
    @ApiModelProperty(value = "仓房是否返潮，0：否；1：是；", position = 26)
    private Boolean isReturnDamp;

    /** 是否有害虫，0：否；1：是； */
    @ApiModelProperty(value = "是否有害虫，0：否；1：是；", position = 27)
    private Boolean isPest;

    /** 图片，多个图片用","分隔 */
    @ApiModelProperty(value = "图片，多个图片用,分隔", position = 28)
    private String images;

}
