/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssSafeProductInspection.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日常安全检查-安全生产检查表添加参数
 *
 * @author hjc
 * @date 2024/05/31 16:48
 **/
@Getter
@Setter
public class SsSafeProductInspectionAddParam {

    /**
     * 库区；外库depot_qh.org_info的id；
     */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    @NotNull(message = "库区id不能为空")
    private Integer orgId;

    /**
     * 检查日期
     */
    @ApiModelProperty(value = "检查日期", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "检查日期不能为空")
    private Date inspectionDate;

    /**
     * 检查人员
     */
    @ApiModelProperty(value = "检查人员", position = 8)
    @NotBlank(message = "检查人员不能为空")
    private String inspector;

    /**
     * 制定部门
     */
    @ApiModelProperty(value = "制定部门", position = 9)
    @NotBlank(message = "制定部门不能为空")
    private String formulatingDepartment;

    /**
     * 制定人
     */
    @ApiModelProperty(value = "制定人", position = 10)
    @NotBlank(message = "制定人不能为空")
    private String formulator;

    /**
     * 状态，0：保存；1：下发
     */
    @ApiModelProperty(value = "状态，0：保存；1：下发", position = 11)
    @NotNull(message = "状态不能为空")
    private Integer status;

}
