/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssSafeProductInspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.orgInfo.entity.OrgInfo;
import com.unis.safeStorage.modular.ssSafeProductInspection.entity.SsSafeProductInspection;
import com.unis.safeStorage.modular.ssSafeProductInspection.param.*;
import com.unis.safeStorage.modular.ssSafeProductInspection.vo.SsSafeProductInspectionPageVO;
import com.unis.safeStorage.modular.ssSafeProductInspection.vo.SsSafeProductInspectionResultPageVO;

import java.util.List;

/**
 * 日常安全检查-安全生产检查表Service接口
 *
 * @author hjc
 * @date  2024/05/31 16:48
 **/
public interface SsSafeProductInspectionService extends IService<SsSafeProductInspection> {

    /**
     * 获取日常安全检查-安全生产检查表分页
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    Page<SsSafeProductInspectionPageVO> page(SsSafeProductInspectionPageParam ssSafeProductInspectionPageParam);

    /**
     * 添加日常安全检查-安全生产检查表
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    void add(SsSafeProductInspectionAddParam ssSafeProductInspectionAddParam);

    /**
     * 编辑日常安全检查-安全生产检查表
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    void edit(SsSafeProductInspectionEditParam ssSafeProductInspectionEditParam);

    /**
     * 删除日常安全检查-安全生产检查表
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    void delete(List<SsSafeProductInspectionIdParam> ssSafeProductInspectionIdParamList);

    /**
     * 获取日常安全检查-安全生产检查表详情
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    SsSafeProductInspection detail(SsSafeProductInspectionIdParam ssSafeProductInspectionIdParam);

    /**
     * 获取日常安全检查-安全生产检查表详情
     *
     * @author hjc
     * @date  2024/05/31 16:48
     **/
    SsSafeProductInspection queryEntity(String id);

    /**
     * 获取库区信息
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    List<OrgInfo> getOrgInfo();
    /**
     * 下发
     *
     * @author hjc
     * @date  2024/05/31 16:48
     */
    void issued(SsSafeProductInspectionIdParam ssSafeProductInspectionIdParam);

    /**
     * 获取日常安全检查-安全生产检查结果-分页
     *
     * @author hjc
     * @date 2024/05/31 16:48
     */
    Page<SsSafeProductInspectionResultPageVO> resultPage(SsSafeProductInspectionResultPageParam pageParam);
}
