package com.unis.safeStorage.modular.ssSafeProductInspection.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/1 17:59
 */
@Data
public class SsSafeProductInspectionResultPageVO {

    /**
     * biz_ss_safe_product_inspection的id；
     */
    @ApiModelProperty(value = "biz_ss_safe_product_inspection的id；", position = 6)
    private String ssSafeProductInspectionId;

    /**
     * 检查人
     */
    @ApiModelProperty(value = "检查人", position = 7)
    private String inspector;

    /**
     * 检查日期
     */
    @ApiModelProperty(value = "检查日期", position = 8)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date inspectionDate;

    /**
     * 库区；外库depot_qh.org_info的id；
     */
    @ApiModelProperty(value = "库区id；", position = 9)
    private Integer orgId;

    /**
     * 库区；外库depot_qh.org_info的id；
     */
    @ApiModelProperty(value = "库区名称；", position = 10)
    private String orgName;

    /**
     * 外库depot_qh.basic_storehouse的id；仓房id
     */
    @ApiModelProperty(value = "外库depot_qh.basic_storehouse的id；仓房id", position = 11)
    private Integer basicStorehouseId;

    /**
     * 外库depot_qh.basic_storehouse的id；仓房id
     */
    @ApiModelProperty(value = "仓房名称", position = 12)
    private String storehouseName;


}
