/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssfirewatersource.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-消防水源管理表实体
 *
 * @author shine
 * @date  2024/06/03 14:27
 **/
@Getter
@Setter
@TableName("biz_ss_fire_water_source")
public class BizSsFireWaterSource {

    /** 消防水源管理记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "消防水源管理记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 设备类型，1：消防水箱；2：消防水池 */
    @ApiModelProperty(value = "设备类型，1：消防水箱；2：消防水池", position = 7)
    private Integer equipmentType;

    /** 用水状态 */
    @ApiModelProperty(value = "用水状态", position = 8)
    private String waterUsageStatus;

    /** 实时液位 */
    @ApiModelProperty(value = "实时液位", position = 9)
    private BigDecimal realTimeWaterLevel;

    /** 预警液位 */
    @ApiModelProperty(value = "预警液位", position = 10)
    private BigDecimal warningWaterLevel;

    /** 预警时间 */
    @ApiModelProperty(value = "预警时间", position = 11)
    private Date warningTime;

    @ApiModelProperty(value = "库区名称", position = 12)
    @TableField(value = "orgName", exist = false)
    private String orgName;
}
