/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssfirewatersource.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.safeStorage.modular.ssfirewatersource.entity.BizSsFireWaterSource;
import com.unis.safeStorage.modular.ssfirewatersource.param.BizSsFireWaterSourceAddParam;
import com.unis.safeStorage.modular.ssfirewatersource.param.BizSsFireWaterSourceEditParam;
import com.unis.safeStorage.modular.ssfirewatersource.param.BizSsFireWaterSourceIdParam;
import com.unis.safeStorage.modular.ssfirewatersource.param.BizSsFireWaterSourcePageParam;

import java.util.List;

/**
 * 安全仓储-消防水源管理表Service接口
 *
 * @author shine
 * @date  2024/06/03 14:27
 **/
public interface BizSsFireWaterSourceService extends IService<BizSsFireWaterSource> {

    /**
     * 获取安全仓储-消防水源管理表分页
     *
     * @author shine
     * @date  2024/06/03 14:27
     */
    Page<BizSsFireWaterSource> page(BizSsFireWaterSourcePageParam bizSsFireWaterSourcePageParam);

    /**
     * 添加安全仓储-消防水源管理表
     *
     * @author shine
     * @date  2024/06/03 14:27
     */
    void add(BizSsFireWaterSourceAddParam bizSsFireWaterSourceAddParam);

    /**
     * 编辑安全仓储-消防水源管理表
     *
     * @author shine
     * @date  2024/06/03 14:27
     */
    void edit(BizSsFireWaterSourceEditParam bizSsFireWaterSourceEditParam);

    /**
     * 删除安全仓储-消防水源管理表
     *
     * @author shine
     * @date  2024/06/03 14:27
     */
    void delete(List<BizSsFireWaterSourceIdParam> bizSsFireWaterSourceIdParamList);

    /**
     * 获取安全仓储-消防水源管理表详情
     *
     * @author shine
     * @date  2024/06/03 14:27
     */
    BizSsFireWaterSource detail(BizSsFireWaterSourceIdParam bizSsFireWaterSourceIdParam);

    /**
     * 获取安全仓储-消防水源管理表详情
     *
     * @author shine
     * @date  2024/06/03 14:27
     **/
    BizSsFireWaterSource queryEntity(String id);
}
