/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.sspatrolpoint.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-巡检管理-巡查点管理表编辑参数
 *
 * @author shine
 * @date  2024/05/30 15:28
 **/
@Getter
@Setter
public class BizSsPatrolPointEditParam {

    /** 巡查点唯一标识符 */
    @ApiModelProperty(value = "巡查点唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 库区负责人 */
    @ApiModelProperty(value = "库区负责人", position = 7)
    private String warehouseResponsiblePerson;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 8)
    private String equipmentName;

    /** 安装地点 */
    @ApiModelProperty(value = "安装地点", position = 9)
    private String installationLocation;

    /** 巡查顺序 */
    @ApiModelProperty(value = "巡查顺序", position = 10)
    private Integer patrolSequence;

    /** 最大巡查时限（分钟） */
    @ApiModelProperty(value = "最大巡查时限（分钟）", position = 11)
    private Integer maxPatrolTimeLimit;

    /** 最小巡查时限（分钟） */
    @ApiModelProperty(value = "最小巡查时限（分钟）", position = 12)
    private Integer minPatrolTimeLimit;

}
