/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.sspatrolreport.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-巡检管理-巡查报告表添加参数
 *
 * @author shine
 * @date  2024/05/30 15:32
 **/
@Getter
@Setter
public class BizSsPatrolReportAddParam {

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 库区负责人 */
    @ApiModelProperty(value = "库区负责人", position = 7)
    private String warehouseResponsiblePerson;

    /** 巡查时间 */
    @ApiModelProperty(value = "巡查时间", position = 8)
    private Date patrolTime;

    /** 巡查报告 */
    @ApiModelProperty(value = "巡查报告", position = 9)
    private String patrolReport;

    /** 巡查范围 */
    @ApiModelProperty(value = "巡查范围", position = 10)
    private String patrolScope;

    /** 巡查对象 */
    @ApiModelProperty(value = "巡查对象", position = 11)
    private String patrolObject;

    /** 巡查方式 */
    @ApiModelProperty(value = "巡查方式", position = 12)
    private String patrolMethod;

    /** 巡查结果 */
    @ApiModelProperty(value = "巡查结果", position = 13)
    private String patrolResult;

    /** 巡查人 */
    @ApiModelProperty(value = "巡查人", position = 14)
    private String patrolPerson;

    /** 结果建议 */
    @ApiModelProperty(value = "结果建议", position = 15)
    private String resultSuggestion;

    /** 巡查发现问题 */
    @ApiModelProperty(value = "巡查发现问题", position = 16)
    private String problemsFound;

    /** 问题评估 */
    @ApiModelProperty(value = "问题评估", position = 17)
    private String problemAssessment;

}
