/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.sspatrolreport.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.safeStorage.modular.sspatrolreport.entity.BizSsPatrolReport;
import com.unis.safeStorage.modular.sspatrolreport.param.BizSsPatrolReportAddParam;
import com.unis.safeStorage.modular.sspatrolreport.param.BizSsPatrolReportEditParam;
import com.unis.safeStorage.modular.sspatrolreport.param.BizSsPatrolReportIdParam;
import com.unis.safeStorage.modular.sspatrolreport.param.BizSsPatrolReportPageParam;

import java.util.List;

/**
 * 安全仓储-巡检管理-巡查报告表Service接口
 *
 * @author shine
 * @date  2024/05/30 15:32
 **/
public interface BizSsPatrolReportService extends IService<BizSsPatrolReport> {

    /**
     * 获取安全仓储-巡检管理-巡查报告表分页
     *
     * @author shine
     * @date  2024/05/30 15:32
     */
    Page<BizSsPatrolReport> page(BizSsPatrolReportPageParam bizSsPatrolReportPageParam);

    /**
     * 添加安全仓储-巡检管理-巡查报告表
     *
     * @author shine
     * @date  2024/05/30 15:32
     */
    void add(BizSsPatrolReportAddParam bizSsPatrolReportAddParam);

    /**
     * 编辑安全仓储-巡检管理-巡查报告表
     *
     * @author shine
     * @date  2024/05/30 15:32
     */
    void edit(BizSsPatrolReportEditParam bizSsPatrolReportEditParam);

    /**
     * 删除安全仓储-巡检管理-巡查报告表
     *
     * @author shine
     * @date  2024/05/30 15:32
     */
    void delete(List<BizSsPatrolReportIdParam> bizSsPatrolReportIdParamList);

    /**
     * 获取安全仓储-巡检管理-巡查报告表详情
     *
     * @author shine
     * @date  2024/05/30 15:32
     */
    BizSsPatrolReport detail(BizSsPatrolReportIdParam bizSsPatrolReportIdParam);

    /**
     * 获取安全仓储-巡检管理-巡查报告表详情
     *
     * @author shine
     * @date  2024/05/30 15:32
     **/
    BizSsPatrolReport queryEntity(String id);
}
