/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.safeStorage.modular.ssriskaccident.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 安全仓储-安全风险台账-安全风险事故管理表编辑参数
 *
 * @author shine
 * @date  2024/05/30 17:34
 **/
@Getter
@Setter
public class BizSsRiskAccidentEditParam {

    /** 事故记录唯一标识符 */
    @ApiModelProperty(value = "事故记录唯一标识符", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 单位信息；biz_unit_info的id； */
    @ApiModelProperty(value = "单位信息；biz_unit_info的id；", position = 7)
    private String unitInfoId;

    /** 负责人 */
    @ApiModelProperty(value = "负责人", position = 8)
    private String personInCharge;

    /** 事故类型，1：熏蒸事故；2：火灾事故；...；8：水灾事故 */
    @ApiModelProperty(value = "事故类型，1：熏蒸事故；2：火灾事故；...；8：水灾事故", position = 9)
    private Integer accidentType;

    /** 发生时间 */
    @ApiModelProperty(value = "发生时间", position = 10)
    private Date occurrenceTime;

    /** 发生地点 */
    @ApiModelProperty(value = "发生地点", position = 11)
    private String location;

    /** 损失情况 */
    @ApiModelProperty(value = "损失情况", position = 12)
    private String lossSituation;

    /** 伤亡人数 */
    @ApiModelProperty(value = "伤亡人数", position = 13)
    private Integer casualtyCount;

    /** 事故原因 */
    @ApiModelProperty(value = "事故原因", position = 14)
    private String accidentCause;

    /** 调查结果 */
    @ApiModelProperty(value = "调查结果", position = 15)
    private String investigationResult;

    /** 调查时间 */
    @ApiModelProperty(value = "调查时间", position = 16)
    private Date investigationTime;

    /** 调查人 */
    @ApiModelProperty(value = "调查人", position = 17)
    private String investigator;

    /** 事故等级 1：一级；2：二级；3：三级； */
    @ApiModelProperty(value = "事故等级 1：一级；2：二级；3：三级；", position = 18)
    private Integer accidentLevel;

    /** 处置时间 */
    @ApiModelProperty(value = "处置时间", position = 19)
    private Date disposalTime;

    /** 处置人 */
    @ApiModelProperty(value = "处置人", position = 20)
    private String disposalPerson;

    /** 处置情况 */
    @ApiModelProperty(value = "处置情况", position = 21)
    private String disposalSituation;

    /** 状态，0：保存；1：提交 */
    @ApiModelProperty(value = "状态，0：保存；1：提交", position = 22)
    private Integer status;

    @ApiModelProperty(value = "市州")
    private String zcdzCity;
}
