/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */

package com.unis.statisticalAnalysis.modular.kcsw.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.statisticalAnalysis.modular.kcsw.param.KcswPageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * @author shine
 * @date  2024/05/30 17:34
 **/

public interface KcswMapper {

    IPage<List<Map<String, Object>>> kcswpage(Page<Object> objectPage, @Param("kcswPageParam") KcswPageParam kcswPageParam);

    List<Map<String,Object>> qualityStatistics(Integer orgId);

    List<Map<String, Object>> grainPropertyStatistics(Integer orgId);

    List<Map<String, Object>> yjcs(Integer orgId);

    List<Map<String, Object>> quantity();

    List<Map<String, Object>> inventoryRatio();

    List<Map<String, Object>> grainStorageStatistics();

    List<Map<String, Object>> getRkslByMonth();

    List<Map<String, Object>> getCkslByMonth();

    List<Map<String, Object>> getKcslByMonth();

    List<Map<String, Object>> getSyjyslByMonth();
}

