/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */

package com.unis.statisticalAnalysis.modular.kczl.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.statisticalAnalysis.modular.kczl.entity.BusinessQcQualityInspection;
import com.unis.statisticalAnalysis.modular.kczl.param.TjfxPageParam;
import com.unis.statisticalAnalysis.modular.kczl.service.KczlService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.pojo.CommonResult;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


/**
 * 统计分析
 * @author shine
 * @date  2024/05/30 17:34
 */

@Api(tags = "统计分析")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class KczlController {

    @Resource
    private KczlService kczlService;

    /**
     * 维保报告
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("*统计分析分页列表")
    @GetMapping("/statistical/analysis/page")
    public CommonResult<IPage<List<Map<String,Object>>>> findPage(TjfxPageParam tjfxPageParam) {
        return CommonResult.data(kczlService.findPage(tjfxPageParam));
    }



    @ApiOperationSupport(order = 2)
    @ApiOperation("*详情分页列表")
    @GetMapping("/statistical/analysis/detailsPage")
    public CommonResult<Page<Map<String,Object>>> detailsPage(TjfxPageParam tjfxPageParam) {
        return CommonResult.data(kczlService.detailsPage(tjfxPageParam));
    }


    @ApiOperationSupport(order = 3)
    @ApiOperation("*详情分页列表的详情")
    @GetMapping("/statistical/analysis/getByMasterId")
    public CommonResult<BusinessQcQualityInspection> getByMasterId(String id) {
        return CommonResult.data(kczlService.getByMasterId(id));
    }


}

