/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 统计报表实体
 *
 * @author TS
 * @date  2024/05/31 10:02
 **/
@Getter
@Setter
@TableName("con_reportinfo")
public class ConReportinfo {

    /** 查询表ID */
    @ApiModelProperty(value = "查询表ID", position = 1)
    private String rptid;

    /** 表名称(中) */
    @ApiModelProperty(value = "表名称(中)", position = 2)
    private String rptname;

    /** 动态SQL */
    @ApiModelProperty(value = "动态SQL", position = 3)
    private String dymamicsql;

    /** 分组字段信息 */
    @ApiModelProperty(value = "分组字段信息", position = 4)
    private String groupbyfields;

    /** 排序字段信息 */
    @ApiModelProperty(value = "排序字段信息", position = 5)
    private String orderbyfields;

    /** 条件样例 */
    @ApiModelProperty(value = "条件样例", position = 6)
    private String condictions;
}
