/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 应急保障统计报表分页
 *
 * @author TS
 * @date 2024/06/03 16:02
 **/
@Data
public class EsNetworkEntryPageReportinfo {

    /** 应急网点录入唯一标识符 */
    @ApiModelProperty(value = "应急网点录入唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    private Date createTime;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称", position = 6)
    private String enterpriseName;

    /** 统一社会信用代码 */
    @ApiModelProperty(value = "统一社会信用代码", position = 7)
    private String creditCode;


    /** 联系人姓名 */
    @ApiModelProperty(value = "负责人", position = 12)
    private String enterpriseContact;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 13)
    private String contactNumber;

    /** 所属市州 */
    @ApiModelProperty(value = "所属市州", position = 14)
    private String cityState;

    @ApiModelProperty(value = "企业类型 1：应急网点，2：应急加工企业，3：应急配送企业，4：应急仓储企业", position = 14)
    private String type;

}
