/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 多功能粮情-主表实体
 *
 * @author TS
 * @date  2024/05/31 15:48
 **/
@Getter
@Setter
public class LqData {




    /** 仓房名称 */
    @ApiModelProperty(value = "仓房名称", position = 6)
    private String storehouseName;



    /** 采集时间 */
    @ApiModelProperty(value = "检查时间", position = 11)
    private Date gatherTime;

    /** 仓内温 单位：摄氏度，精确到小数点后1位； */
    @ApiModelProperty(value = "仓内温 单位：摄氏度，精确到小数点后1位；", position = 12)
    private BigDecimal inTemp;

    /** 仓内湿 单位：%，精确到小数点后1位； */
    @ApiModelProperty(value = "仓内湿 单位：%，精确到小数点后1位；", position = 13)
    private BigDecimal inH;

    /** 仓外温 单位：摄氏度，精确到小数点后1位； */
    @ApiModelProperty(value = "仓外温 单位：摄氏度，精确到小数点后1位；", position = 14)
    private BigDecimal outTemp;

    /** 仓外湿 单位：%，精确到小数点后1位； */
    @ApiModelProperty(value = "仓外湿 单位：%，精确到小数点后1位；", position = 15)
    private BigDecimal outH;

    /** 最高粮温 */
    @ApiModelProperty(value = "最高粮温", position = 16)
    private BigDecimal tempMax;

    /** 最低粮温 */
    @ApiModelProperty(value = "最低粮温", position = 17)
    private BigDecimal tempMin;

    /** 平均粮温 */
    @ApiModelProperty(value = "平均粮温", position = 18)
    private BigDecimal tempAvg;


}
