/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 购销信息统计报表
 *
 * @author TS
 * @date 2024/06/04 10:02
 **/
@Data
public class PlanReportinfo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "库区名称")
    private String orgName;

    @ApiModelProperty(value = "仓库名称")
    private String storehouseName;

    @ApiModelProperty(value = "货位名称")
    private String warehouseName;

    @ApiModelProperty(value = "货位Id")
    private Integer warehouseId;

    @ApiModelProperty(value = "计划单号")
    private String planNumber;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "计划类型")
    private Integer planType;

    @ApiModelProperty(value = "计划开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date startDate;

    @ApiModelProperty(value = "计划结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date endDate;

    @ApiModelProperty(value = "计划数量")
    private Double planQuantity;

    @ApiModelProperty(value = "完成数量")
    private Double completedQuantity;

    @ApiModelProperty(value = "计划进度")
    private Double planRate;

    @ApiModelProperty(value = "当日日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date currentDate;

}
