/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.entity.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 质量管理-验收质检表实体
 *
 * @author TS
 * @date  2024/05/31 15:39
 **/
@Getter
@Setter
public class QualityInspection {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 2)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 3)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 4)
    private Date updatedate;

    /** 库区id；org_info的id； */
    @ApiModelProperty(value = "库区id；org_info的id；", position = 5)
    private Integer orgId;

    /** 质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成 */
    @ApiModelProperty(value = "质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成", position = 6)
    private String zjbgdh;

    /** 检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；09:定检 */
    @ApiModelProperty(value = "检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；09:定检", position = 7)
    private String jylb;

    /** basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "basic_storehouse的id；仓房id", position = 8)
    private Integer basicStorehouseId;

    /** basic_storehouse的id；仓房名称*/
    @ApiModelProperty(value = "仓房名称", position = 8-1)
    private String  storehouseName;

    /** basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "basic_warehouse的id；货位id;", position = 9)
    private Integer warehouseId;

    /** 货位名称 */
    @ApiModelProperty(value = "货位名称", position = 9-1)
    private String warehouseName;

    /** 粮食品种；basic_enum的id； */
    @ApiModelProperty(value = "粮食品种；basic_enum的id；", position = 10)
    private Integer grainVarietyId;

    /** 粮食品种；basic_enum的id； */
    @ApiModelProperty(value = "粮食品种名称", position = 10-1)
    private String grainVarietyName;

    /** 粮食性质；basic_enum的id； */
    @ApiModelProperty(value = "粮食性质；basic_enum的id；", position = 11)
    private Integer grainNatureId;

    /** 粮食性质；basic_enum的id； */
    @ApiModelProperty(value = "粮食性质名称", position = 11-1)
    private String grainNatureName;

    /** 粮食等级；basic_enum的id； */
    @ApiModelProperty(value = "粮食等级；basic_enum的id；", position = 12)
    private Integer grainGradeId;

    /** 粮食等级；basic_enum的id； */
    @ApiModelProperty(value = "粮食等级名称", position = 12-1)
    private String grainGradeName;

    /** 入库日期，格式：yyyy-MM-dd */
    @ApiModelProperty(value = "入库日期，格式：yyyy-MM-dd", position = 13)
    private Date rkrq;

    /** 收获年度 */
    @ApiModelProperty(value = "收获年度", position = 14)
    private String receiveYear;

    /** 产地 */
    @ApiModelProperty(value = "产地", position = 15)
    private String produceArea;

    /** 检验时间，格式：yyyy-MM-dd HH:mm:ss */
    @ApiModelProperty(value = "检验时间，格式：yyyy-MM-dd HH:mm:ss", position = 16)
    private Date jysj;

    /** 检验结果 0：不合格；1：合格； */
    @ApiModelProperty(value = "检验结果 0：不合格；1：合格；", position = 17)
    private Integer checkResult;

    /** 检验单位 */
    @ApiModelProperty(value = "检验单位", position = 18)
    private String jydw;

    /** 检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔 */
    @ApiModelProperty(value = "检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔", position = 19)
    private String jyr;

    /** 检验依据，1：国标, 0：其他 */
    @ApiModelProperty(value = "检验依据，1：国标, 0：其他", position = 20)
    private String jyyj;

    /** 指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验 */
    @ApiModelProperty(value = "指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验", position = 21)
    private String zblb;

    /** 食品安全指标是否合格，0：不合格, 1：合格 */
    @ApiModelProperty(value = "食品安全指标是否合格，0：不合格, 1：合格", position = 22)
    private String spaqzbsfhg;

    /** 签发日期，格式：yyyy-MM-dd */
    @ApiModelProperty(value = "签发日期，格式：yyyy-MM-dd", position = 23)
    private String qfrq;

    /** 报告出具时间，格式：yyyy-MM-dd HH:mm:ss */
    @ApiModelProperty(value = "报告出具时间，格式：yyyy-MM-dd HH:mm:ss", position = 24)
    private Date bgcjsj;

    /** 审核人姓名 */
    @ApiModelProperty(value = "审核人姓名", position = 25)
    private String shrxm;

    /** 是否正常存储年限，0：否, 1：是 */
    @ApiModelProperty(value = "是否正常存储年限，0：否, 1：是", position = 26)
    private String sfzcccnx;

    /** 指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格 */
    @ApiModelProperty(value = "指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格", position = 27)
    private String zbjgpd;

    /** 抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss */
    @ApiModelProperty(value = "抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss", position = 28)
    private Date qysj;

    /** 抽样单编号；扦样单编号； */
    @ApiModelProperty(value = "抽样单编号；扦样单编号；", position = 29)
    private String qydbh;

    /** 抽样人员；扦样人姓名 */
    @ApiModelProperty(value = "抽样人员；扦样人姓名", position = 30)
    private String qyrxm;

    /** 扦样区域 */
    @ApiModelProperty(value = "扦样区域", position = 31)
    private String qyqy;

    /** 监督人姓名 */
    @ApiModelProperty(value = "监督人姓名", position = 32)
    private String jdrxm;

    /** 样品编号 */
    @ApiModelProperty(value = "样品编号", position = 33)
    private String ypbh;

    /** 样品数量，单位：公斤 */
    @ApiModelProperty(value = "样品数量，单位：公斤", position = 34)
    private BigDecimal ypsl;

    /** 代表数量，单位：公斤 */
    @ApiModelProperty(value = "代表数量，单位：公斤", position = 35)
    private BigDecimal dbsl;

    /** 样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3 */
    @ApiModelProperty(value = "样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3", position = 36)
    private String ypdj;

    /** 样品状态 */
    @ApiModelProperty(value = "样品状态", position = 37)
    private String sampleStatus;

    /** 样品包装型号 */
    @ApiModelProperty(value = "样品包装型号", position = 38)
    private String samplePackageModel;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 39)
    private String bz;

    /** 检验明细表数据 */
    @ApiModelProperty(value = "检验明细表数据", position = 40)
    private List<QualityInspectionItem> list;


}
