/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.conReportinfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.emergencySupport.modular.es.entity.EsNetworkEntry;
import com.unis.policy.info.modular.alPolicyFileReport.entity.AlPolicyFileReport;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.ConReportinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.CrkData;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.EsNetworkEntryPageReportinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.LqData;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.PlanReportinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.QualityInspection;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.QualityInspectionItem;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.ReserveReportStorehouseinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.ReserveReportinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.entity.vo.StorehouseCapacityReportinfo;
import com.unis.statisticalReport.info.modular.conReportinfo.param.ReserveReportinfoParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 统计报表Mapper接口
 *
 * @author TS
 * @date  2024/05/31 10:02
 **/
public interface ConReportinfoMapper extends BaseMapper<ConReportinfo> {

    List<ReserveReportinfo> getReserveChartDatas(@Param("param") ReserveReportinfoParam param);


    IPage<ReserveReportStorehouseinfo> findStorehousePage(Page<ReserveReportStorehouseinfo> p, @Param(Constants.WRAPPER)QueryWrapper<ReserveReportStorehouseinfo> queryWrapper);

    LqData findLqData(@Param("orgId")String orgId, @Param("storehouseId")String storehouseId);

    QualityInspection findQualityInspection(@Param("orgId")String orgId, @Param("warehouseId")String warehouseId);

    List<QualityInspectionItem> findQualityInspectionItems(@Param("qualityId") Integer qualityId);

    List<CrkData> findCrkDataList(@Param("orgId")String orgId, @Param("warehouseId")String warehouseId);

    List<StorehouseCapacityReportinfo> getStorehouseChartDatas();

    IPage<StorehouseCapacityReportinfo> findStorehouseCapacityPage(Page<StorehouseCapacityReportinfo> p, @Param(Constants.WRAPPER)QueryWrapper<StorehouseCapacityReportinfo> queryWrapper);

    IPage<EsNetworkEntryPageReportinfo> findEsNetworkEntryPage(Page<EsNetworkEntryPageReportinfo> p, @Param(Constants.WRAPPER)QueryWrapper<EsNetworkEntryPageReportinfo> queryWrapper);

    IPage<PlanReportinfo> findBuyPlanPage(Page<PlanReportinfo> p,  @Param(Constants.WRAPPER)QueryWrapper<PlanReportinfo> queryWrapper);

    IPage<PlanReportinfo> findCurrentPlanPage(Page<PlanReportinfo> p, @Param(Constants.WRAPPER)QueryWrapper<PlanReportinfo> queryWrapper);
}
