/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.grainReserveInspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.statisticalReport.info.modular.grainReserveInspection.entity.GrainReserveInspection;
import com.unis.statisticalReport.info.modular.grainReserveInspection.param.GrainReserveInspectionAddParam;
import com.unis.statisticalReport.info.modular.grainReserveInspection.param.GrainReserveInspectionEditParam;
import com.unis.statisticalReport.info.modular.grainReserveInspection.param.GrainReserveInspectionIdParam;
import com.unis.statisticalReport.info.modular.grainReserveInspection.param.GrainReserveInspectionPageParam;

import java.util.List;
import java.util.Map;

/**
 * 储备粮验收检查Service接口
 *
 * @author QSHan
 * @date  2024/06/03 11:11
 **/
public interface GrainReserveInspectionService extends IService<GrainReserveInspection> {

    /**
     * 获取储备粮验收检查分页
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     */
    Page<GrainReserveInspection> page(GrainReserveInspectionPageParam grainReserveInspectionPageParam);

    /**
     * 添加储备粮验收检查
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     */
    void add(GrainReserveInspectionAddParam grainReserveInspectionAddParam);

    /**
     * 编辑储备粮验收检查
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     */
    void edit(GrainReserveInspectionEditParam grainReserveInspectionEditParam);

    /**
     * 删除储备粮验收检查
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     */
    void delete(List<GrainReserveInspectionIdParam> grainReserveInspectionIdParamList);

    /**
     * 获取储备粮验收检查详情
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     */
    GrainReserveInspection detail(GrainReserveInspectionIdParam grainReserveInspectionIdParam);

    /**
     * 获取储备粮验收检查详情
     *
     * @author QSHan
     * @date  2024/06/03 11:11
     **/
    GrainReserveInspection queryEntity(String id);

    Map<String, Object> getOrgInfoOnly();

    List<Map<String, Object>> getStorehouseOrWarehouse(Integer orgId, Integer storeHouse);

    String getCd(Integer orgId, Integer storeHouseId, Integer warehouseId);
}
