/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.statisticalReport.info.modular.grainReserveInspectionItem.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.entity.GrainReserveInspectionItem;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.param.GrainReserveInspectionItemAddParam;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.param.GrainReserveInspectionItemEditParam;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.param.GrainReserveInspectionItemIdParam;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.param.GrainReserveInspectionItemPageParam;
import com.unis.statisticalReport.info.modular.grainReserveInspectionItem.service.GrainReserveInspectionItemService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 检验项目及依据控制器
 *
 * @author QSHan
 * @date  2024/06/03 11:14
 *//*

@Api(tags = "检验项目及依据控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class GrainReserveInspectionItemController {

    @Resource
    private GrainReserveInspectionItemService grainReserveInspectionItemService;

    */
/**
     * 获取检验项目及依据分页
     *
     * @author QSHan
     * @date  2024/06/03 11:14
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取检验项目及依据分页")
    @SaCheckPermission("/statisticalReport.info/grainReserveInspectionItem/page")
    @GetMapping("/statisticalReport.info/grainReserveInspectionItem/page")
    public CommonResult<Page<GrainReserveInspectionItem>> page(GrainReserveInspectionItemPageParam grainReserveInspectionItemPageParam) {
        return CommonResult.data(grainReserveInspectionItemService.page(grainReserveInspectionItemPageParam));
    }

    */
/**
     * 添加检验项目及依据
     *
     * @author QSHan
     * @date  2024/06/03 11:14
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加检验项目及依据")
    @CommonLog("添加检验项目及依据")
    @SaCheckPermission("/statisticalReport.info/grainReserveInspectionItem/add")
    @PostMapping("/statisticalReport.info/grainReserveInspectionItem/add")
    public CommonResult<String> add(@RequestBody @Valid GrainReserveInspectionItemAddParam grainReserveInspectionItemAddParam) {
        grainReserveInspectionItemService.add(grainReserveInspectionItemAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑检验项目及依据
     *
     * @author QSHan
     * @date  2024/06/03 11:14
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑检验项目及依据")
    @CommonLog("编辑检验项目及依据")
    @SaCheckPermission("/statisticalReport.info/grainReserveInspectionItem/edit")
    @PostMapping("/statisticalReport.info/grainReserveInspectionItem/edit")
    public CommonResult<String> edit(@RequestBody @Valid GrainReserveInspectionItemEditParam grainReserveInspectionItemEditParam) {
        grainReserveInspectionItemService.edit(grainReserveInspectionItemEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除检验项目及依据
     *
     * @author QSHan
     * @date  2024/06/03 11:14
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除检验项目及依据")
    @CommonLog("删除检验项目及依据")
    @SaCheckPermission("/statisticalReport.info/grainReserveInspectionItem/delete")
    @PostMapping("/statisticalReport.info/grainReserveInspectionItem/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<GrainReserveInspectionItemIdParam> grainReserveInspectionItemIdParamList) {
        grainReserveInspectionItemService.delete(grainReserveInspectionItemIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取检验项目及依据详情
     *
     * @author QSHan
     * @date  2024/06/03 11:14
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取检验项目及依据详情")
    @SaCheckPermission("/statisticalReport.info/grainReserveInspectionItem/detail")
    @GetMapping("/statisticalReport.info/grainReserveInspectionItem/detail")
    public CommonResult<GrainReserveInspectionItem> detail(@Valid GrainReserveInspectionItemIdParam grainReserveInspectionItemIdParam) {
        return CommonResult.data(grainReserveInspectionItemService.detail(grainReserveInspectionItemIdParam));
    }
}
*/
