/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.grainReserveInspectionItem.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 检验项目及依据实体
 *
 * @author QSHan
 * @date  2024/06/03 11:14
 **/
@Getter
@Setter
@TableName("biz_ipad_grain_reserve_inspection_item")
public class GrainReserveInspectionItem {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 2)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 3)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 4)
    private Date updatedate;

    /** biz_ipad_grain_reserve_inspection的id */
    @ApiModelProperty(value = "biz_ipad_grain_reserve_inspection的id", position = 5)
    private String ipadGrainReserveInspectionId;

    /** 检验项目；外库depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "检验项目；外库depot_qh.basic_enum的id；", position = 6)
    private Integer inspectionItemId;

    /** 检验值 */
    @ApiModelProperty(value = "检验值", position = 7)
    private String inspectionValue;

    /** 单项结论 */
    @ApiModelProperty(value = "单项结论", position = 8)
    private String singleConclusion;

    /** 检验方法 */
    @ApiModelProperty(value = "检验方法", position = 9)
    private String inspectionMethod;

    @ApiModelProperty(value = "检验项目父id(指标类别)；外库basic_enum的id", position = 10)
    private Integer parentInspectionItemId;

    @ApiModelProperty(value = "检验项目名", position = 11)
    @TableField(exist = false)
    private String parentInspectionItemName;
}
