package com.unis.statisticalReport.info.modular.grainTempCheck.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-04 20:07
 */
@Getter
@Setter
//@ColumnWidth(22)
//@HeadRowHeight(10)
public class GrainTempExcel implements Serializable {
    private static final long serialVersionUID = 2L;

    @ApiModelProperty(value = "机构名称")
    @ExcelProperty(value = "库区名称", index = 0, order = 0)
    @ColumnWidth(35)
    private String orgName;

    @ApiModelProperty(value = "仓房名称")
    @ExcelProperty(value = "仓房名称", index = 1, order = 1)
    @ColumnWidth(11)
    private String storehouseName;

    @ApiModelProperty(value = "仓内温 单位：摄氏度，精确到小数点后1位；")
    @ExcelProperty(value = "仓温(℃)", index = 2, order = 2)
    @ColumnWidth(12)
    private BigDecimal inTemp;

    @ApiModelProperty(value = "最高粮温(℃)")
    @ExcelProperty(value = "最高粮温(℃)", index = 3, order = 3)
    @ColumnWidth(18)
    private BigDecimal tempMax;

    @ApiModelProperty(value = "最低粮温(℃)")
    @ExcelProperty(value = "最低粮温(℃)", index = 4, order = 4)
    @ColumnWidth(18)
    private BigDecimal tempMin;

    @ApiModelProperty(value = "平均粮温(℃)")
    @ExcelProperty(value = "平均粮温(℃)", index = 5, order = 5)
    @ColumnWidth(18)
    private BigDecimal tempAvg;

    @ApiModelProperty(value = "同上次相比平均粮温 1：相同；2：上升；3：下降")
    @ExcelProperty(value = "同上次相比平均粮温", index = 6, order = 6)
    @ColumnWidth(25)
    private String compareLastTempAvgName;

    @ApiModelProperty(value = "采集时间")
    @ExcelProperty(value = "采集时间", index = 7, order = 7)
    @ColumnWidth(16)
    private Date gatherTime;

}
