/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.basic.info.modular.storehouseInfo.entity.StorehouseInfo;
import com.unis.basic.info.modular.warehouseInfo.entity.WarehouseInfo;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.vo.SsSafeProductInspectionResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.entity.SsSafeProductInspectionResult;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.param.SsSafeProductInspectionResultEditParam;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.param.SsSafeProductInspectionResultIdParam;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.param.SsSafeProductInspectionResultPageParam;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.service.SsSafeProductInspectionResultService;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

/**
 * 日常安全检查-安全生产检查-结果表控制器
 *
 * @author hjc
 * @date  2024/06/01 14:49
 */
@Api(tags = "日常安全检查-安全生产检查-结果表控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class SsSafeProductInspectionResultController {

    @Resource
    private SsSafeProductInspectionResultService ssSafeProductInspectionResultService;

    /**
     * 获取日常安全检查-安全生产检查-结果表分页-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取日常安全检查-安全生产检查-结果表分页")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/page")
    @GetMapping("/client/c/statisticalReport.info/ssSafeProductInspectionResult/page")
    public CommonResult<Page<SsSafeProductInspectionResultVO>> page(SsSafeProductInspectionResultPageParam ssSafeProductInspectionResultPageParam) {
        return CommonResult.data(ssSafeProductInspectionResultService.page(ssSafeProductInspectionResultPageParam));
    }

   /* *//**
     * 添加日常安全检查-安全生产检查-结果表-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     *//*
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加日常安全检查-安全生产检查-结果表")
    @CommonLog("添加日常安全检查-安全生产检查-结果表")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/add")
    @PostMapping("/statisticalReport.info/ssSafeProductInspectionResult/add")
    public CommonResult<String> add(@RequestBody @Valid SsSafeProductInspectionResultAddParam ssSafeProductInspectionResultAddParam) {
        ssSafeProductInspectionResultService.add(ssSafeProductInspectionResultAddParam);
        return CommonResult.ok();
    }
*/
    /**
     * 编辑日常安全检查-安全生产检查-结果表-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑日常安全检查-安全生产检查-结果表")
    @CommonLog("编辑日常安全检查-安全生产检查-结果表")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/edit")
    @PostMapping("/client/c/statisticalReport.info/ssSafeProductInspectionResult/edit")
    public CommonResult<String> edit(@RequestBody @Valid SsSafeProductInspectionResultEditParam ssSafeProductInspectionResultEditParam) {
        ssSafeProductInspectionResultService.edit(ssSafeProductInspectionResultEditParam);
        return CommonResult.ok();
    }

   /* *//**
     * 删除日常安全检查-安全生产检查-结果表
     *
     * @author hjc
     * @date  2024/06/01 14:49
     *//*
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除日常安全检查-安全生产检查-结果表")
    @CommonLog("删除日常安全检查-安全生产检查-结果表")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/delete")
    @PostMapping("/statisticalReport.info/ssSafeProductInspectionResult/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<SsSafeProductInspectionResultIdParam> ssSafeProductInspectionResultIdParamList) {
        ssSafeProductInspectionResultService.delete(ssSafeProductInspectionResultIdParamList);
        return CommonResult.ok();
    }*/

    /**
     * 获取日常安全检查-安全生产检查-结果表详情-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取日常安全检查-安全生产检查-结果表详情")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/detail")
    @GetMapping("/client/c/statisticalReport.info/ssSafeProductInspectionResult/detail")
    public CommonResult<SsSafeProductInspectionResultVO> detail(@Valid SsSafeProductInspectionResultIdParam ssSafeProductInspectionResultIdParam) {
        return CommonResult.data(ssSafeProductInspectionResultService.detail(ssSafeProductInspectionResultIdParam));
    }

    /**
     * 通过库区id获取仓房信息-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     */
    @ApiOperationSupport(order = 7)
    @ApiOperation("通过库区id获取仓房信息")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/detail")
    @GetMapping("/client/c/statisticalReport.info/ssSafeProductInspectionResult/getStorehouse")
    public CommonResult<List<StorehouseInfo>> getStorehouse(Integer orgId) {
        return CommonResult.data(ssSafeProductInspectionResultService.getStorehouse(orgId));
    }


    /**
     * 通过仓房id获取货位信息-ipad
     *
     * @author hjc
     * @date  2024/06/01 14:49
     */
    @ApiOperationSupport(order = 8)
    @ApiOperation("通过仓房id获取货位信息")
    //@SaCheckPermission("/statisticalReport.info/ssSafeProductInspectionResult/detail")
    @GetMapping("/client/c/statisticalReport.info/ssSafeProductInspectionResult/getWarehouse")
    public CommonResult<List<WarehouseInfo>> getWarehouse(String storehouseId) {
        return CommonResult.data(ssSafeProductInspectionResultService.getWarehouse(storehouseId));
    }




}
