/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.visualization.modular.grainOilPurchaseSales.service;

import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.CurrentCrkStock;
import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.CurrentCrkWork;
import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.DeoptRotationPalnDetail;
import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.GopsPlanSum;
import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.RotationPlanMapChart;
import com.unis.visualization.modular.grainOilPurchaseSales.entity.VO.RotationPlanVarietyChart;
import com.unis.visualization.modular.grainOilPurchaseSales.param.GopsPlanSumParam;
import com.unis.visualization.modular.grainOilReserve.param.GrainOilReserveParam;

import java.util.List;

/**
 * 可视化-购销管理Service接口
 *
 * @author TS
 * @date  2024/06/21 10:49
 **/
public interface GrainOilPurchaseSalesService {

    /**
     *获取轮换计划-品种轮换数量
     * @return
     */
    List<RotationPlanVarietyChart> getRotationPalnVarietyChartDatas();

    /**
     * 获取轮换计划地图信息
     * @return
     */
    List<RotationPlanMapChart> getRotationPalnMapChartDatas();

    /**
     * 获取当日出入库作业信息
     * @param param
     * @return
     */
    List<CurrentCrkWork> getCurrentCrkWorkList(GrainOilReserveParam param);

    /**
     * 获取当日出入库作业库存数量信息
     * @return
     */
    CurrentCrkStock getCurrentCrkWorkStock();

    /**
     * 获取购销计划数量统计信息
     * @param gopsPlanSumParam
     * @return
     */
    List<GopsPlanSum> getGopsPalnSumList(GopsPlanSumParam gopsPlanSumParam);

    /**
     * 获取库区轮换计划详情
     * @return
     */
    DeoptRotationPalnDetail getDeoptRotationPalnDetail(Integer orgId);
}
