package com.unis.visualization.modular.grainSituationDetection.entity.VO;

import com.unis.visualization.modular.grainOilReserve.entity.VO.StockDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 *库区库存详情
 *
 * @author TS
 * @date  2024/06/19 15:48
 **/
@Getter
@Setter
public class DeportLqDetail {



    @ApiModelProperty(value = "企业名称", position = 1)
    private String unitName;

    @ApiModelProperty(value = "库区名称", position = 1-1)
    private String orgName;

    @ApiModelProperty(value = "库区Id", position = 2)
    private String orgId;

    @ApiModelProperty(value = "市州名称", position = 3)
    private String cityName;

    @ApiModelProperty(value = "详细地址", position = 4)
    private String address;

    @ApiModelProperty(value = "仓房数量", position = 5)
    private Integer storehouseCount;

    @ApiModelProperty(value = "最高粮温", position =6)
    private BigDecimal tempMax;

    @ApiModelProperty(value = "最低粮温", position = 7)
    private BigDecimal tempMin;

    @ApiModelProperty(value = "平均粮温", position = 8)
    private BigDecimal tempAvg;

    @ApiModelProperty(value = "库存数量(数字，单位万吨）", position = 8-1)
    private Double kcsl;

    @ApiModelProperty(value = "仓房设计容量,总仓容（数字，单位万吨）", position = 9)
    private BigDecimal designCapacity;

    @ApiModelProperty(value = "油罐数量", position = 10)
    private Integer tankCount;

    @ApiModelProperty(value = "油罐容量,总仓容（数字，单位万吨）", position = 11)
    private BigDecimal tankCapacity;

    @ApiModelProperty(value = "粮情信息）", position = 12)
    private List<LqDetail> lqDetailList;

}
