/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.visualization.modular.grainSituationDetection.mapper;

import com.unis.visualization.modular.grainOilReserve.entity.VO.DeportStockDetail;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.DeportLqDetail;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.GrainSituationDetectionChart;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.GrainSituationDetectionOnline;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.GrainSituationDetectionWarn;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.GrainSituationDetectionWarnAvg;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.GrainSituationDetectionWarnCount;
import com.unis.visualization.modular.grainSituationDetection.entity.VO.LqDetail;
import com.unis.visualization.modular.grainSituationDetection.param.GrainSituationDetectionPageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 可视化-粮情检测Mapper接口
 *
 * @author TS
 * @date  2024/06/20 10:16
 **/
public interface GrainSituationDetectionMapper  {

    List<GrainSituationDetectionChart> getDepotStockLqChartDatas();

    List<GrainSituationDetectionWarn> getDepotLqWarnList();

    List<GrainSituationDetectionWarnCount> getDepotLqWarnCount(@Param("lqWarnCountQuery")Integer lqWarnCountQuery);

    List<GrainSituationDetectionWarnAvg> getDepotLqWarnAvg();

    /**
     * 得到有测温数据的仓房数量
     * @return
     */
    GrainSituationDetectionOnline getTotalCount();

    /**
     * 得到最两天有测温数据的仓房数量
     * @return
     */
    GrainSituationDetectionOnline getOnlineCount();

    /**
     * 得到库存粮情数据
     * @param orgId
     * @return
     */
    List<LqDetail> getLqDetail(@Param("orgId") Integer orgId);

    DeportLqDetail getDepotStockDetail(@Param("orgId")Integer orgId);
}
