package com.unis.common.util;

import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

@Slf4j
class CommonCryptogramUtilTest {

    /**
     * 加密方法（Sm2 的专门针对前后端分离，非对称秘钥对的方式，暴露出去的公钥，对传输过程中的密码加个密）
     *
     * @className CommonCryptogramUtilTest
     * @author ybw
     * @date 2024/4/1
     * @version V1.0
     **/
    @Test
    void doSm2Encrypt() {
        String password = "123456";
        String p = CommonCryptogramUtil.doSm2Encrypt(password);
        log.info("{}", p);
        System.out.println("======="+p);
    }

    /**
     * 解密方法
     *
     * @methodName: doSm2Decrypt
     * @return: void
     * @author: ybw
     * @date: 2024/4/1
     **/
    @Test
    void doSm2Decrypt() {
        String password = "207cf410532f92a47dee245ce9b11ff71f578ebd763eb3bbea44ebd043d018fb";
        String p = CommonCryptogramUtil.doSm2Decrypt(password);
        log.info("{}", p);
    }

    /**
     *
     * @methodName: uuid
     * @return: void
     * @author: ybw
     * @date: 2024/4/15
     **/
    @Test
    public void uuid() {
        String uuid = IdUtil.simpleUUID();
        log.info("{}", uuid);
    }
}